export declare class AlertingPredefinedEventFilter {
    'eventType': AlertingPredefinedEventFilter.EventTypeEnum;
    'negate': boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AlertingPredefinedEventFilter {
    enum EventTypeEnum {
        APPLICATIONERRORRATEINCREASED,
        APPLICATIONSLOWDOWN,
        APPLICATIONUNEXPECTEDHIGHLOAD,
        APPLICATIONUNEXPECTEDLOWLOAD,
        AWSLAMBDAHIGHERRORRATE,
        CUSTOMAPPLICATIONERRORRATEINCREASED,
        CUSTOMAPPLICATIONSLOWDOWN,
        CUSTOMAPPLICATIONUNEXPECTEDHIGHLOAD,
        CUSTOMAPPLICATIONUNEXPECTEDLOWLOAD,
        CUSTOMAPPCRASHRATEINCREASED,
        DATABASECONNECTIONFAILURE,
        DATACENTERSERVICEPERFORMANCEDEGRADATION,
        DATACENTERSERVICEUNAVAILABLE,
        EBSVOLUMEHIGHLATENCY,
        EC2HIGHCPU,
        ELBHIGHBACKENDERRORRATE,
        ENTERPRICEAPPLICATIONPERFORMANCEDEGRADATION,
        ENTERPRISEAPPLICATIONUNAVAILABLE,
        ESXIGUESTACTIVESWAPWAIT,
        ESXIGUESTCPULIMITREACHED,
        ESXIHOSTCPUSATURATION,
        ESXIHOSTDATASTORELOWDISKSPACE,
        ESXIHOSTDISKQUEUESLOW,
        ESXIHOSTDISKSLOW,
        ESXIHOSTMEMORYSATURATION,
        ESXIHOSTNETWORKPROBLEMS,
        ESXIHOSTOVERLOADEDSTORAGE,
        ESXIVMIMPACTHOSTCPUSATURATION,
        ESXIVMIMPACTHOSTMEMORYSATURATION,
        EXTERNALSYNTHETICTESTOUTAGE,
        EXTERNALSYNTHETICTESTSLOWDOWN,
        HOSTOFSERVICEUNAVAILABLE,
        HTTPCHECKGLOBALOUTAGE,
        HTTPCHECKLOCALOUTAGE,
        HTTPCHECKTESTLOCATIONSLOWDOWN,
        MOBILEAPPLICATIONERRORRATEINCREASED,
        MOBILEAPPLICATIONSLOWDOWN,
        MOBILEAPPLICATIONUNEXPECTEDHIGHLOAD,
        MOBILEAPPLICATIONUNEXPECTEDLOWLOAD,
        MOBILEAPPCRASHRATEINCREASED,
        MONITORINGUNAVAILABLE,
        OSIDISKLOWINODES,
        OSIGRACEFULLYSHUTDOWN,
        OSIHIGHCPU,
        OSIHIGHMEMORY,
        OSILOWDISKSPACE,
        OSINICDROPPEDPACKETSHIGH,
        OSINICERRORSHIGH,
        OSINICUTILIZATIONHIGH,
        OSISLOWDISK,
        OSIUNEXPECTEDLYUNAVAILABLE,
        PGIOFSERVICEUNAVAILABLE,
        PGIUNAVAILABLE,
        PGLOWINSTANCECOUNT,
        PROCESSCRASHED,
        PROCESSHIGHGCACTIVITY,
        PROCESSMEMORYRESOURCEEXHAUSTED,
        PROCESSNAHIGHCONNFAILRATE,
        PROCESSNAHIGHLOSSRATE,
        PROCESSTHREADSRESOURCEEXHAUSTED,
        RDSHIGHCPU,
        RDSHIGHLATENCY,
        RDSLOWMEMORY,
        RDSLOWSTORAGESPACE,
        RDSOFSERVICEUNAVAILABLE,
        RDSRESTARTSEQUENCE,
        SERVICEERRORRATEINCREASED,
        SERVICESLOWDOWN,
        SERVICEUNEXPECTEDHIGHLOAD,
        SERVICEUNEXPECTEDLOWLOAD,
        SYNTHETICGLOBALOUTAGE,
        SYNTHETICLOCALOUTAGE,
        SYNTHETICTESTLOCATIONSLOWDOWN
    }
}
