"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AlertingPredefinedEventFilter = (function () {
    function AlertingPredefinedEventFilter() {
    }
    AlertingPredefinedEventFilter.getAttributeTypeMap = function () {
        return AlertingPredefinedEventFilter.attributeTypeMap;
    };
    AlertingPredefinedEventFilter.discriminator = undefined;
    AlertingPredefinedEventFilter.attributeTypeMap = [
        {
            "name": "eventType",
            "baseName": "eventType",
            "type": "AlertingPredefinedEventFilter.EventTypeEnum"
        },
        {
            "name": "negate",
            "baseName": "negate",
            "type": "boolean"
        }
    ];
    return AlertingPredefinedEventFilter;
}());
exports.AlertingPredefinedEventFilter = AlertingPredefinedEventFilter;
(function (AlertingPredefinedEventFilter) {
    var EventTypeEnum;
    (function (EventTypeEnum) {
        EventTypeEnum[EventTypeEnum["APPLICATIONERRORRATEINCREASED"] = 'APPLICATION_ERROR_RATE_INCREASED'] = "APPLICATIONERRORRATEINCREASED";
        EventTypeEnum[EventTypeEnum["APPLICATIONSLOWDOWN"] = 'APPLICATION_SLOWDOWN'] = "APPLICATIONSLOWDOWN";
        EventTypeEnum[EventTypeEnum["APPLICATIONUNEXPECTEDHIGHLOAD"] = 'APPLICATION_UNEXPECTED_HIGH_LOAD'] = "APPLICATIONUNEXPECTEDHIGHLOAD";
        EventTypeEnum[EventTypeEnum["APPLICATIONUNEXPECTEDLOWLOAD"] = 'APPLICATION_UNEXPECTED_LOW_LOAD'] = "APPLICATIONUNEXPECTEDLOWLOAD";
        EventTypeEnum[EventTypeEnum["AWSLAMBDAHIGHERRORRATE"] = 'AWS_LAMBDA_HIGH_ERROR_RATE'] = "AWSLAMBDAHIGHERRORRATE";
        EventTypeEnum[EventTypeEnum["CUSTOMAPPLICATIONERRORRATEINCREASED"] = 'CUSTOM_APPLICATION_ERROR_RATE_INCREASED'] = "CUSTOMAPPLICATIONERRORRATEINCREASED";
        EventTypeEnum[EventTypeEnum["CUSTOMAPPLICATIONSLOWDOWN"] = 'CUSTOM_APPLICATION_SLOWDOWN'] = "CUSTOMAPPLICATIONSLOWDOWN";
        EventTypeEnum[EventTypeEnum["CUSTOMAPPLICATIONUNEXPECTEDHIGHLOAD"] = 'CUSTOM_APPLICATION_UNEXPECTED_HIGH_LOAD'] = "CUSTOMAPPLICATIONUNEXPECTEDHIGHLOAD";
        EventTypeEnum[EventTypeEnum["CUSTOMAPPLICATIONUNEXPECTEDLOWLOAD"] = 'CUSTOM_APPLICATION_UNEXPECTED_LOW_LOAD'] = "CUSTOMAPPLICATIONUNEXPECTEDLOWLOAD";
        EventTypeEnum[EventTypeEnum["CUSTOMAPPCRASHRATEINCREASED"] = 'CUSTOM_APP_CRASH_RATE_INCREASED'] = "CUSTOMAPPCRASHRATEINCREASED";
        EventTypeEnum[EventTypeEnum["DATABASECONNECTIONFAILURE"] = 'DATABASE_CONNECTION_FAILURE'] = "DATABASECONNECTIONFAILURE";
        EventTypeEnum[EventTypeEnum["DATACENTERSERVICEPERFORMANCEDEGRADATION"] = 'DATA_CENTER_SERVICE_PERFORMANCE_DEGRADATION'] = "DATACENTERSERVICEPERFORMANCEDEGRADATION";
        EventTypeEnum[EventTypeEnum["DATACENTERSERVICEUNAVAILABLE"] = 'DATA_CENTER_SERVICE_UNAVAILABLE'] = "DATACENTERSERVICEUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["EBSVOLUMEHIGHLATENCY"] = 'EBS_VOLUME_HIGH_LATENCY'] = "EBSVOLUMEHIGHLATENCY";
        EventTypeEnum[EventTypeEnum["EC2HIGHCPU"] = 'EC2_HIGH_CPU'] = "EC2HIGHCPU";
        EventTypeEnum[EventTypeEnum["ELBHIGHBACKENDERRORRATE"] = 'ELB_HIGH_BACKEND_ERROR_RATE'] = "ELBHIGHBACKENDERRORRATE";
        EventTypeEnum[EventTypeEnum["ENTERPRICEAPPLICATIONPERFORMANCEDEGRADATION"] = 'ENTERPRICE_APPLICATION_PERFORMANCE_DEGRADATION'] = "ENTERPRICEAPPLICATIONPERFORMANCEDEGRADATION";
        EventTypeEnum[EventTypeEnum["ENTERPRISEAPPLICATIONUNAVAILABLE"] = 'ENTERPRISE_APPLICATION_UNAVAILABLE'] = "ENTERPRISEAPPLICATIONUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["ESXIGUESTACTIVESWAPWAIT"] = 'ESXI_GUEST_ACTIVE_SWAP_WAIT'] = "ESXIGUESTACTIVESWAPWAIT";
        EventTypeEnum[EventTypeEnum["ESXIGUESTCPULIMITREACHED"] = 'ESXI_GUEST_CPU_LIMIT_REACHED'] = "ESXIGUESTCPULIMITREACHED";
        EventTypeEnum[EventTypeEnum["ESXIHOSTCPUSATURATION"] = 'ESXI_HOST_CPU_SATURATION'] = "ESXIHOSTCPUSATURATION";
        EventTypeEnum[EventTypeEnum["ESXIHOSTDATASTORELOWDISKSPACE"] = 'ESXI_HOST_DATASTORE_LOW_DISK_SPACE'] = "ESXIHOSTDATASTORELOWDISKSPACE";
        EventTypeEnum[EventTypeEnum["ESXIHOSTDISKQUEUESLOW"] = 'ESXI_HOST_DISK_QUEUE_SLOW'] = "ESXIHOSTDISKQUEUESLOW";
        EventTypeEnum[EventTypeEnum["ESXIHOSTDISKSLOW"] = 'ESXI_HOST_DISK_SLOW'] = "ESXIHOSTDISKSLOW";
        EventTypeEnum[EventTypeEnum["ESXIHOSTMEMORYSATURATION"] = 'ESXI_HOST_MEMORY_SATURATION'] = "ESXIHOSTMEMORYSATURATION";
        EventTypeEnum[EventTypeEnum["ESXIHOSTNETWORKPROBLEMS"] = 'ESXI_HOST_NETWORK_PROBLEMS'] = "ESXIHOSTNETWORKPROBLEMS";
        EventTypeEnum[EventTypeEnum["ESXIHOSTOVERLOADEDSTORAGE"] = 'ESXI_HOST_OVERLOADED_STORAGE'] = "ESXIHOSTOVERLOADEDSTORAGE";
        EventTypeEnum[EventTypeEnum["ESXIVMIMPACTHOSTCPUSATURATION"] = 'ESXI_VM_IMPACT_HOST_CPU_SATURATION'] = "ESXIVMIMPACTHOSTCPUSATURATION";
        EventTypeEnum[EventTypeEnum["ESXIVMIMPACTHOSTMEMORYSATURATION"] = 'ESXI_VM_IMPACT_HOST_MEMORY_SATURATION'] = "ESXIVMIMPACTHOSTMEMORYSATURATION";
        EventTypeEnum[EventTypeEnum["EXTERNALSYNTHETICTESTOUTAGE"] = 'EXTERNAL_SYNTHETIC_TEST_OUTAGE'] = "EXTERNALSYNTHETICTESTOUTAGE";
        EventTypeEnum[EventTypeEnum["EXTERNALSYNTHETICTESTSLOWDOWN"] = 'EXTERNAL_SYNTHETIC_TEST_SLOWDOWN'] = "EXTERNALSYNTHETICTESTSLOWDOWN";
        EventTypeEnum[EventTypeEnum["HOSTOFSERVICEUNAVAILABLE"] = 'HOST_OF_SERVICE_UNAVAILABLE'] = "HOSTOFSERVICEUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["HTTPCHECKGLOBALOUTAGE"] = 'HTTP_CHECK_GLOBAL_OUTAGE'] = "HTTPCHECKGLOBALOUTAGE";
        EventTypeEnum[EventTypeEnum["HTTPCHECKLOCALOUTAGE"] = 'HTTP_CHECK_LOCAL_OUTAGE'] = "HTTPCHECKLOCALOUTAGE";
        EventTypeEnum[EventTypeEnum["HTTPCHECKTESTLOCATIONSLOWDOWN"] = 'HTTP_CHECK_TEST_LOCATION_SLOWDOWN'] = "HTTPCHECKTESTLOCATIONSLOWDOWN";
        EventTypeEnum[EventTypeEnum["MOBILEAPPLICATIONERRORRATEINCREASED"] = 'MOBILE_APPLICATION_ERROR_RATE_INCREASED'] = "MOBILEAPPLICATIONERRORRATEINCREASED";
        EventTypeEnum[EventTypeEnum["MOBILEAPPLICATIONSLOWDOWN"] = 'MOBILE_APPLICATION_SLOWDOWN'] = "MOBILEAPPLICATIONSLOWDOWN";
        EventTypeEnum[EventTypeEnum["MOBILEAPPLICATIONUNEXPECTEDHIGHLOAD"] = 'MOBILE_APPLICATION_UNEXPECTED_HIGH_LOAD'] = "MOBILEAPPLICATIONUNEXPECTEDHIGHLOAD";
        EventTypeEnum[EventTypeEnum["MOBILEAPPLICATIONUNEXPECTEDLOWLOAD"] = 'MOBILE_APPLICATION_UNEXPECTED_LOW_LOAD'] = "MOBILEAPPLICATIONUNEXPECTEDLOWLOAD";
        EventTypeEnum[EventTypeEnum["MOBILEAPPCRASHRATEINCREASED"] = 'MOBILE_APP_CRASH_RATE_INCREASED'] = "MOBILEAPPCRASHRATEINCREASED";
        EventTypeEnum[EventTypeEnum["MONITORINGUNAVAILABLE"] = 'MONITORING_UNAVAILABLE'] = "MONITORINGUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["OSIDISKLOWINODES"] = 'OSI_DISK_LOW_INODES'] = "OSIDISKLOWINODES";
        EventTypeEnum[EventTypeEnum["OSIGRACEFULLYSHUTDOWN"] = 'OSI_GRACEFULLY_SHUTDOWN'] = "OSIGRACEFULLYSHUTDOWN";
        EventTypeEnum[EventTypeEnum["OSIHIGHCPU"] = 'OSI_HIGH_CPU'] = "OSIHIGHCPU";
        EventTypeEnum[EventTypeEnum["OSIHIGHMEMORY"] = 'OSI_HIGH_MEMORY'] = "OSIHIGHMEMORY";
        EventTypeEnum[EventTypeEnum["OSILOWDISKSPACE"] = 'OSI_LOW_DISK_SPACE'] = "OSILOWDISKSPACE";
        EventTypeEnum[EventTypeEnum["OSINICDROPPEDPACKETSHIGH"] = 'OSI_NIC_DROPPED_PACKETS_HIGH'] = "OSINICDROPPEDPACKETSHIGH";
        EventTypeEnum[EventTypeEnum["OSINICERRORSHIGH"] = 'OSI_NIC_ERRORS_HIGH'] = "OSINICERRORSHIGH";
        EventTypeEnum[EventTypeEnum["OSINICUTILIZATIONHIGH"] = 'OSI_NIC_UTILIZATION_HIGH'] = "OSINICUTILIZATIONHIGH";
        EventTypeEnum[EventTypeEnum["OSISLOWDISK"] = 'OSI_SLOW_DISK'] = "OSISLOWDISK";
        EventTypeEnum[EventTypeEnum["OSIUNEXPECTEDLYUNAVAILABLE"] = 'OSI_UNEXPECTEDLY_UNAVAILABLE'] = "OSIUNEXPECTEDLYUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["PGIOFSERVICEUNAVAILABLE"] = 'PGI_OF_SERVICE_UNAVAILABLE'] = "PGIOFSERVICEUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["PGIUNAVAILABLE"] = 'PGI_UNAVAILABLE'] = "PGIUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["PGLOWINSTANCECOUNT"] = 'PG_LOW_INSTANCE_COUNT'] = "PGLOWINSTANCECOUNT";
        EventTypeEnum[EventTypeEnum["PROCESSCRASHED"] = 'PROCESS_CRASHED'] = "PROCESSCRASHED";
        EventTypeEnum[EventTypeEnum["PROCESSHIGHGCACTIVITY"] = 'PROCESS_HIGH_GC_ACTIVITY'] = "PROCESSHIGHGCACTIVITY";
        EventTypeEnum[EventTypeEnum["PROCESSMEMORYRESOURCEEXHAUSTED"] = 'PROCESS_MEMORY_RESOURCE_EXHAUSTED'] = "PROCESSMEMORYRESOURCEEXHAUSTED";
        EventTypeEnum[EventTypeEnum["PROCESSNAHIGHCONNFAILRATE"] = 'PROCESS_NA_HIGH_CONN_FAIL_RATE'] = "PROCESSNAHIGHCONNFAILRATE";
        EventTypeEnum[EventTypeEnum["PROCESSNAHIGHLOSSRATE"] = 'PROCESS_NA_HIGH_LOSS_RATE'] = "PROCESSNAHIGHLOSSRATE";
        EventTypeEnum[EventTypeEnum["PROCESSTHREADSRESOURCEEXHAUSTED"] = 'PROCESS_THREADS_RESOURCE_EXHAUSTED'] = "PROCESSTHREADSRESOURCEEXHAUSTED";
        EventTypeEnum[EventTypeEnum["RDSHIGHCPU"] = 'RDS_HIGH_CPU'] = "RDSHIGHCPU";
        EventTypeEnum[EventTypeEnum["RDSHIGHLATENCY"] = 'RDS_HIGH_LATENCY'] = "RDSHIGHLATENCY";
        EventTypeEnum[EventTypeEnum["RDSLOWMEMORY"] = 'RDS_LOW_MEMORY'] = "RDSLOWMEMORY";
        EventTypeEnum[EventTypeEnum["RDSLOWSTORAGESPACE"] = 'RDS_LOW_STORAGE_SPACE'] = "RDSLOWSTORAGESPACE";
        EventTypeEnum[EventTypeEnum["RDSOFSERVICEUNAVAILABLE"] = 'RDS_OF_SERVICE_UNAVAILABLE'] = "RDSOFSERVICEUNAVAILABLE";
        EventTypeEnum[EventTypeEnum["RDSRESTARTSEQUENCE"] = 'RDS_RESTART_SEQUENCE'] = "RDSRESTARTSEQUENCE";
        EventTypeEnum[EventTypeEnum["SERVICEERRORRATEINCREASED"] = 'SERVICE_ERROR_RATE_INCREASED'] = "SERVICEERRORRATEINCREASED";
        EventTypeEnum[EventTypeEnum["SERVICESLOWDOWN"] = 'SERVICE_SLOWDOWN'] = "SERVICESLOWDOWN";
        EventTypeEnum[EventTypeEnum["SERVICEUNEXPECTEDHIGHLOAD"] = 'SERVICE_UNEXPECTED_HIGH_LOAD'] = "SERVICEUNEXPECTEDHIGHLOAD";
        EventTypeEnum[EventTypeEnum["SERVICEUNEXPECTEDLOWLOAD"] = 'SERVICE_UNEXPECTED_LOW_LOAD'] = "SERVICEUNEXPECTEDLOWLOAD";
        EventTypeEnum[EventTypeEnum["SYNTHETICGLOBALOUTAGE"] = 'SYNTHETIC_GLOBAL_OUTAGE'] = "SYNTHETICGLOBALOUTAGE";
        EventTypeEnum[EventTypeEnum["SYNTHETICLOCALOUTAGE"] = 'SYNTHETIC_LOCAL_OUTAGE'] = "SYNTHETICLOCALOUTAGE";
        EventTypeEnum[EventTypeEnum["SYNTHETICTESTLOCATIONSLOWDOWN"] = 'SYNTHETIC_TEST_LOCATION_SLOWDOWN'] = "SYNTHETICTESTLOCATIONSLOWDOWN";
    })(EventTypeEnum = AlertingPredefinedEventFilter.EventTypeEnum || (AlertingPredefinedEventFilter.EventTypeEnum = {}));
})(AlertingPredefinedEventFilter = exports.AlertingPredefinedEventFilter || (exports.AlertingPredefinedEventFilter = {}));
exports.AlertingPredefinedEventFilter = AlertingPredefinedEventFilter;
//# sourceMappingURL=alertingPredefinedEventFilter.js.map