import { AlertingEventTypeFilter } from './alertingEventTypeFilter';
import { AlertingProfileSeverityRule } from './alertingProfileSeverityRule';
import { ConfigurationMetadata } from './configurationMetadata';
export declare class AlertingProfile {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'displayName': string;
    'rules'?: Array<AlertingProfileSeverityRule>;
    'mzId'?: string;
    'eventTypeFilters'?: Array<AlertingEventTypeFilter>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
