import { AlertingProfileTagFilter } from './alertingProfileTagFilter';
export declare class AlertingProfileSeverityRule {
    'severityLevel': AlertingProfileSeverityRule.SeverityLevelEnum;
    'tagFilter': AlertingProfileTagFilter;
    'delayInMinutes': number;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AlertingProfileSeverityRule {
    enum SeverityLevelEnum {
        AVAILABILITY,
        CUSTOMALERT,
        ERROR,
        MONITORINGUNAVAILABLE,
        PERFORMANCE,
        RESOURCECONTENTION
    }
}
