import { ConfigurationMetadata } from './configurationMetadata';
import { FailureRateIncreaseDetectionConfig } from './failureRateIncreaseDetectionConfig';
import { ResponseTimeDegradationDetectionConfig } from './responseTimeDegradationDetectionConfig';
import { TrafficDropDetectionConfig } from './trafficDropDetectionConfig';
import { TrafficSpikeDetectionConfig } from './trafficSpikeDetectionConfig';
export declare class ApplicationAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'responseTimeDegradation': ResponseTimeDegradationDetectionConfig;
    'trafficDrop': TrafficDropDetectionConfig;
    'trafficSpike': TrafficSpikeDetectionConfig;
    'failureRateIncrease': FailureRateIncreaseDetectionConfig;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
