import { ConfigurationMetadata } from './configurationMetadata';
import { SessionReplaySettingWithDataPrivacy } from './sessionReplaySettingWithDataPrivacy';
export declare class ApplicationDataPrivacy {
    'metadata'?: ConfigurationMetadata;
    'identifier'?: string;
    'dataCaptureOptInEnabled': boolean;
    'persistentCookieForUserTracking': boolean;
    'doNotTrackBehaviour': ApplicationDataPrivacy.DoNotTrackBehaviourEnum;
    'sessionReplayConfig'?: SessionReplaySettingWithDataPrivacy;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ApplicationDataPrivacy {
    enum DoNotTrackBehaviourEnum {
        CAPTUREANONYMIZED,
        DONOTCAPTURE,
        IGNOREDONOTTRACK
    }
}
