"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApplicationDataPrivacy = (function () {
    function ApplicationDataPrivacy() {
    }
    ApplicationDataPrivacy.getAttributeTypeMap = function () {
        return ApplicationDataPrivacy.attributeTypeMap;
    };
    ApplicationDataPrivacy.discriminator = undefined;
    ApplicationDataPrivacy.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "identifier",
            "baseName": "identifier",
            "type": "string"
        },
        {
            "name": "dataCaptureOptInEnabled",
            "baseName": "dataCaptureOptInEnabled",
            "type": "boolean"
        },
        {
            "name": "persistentCookieForUserTracking",
            "baseName": "persistentCookieForUserTracking",
            "type": "boolean"
        },
        {
            "name": "doNotTrackBehaviour",
            "baseName": "doNotTrackBehaviour",
            "type": "ApplicationDataPrivacy.DoNotTrackBehaviourEnum"
        },
        {
            "name": "sessionReplayConfig",
            "baseName": "sessionReplayConfig",
            "type": "SessionReplaySettingWithDataPrivacy"
        }
    ];
    return ApplicationDataPrivacy;
}());
exports.ApplicationDataPrivacy = ApplicationDataPrivacy;
(function (ApplicationDataPrivacy) {
    var DoNotTrackBehaviourEnum;
    (function (DoNotTrackBehaviourEnum) {
        DoNotTrackBehaviourEnum[DoNotTrackBehaviourEnum["CAPTUREANONYMIZED"] = 'CAPTURE_ANONYMIZED'] = "CAPTUREANONYMIZED";
        DoNotTrackBehaviourEnum[DoNotTrackBehaviourEnum["DONOTCAPTURE"] = 'DO_NOT_CAPTURE'] = "DONOTCAPTURE";
        DoNotTrackBehaviourEnum[DoNotTrackBehaviourEnum["IGNOREDONOTTRACK"] = 'IGNORE_DO_NOT_TRACK'] = "IGNOREDONOTTRACK";
    })(DoNotTrackBehaviourEnum = ApplicationDataPrivacy.DoNotTrackBehaviourEnum || (ApplicationDataPrivacy.DoNotTrackBehaviourEnum = {}));
})(ApplicationDataPrivacy = exports.ApplicationDataPrivacy || (exports.ApplicationDataPrivacy = {}));
exports.ApplicationDataPrivacy = ApplicationDataPrivacy;
//# sourceMappingURL=applicationDataPrivacy.js.map