export declare class ApplicationFilter {
    'pattern': string;
    'applicationMatchType': ApplicationFilter.ApplicationMatchTypeEnum;
    'applicationMatchTarget': ApplicationFilter.ApplicationMatchTargetEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ApplicationFilter {
    enum ApplicationMatchTypeEnum {
        BEGINSWITH,
        CONTAINS,
        ENDSWITH,
        EQUALS,
        MATCHES
    }
    enum ApplicationMatchTargetEnum {
        DOMAIN,
        URL
    }
}
