import { EntityRuleEngineCondition } from './entityRuleEngineCondition';
export declare class AutoTagRule {
    'type': AutoTagRule.TypeEnum;
    'enabled': boolean;
    'valueFormat'?: string;
    'propagationTypes'?: Array<AutoTagRule.PropagationTypesEnum>;
    'conditions': Array<EntityRuleEngineCondition>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AutoTagRule {
    enum TypeEnum {
        APPLICATION,
        AWSAPPLICATIONLOADBALANCER,
        AWSCLASSICLOADBALANCER,
        AWSNETWORKLOADBALANCER,
        AWSRELATIONALDATABASESERVICE,
        AZURE,
        CUSTOMAPPLICATION,
        CUSTOMDEVICE,
        DCRUMAPPLICATION,
        ESXIHOST,
        EXTERNALSYNTHETICTEST,
        HOST,
        HTTPCHECK,
        KUBERNETESNODE,
        MOBILEAPPLICATION,
        PROCESSGROUP,
        SERVICE,
        SYNTHETICTEST
    }
    enum PropagationTypesEnum {
        AZURETOPG,
        AZURETOSERVICE,
        HOSTTOPROCESSGROUPINSTANCE,
        PROCESSGROUPTOHOST,
        PROCESSGROUPTOSERVICE,
        SERVICETOHOSTLIKE,
        SERVICETOPROCESSGROUPLIKE
    }
}
