"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AutoTagRule = (function () {
    function AutoTagRule() {
    }
    AutoTagRule.getAttributeTypeMap = function () {
        return AutoTagRule.attributeTypeMap;
    };
    AutoTagRule.discriminator = undefined;
    AutoTagRule.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "AutoTagRule.TypeEnum"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "valueFormat",
            "baseName": "valueFormat",
            "type": "string"
        },
        {
            "name": "propagationTypes",
            "baseName": "propagationTypes",
            "type": "Array<AutoTagRule.PropagationTypesEnum>"
        },
        {
            "name": "conditions",
            "baseName": "conditions",
            "type": "Array<EntityRuleEngineCondition>"
        }
    ];
    return AutoTagRule;
}());
exports.AutoTagRule = AutoTagRule;
(function (AutoTagRule) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["APPLICATION"] = 'APPLICATION'] = "APPLICATION";
        TypeEnum[TypeEnum["AWSAPPLICATIONLOADBALANCER"] = 'AWS_APPLICATION_LOAD_BALANCER'] = "AWSAPPLICATIONLOADBALANCER";
        TypeEnum[TypeEnum["AWSCLASSICLOADBALANCER"] = 'AWS_CLASSIC_LOAD_BALANCER'] = "AWSCLASSICLOADBALANCER";
        TypeEnum[TypeEnum["AWSNETWORKLOADBALANCER"] = 'AWS_NETWORK_LOAD_BALANCER'] = "AWSNETWORKLOADBALANCER";
        TypeEnum[TypeEnum["AWSRELATIONALDATABASESERVICE"] = 'AWS_RELATIONAL_DATABASE_SERVICE'] = "AWSRELATIONALDATABASESERVICE";
        TypeEnum[TypeEnum["AZURE"] = 'AZURE'] = "AZURE";
        TypeEnum[TypeEnum["CUSTOMAPPLICATION"] = 'CUSTOM_APPLICATION'] = "CUSTOMAPPLICATION";
        TypeEnum[TypeEnum["CUSTOMDEVICE"] = 'CUSTOM_DEVICE'] = "CUSTOMDEVICE";
        TypeEnum[TypeEnum["DCRUMAPPLICATION"] = 'DCRUM_APPLICATION'] = "DCRUMAPPLICATION";
        TypeEnum[TypeEnum["ESXIHOST"] = 'ESXI_HOST'] = "ESXIHOST";
        TypeEnum[TypeEnum["EXTERNALSYNTHETICTEST"] = 'EXTERNAL_SYNTHETIC_TEST'] = "EXTERNALSYNTHETICTEST";
        TypeEnum[TypeEnum["HOST"] = 'HOST'] = "HOST";
        TypeEnum[TypeEnum["HTTPCHECK"] = 'HTTP_CHECK'] = "HTTPCHECK";
        TypeEnum[TypeEnum["KUBERNETESNODE"] = 'KUBERNETES_NODE'] = "KUBERNETESNODE";
        TypeEnum[TypeEnum["MOBILEAPPLICATION"] = 'MOBILE_APPLICATION'] = "MOBILEAPPLICATION";
        TypeEnum[TypeEnum["PROCESSGROUP"] = 'PROCESS_GROUP'] = "PROCESSGROUP";
        TypeEnum[TypeEnum["SERVICE"] = 'SERVICE'] = "SERVICE";
        TypeEnum[TypeEnum["SYNTHETICTEST"] = 'SYNTHETIC_TEST'] = "SYNTHETICTEST";
    })(TypeEnum = AutoTagRule.TypeEnum || (AutoTagRule.TypeEnum = {}));
    var PropagationTypesEnum;
    (function (PropagationTypesEnum) {
        PropagationTypesEnum[PropagationTypesEnum["AZURETOPG"] = 'AZURE_TO_PG'] = "AZURETOPG";
        PropagationTypesEnum[PropagationTypesEnum["AZURETOSERVICE"] = 'AZURE_TO_SERVICE'] = "AZURETOSERVICE";
        PropagationTypesEnum[PropagationTypesEnum["HOSTTOPROCESSGROUPINSTANCE"] = 'HOST_TO_PROCESS_GROUP_INSTANCE'] = "HOSTTOPROCESSGROUPINSTANCE";
        PropagationTypesEnum[PropagationTypesEnum["PROCESSGROUPTOHOST"] = 'PROCESS_GROUP_TO_HOST'] = "PROCESSGROUPTOHOST";
        PropagationTypesEnum[PropagationTypesEnum["PROCESSGROUPTOSERVICE"] = 'PROCESS_GROUP_TO_SERVICE'] = "PROCESSGROUPTOSERVICE";
        PropagationTypesEnum[PropagationTypesEnum["SERVICETOHOSTLIKE"] = 'SERVICE_TO_HOST_LIKE'] = "SERVICETOHOSTLIKE";
        PropagationTypesEnum[PropagationTypesEnum["SERVICETOPROCESSGROUPLIKE"] = 'SERVICE_TO_PROCESS_GROUP_LIKE'] = "SERVICETOPROCESSGROUPLIKE";
    })(PropagationTypesEnum = AutoTagRule.PropagationTypesEnum || (AutoTagRule.PropagationTypesEnum = {}));
})(AutoTagRule = exports.AutoTagRule || (exports.AutoTagRule = {}));
exports.AutoTagRule = AutoTagRule;
//# sourceMappingURL=autoTagRule.js.map