import { ConfigurationMetadata } from './configurationMetadata';
import { Ec2CandidateCpuSaturationDetectionConfig } from './ec2CandidateCpuSaturationDetectionConfig';
import { ElbHighConnectionErrorsDetectionConfig } from './elbHighConnectionErrorsDetectionConfig';
import { LambdaHighErrorRateDetectionConfig } from './lambdaHighErrorRateDetectionConfig';
import { RdsHighCpuDetectionConfig } from './rdsHighCpuDetectionConfig';
import { RdsHighMemoryDetectionConfig } from './rdsHighMemoryDetectionConfig';
import { RdsHighWriteReadLatencyDetectionConfig } from './rdsHighWriteReadLatencyDetectionConfig';
import { RdsLowStorageDetectionConfig } from './rdsLowStorageDetectionConfig';
import { RdsRestartsSequenceDetectionConfig } from './rdsRestartsSequenceDetectionConfig';
export declare class AwsAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'rdsHighCpuDetection': RdsHighCpuDetectionConfig;
    'rdsHighWriteReadLatencyDetection': RdsHighWriteReadLatencyDetectionConfig;
    'rdsLowStorageDetection': RdsLowStorageDetectionConfig;
    'rdsHighMemoryDetection': RdsHighMemoryDetectionConfig;
    'elbHighConnectionErrorsDetection': ElbHighConnectionErrorsDetectionConfig;
    'rdsRestartsSequenceDetection': RdsRestartsSequenceDetectionConfig;
    'lambdaHighErrorRateDetection': LambdaHighErrorRateDetectionConfig;
    'ec2CandidateCpuSaturationDetection'?: Ec2CandidateCpuSaturationDetectionConfig;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
