"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AwsCredentialsConfig = (function () {
    function AwsCredentialsConfig() {
    }
    AwsCredentialsConfig.getAttributeTypeMap = function () {
        return AwsCredentialsConfig.attributeTypeMap;
    };
    AwsCredentialsConfig.discriminator = undefined;
    AwsCredentialsConfig.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "connectionStatus",
            "baseName": "connectionStatus",
            "type": "AwsCredentialsConfig.ConnectionStatusEnum"
        },
        {
            "name": "label",
            "baseName": "label",
            "type": "string"
        },
        {
            "name": "partitionType",
            "baseName": "partitionType",
            "type": "AwsCredentialsConfig.PartitionTypeEnum"
        },
        {
            "name": "authenticationData",
            "baseName": "authenticationData",
            "type": "AwsAuthenticationData"
        },
        {
            "name": "taggedOnly",
            "baseName": "taggedOnly",
            "type": "boolean"
        },
        {
            "name": "tagsToMonitor",
            "baseName": "tagsToMonitor",
            "type": "Array<AwsConfigTag>"
        },
        {
            "name": "supportingServicesToMonitor",
            "baseName": "supportingServicesToMonitor",
            "type": "Array<AwsSupportingServiceConfig>"
        }
    ];
    return AwsCredentialsConfig;
}());
exports.AwsCredentialsConfig = AwsCredentialsConfig;
(function (AwsCredentialsConfig) {
    var ConnectionStatusEnum;
    (function (ConnectionStatusEnum) {
        ConnectionStatusEnum[ConnectionStatusEnum["CONNECTED"] = 'CONNECTED'] = "CONNECTED";
        ConnectionStatusEnum[ConnectionStatusEnum["DISCONNECTED"] = 'DISCONNECTED'] = "DISCONNECTED";
        ConnectionStatusEnum[ConnectionStatusEnum["UNINITIALIZED"] = 'UNINITIALIZED'] = "UNINITIALIZED";
    })(ConnectionStatusEnum = AwsCredentialsConfig.ConnectionStatusEnum || (AwsCredentialsConfig.ConnectionStatusEnum = {}));
    var PartitionTypeEnum;
    (function (PartitionTypeEnum) {
        PartitionTypeEnum[PartitionTypeEnum["CN"] = 'AWS_CN'] = "CN";
        PartitionTypeEnum[PartitionTypeEnum["DEFAULT"] = 'AWS_DEFAULT'] = "DEFAULT";
        PartitionTypeEnum[PartitionTypeEnum["USGOV"] = 'AWS_US_GOV'] = "USGOV";
    })(PartitionTypeEnum = AwsCredentialsConfig.PartitionTypeEnum || (AwsCredentialsConfig.PartitionTypeEnum = {}));
})(AwsCredentialsConfig = exports.AwsCredentialsConfig || (exports.AwsCredentialsConfig = {}));
exports.AwsCredentialsConfig = AwsCredentialsConfig;
//# sourceMappingURL=awsCredentialsConfig.js.map