"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AzureCredentials = (function () {
    function AzureCredentials() {
    }
    AzureCredentials.getAttributeTypeMap = function () {
        return AzureCredentials.attributeTypeMap;
    };
    AzureCredentials.discriminator = undefined;
    AzureCredentials.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "label",
            "baseName": "label",
            "type": "string"
        },
        {
            "name": "appId",
            "baseName": "appId",
            "type": "string"
        },
        {
            "name": "directoryId",
            "baseName": "directoryId",
            "type": "string"
        },
        {
            "name": "key",
            "baseName": "key",
            "type": "string"
        },
        {
            "name": "active",
            "baseName": "active",
            "type": "boolean"
        },
        {
            "name": "autoTagging",
            "baseName": "autoTagging",
            "type": "boolean"
        },
        {
            "name": "monitorOnlyTaggedEntities",
            "baseName": "monitorOnlyTaggedEntities",
            "type": "boolean"
        },
        {
            "name": "monitorOnlyTagPairs",
            "baseName": "monitorOnlyTagPairs",
            "type": "Array<CloudTag>"
        },
        {
            "name": "supportingServices",
            "baseName": "supportingServices",
            "type": "Array<AzureSupportingService>"
        }
    ];
    return AzureCredentials;
}());
exports.AzureCredentials = AzureCredentials;
//# sourceMappingURL=azureCredentials.js.map