export declare class CalculatedMetricDefinition {
    'metric': CalculatedMetricDefinition.MetricEnum;
    'requestAttribute'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CalculatedMetricDefinition {
    enum MetricEnum {
        CPUTIME,
        DATABASECHILDCALLCOUNT,
        DATABASECHILDCALLTIME,
        EXCEPTIONCOUNT,
        FAILEDREQUESTCOUNT,
        FAILEDREQUESTCOUNTCLIENT,
        FAILURERATE,
        FAILURERATECLIENT,
        HTTP4XXERRORCOUNT,
        HTTP4XXERRORCOUNTCLIENT,
        HTTP5XXERRORCOUNT,
        HTTP5XXERRORCOUNTCLIENT,
        IOTIME,
        LOCKTIME,
        NONDATABASECHILDCALLCOUNT,
        NONDATABASECHILDCALLTIME,
        PROCESSINGTIME,
        REQUESTATTRIBUTE,
        REQUESTCOUNT,
        RESPONSETIME,
        RESPONSETIMECLIENT,
        SUCCESSFULREQUESTCOUNT,
        SUCCESSFULREQUESTCOUNTCLIENT,
        WAITTIME
    }
}
