import { CalculatedMobileMetricDimension } from './calculatedMobileMetricDimension';
import { CalculatedMobileMetricUserActionFilter } from './calculatedMobileMetricUserActionFilter';
export declare class CalculatedMobileMetric {
    'applicationIdentifier': string;
    'name': string;
    'metricKey': string;
    'enabled': boolean;
    'metricType': CalculatedMobileMetric.MetricTypeEnum;
    'dimensions'?: Array<CalculatedMobileMetricDimension>;
    'userActionFilter'?: CalculatedMobileMetricUserActionFilter;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CalculatedMobileMetric {
    enum MetricTypeEnum {
        REPORTEDERRORCOUNT,
        USERACTIONDURATION,
        WEBREQUESTCOUNT,
        WEBREQUESTERRORCOUNT
    }
}
