"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CalculatedMobileMetric = (function () {
    function CalculatedMobileMetric() {
    }
    CalculatedMobileMetric.getAttributeTypeMap = function () {
        return CalculatedMobileMetric.attributeTypeMap;
    };
    CalculatedMobileMetric.discriminator = undefined;
    CalculatedMobileMetric.attributeTypeMap = [
        {
            "name": "applicationIdentifier",
            "baseName": "applicationIdentifier",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "metricKey",
            "baseName": "metricKey",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "metricType",
            "baseName": "metricType",
            "type": "CalculatedMobileMetric.MetricTypeEnum"
        },
        {
            "name": "dimensions",
            "baseName": "dimensions",
            "type": "Array<CalculatedMobileMetricDimension>"
        },
        {
            "name": "userActionFilter",
            "baseName": "userActionFilter",
            "type": "CalculatedMobileMetricUserActionFilter"
        }
    ];
    return CalculatedMobileMetric;
}());
exports.CalculatedMobileMetric = CalculatedMobileMetric;
(function (CalculatedMobileMetric) {
    var MetricTypeEnum;
    (function (MetricTypeEnum) {
        MetricTypeEnum[MetricTypeEnum["REPORTEDERRORCOUNT"] = 'REPORTED_ERROR_COUNT'] = "REPORTEDERRORCOUNT";
        MetricTypeEnum[MetricTypeEnum["USERACTIONDURATION"] = 'USER_ACTION_DURATION'] = "USERACTIONDURATION";
        MetricTypeEnum[MetricTypeEnum["WEBREQUESTCOUNT"] = 'WEB_REQUEST_COUNT'] = "WEBREQUESTCOUNT";
        MetricTypeEnum[MetricTypeEnum["WEBREQUESTERRORCOUNT"] = 'WEB_REQUEST_ERROR_COUNT'] = "WEBREQUESTERRORCOUNT";
    })(MetricTypeEnum = CalculatedMobileMetric.MetricTypeEnum || (CalculatedMobileMetric.MetricTypeEnum = {}));
})(CalculatedMobileMetric = exports.CalculatedMobileMetric || (exports.CalculatedMobileMetric = {}));
exports.CalculatedMobileMetric = CalculatedMobileMetric;
//# sourceMappingURL=calculatedMobileMetric.js.map