"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CapturedMethod = (function () {
    function CapturedMethod() {
    }
    CapturedMethod.getAttributeTypeMap = function () {
        return CapturedMethod.attributeTypeMap;
    };
    CapturedMethod.discriminator = undefined;
    CapturedMethod.attributeTypeMap = [
        {
            "name": "method",
            "baseName": "method",
            "type": "MethodReference"
        },
        {
            "name": "capture",
            "baseName": "capture",
            "type": "CapturedMethod.CaptureEnum"
        },
        {
            "name": "argumentIndex",
            "baseName": "argumentIndex",
            "type": "number"
        },
        {
            "name": "deepObjectAccess",
            "baseName": "deepObjectAccess",
            "type": "string"
        }
    ];
    return CapturedMethod;
}());
exports.CapturedMethod = CapturedMethod;
(function (CapturedMethod) {
    var CaptureEnum;
    (function (CaptureEnum) {
        CaptureEnum[CaptureEnum["ARGUMENT"] = 'ARGUMENT'] = "ARGUMENT";
        CaptureEnum[CaptureEnum["CLASSNAME"] = 'CLASS_NAME'] = "CLASSNAME";
        CaptureEnum[CaptureEnum["METHODNAME"] = 'METHOD_NAME'] = "METHODNAME";
        CaptureEnum[CaptureEnum["OCCURRENCES"] = 'OCCURRENCES'] = "OCCURRENCES";
        CaptureEnum[CaptureEnum["SIMPLECLASSNAME"] = 'SIMPLE_CLASS_NAME'] = "SIMPLECLASSNAME";
        CaptureEnum[CaptureEnum["THIS"] = 'THIS'] = "THIS";
    })(CaptureEnum = CapturedMethod.CaptureEnum || (CapturedMethod.CaptureEnum = {}));
})(CapturedMethod = exports.CapturedMethod || (exports.CapturedMethod = {}));
exports.CapturedMethod = CapturedMethod;
//# sourceMappingURL=capturedMethod.js.map