import { ConfigurationMetadata } from './configurationMetadata';
export declare class CloudFoundryCredentials {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'active'?: boolean;
    'endpointStatus'?: CloudFoundryCredentials.EndpointStatusEnum;
    'endpointStatusInfo'?: string;
    'name': string;
    'apiUrl'?: string;
    'loginUrl'?: string;
    'username': string;
    'password'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CloudFoundryCredentials {
    enum EndpointStatusEnum {
        ASSIGNED,
        DISABLED,
        FASTCHECKAUTHERROR,
        FASTCHECKAUTHLOCKED,
        FASTCHECKINVALIDENDPOINT,
        FASTCHECKNORESPONSE,
        FASTCHECKTLSERROR,
        UNASSIGNED,
        UNKNOWN
    }
}
