"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CloudFoundryCredentials = (function () {
    function CloudFoundryCredentials() {
    }
    CloudFoundryCredentials.getAttributeTypeMap = function () {
        return CloudFoundryCredentials.attributeTypeMap;
    };
    CloudFoundryCredentials.discriminator = undefined;
    CloudFoundryCredentials.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "active",
            "baseName": "active",
            "type": "boolean"
        },
        {
            "name": "endpointStatus",
            "baseName": "endpointStatus",
            "type": "CloudFoundryCredentials.EndpointStatusEnum"
        },
        {
            "name": "endpointStatusInfo",
            "baseName": "endpointStatusInfo",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "apiUrl",
            "baseName": "apiUrl",
            "type": "string"
        },
        {
            "name": "loginUrl",
            "baseName": "loginUrl",
            "type": "string"
        },
        {
            "name": "username",
            "baseName": "username",
            "type": "string"
        },
        {
            "name": "password",
            "baseName": "password",
            "type": "string"
        }
    ];
    return CloudFoundryCredentials;
}());
exports.CloudFoundryCredentials = CloudFoundryCredentials;
(function (CloudFoundryCredentials) {
    var EndpointStatusEnum;
    (function (EndpointStatusEnum) {
        EndpointStatusEnum[EndpointStatusEnum["ASSIGNED"] = 'ASSIGNED'] = "ASSIGNED";
        EndpointStatusEnum[EndpointStatusEnum["DISABLED"] = 'DISABLED'] = "DISABLED";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKAUTHERROR"] = 'FASTCHECK_AUTH_ERROR'] = "FASTCHECKAUTHERROR";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKAUTHLOCKED"] = 'FASTCHECK_AUTH_LOCKED'] = "FASTCHECKAUTHLOCKED";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKINVALIDENDPOINT"] = 'FASTCHECK_INVALID_ENDPOINT'] = "FASTCHECKINVALIDENDPOINT";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKNORESPONSE"] = 'FASTCHECK_NO_RESPONSE'] = "FASTCHECKNORESPONSE";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKTLSERROR"] = 'FASTCHECK_TLS_ERROR'] = "FASTCHECKTLSERROR";
        EndpointStatusEnum[EndpointStatusEnum["UNASSIGNED"] = 'UNASSIGNED'] = "UNASSIGNED";
        EndpointStatusEnum[EndpointStatusEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
    })(EndpointStatusEnum = CloudFoundryCredentials.EndpointStatusEnum || (CloudFoundryCredentials.EndpointStatusEnum = {}));
})(CloudFoundryCredentials = exports.CloudFoundryCredentials || (exports.CloudFoundryCredentials = {}));
exports.CloudFoundryCredentials = CloudFoundryCredentials;
//# sourceMappingURL=cloudFoundryCredentials.js.map