"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Condition = (function () {
    function Condition() {
    }
    Condition.getAttributeTypeMap = function () {
        return Condition.attributeTypeMap;
    };
    Condition.discriminator = undefined;
    Condition.attributeTypeMap = [
        {
            "name": "attribute",
            "baseName": "attribute",
            "type": "Condition.AttributeEnum"
        },
        {
            "name": "comparisonInfo",
            "baseName": "comparisonInfo",
            "type": "ComparisonInfo"
        }
    ];
    return Condition;
}());
exports.Condition = Condition;
(function (Condition) {
    var AttributeEnum;
    (function (AttributeEnum) {
        AttributeEnum[AttributeEnum["ACTORSYSTEM"] = 'ACTOR_SYSTEM'] = "ACTORSYSTEM";
        AttributeEnum[AttributeEnum["AKKAACTORCLASSNAME"] = 'AKKA_ACTOR_CLASS_NAME'] = "AKKAACTORCLASSNAME";
        AttributeEnum[AttributeEnum["AKKAACTORMESSAGETYPE"] = 'AKKA_ACTOR_MESSAGE_TYPE'] = "AKKAACTORMESSAGETYPE";
        AttributeEnum[AttributeEnum["AKKAACTORPATH"] = 'AKKA_ACTOR_PATH'] = "AKKAACTORPATH";
        AttributeEnum[AttributeEnum["AZUREFUNCTIONSFUNCTIONNAME"] = 'AZURE_FUNCTIONS_FUNCTION_NAME'] = "AZUREFUNCTIONSFUNCTIONNAME";
        AttributeEnum[AttributeEnum["AZUREFUNCTIONSSITENAME"] = 'AZURE_FUNCTIONS_SITE_NAME'] = "AZUREFUNCTIONSSITENAME";
        AttributeEnum[AttributeEnum["CICSPROGRAMNAME"] = 'CICS_PROGRAM_NAME'] = "CICSPROGRAMNAME";
        AttributeEnum[AttributeEnum["CICSSYSTEMID"] = 'CICS_SYSTEM_ID'] = "CICSSYSTEMID";
        AttributeEnum[AttributeEnum["CICSTASKID"] = 'CICS_TASK_ID'] = "CICSTASKID";
        AttributeEnum[AttributeEnum["CICSTRANSACTIONID"] = 'CICS_TRANSACTION_ID'] = "CICSTRANSACTIONID";
        AttributeEnum[AttributeEnum["CPUTIME"] = 'CPU_TIME'] = "CPUTIME";
        AttributeEnum[AttributeEnum["CTGGATEWAYURL"] = 'CTG_GATEWAY_URL'] = "CTGGATEWAYURL";
        AttributeEnum[AttributeEnum["CTGPROGRAM"] = 'CTG_PROGRAM'] = "CTGPROGRAM";
        AttributeEnum[AttributeEnum["CTGSERVERNAME"] = 'CTG_SERVER_NAME'] = "CTGSERVERNAME";
        AttributeEnum[AttributeEnum["CTGTRANSACTIONID"] = 'CTG_TRANSACTION_ID'] = "CTGTRANSACTIONID";
        AttributeEnum[AttributeEnum["CUSTOMSERVICECLASS"] = 'CUSTOMSERVICE_CLASS'] = "CUSTOMSERVICECLASS";
        AttributeEnum[AttributeEnum["CUSTOMSERVICEMETHOD"] = 'CUSTOMSERVICE_METHOD'] = "CUSTOMSERVICEMETHOD";
        AttributeEnum[AttributeEnum["DATABASECHILDCALLCOUNT"] = 'DATABASE_CHILD_CALL_COUNT'] = "DATABASECHILDCALLCOUNT";
        AttributeEnum[AttributeEnum["DATABASECHILDCALLTIME"] = 'DATABASE_CHILD_CALL_TIME'] = "DATABASECHILDCALLTIME";
        AttributeEnum[AttributeEnum["ERRORCOUNT"] = 'ERROR_COUNT'] = "ERRORCOUNT";
        AttributeEnum[AttributeEnum["ESBAPPLICATIONNAME"] = 'ESB_APPLICATION_NAME'] = "ESBAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["ESBINPUTTYPE"] = 'ESB_INPUT_TYPE'] = "ESBINPUTTYPE";
        AttributeEnum[AttributeEnum["ESBLIBRARYNAME"] = 'ESB_LIBRARY_NAME'] = "ESBLIBRARYNAME";
        AttributeEnum[AttributeEnum["ESBMESSAGEFLOWNAME"] = 'ESB_MESSAGE_FLOW_NAME'] = "ESBMESSAGEFLOWNAME";
        AttributeEnum[AttributeEnum["EXCEPTIONCLASS"] = 'EXCEPTION_CLASS'] = "EXCEPTIONCLASS";
        AttributeEnum[AttributeEnum["EXCEPTIONMESSAGE"] = 'EXCEPTION_MESSAGE'] = "EXCEPTIONMESSAGE";
        AttributeEnum[AttributeEnum["FAILEDSTATE"] = 'FAILED_STATE'] = "FAILEDSTATE";
        AttributeEnum[AttributeEnum["FAILUREREASON"] = 'FAILURE_REASON'] = "FAILUREREASON";
        AttributeEnum[AttributeEnum["FLAWSTATE"] = 'FLAW_STATE'] = "FLAWSTATE";
        AttributeEnum[AttributeEnum["HTTPREQUESTMETHOD"] = 'HTTP_REQUEST_METHOD'] = "HTTPREQUESTMETHOD";
        AttributeEnum[AttributeEnum["HTTPSTATUS"] = 'HTTP_STATUS'] = "HTTPSTATUS";
        AttributeEnum[AttributeEnum["HTTPSTATUSCLASS"] = 'HTTP_STATUS_CLASS'] = "HTTPSTATUSCLASS";
        AttributeEnum[AttributeEnum["IMSPROGRAMNAME"] = 'IMS_PROGRAM_NAME'] = "IMSPROGRAMNAME";
        AttributeEnum[AttributeEnum["IMSTRANSACTIONID"] = 'IMS_TRANSACTION_ID'] = "IMSTRANSACTIONID";
        AttributeEnum[AttributeEnum["IOTIME"] = 'IO_TIME'] = "IOTIME";
        AttributeEnum[AttributeEnum["LOCKTIME"] = 'LOCK_TIME'] = "LOCKTIME";
        AttributeEnum[AttributeEnum["MESSAGINGDESTINATIONTYPE"] = 'MESSAGING_DESTINATION_TYPE'] = "MESSAGINGDESTINATIONTYPE";
        AttributeEnum[AttributeEnum["MESSAGINGISTEMPORARYQUEUE"] = 'MESSAGING_IS_TEMPORARY_QUEUE'] = "MESSAGINGISTEMPORARYQUEUE";
        AttributeEnum[AttributeEnum["MESSAGINGQUEUENAME"] = 'MESSAGING_QUEUE_NAME'] = "MESSAGINGQUEUENAME";
        AttributeEnum[AttributeEnum["MESSAGINGQUEUEVENDOR"] = 'MESSAGING_QUEUE_VENDOR'] = "MESSAGINGQUEUEVENDOR";
        AttributeEnum[AttributeEnum["NONDATABASECHILDCALLCOUNT"] = 'NON_DATABASE_CHILD_CALL_COUNT'] = "NONDATABASECHILDCALLCOUNT";
        AttributeEnum[AttributeEnum["NONDATABASECHILDCALLTIME"] = 'NON_DATABASE_CHILD_CALL_TIME'] = "NONDATABASECHILDCALLTIME";
        AttributeEnum[AttributeEnum["PROCESSGROUPNAME"] = 'PROCESS_GROUP_NAME'] = "PROCESSGROUPNAME";
        AttributeEnum[AttributeEnum["PROCESSGROUPTAG"] = 'PROCESS_GROUP_TAG'] = "PROCESSGROUPTAG";
        AttributeEnum[AttributeEnum["REMOTEENDPOINT"] = 'REMOTE_ENDPOINT'] = "REMOTEENDPOINT";
        AttributeEnum[AttributeEnum["REMOTEMETHOD"] = 'REMOTE_METHOD'] = "REMOTEMETHOD";
        AttributeEnum[AttributeEnum["REMOTESERVICENAME"] = 'REMOTE_SERVICE_NAME'] = "REMOTESERVICENAME";
        AttributeEnum[AttributeEnum["REQUESTNAME"] = 'REQUEST_NAME'] = "REQUESTNAME";
        AttributeEnum[AttributeEnum["REQUESTTYPE"] = 'REQUEST_TYPE'] = "REQUESTTYPE";
        AttributeEnum[AttributeEnum["RESPONSETIME"] = 'RESPONSE_TIME'] = "RESPONSETIME";
        AttributeEnum[AttributeEnum["RESPONSETIMECLIENT"] = 'RESPONSE_TIME_CLIENT'] = "RESPONSETIMECLIENT";
        AttributeEnum[AttributeEnum["RMICLASS"] = 'RMI_CLASS'] = "RMICLASS";
        AttributeEnum[AttributeEnum["RMIMETHOD"] = 'RMI_METHOD'] = "RMIMETHOD";
        AttributeEnum[AttributeEnum["SERVICEDISPLAYNAME"] = 'SERVICE_DISPLAY_NAME'] = "SERVICEDISPLAYNAME";
        AttributeEnum[AttributeEnum["SERVICENAME"] = 'SERVICE_NAME'] = "SERVICENAME";
        AttributeEnum[AttributeEnum["SERVICEPORT"] = 'SERVICE_PORT'] = "SERVICEPORT";
        AttributeEnum[AttributeEnum["SERVICEPUBLICDOMAINNAME"] = 'SERVICE_PUBLIC_DOMAIN_NAME'] = "SERVICEPUBLICDOMAINNAME";
        AttributeEnum[AttributeEnum["SERVICEREQUESTATTRIBUTE"] = 'SERVICE_REQUEST_ATTRIBUTE'] = "SERVICEREQUESTATTRIBUTE";
        AttributeEnum[AttributeEnum["SERVICETAG"] = 'SERVICE_TAG'] = "SERVICETAG";
        AttributeEnum[AttributeEnum["SERVICETYPE"] = 'SERVICE_TYPE'] = "SERVICETYPE";
        AttributeEnum[AttributeEnum["SERVICEWEBAPPLICATIONID"] = 'SERVICE_WEB_APPLICATION_ID'] = "SERVICEWEBAPPLICATIONID";
        AttributeEnum[AttributeEnum["SERVICEWEBCONTEXTROOT"] = 'SERVICE_WEB_CONTEXT_ROOT'] = "SERVICEWEBCONTEXTROOT";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVERNAME"] = 'SERVICE_WEB_SERVER_NAME'] = "SERVICEWEBSERVERNAME";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVICENAME"] = 'SERVICE_WEB_SERVICE_NAME'] = "SERVICEWEBSERVICENAME";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVICENAMESPACE"] = 'SERVICE_WEB_SERVICE_NAMESPACE'] = "SERVICEWEBSERVICENAMESPACE";
        AttributeEnum[AttributeEnum["SUSPENSIONTIME"] = 'SUSPENSION_TIME'] = "SUSPENSIONTIME";
        AttributeEnum[AttributeEnum["TOTALPROCESSINGTIME"] = 'TOTAL_PROCESSING_TIME'] = "TOTALPROCESSINGTIME";
        AttributeEnum[AttributeEnum["WAITTIME"] = 'WAIT_TIME'] = "WAITTIME";
        AttributeEnum[AttributeEnum["WEBREQUESTQUERY"] = 'WEBREQUEST_QUERY'] = "WEBREQUESTQUERY";
        AttributeEnum[AttributeEnum["WEBREQUESTURL"] = 'WEBREQUEST_URL'] = "WEBREQUESTURL";
        AttributeEnum[AttributeEnum["WEBREQUESTURLHOST"] = 'WEBREQUEST_URL_HOST'] = "WEBREQUESTURLHOST";
        AttributeEnum[AttributeEnum["WEBREQUESTURLPATH"] = 'WEBREQUEST_URL_PATH'] = "WEBREQUESTURLPATH";
        AttributeEnum[AttributeEnum["WEBREQUESTURLPORT"] = 'WEBREQUEST_URL_PORT'] = "WEBREQUESTURLPORT";
        AttributeEnum[AttributeEnum["WEBSERVICEENDPOINT"] = 'WEBSERVICE_ENDPOINT'] = "WEBSERVICEENDPOINT";
        AttributeEnum[AttributeEnum["WEBSERVICEMETHOD"] = 'WEBSERVICE_METHOD'] = "WEBSERVICEMETHOD";
        AttributeEnum[AttributeEnum["ZOSCALLTYPE"] = 'ZOS_CALL_TYPE'] = "ZOSCALLTYPE";
    })(AttributeEnum = Condition.AttributeEnum || (Condition.AttributeEnum = {}));
})(Condition = exports.Condition || (exports.Condition = {}));
exports.Condition = Condition;
//# sourceMappingURL=condition.js.map