"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConditionKey = (function () {
    function ConditionKey() {
    }
    ConditionKey.getAttributeTypeMap = function () {
        return ConditionKey.attributeTypeMap;
    };
    ConditionKey.discriminator = "type";
    ConditionKey.attributeTypeMap = [
        {
            "name": "attribute",
            "baseName": "attribute",
            "type": "ConditionKey.AttributeEnum"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "ConditionKey.TypeEnum"
        }
    ];
    return ConditionKey;
}());
exports.ConditionKey = ConditionKey;
(function (ConditionKey) {
    var AttributeEnum;
    (function (AttributeEnum) {
        AttributeEnum[AttributeEnum["APPMONSERVERNAME"] = 'APPMON_SERVER_NAME'] = "APPMONSERVERNAME";
        AttributeEnum[AttributeEnum["APPMONSYSTEMPROFILENAME"] = 'APPMON_SYSTEM_PROFILE_NAME'] = "APPMONSYSTEMPROFILENAME";
        AttributeEnum[AttributeEnum["AWSACCOUNTID"] = 'AWS_ACCOUNT_ID'] = "AWSACCOUNTID";
        AttributeEnum[AttributeEnum["AWSACCOUNTNAME"] = 'AWS_ACCOUNT_NAME'] = "AWSACCOUNTNAME";
        AttributeEnum[AttributeEnum["AWSAPPLICATIONLOADBALANCERNAME"] = 'AWS_APPLICATION_LOAD_BALANCER_NAME'] = "AWSAPPLICATIONLOADBALANCERNAME";
        AttributeEnum[AttributeEnum["AWSAPPLICATIONLOADBALANCERTAGS"] = 'AWS_APPLICATION_LOAD_BALANCER_TAGS'] = "AWSAPPLICATIONLOADBALANCERTAGS";
        AttributeEnum[AttributeEnum["AWSAUTOSCALINGGROUPNAME"] = 'AWS_AUTO_SCALING_GROUP_NAME'] = "AWSAUTOSCALINGGROUPNAME";
        AttributeEnum[AttributeEnum["AWSAUTOSCALINGGROUPTAGS"] = 'AWS_AUTO_SCALING_GROUP_TAGS'] = "AWSAUTOSCALINGGROUPTAGS";
        AttributeEnum[AttributeEnum["AWSAVAILABILITYZONENAME"] = 'AWS_AVAILABILITY_ZONE_NAME'] = "AWSAVAILABILITYZONENAME";
        AttributeEnum[AttributeEnum["AWSCLASSICLOADBALANCERFRONTENDPORTS"] = 'AWS_CLASSIC_LOAD_BALANCER_FRONTEND_PORTS'] = "AWSCLASSICLOADBALANCERFRONTENDPORTS";
        AttributeEnum[AttributeEnum["AWSCLASSICLOADBALANCERNAME"] = 'AWS_CLASSIC_LOAD_BALANCER_NAME'] = "AWSCLASSICLOADBALANCERNAME";
        AttributeEnum[AttributeEnum["AWSCLASSICLOADBALANCERTAGS"] = 'AWS_CLASSIC_LOAD_BALANCER_TAGS'] = "AWSCLASSICLOADBALANCERTAGS";
        AttributeEnum[AttributeEnum["AWSNETWORKLOADBALANCERNAME"] = 'AWS_NETWORK_LOAD_BALANCER_NAME'] = "AWSNETWORKLOADBALANCERNAME";
        AttributeEnum[AttributeEnum["AWSNETWORKLOADBALANCERTAGS"] = 'AWS_NETWORK_LOAD_BALANCER_TAGS'] = "AWSNETWORKLOADBALANCERTAGS";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICEDBNAME"] = 'AWS_RELATIONAL_DATABASE_SERVICE_DB_NAME'] = "AWSRELATIONALDATABASESERVICEDBNAME";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICEENDPOINT"] = 'AWS_RELATIONAL_DATABASE_SERVICE_ENDPOINT'] = "AWSRELATIONALDATABASESERVICEENDPOINT";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICEENGINE"] = 'AWS_RELATIONAL_DATABASE_SERVICE_ENGINE'] = "AWSRELATIONALDATABASESERVICEENGINE";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICEINSTANCECLASS"] = 'AWS_RELATIONAL_DATABASE_SERVICE_INSTANCE_CLASS'] = "AWSRELATIONALDATABASESERVICEINSTANCECLASS";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICENAME"] = 'AWS_RELATIONAL_DATABASE_SERVICE_NAME'] = "AWSRELATIONALDATABASESERVICENAME";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICEPORT"] = 'AWS_RELATIONAL_DATABASE_SERVICE_PORT'] = "AWSRELATIONALDATABASESERVICEPORT";
        AttributeEnum[AttributeEnum["AWSRELATIONALDATABASESERVICETAGS"] = 'AWS_RELATIONAL_DATABASE_SERVICE_TAGS'] = "AWSRELATIONALDATABASESERVICETAGS";
        AttributeEnum[AttributeEnum["AZUREENTITYNAME"] = 'AZURE_ENTITY_NAME'] = "AZUREENTITYNAME";
        AttributeEnum[AttributeEnum["AZUREENTITYTAGS"] = 'AZURE_ENTITY_TAGS'] = "AZUREENTITYTAGS";
        AttributeEnum[AttributeEnum["AZUREMGMTGROUPNAME"] = 'AZURE_MGMT_GROUP_NAME'] = "AZUREMGMTGROUPNAME";
        AttributeEnum[AttributeEnum["AZUREMGMTGROUPUUID"] = 'AZURE_MGMT_GROUP_UUID'] = "AZUREMGMTGROUPUUID";
        AttributeEnum[AttributeEnum["AZUREREGIONNAME"] = 'AZURE_REGION_NAME'] = "AZUREREGIONNAME";
        AttributeEnum[AttributeEnum["AZURESCALESETNAME"] = 'AZURE_SCALE_SET_NAME'] = "AZURESCALESETNAME";
        AttributeEnum[AttributeEnum["AZURESUBSCRIPTIONNAME"] = 'AZURE_SUBSCRIPTION_NAME'] = "AZURESUBSCRIPTIONNAME";
        AttributeEnum[AttributeEnum["AZURESUBSCRIPTIONUUID"] = 'AZURE_SUBSCRIPTION_UUID'] = "AZURESUBSCRIPTIONUUID";
        AttributeEnum[AttributeEnum["AZURETENANTNAME"] = 'AZURE_TENANT_NAME'] = "AZURETENANTNAME";
        AttributeEnum[AttributeEnum["AZURETENANTUUID"] = 'AZURE_TENANT_UUID'] = "AZURETENANTUUID";
        AttributeEnum[AttributeEnum["AZUREVMNAME"] = 'AZURE_VM_NAME'] = "AZUREVMNAME";
        AttributeEnum[AttributeEnum["BROWSERMONITORNAME"] = 'BROWSER_MONITOR_NAME'] = "BROWSERMONITORNAME";
        AttributeEnum[AttributeEnum["BROWSERMONITORTAGS"] = 'BROWSER_MONITOR_TAGS'] = "BROWSERMONITORTAGS";
        AttributeEnum[AttributeEnum["CLOUDAPPLICATIONLABELS"] = 'CLOUD_APPLICATION_LABELS'] = "CLOUDAPPLICATIONLABELS";
        AttributeEnum[AttributeEnum["CLOUDAPPLICATIONNAME"] = 'CLOUD_APPLICATION_NAME'] = "CLOUDAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["CLOUDAPPLICATIONNAMESPACELABELS"] = 'CLOUD_APPLICATION_NAMESPACE_LABELS'] = "CLOUDAPPLICATIONNAMESPACELABELS";
        AttributeEnum[AttributeEnum["CLOUDAPPLICATIONNAMESPACENAME"] = 'CLOUD_APPLICATION_NAMESPACE_NAME'] = "CLOUDAPPLICATIONNAMESPACENAME";
        AttributeEnum[AttributeEnum["CLOUDFOUNDRYFOUNDATIONNAME"] = 'CLOUD_FOUNDRY_FOUNDATION_NAME'] = "CLOUDFOUNDRYFOUNDATIONNAME";
        AttributeEnum[AttributeEnum["CLOUDFOUNDRYORGNAME"] = 'CLOUD_FOUNDRY_ORG_NAME'] = "CLOUDFOUNDRYORGNAME";
        AttributeEnum[AttributeEnum["CUSTOMAPPLICATIONNAME"] = 'CUSTOM_APPLICATION_NAME'] = "CUSTOMAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["CUSTOMAPPLICATIONPLATFORM"] = 'CUSTOM_APPLICATION_PLATFORM'] = "CUSTOMAPPLICATIONPLATFORM";
        AttributeEnum[AttributeEnum["CUSTOMAPPLICATIONTAGS"] = 'CUSTOM_APPLICATION_TAGS'] = "CUSTOMAPPLICATIONTAGS";
        AttributeEnum[AttributeEnum["CUSTOMAPPLICATIONTYPE"] = 'CUSTOM_APPLICATION_TYPE'] = "CUSTOMAPPLICATIONTYPE";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEDETECTEDNAME"] = 'CUSTOM_DEVICE_DETECTED_NAME'] = "CUSTOMDEVICEDETECTEDNAME";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEDNSADDRESS"] = 'CUSTOM_DEVICE_DNS_ADDRESS'] = "CUSTOMDEVICEDNSADDRESS";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEGROUPNAME"] = 'CUSTOM_DEVICE_GROUP_NAME'] = "CUSTOMDEVICEGROUPNAME";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEGROUPTAGS"] = 'CUSTOM_DEVICE_GROUP_TAGS'] = "CUSTOMDEVICEGROUPTAGS";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEIPADDRESS"] = 'CUSTOM_DEVICE_IP_ADDRESS'] = "CUSTOMDEVICEIPADDRESS";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEMETADATA"] = 'CUSTOM_DEVICE_METADATA'] = "CUSTOMDEVICEMETADATA";
        AttributeEnum[AttributeEnum["CUSTOMDEVICENAME"] = 'CUSTOM_DEVICE_NAME'] = "CUSTOMDEVICENAME";
        AttributeEnum[AttributeEnum["CUSTOMDEVICEPORT"] = 'CUSTOM_DEVICE_PORT'] = "CUSTOMDEVICEPORT";
        AttributeEnum[AttributeEnum["CUSTOMDEVICETAGS"] = 'CUSTOM_DEVICE_TAGS'] = "CUSTOMDEVICETAGS";
        AttributeEnum[AttributeEnum["CUSTOMDEVICETECHNOLOGY"] = 'CUSTOM_DEVICE_TECHNOLOGY'] = "CUSTOMDEVICETECHNOLOGY";
        AttributeEnum[AttributeEnum["DATACENTERSERVICEDECODERTYPE"] = 'DATA_CENTER_SERVICE_DECODER_TYPE'] = "DATACENTERSERVICEDECODERTYPE";
        AttributeEnum[AttributeEnum["DATACENTERSERVICEIPADDRESS"] = 'DATA_CENTER_SERVICE_IP_ADDRESS'] = "DATACENTERSERVICEIPADDRESS";
        AttributeEnum[AttributeEnum["DATACENTERSERVICEMETADATA"] = 'DATA_CENTER_SERVICE_METADATA'] = "DATACENTERSERVICEMETADATA";
        AttributeEnum[AttributeEnum["DATACENTERSERVICENAME"] = 'DATA_CENTER_SERVICE_NAME'] = "DATACENTERSERVICENAME";
        AttributeEnum[AttributeEnum["DATACENTERSERVICEPORT"] = 'DATA_CENTER_SERVICE_PORT'] = "DATACENTERSERVICEPORT";
        AttributeEnum[AttributeEnum["DATACENTERSERVICETAGS"] = 'DATA_CENTER_SERVICE_TAGS'] = "DATACENTERSERVICETAGS";
        AttributeEnum[AttributeEnum["DOCKERCONTAINERNAME"] = 'DOCKER_CONTAINER_NAME'] = "DOCKERCONTAINERNAME";
        AttributeEnum[AttributeEnum["DOCKERFULLIMAGENAME"] = 'DOCKER_FULL_IMAGE_NAME'] = "DOCKERFULLIMAGENAME";
        AttributeEnum[AttributeEnum["DOCKERIMAGEVERSION"] = 'DOCKER_IMAGE_VERSION'] = "DOCKERIMAGEVERSION";
        AttributeEnum[AttributeEnum["DOCKERSTRIPPEDIMAGENAME"] = 'DOCKER_STRIPPED_IMAGE_NAME'] = "DOCKERSTRIPPEDIMAGENAME";
        AttributeEnum[AttributeEnum["EC2INSTANCEAMIID"] = 'EC2_INSTANCE_AMI_ID'] = "EC2INSTANCEAMIID";
        AttributeEnum[AttributeEnum["EC2INSTANCEAWSINSTANCETYPE"] = 'EC2_INSTANCE_AWS_INSTANCE_TYPE'] = "EC2INSTANCEAWSINSTANCETYPE";
        AttributeEnum[AttributeEnum["EC2INSTANCEAWSSECURITYGROUP"] = 'EC2_INSTANCE_AWS_SECURITY_GROUP'] = "EC2INSTANCEAWSSECURITYGROUP";
        AttributeEnum[AttributeEnum["EC2INSTANCEBEANSTALKENVNAME"] = 'EC2_INSTANCE_BEANSTALK_ENV_NAME'] = "EC2INSTANCEBEANSTALKENVNAME";
        AttributeEnum[AttributeEnum["EC2INSTANCEID"] = 'EC2_INSTANCE_ID'] = "EC2INSTANCEID";
        AttributeEnum[AttributeEnum["EC2INSTANCENAME"] = 'EC2_INSTANCE_NAME'] = "EC2INSTANCENAME";
        AttributeEnum[AttributeEnum["EC2INSTANCEPRIVATEHOSTNAME"] = 'EC2_INSTANCE_PRIVATE_HOST_NAME'] = "EC2INSTANCEPRIVATEHOSTNAME";
        AttributeEnum[AttributeEnum["EC2INSTANCEPUBLICHOSTNAME"] = 'EC2_INSTANCE_PUBLIC_HOST_NAME'] = "EC2INSTANCEPUBLICHOSTNAME";
        AttributeEnum[AttributeEnum["EC2INSTANCETAGS"] = 'EC2_INSTANCE_TAGS'] = "EC2INSTANCETAGS";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONDECODERTYPE"] = 'ENTERPRISE_APPLICATION_DECODER_TYPE'] = "ENTERPRISEAPPLICATIONDECODERTYPE";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONIPADDRESS"] = 'ENTERPRISE_APPLICATION_IP_ADDRESS'] = "ENTERPRISEAPPLICATIONIPADDRESS";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONMETADATA"] = 'ENTERPRISE_APPLICATION_METADATA'] = "ENTERPRISEAPPLICATIONMETADATA";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONNAME"] = 'ENTERPRISE_APPLICATION_NAME'] = "ENTERPRISEAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONPORT"] = 'ENTERPRISE_APPLICATION_PORT'] = "ENTERPRISEAPPLICATIONPORT";
        AttributeEnum[AttributeEnum["ENTERPRISEAPPLICATIONTAGS"] = 'ENTERPRISE_APPLICATION_TAGS'] = "ENTERPRISEAPPLICATIONTAGS";
        AttributeEnum[AttributeEnum["ESXIHOSTCLUSTERNAME"] = 'ESXI_HOST_CLUSTER_NAME'] = "ESXIHOSTCLUSTERNAME";
        AttributeEnum[AttributeEnum["ESXIHOSTHARDWAREMODEL"] = 'ESXI_HOST_HARDWARE_MODEL'] = "ESXIHOSTHARDWAREMODEL";
        AttributeEnum[AttributeEnum["ESXIHOSTHARDWAREVENDOR"] = 'ESXI_HOST_HARDWARE_VENDOR'] = "ESXIHOSTHARDWAREVENDOR";
        AttributeEnum[AttributeEnum["ESXIHOSTNAME"] = 'ESXI_HOST_NAME'] = "ESXIHOSTNAME";
        AttributeEnum[AttributeEnum["ESXIHOSTPRODUCTNAME"] = 'ESXI_HOST_PRODUCT_NAME'] = "ESXIHOSTPRODUCTNAME";
        AttributeEnum[AttributeEnum["ESXIHOSTPRODUCTVERSION"] = 'ESXI_HOST_PRODUCT_VERSION'] = "ESXIHOSTPRODUCTVERSION";
        AttributeEnum[AttributeEnum["ESXIHOSTTAGS"] = 'ESXI_HOST_TAGS'] = "ESXIHOSTTAGS";
        AttributeEnum[AttributeEnum["EXTERNALMONITORENGINEDESCRIPTION"] = 'EXTERNAL_MONITOR_ENGINE_DESCRIPTION'] = "EXTERNALMONITORENGINEDESCRIPTION";
        AttributeEnum[AttributeEnum["EXTERNALMONITORENGINENAME"] = 'EXTERNAL_MONITOR_ENGINE_NAME'] = "EXTERNALMONITORENGINENAME";
        AttributeEnum[AttributeEnum["EXTERNALMONITORENGINETYPE"] = 'EXTERNAL_MONITOR_ENGINE_TYPE'] = "EXTERNALMONITORENGINETYPE";
        AttributeEnum[AttributeEnum["EXTERNALMONITORNAME"] = 'EXTERNAL_MONITOR_NAME'] = "EXTERNALMONITORNAME";
        AttributeEnum[AttributeEnum["EXTERNALMONITORTAGS"] = 'EXTERNAL_MONITOR_TAGS'] = "EXTERNALMONITORTAGS";
        AttributeEnum[AttributeEnum["GEOLOCATIONSITENAME"] = 'GEOLOCATION_SITE_NAME'] = "GEOLOCATIONSITENAME";
        AttributeEnum[AttributeEnum["GOOGLECLOUDPLATFORMZONENAME"] = 'GOOGLE_CLOUD_PLATFORM_ZONE_NAME'] = "GOOGLECLOUDPLATFORMZONENAME";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCEID"] = 'GOOGLE_COMPUTE_INSTANCE_ID'] = "GOOGLECOMPUTEINSTANCEID";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCEMACHINETYPE"] = 'GOOGLE_COMPUTE_INSTANCE_MACHINE_TYPE'] = "GOOGLECOMPUTEINSTANCEMACHINETYPE";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCENAME"] = 'GOOGLE_COMPUTE_INSTANCE_NAME'] = "GOOGLECOMPUTEINSTANCENAME";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCEPROJECT"] = 'GOOGLE_COMPUTE_INSTANCE_PROJECT'] = "GOOGLECOMPUTEINSTANCEPROJECT";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCEPROJECTID"] = 'GOOGLE_COMPUTE_INSTANCE_PROJECT_ID'] = "GOOGLECOMPUTEINSTANCEPROJECTID";
        AttributeEnum[AttributeEnum["GOOGLECOMPUTEINSTANCEPUBLICIPADDRESSES"] = 'GOOGLE_COMPUTE_INSTANCE_PUBLIC_IP_ADDRESSES'] = "GOOGLECOMPUTEINSTANCEPUBLICIPADDRESSES";
        AttributeEnum[AttributeEnum["HOSTAIXLOGICALCPUCOUNT"] = 'HOST_AIX_LOGICAL_CPU_COUNT'] = "HOSTAIXLOGICALCPUCOUNT";
        AttributeEnum[AttributeEnum["HOSTAIXSIMULTANEOUSTHREADS"] = 'HOST_AIX_SIMULTANEOUS_THREADS'] = "HOSTAIXSIMULTANEOUSTHREADS";
        AttributeEnum[AttributeEnum["HOSTAIXVIRTUALCPUCOUNT"] = 'HOST_AIX_VIRTUAL_CPU_COUNT'] = "HOSTAIXVIRTUALCPUCOUNT";
        AttributeEnum[AttributeEnum["HOSTARCHITECTURE"] = 'HOST_ARCHITECTURE'] = "HOSTARCHITECTURE";
        AttributeEnum[AttributeEnum["HOSTAWSNAMETAG"] = 'HOST_AWS_NAME_TAG'] = "HOSTAWSNAMETAG";
        AttributeEnum[AttributeEnum["HOSTAZURECOMPUTEMODE"] = 'HOST_AZURE_COMPUTE_MODE'] = "HOSTAZURECOMPUTEMODE";
        AttributeEnum[AttributeEnum["HOSTAZURESKU"] = 'HOST_AZURE_SKU'] = "HOSTAZURESKU";
        AttributeEnum[AttributeEnum["HOSTAZUREWEBAPPLICATIONHOSTNAMES"] = 'HOST_AZURE_WEB_APPLICATION_HOST_NAMES'] = "HOSTAZUREWEBAPPLICATIONHOSTNAMES";
        AttributeEnum[AttributeEnum["HOSTAZUREWEBAPPLICATIONSITENAMES"] = 'HOST_AZURE_WEB_APPLICATION_SITE_NAMES'] = "HOSTAZUREWEBAPPLICATIONSITENAMES";
        AttributeEnum[AttributeEnum["HOSTBITNESS"] = 'HOST_BITNESS'] = "HOSTBITNESS";
        AttributeEnum[AttributeEnum["HOSTBOSHAVAILABILITYZONE"] = 'HOST_BOSH_AVAILABILITY_ZONE'] = "HOSTBOSHAVAILABILITYZONE";
        AttributeEnum[AttributeEnum["HOSTBOSHDEPLOYMENTID"] = 'HOST_BOSH_DEPLOYMENT_ID'] = "HOSTBOSHDEPLOYMENTID";
        AttributeEnum[AttributeEnum["HOSTBOSHINSTANCEID"] = 'HOST_BOSH_INSTANCE_ID'] = "HOSTBOSHINSTANCEID";
        AttributeEnum[AttributeEnum["HOSTBOSHINSTANCENAME"] = 'HOST_BOSH_INSTANCE_NAME'] = "HOSTBOSHINSTANCENAME";
        AttributeEnum[AttributeEnum["HOSTBOSHNAME"] = 'HOST_BOSH_NAME'] = "HOSTBOSHNAME";
        AttributeEnum[AttributeEnum["HOSTBOSHSTEMCELLVERSION"] = 'HOST_BOSH_STEMCELL_VERSION'] = "HOSTBOSHSTEMCELLVERSION";
        AttributeEnum[AttributeEnum["HOSTCLOUDTYPE"] = 'HOST_CLOUD_TYPE'] = "HOSTCLOUDTYPE";
        AttributeEnum[AttributeEnum["HOSTCPUCORES"] = 'HOST_CPU_CORES'] = "HOSTCPUCORES";
        AttributeEnum[AttributeEnum["HOSTCUSTOMMETADATA"] = 'HOST_CUSTOM_METADATA'] = "HOSTCUSTOMMETADATA";
        AttributeEnum[AttributeEnum["HOSTDETECTEDNAME"] = 'HOST_DETECTED_NAME'] = "HOSTDETECTEDNAME";
        AttributeEnum[AttributeEnum["HOSTGROUPID"] = 'HOST_GROUP_ID'] = "HOSTGROUPID";
        AttributeEnum[AttributeEnum["HOSTGROUPNAME"] = 'HOST_GROUP_NAME'] = "HOSTGROUPNAME";
        AttributeEnum[AttributeEnum["HOSTHYPERVISORTYPE"] = 'HOST_HYPERVISOR_TYPE'] = "HOSTHYPERVISORTYPE";
        AttributeEnum[AttributeEnum["HOSTIPADDRESS"] = 'HOST_IP_ADDRESS'] = "HOSTIPADDRESS";
        AttributeEnum[AttributeEnum["HOSTKUBERNETESLABELS"] = 'HOST_KUBERNETES_LABELS'] = "HOSTKUBERNETESLABELS";
        AttributeEnum[AttributeEnum["HOSTLOGICALCPUCORES"] = 'HOST_LOGICAL_CPU_CORES'] = "HOSTLOGICALCPUCORES";
        AttributeEnum[AttributeEnum["HOSTNAME"] = 'HOST_NAME'] = "HOSTNAME";
        AttributeEnum[AttributeEnum["HOSTONEAGENTCUSTOMHOSTNAME"] = 'HOST_ONEAGENT_CUSTOM_HOST_NAME'] = "HOSTONEAGENTCUSTOMHOSTNAME";
        AttributeEnum[AttributeEnum["HOSTOSTYPE"] = 'HOST_OS_TYPE'] = "HOSTOSTYPE";
        AttributeEnum[AttributeEnum["HOSTOSVERSION"] = 'HOST_OS_VERSION'] = "HOSTOSVERSION";
        AttributeEnum[AttributeEnum["HOSTPAASMEMORYLIMIT"] = 'HOST_PAAS_MEMORY_LIMIT'] = "HOSTPAASMEMORYLIMIT";
        AttributeEnum[AttributeEnum["HOSTPAASTYPE"] = 'HOST_PAAS_TYPE'] = "HOSTPAASTYPE";
        AttributeEnum[AttributeEnum["HOSTTAGS"] = 'HOST_TAGS'] = "HOSTTAGS";
        AttributeEnum[AttributeEnum["HOSTTECHNOLOGY"] = 'HOST_TECHNOLOGY'] = "HOSTTECHNOLOGY";
        AttributeEnum[AttributeEnum["HTTPMONITORNAME"] = 'HTTP_MONITOR_NAME'] = "HTTPMONITORNAME";
        AttributeEnum[AttributeEnum["HTTPMONITORTAGS"] = 'HTTP_MONITOR_TAGS'] = "HTTPMONITORTAGS";
        AttributeEnum[AttributeEnum["KUBERNETESCLUSTERNAME"] = 'KUBERNETES_CLUSTER_NAME'] = "KUBERNETESCLUSTERNAME";
        AttributeEnum[AttributeEnum["KUBERNETESNODENAME"] = 'KUBERNETES_NODE_NAME'] = "KUBERNETESNODENAME";
        AttributeEnum[AttributeEnum["MOBILEAPPLICATIONNAME"] = 'MOBILE_APPLICATION_NAME'] = "MOBILEAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["MOBILEAPPLICATIONPLATFORM"] = 'MOBILE_APPLICATION_PLATFORM'] = "MOBILEAPPLICATIONPLATFORM";
        AttributeEnum[AttributeEnum["MOBILEAPPLICATIONTAGS"] = 'MOBILE_APPLICATION_TAGS'] = "MOBILEAPPLICATIONTAGS";
        AttributeEnum[AttributeEnum["NAMEOFCOMPUTENODE"] = 'NAME_OF_COMPUTE_NODE'] = "NAMEOFCOMPUTENODE";
        AttributeEnum[AttributeEnum["OPENSTACKACCOUNTNAME"] = 'OPENSTACK_ACCOUNT_NAME'] = "OPENSTACKACCOUNTNAME";
        AttributeEnum[AttributeEnum["OPENSTACKACCOUNTPROJECTNAME"] = 'OPENSTACK_ACCOUNT_PROJECT_NAME'] = "OPENSTACKACCOUNTPROJECTNAME";
        AttributeEnum[AttributeEnum["OPENSTACKAVAILABILITYZONENAME"] = 'OPENSTACK_AVAILABILITY_ZONE_NAME'] = "OPENSTACKAVAILABILITYZONENAME";
        AttributeEnum[AttributeEnum["OPENSTACKPROJECTNAME"] = 'OPENSTACK_PROJECT_NAME'] = "OPENSTACKPROJECTNAME";
        AttributeEnum[AttributeEnum["OPENSTACKREGIONNAME"] = 'OPENSTACK_REGION_NAME'] = "OPENSTACKREGIONNAME";
        AttributeEnum[AttributeEnum["OPENSTACKVMINSTANCETYPE"] = 'OPENSTACK_VM_INSTANCE_TYPE'] = "OPENSTACKVMINSTANCETYPE";
        AttributeEnum[AttributeEnum["OPENSTACKVMNAME"] = 'OPENSTACK_VM_NAME'] = "OPENSTACKVMNAME";
        AttributeEnum[AttributeEnum["OPENSTACKVMSECURITYGROUP"] = 'OPENSTACK_VM_SECURITY_GROUP'] = "OPENSTACKVMSECURITYGROUP";
        AttributeEnum[AttributeEnum["PROCESSGROUPAZUREHOSTNAME"] = 'PROCESS_GROUP_AZURE_HOST_NAME'] = "PROCESSGROUPAZUREHOSTNAME";
        AttributeEnum[AttributeEnum["PROCESSGROUPAZURESITENAME"] = 'PROCESS_GROUP_AZURE_SITE_NAME'] = "PROCESSGROUPAZURESITENAME";
        AttributeEnum[AttributeEnum["PROCESSGROUPCUSTOMMETADATA"] = 'PROCESS_GROUP_CUSTOM_METADATA'] = "PROCESSGROUPCUSTOMMETADATA";
        AttributeEnum[AttributeEnum["PROCESSGROUPDETECTEDNAME"] = 'PROCESS_GROUP_DETECTED_NAME'] = "PROCESSGROUPDETECTEDNAME";
        AttributeEnum[AttributeEnum["PROCESSGROUPID"] = 'PROCESS_GROUP_ID'] = "PROCESSGROUPID";
        AttributeEnum[AttributeEnum["PROCESSGROUPLISTENPORT"] = 'PROCESS_GROUP_LISTEN_PORT'] = "PROCESSGROUPLISTENPORT";
        AttributeEnum[AttributeEnum["PROCESSGROUPNAME"] = 'PROCESS_GROUP_NAME'] = "PROCESSGROUPNAME";
        AttributeEnum[AttributeEnum["PROCESSGROUPPREDEFINEDMETADATA"] = 'PROCESS_GROUP_PREDEFINED_METADATA'] = "PROCESSGROUPPREDEFINEDMETADATA";
        AttributeEnum[AttributeEnum["PROCESSGROUPTAGS"] = 'PROCESS_GROUP_TAGS'] = "PROCESSGROUPTAGS";
        AttributeEnum[AttributeEnum["PROCESSGROUPTECHNOLOGY"] = 'PROCESS_GROUP_TECHNOLOGY'] = "PROCESSGROUPTECHNOLOGY";
        AttributeEnum[AttributeEnum["PROCESSGROUPTECHNOLOGYEDITION"] = 'PROCESS_GROUP_TECHNOLOGY_EDITION'] = "PROCESSGROUPTECHNOLOGYEDITION";
        AttributeEnum[AttributeEnum["PROCESSGROUPTECHNOLOGYVERSION"] = 'PROCESS_GROUP_TECHNOLOGY_VERSION'] = "PROCESSGROUPTECHNOLOGYVERSION";
        AttributeEnum[AttributeEnum["SERVICEAKKAACTORSYSTEM"] = 'SERVICE_AKKA_ACTOR_SYSTEM'] = "SERVICEAKKAACTORSYSTEM";
        AttributeEnum[AttributeEnum["SERVICECTGSERVICENAME"] = 'SERVICE_CTG_SERVICE_NAME'] = "SERVICECTGSERVICENAME";
        AttributeEnum[AttributeEnum["SERVICEDATABASEHOSTNAME"] = 'SERVICE_DATABASE_HOST_NAME'] = "SERVICEDATABASEHOSTNAME";
        AttributeEnum[AttributeEnum["SERVICEDATABASENAME"] = 'SERVICE_DATABASE_NAME'] = "SERVICEDATABASENAME";
        AttributeEnum[AttributeEnum["SERVICEDATABASETOPOLOGY"] = 'SERVICE_DATABASE_TOPOLOGY'] = "SERVICEDATABASETOPOLOGY";
        AttributeEnum[AttributeEnum["SERVICEDATABASEVENDOR"] = 'SERVICE_DATABASE_VENDOR'] = "SERVICEDATABASEVENDOR";
        AttributeEnum[AttributeEnum["SERVICEDETECTEDNAME"] = 'SERVICE_DETECTED_NAME'] = "SERVICEDETECTEDNAME";
        AttributeEnum[AttributeEnum["SERVICEESBAPPLICATIONNAME"] = 'SERVICE_ESB_APPLICATION_NAME'] = "SERVICEESBAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["SERVICEIBMCTGGATEWAYURL"] = 'SERVICE_IBM_CTG_GATEWAY_URL'] = "SERVICEIBMCTGGATEWAYURL";
        AttributeEnum[AttributeEnum["SERVICEIIBAPPLICATIONNAME"] = 'SERVICE_IIB_APPLICATION_NAME'] = "SERVICEIIBAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["SERVICEMESSAGINGLISTENERCLASSNAME"] = 'SERVICE_MESSAGING_LISTENER_CLASS_NAME'] = "SERVICEMESSAGINGLISTENERCLASSNAME";
        AttributeEnum[AttributeEnum["SERVICENAME"] = 'SERVICE_NAME'] = "SERVICENAME";
        AttributeEnum[AttributeEnum["SERVICEPORT"] = 'SERVICE_PORT'] = "SERVICEPORT";
        AttributeEnum[AttributeEnum["SERVICEPUBLICDOMAINNAME"] = 'SERVICE_PUBLIC_DOMAIN_NAME'] = "SERVICEPUBLICDOMAINNAME";
        AttributeEnum[AttributeEnum["SERVICEREMOTEENDPOINT"] = 'SERVICE_REMOTE_ENDPOINT'] = "SERVICEREMOTEENDPOINT";
        AttributeEnum[AttributeEnum["SERVICEREMOTESERVICENAME"] = 'SERVICE_REMOTE_SERVICE_NAME'] = "SERVICEREMOTESERVICENAME";
        AttributeEnum[AttributeEnum["SERVICETAGS"] = 'SERVICE_TAGS'] = "SERVICETAGS";
        AttributeEnum[AttributeEnum["SERVICETECHNOLOGY"] = 'SERVICE_TECHNOLOGY'] = "SERVICETECHNOLOGY";
        AttributeEnum[AttributeEnum["SERVICETECHNOLOGYEDITION"] = 'SERVICE_TECHNOLOGY_EDITION'] = "SERVICETECHNOLOGYEDITION";
        AttributeEnum[AttributeEnum["SERVICETECHNOLOGYVERSION"] = 'SERVICE_TECHNOLOGY_VERSION'] = "SERVICETECHNOLOGYVERSION";
        AttributeEnum[AttributeEnum["SERVICETOPOLOGY"] = 'SERVICE_TOPOLOGY'] = "SERVICETOPOLOGY";
        AttributeEnum[AttributeEnum["SERVICETYPE"] = 'SERVICE_TYPE'] = "SERVICETYPE";
        AttributeEnum[AttributeEnum["SERVICEWEBAPPLICATIONID"] = 'SERVICE_WEB_APPLICATION_ID'] = "SERVICEWEBAPPLICATIONID";
        AttributeEnum[AttributeEnum["SERVICEWEBCONTEXTROOT"] = 'SERVICE_WEB_CONTEXT_ROOT'] = "SERVICEWEBCONTEXTROOT";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVERENDPOINT"] = 'SERVICE_WEB_SERVER_ENDPOINT'] = "SERVICEWEBSERVERENDPOINT";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVERNAME"] = 'SERVICE_WEB_SERVER_NAME'] = "SERVICEWEBSERVERNAME";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVICENAME"] = 'SERVICE_WEB_SERVICE_NAME'] = "SERVICEWEBSERVICENAME";
        AttributeEnum[AttributeEnum["SERVICEWEBSERVICENAMESPACE"] = 'SERVICE_WEB_SERVICE_NAMESPACE'] = "SERVICEWEBSERVICENAMESPACE";
        AttributeEnum[AttributeEnum["VMWAREDATACENTERNAME"] = 'VMWARE_DATACENTER_NAME'] = "VMWAREDATACENTERNAME";
        AttributeEnum[AttributeEnum["VMWAREVMNAME"] = 'VMWARE_VM_NAME'] = "VMWAREVMNAME";
        AttributeEnum[AttributeEnum["WEBAPPLICATIONNAME"] = 'WEB_APPLICATION_NAME'] = "WEBAPPLICATIONNAME";
        AttributeEnum[AttributeEnum["WEBAPPLICATIONNAMEPATTERN"] = 'WEB_APPLICATION_NAME_PATTERN'] = "WEBAPPLICATIONNAMEPATTERN";
        AttributeEnum[AttributeEnum["WEBAPPLICATIONTAGS"] = 'WEB_APPLICATION_TAGS'] = "WEBAPPLICATIONTAGS";
        AttributeEnum[AttributeEnum["WEBAPPLICATIONTYPE"] = 'WEB_APPLICATION_TYPE'] = "WEBAPPLICATIONTYPE";
    })(AttributeEnum = ConditionKey.AttributeEnum || (ConditionKey.AttributeEnum = {}));
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["HOSTCUSTOMMETADATAKEY"] = 'HOST_CUSTOM_METADATA_KEY'] = "HOSTCUSTOMMETADATAKEY";
        TypeEnum[TypeEnum["PROCESSCUSTOMMETADATAKEY"] = 'PROCESS_CUSTOM_METADATA_KEY'] = "PROCESSCUSTOMMETADATAKEY";
        TypeEnum[TypeEnum["PROCESSPREDEFINEDMETADATAKEY"] = 'PROCESS_PREDEFINED_METADATA_KEY'] = "PROCESSPREDEFINEDMETADATAKEY";
        TypeEnum[TypeEnum["STRING"] = 'STRING'] = "STRING";
    })(TypeEnum = ConditionKey.TypeEnum || (ConditionKey.TypeEnum = {}));
})(ConditionKey = exports.ConditionKey || (exports.ConditionKey = {}));
exports.ConditionKey = ConditionKey;
//# sourceMappingURL=conditionKey.js.map