import { ConfigurationMetadata } from './configurationMetadata';
import { EntityRuleEngineCondition } from './entityRuleEngineCondition';
export declare class ConditionalNamingRule {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'order'?: string;
    'type': ConditionalNamingRule.TypeEnum;
    'nameFormat': string;
    'displayName': string;
    'enabled': boolean;
    'rules': Array<EntityRuleEngineCondition>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ConditionalNamingRule {
    enum TypeEnum {
        HOST,
        PROCESSGROUP,
        SERVICE
    }
}
