"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConditionalNamingRule = (function () {
    function ConditionalNamingRule() {
    }
    ConditionalNamingRule.getAttributeTypeMap = function () {
        return ConditionalNamingRule.attributeTypeMap;
    };
    ConditionalNamingRule.discriminator = undefined;
    ConditionalNamingRule.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "order",
            "baseName": "order",
            "type": "string"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "ConditionalNamingRule.TypeEnum"
        },
        {
            "name": "nameFormat",
            "baseName": "nameFormat",
            "type": "string"
        },
        {
            "name": "displayName",
            "baseName": "displayName",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "rules",
            "baseName": "rules",
            "type": "Array<EntityRuleEngineCondition>"
        }
    ];
    return ConditionalNamingRule;
}());
exports.ConditionalNamingRule = ConditionalNamingRule;
(function (ConditionalNamingRule) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["HOST"] = 'HOST'] = "HOST";
        TypeEnum[TypeEnum["PROCESSGROUP"] = 'PROCESS_GROUP'] = "PROCESSGROUP";
        TypeEnum[TypeEnum["SERVICE"] = 'SERVICE'] = "SERVICE";
    })(TypeEnum = ConditionalNamingRule.TypeEnum || (ConditionalNamingRule.TypeEnum = {}));
})(ConditionalNamingRule = exports.ConditionalNamingRule || (exports.ConditionalNamingRule = {}));
exports.ConditionalNamingRule = ConditionalNamingRule;
//# sourceMappingURL=conditionalNamingRule.js.map