import { CompareOperation } from './compareOperation';
export declare class ConditionsFullWebServiceAttributeTypeDto {
    'attributeType': ConditionsFullWebServiceAttributeTypeDto.AttributeTypeEnum;
    'compareOperations'?: Array<CompareOperation>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ConditionsFullWebServiceAttributeTypeDto {
    enum AttributeTypeEnum {
        APPLICATIONID,
        CONTEXTROOT,
        FRAMEWORK,
        ISSOAPSERVICE,
        PGTAG,
        SERVERNAME,
        URLHOSTNAME,
        URLPATH,
        WEBSERVICEMETHOD,
        WEBSERVICENAME,
        WEBSERVICENAMESPACE
    }
}
