import { DestinationDetails } from './destinationDetails';
import { UserActionDetails } from './userActionDetails';
import { VisitDurationDetails } from './visitDurationDetails';
import { VisitNumActionDetails } from './visitNumActionDetails';
export declare class ConversionGoal {
    'name': string;
    'id'?: string;
    'type'?: ConversionGoal.TypeEnum;
    'destinationDetails'?: DestinationDetails;
    'userActionDetails'?: UserActionDetails;
    'visitDurationDetails'?: VisitDurationDetails;
    'visitNumActionDetails'?: VisitNumActionDetails;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ConversionGoal {
    enum TypeEnum {
        Destination,
        UserAction,
        VisitDuration,
        VisitNumActions
    }
}
