import { ComparisonBasic } from './comparisonBasic';
export declare class CustomApplicationTypeComparison extends ComparisonBasic {
    'operator': CustomApplicationTypeComparison.OperatorEnum;
    'value'?: CustomApplicationTypeComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CustomApplicationTypeComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        AMAZONECHO,
        DESKTOP,
        EMBEDDED,
        IOT,
        MICROSOFTHOLOLENS,
        UFO
    }
}
