"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CustomFilterChartSeriesConfig = (function () {
    function CustomFilterChartSeriesConfig() {
    }
    CustomFilterChartSeriesConfig.getAttributeTypeMap = function () {
        return CustomFilterChartSeriesConfig.attributeTypeMap;
    };
    CustomFilterChartSeriesConfig.discriminator = undefined;
    CustomFilterChartSeriesConfig.attributeTypeMap = [
        {
            "name": "metric",
            "baseName": "metric",
            "type": "string"
        },
        {
            "name": "aggregation",
            "baseName": "aggregation",
            "type": "CustomFilterChartSeriesConfig.AggregationEnum"
        },
        {
            "name": "percentile",
            "baseName": "percentile",
            "type": "number"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "CustomFilterChartSeriesConfig.TypeEnum"
        },
        {
            "name": "entityType",
            "baseName": "entityType",
            "type": "string"
        },
        {
            "name": "dimensions",
            "baseName": "dimensions",
            "type": "Array<CustomFilterChartSeriesDimensionConfig>"
        },
        {
            "name": "sortAscending",
            "baseName": "sortAscending",
            "type": "boolean"
        },
        {
            "name": "aggregationRate",
            "baseName": "aggregationRate",
            "type": "CustomFilterChartSeriesConfig.AggregationRateEnum"
        },
        {
            "name": "sortColumn",
            "baseName": "sortColumn",
            "type": "boolean"
        }
    ];
    return CustomFilterChartSeriesConfig;
}());
exports.CustomFilterChartSeriesConfig = CustomFilterChartSeriesConfig;
(function (CustomFilterChartSeriesConfig) {
    var AggregationEnum;
    (function (AggregationEnum) {
        AggregationEnum[AggregationEnum["AVG"] = 'AVG'] = "AVG";
        AggregationEnum[AggregationEnum["COUNT"] = 'COUNT'] = "COUNT";
        AggregationEnum[AggregationEnum["DISTINCT"] = 'DISTINCT'] = "DISTINCT";
        AggregationEnum[AggregationEnum["FASTEST10PERCENT"] = 'FASTEST10PERCENT'] = "FASTEST10PERCENT";
        AggregationEnum[AggregationEnum["MAX"] = 'MAX'] = "MAX";
        AggregationEnum[AggregationEnum["MEDIAN"] = 'MEDIAN'] = "MEDIAN";
        AggregationEnum[AggregationEnum["MIN"] = 'MIN'] = "MIN";
        AggregationEnum[AggregationEnum["NONE"] = 'NONE'] = "NONE";
        AggregationEnum[AggregationEnum["OFINTERESTRATIO"] = 'OF_INTEREST_RATIO'] = "OFINTERESTRATIO";
        AggregationEnum[AggregationEnum["OTHERRATIO"] = 'OTHER_RATIO'] = "OTHERRATIO";
        AggregationEnum[AggregationEnum["PERCENTILE"] = 'PERCENTILE'] = "PERCENTILE";
        AggregationEnum[AggregationEnum["PERMIN"] = 'PER_MIN'] = "PERMIN";
        AggregationEnum[AggregationEnum["SLOWEST10PERCENT"] = 'SLOWEST10PERCENT'] = "SLOWEST10PERCENT";
        AggregationEnum[AggregationEnum["SLOWEST5PERCENT"] = 'SLOWEST5PERCENT'] = "SLOWEST5PERCENT";
        AggregationEnum[AggregationEnum["SUM"] = 'SUM'] = "SUM";
        AggregationEnum[AggregationEnum["SUMDIMENSIONS"] = 'SUM_DIMENSIONS'] = "SUMDIMENSIONS";
    })(AggregationEnum = CustomFilterChartSeriesConfig.AggregationEnum || (CustomFilterChartSeriesConfig.AggregationEnum = {}));
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["AREA"] = 'AREA'] = "AREA";
        TypeEnum[TypeEnum["BAR"] = 'BAR'] = "BAR";
        TypeEnum[TypeEnum["LINE"] = 'LINE'] = "LINE";
    })(TypeEnum = CustomFilterChartSeriesConfig.TypeEnum || (CustomFilterChartSeriesConfig.TypeEnum = {}));
    var AggregationRateEnum;
    (function (AggregationRateEnum) {
        AggregationRateEnum[AggregationRateEnum["HOUR"] = 'HOUR'] = "HOUR";
        AggregationRateEnum[AggregationRateEnum["MINUTE"] = 'MINUTE'] = "MINUTE";
        AggregationRateEnum[AggregationRateEnum["SECOND"] = 'SECOND'] = "SECOND";
        AggregationRateEnum[AggregationRateEnum["TOTAL"] = 'TOTAL'] = "TOTAL";
    })(AggregationRateEnum = CustomFilterChartSeriesConfig.AggregationRateEnum || (CustomFilterChartSeriesConfig.AggregationRateEnum = {}));
})(CustomFilterChartSeriesConfig = exports.CustomFilterChartSeriesConfig || (exports.CustomFilterChartSeriesConfig = {}));
exports.CustomFilterChartSeriesConfig = CustomFilterChartSeriesConfig;
//# sourceMappingURL=customFilterChartSeriesConfig.js.map