"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CustomService = (function () {
    function CustomService() {
    }
    CustomService.getAttributeTypeMap = function () {
        return CustomService.attributeTypeMap;
    };
    CustomService.discriminator = undefined;
    CustomService.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "order",
            "baseName": "order",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "rules",
            "baseName": "rules",
            "type": "Array<DetectionRule>"
        },
        {
            "name": "queueEntryPoint",
            "baseName": "queueEntryPoint",
            "type": "boolean"
        },
        {
            "name": "queueEntryPointType",
            "baseName": "queueEntryPointType",
            "type": "CustomService.QueueEntryPointTypeEnum"
        },
        {
            "name": "processGroups",
            "baseName": "processGroups",
            "type": "Array<string>"
        }
    ];
    return CustomService;
}());
exports.CustomService = CustomService;
(function (CustomService) {
    var QueueEntryPointTypeEnum;
    (function (QueueEntryPointTypeEnum) {
        QueueEntryPointTypeEnum[QueueEntryPointTypeEnum["IBMMQ"] = 'IBM_MQ'] = "IBMMQ";
        QueueEntryPointTypeEnum[QueueEntryPointTypeEnum["JMS"] = 'JMS'] = "JMS";
        QueueEntryPointTypeEnum[QueueEntryPointTypeEnum["KAFKA"] = 'KAFKA'] = "KAFKA";
        QueueEntryPointTypeEnum[QueueEntryPointTypeEnum["MSMQ"] = 'MSMQ'] = "MSMQ";
        QueueEntryPointTypeEnum[QueueEntryPointTypeEnum["RABBITMQ"] = 'RABBIT_MQ'] = "RABBITMQ";
    })(QueueEntryPointTypeEnum = CustomService.QueueEntryPointTypeEnum || (CustomService.QueueEntryPointTypeEnum = {}));
})(CustomService = exports.CustomService || (exports.CustomService = {}));
exports.CustomService = CustomService;
//# sourceMappingURL=customService.js.map