import { ComparisonBasic } from './comparisonBasic';
export declare class DcrumDecoderComparison extends ComparisonBasic {
    'operator': DcrumDecoderComparison.OperatorEnum;
    'value'?: DcrumDecoderComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace DcrumDecoderComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        ALLOTHER,
        CITRIXAPPFLOW,
        CITRIXICA,
        CITRIXICAOVERSSL,
        DB2DRDA,
        HTTP,
        HTTPS,
        HTTPEXPRESS,
        INFORMIX,
        MYSQL,
        ORACLE,
        SAPGUI,
        SAPGUIOVERHTTP,
        SAPGUIOVERHTTPS,
        SAPHANADB,
        SAPRFC,
        SSL,
        TDS
    }
}
