import { Placeholder } from './placeholder';
export declare class DimensionDefinition {
    'name': string;
    'dimension': string;
    'placeholders'?: Array<Placeholder>;
    'topX': number;
    'topXDirection': DimensionDefinition.TopXDirectionEnum;
    'topXAggregation': DimensionDefinition.TopXAggregationEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace DimensionDefinition {
    enum TopXDirectionEnum {
        ASCENDING,
        DESCENDING
    }
    enum TopXAggregationEnum {
        AVERAGE,
        COUNT,
        MAX,
        MIN,
        OFINTERESTRATIO,
        OTHERRATIO,
        SINGLEVALUE,
        SUM
    }
}
