"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DiskEventAnomalyDetectionConfig = (function () {
    function DiskEventAnomalyDetectionConfig() {
    }
    DiskEventAnomalyDetectionConfig.getAttributeTypeMap = function () {
        return DiskEventAnomalyDetectionConfig.attributeTypeMap;
    };
    DiskEventAnomalyDetectionConfig.discriminator = undefined;
    DiskEventAnomalyDetectionConfig.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "metric",
            "baseName": "metric",
            "type": "DiskEventAnomalyDetectionConfig.MetricEnum"
        },
        {
            "name": "threshold",
            "baseName": "threshold",
            "type": "number"
        },
        {
            "name": "samples",
            "baseName": "samples",
            "type": "number"
        },
        {
            "name": "violatingSamples",
            "baseName": "violatingSamples",
            "type": "number"
        },
        {
            "name": "diskNameFilter",
            "baseName": "diskNameFilter",
            "type": "DiskNameFilter"
        },
        {
            "name": "tagFilters",
            "baseName": "tagFilters",
            "type": "Array<TagFilter>"
        }
    ];
    return DiskEventAnomalyDetectionConfig;
}());
exports.DiskEventAnomalyDetectionConfig = DiskEventAnomalyDetectionConfig;
(function (DiskEventAnomalyDetectionConfig) {
    var MetricEnum;
    (function (MetricEnum) {
        MetricEnum[MetricEnum["LOWDISKSPACE"] = 'LOW_DISK_SPACE'] = "LOWDISKSPACE";
        MetricEnum[MetricEnum["LOWINODES"] = 'LOW_INODES'] = "LOWINODES";
        MetricEnum[MetricEnum["READTIMEEXCEEDING"] = 'READ_TIME_EXCEEDING'] = "READTIMEEXCEEDING";
        MetricEnum[MetricEnum["WRITETIMEEXCEEDING"] = 'WRITE_TIME_EXCEEDING'] = "WRITETIMEEXCEEDING";
    })(MetricEnum = DiskEventAnomalyDetectionConfig.MetricEnum || (DiskEventAnomalyDetectionConfig.MetricEnum = {}));
})(DiskEventAnomalyDetectionConfig = exports.DiskEventAnomalyDetectionConfig || (exports.DiskEventAnomalyDetectionConfig = {}));
exports.DiskEventAnomalyDetectionConfig = DiskEventAnomalyDetectionConfig;
//# sourceMappingURL=diskEventAnomalyDetectionConfig.js.map