export declare class ExtensionDto {
    'id'?: string;
    'name'?: string;
    'type'?: ExtensionDto.TypeEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ExtensionDto {
    enum TypeEnum {
        ACTIVEGATE,
        CODEMODULE,
        JMX,
        ONEAGENT,
        PMI,
        UNKNOWN
    }
}
