export declare class ExtensionState {
    'extensionId'?: string;
    'version'?: string;
    'endpointId'?: string;
    'state'?: ExtensionState.StateEnum;
    'stateDescription'?: string;
    'timestamp'?: number;
    'hostId'?: string;
    'processId'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ExtensionState {
    enum StateEnum {
        ERRORAUTH,
        ERRORCOMMUNICATIONFAILURE,
        ERRORCONFIG,
        ERRORTIMEOUT,
        ERRORUNKNOWN,
        INCOMPATIBLE,
        LIMITREACHED,
        NOTHINGTOREPORT,
        OK,
        STATETYPEUNKNOWN,
        UNINITIALIZED,
        UNSUPPORTED,
        WAITINGFORSTATE
    }
}
