import { ConfigurationMetadata } from './configurationMetadata';
import { ConnectionLostDetectionConfig } from './connectionLostDetectionConfig';
import { DiskLowInodesDetectionConfig } from './diskLowInodesDetectionConfig';
import { DiskLowSpaceDetectionConfig } from './diskLowSpaceDetectionConfig';
import { DiskSlowWritesAndReadsDetectionConfig } from './diskSlowWritesAndReadsDetectionConfig';
import { HighCpuSaturationDetectionConfig } from './highCpuSaturationDetectionConfig';
import { HighGcActivityDetectionConfig } from './highGcActivityDetectionConfig';
import { HighMemoryDetectionConfig } from './highMemoryDetectionConfig';
import { HighNetworkDetectionConfig } from './highNetworkDetectionConfig';
import { NetworkDroppedPacketsDetectionConfig } from './networkDroppedPacketsDetectionConfig';
import { NetworkErrorsDetectionConfig } from './networkErrorsDetectionConfig';
import { NetworkHighRetransmissionDetectionConfig } from './networkHighRetransmissionDetectionConfig';
import { NetworkTcpProblemsDetectionConfig } from './networkTcpProblemsDetectionConfig';
import { OutOfMemoryDetectionConfig } from './outOfMemoryDetectionConfig';
import { OutOfThreadsDetectionConfig } from './outOfThreadsDetectionConfig';
export declare class HostsAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'connectionLostDetection': ConnectionLostDetectionConfig;
    'highCpuSaturationDetection': HighCpuSaturationDetectionConfig;
    'highMemoryDetection': HighMemoryDetectionConfig;
    'highGcActivityDetection': HighGcActivityDetectionConfig;
    'outOfMemoryDetection': OutOfMemoryDetectionConfig;
    'outOfThreadsDetection': OutOfThreadsDetectionConfig;
    'networkDroppedPacketsDetection': NetworkDroppedPacketsDetectionConfig;
    'networkErrorsDetection': NetworkErrorsDetectionConfig;
    'highNetworkDetection': HighNetworkDetectionConfig;
    'networkTcpProblemsDetection': NetworkTcpProblemsDetectionConfig;
    'networkHighRetransmissionDetection': NetworkHighRetransmissionDetectionConfig;
    'diskLowSpaceDetection': DiskLowSpaceDetectionConfig;
    'diskSlowWritesAndReadsDetection': DiskSlowWritesAndReadsDetectionConfig;
    'diskLowInodesDetection': DiskLowInodesDetectionConfig;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
