import { ComparisonBasic } from './comparisonBasic';
import { TagInfo } from './tagInfo';
export declare class IndexedTagComparison extends ComparisonBasic {
    'operator': IndexedTagComparison.OperatorEnum;
    'value'?: TagInfo;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace IndexedTagComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
}
