export declare class JavaScriptInjectionRules {
    'enabled': boolean;
    'urlOperator': JavaScriptInjectionRules.UrlOperatorEnum;
    'urlPattern'?: string;
    'rule': JavaScriptInjectionRules.RuleEnum;
    'htmlPattern'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace JavaScriptInjectionRules {
    enum UrlOperatorEnum {
        ALLPAGES,
        CONTAINS,
        ENDSWITH,
        EQUALS,
        STARTSWITH
    }
    enum RuleEnum {
        AFTERSPECIFICHTML,
        AUTOMATICINJECTION,
        BEFORESPECIFICHTML,
        DONOTINJECT
    }
}
