"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var JavaScriptInjectionRules = (function () {
    function JavaScriptInjectionRules() {
    }
    JavaScriptInjectionRules.getAttributeTypeMap = function () {
        return JavaScriptInjectionRules.attributeTypeMap;
    };
    JavaScriptInjectionRules.discriminator = undefined;
    JavaScriptInjectionRules.attributeTypeMap = [
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "urlOperator",
            "baseName": "urlOperator",
            "type": "JavaScriptInjectionRules.UrlOperatorEnum"
        },
        {
            "name": "urlPattern",
            "baseName": "urlPattern",
            "type": "string"
        },
        {
            "name": "rule",
            "baseName": "rule",
            "type": "JavaScriptInjectionRules.RuleEnum"
        },
        {
            "name": "htmlPattern",
            "baseName": "htmlPattern",
            "type": "string"
        }
    ];
    return JavaScriptInjectionRules;
}());
exports.JavaScriptInjectionRules = JavaScriptInjectionRules;
(function (JavaScriptInjectionRules) {
    var UrlOperatorEnum;
    (function (UrlOperatorEnum) {
        UrlOperatorEnum[UrlOperatorEnum["ALLPAGES"] = 'ALL_PAGES'] = "ALLPAGES";
        UrlOperatorEnum[UrlOperatorEnum["CONTAINS"] = 'CONTAINS'] = "CONTAINS";
        UrlOperatorEnum[UrlOperatorEnum["ENDSWITH"] = 'ENDS_WITH'] = "ENDSWITH";
        UrlOperatorEnum[UrlOperatorEnum["EQUALS"] = 'EQUALS'] = "EQUALS";
        UrlOperatorEnum[UrlOperatorEnum["STARTSWITH"] = 'STARTS_WITH'] = "STARTSWITH";
    })(UrlOperatorEnum = JavaScriptInjectionRules.UrlOperatorEnum || (JavaScriptInjectionRules.UrlOperatorEnum = {}));
    var RuleEnum;
    (function (RuleEnum) {
        RuleEnum[RuleEnum["AFTERSPECIFICHTML"] = 'AFTER_SPECIFIC_HTML'] = "AFTERSPECIFICHTML";
        RuleEnum[RuleEnum["AUTOMATICINJECTION"] = 'AUTOMATIC_INJECTION'] = "AUTOMATICINJECTION";
        RuleEnum[RuleEnum["BEFORESPECIFICHTML"] = 'BEFORE_SPECIFIC_HTML'] = "BEFORESPECIFICHTML";
        RuleEnum[RuleEnum["DONOTINJECT"] = 'DO_NOT_INJECT'] = "DONOTINJECT";
    })(RuleEnum = JavaScriptInjectionRules.RuleEnum || (JavaScriptInjectionRules.RuleEnum = {}));
})(JavaScriptInjectionRules = exports.JavaScriptInjectionRules || (exports.JavaScriptInjectionRules = {}));
exports.JavaScriptInjectionRules = JavaScriptInjectionRules;
//# sourceMappingURL=javaScriptInjectionRules.js.map