"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KubernetesCredentials = (function () {
    function KubernetesCredentials() {
    }
    KubernetesCredentials.getAttributeTypeMap = function () {
        return KubernetesCredentials.attributeTypeMap;
    };
    KubernetesCredentials.discriminator = undefined;
    KubernetesCredentials.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "active",
            "baseName": "active",
            "type": "boolean"
        },
        {
            "name": "endpointStatus",
            "baseName": "endpointStatus",
            "type": "KubernetesCredentials.EndpointStatusEnum"
        },
        {
            "name": "endpointStatusInfo",
            "baseName": "endpointStatusInfo",
            "type": "string"
        },
        {
            "name": "label",
            "baseName": "label",
            "type": "string"
        },
        {
            "name": "endpointUrl",
            "baseName": "endpointUrl",
            "type": "string"
        },
        {
            "name": "authToken",
            "baseName": "authToken",
            "type": "string"
        },
        {
            "name": "eventsIntegrationEnabled",
            "baseName": "eventsIntegrationEnabled",
            "type": "boolean"
        },
        {
            "name": "workloadIntegrationEnabled",
            "baseName": "workloadIntegrationEnabled",
            "type": "boolean"
        },
        {
            "name": "eventsFieldSelectors",
            "baseName": "eventsFieldSelectors",
            "type": "Array<KubernetesEventPattern>"
        },
        {
            "name": "certificateCheckEnabled",
            "baseName": "certificateCheckEnabled",
            "type": "boolean"
        }
    ];
    return KubernetesCredentials;
}());
exports.KubernetesCredentials = KubernetesCredentials;
(function (KubernetesCredentials) {
    var EndpointStatusEnum;
    (function (EndpointStatusEnum) {
        EndpointStatusEnum[EndpointStatusEnum["ASSIGNED"] = 'ASSIGNED'] = "ASSIGNED";
        EndpointStatusEnum[EndpointStatusEnum["DISABLED"] = 'DISABLED'] = "DISABLED";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKAUTHERROR"] = 'FASTCHECK_AUTH_ERROR'] = "FASTCHECKAUTHERROR";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKAUTHLOCKED"] = 'FASTCHECK_AUTH_LOCKED'] = "FASTCHECKAUTHLOCKED";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKINVALIDENDPOINT"] = 'FASTCHECK_INVALID_ENDPOINT'] = "FASTCHECKINVALIDENDPOINT";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKNORESPONSE"] = 'FASTCHECK_NO_RESPONSE'] = "FASTCHECKNORESPONSE";
        EndpointStatusEnum[EndpointStatusEnum["FASTCHECKTLSERROR"] = 'FASTCHECK_TLS_ERROR'] = "FASTCHECKTLSERROR";
        EndpointStatusEnum[EndpointStatusEnum["UNASSIGNED"] = 'UNASSIGNED'] = "UNASSIGNED";
        EndpointStatusEnum[EndpointStatusEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
    })(EndpointStatusEnum = KubernetesCredentials.EndpointStatusEnum || (KubernetesCredentials.EndpointStatusEnum = {}));
})(KubernetesCredentials = exports.KubernetesCredentials || (exports.KubernetesCredentials = {}));
exports.KubernetesCredentials = KubernetesCredentials;
//# sourceMappingURL=kubernetesCredentials.js.map