"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LogMetricConfig = (function () {
    function LogMetricConfig() {
    }
    LogMetricConfig.getAttributeTypeMap = function () {
        return LogMetricConfig.attributeTypeMap;
    };
    LogMetricConfig.discriminator = undefined;
    LogMetricConfig.attributeTypeMap = [
        {
            "name": "metricKey",
            "baseName": "metricKey",
            "type": "string"
        },
        {
            "name": "active",
            "baseName": "active",
            "type": "boolean"
        },
        {
            "name": "displayName",
            "baseName": "displayName",
            "type": "string"
        },
        {
            "name": "unit",
            "baseName": "unit",
            "type": "LogMetricConfig.UnitEnum"
        },
        {
            "name": "unitDisplayName",
            "baseName": "unitDisplayName",
            "type": "string"
        },
        {
            "name": "searchString",
            "baseName": "searchString",
            "type": "string"
        },
        {
            "name": "metricValueType",
            "baseName": "metricValueType",
            "type": "LogMetricConfig.MetricValueTypeEnum"
        },
        {
            "name": "columnDefiningValue",
            "baseName": "columnDefiningValue",
            "type": "ColumnDefinition"
        },
        {
            "name": "logSourceFilters",
            "baseName": "logSourceFilters",
            "type": "Array<LogSourceFilter>"
        }
    ];
    return LogMetricConfig;
}());
exports.LogMetricConfig = LogMetricConfig;
(function (LogMetricConfig) {
    var UnitEnum;
    (function (UnitEnum) {
        UnitEnum[UnitEnum["BIT"] = 'BIT'] = "BIT";
        UnitEnum[UnitEnum["BITPERHOUR"] = 'BIT_PER_HOUR'] = "BITPERHOUR";
        UnitEnum[UnitEnum["BITPERMINUTE"] = 'BIT_PER_MINUTE'] = "BITPERMINUTE";
        UnitEnum[UnitEnum["BITPERSECOND"] = 'BIT_PER_SECOND'] = "BITPERSECOND";
        UnitEnum[UnitEnum["BYTE"] = 'BYTE'] = "BYTE";
        UnitEnum[UnitEnum["BYTEPERHOUR"] = 'BYTE_PER_HOUR'] = "BYTEPERHOUR";
        UnitEnum[UnitEnum["BYTEPERMINUTE"] = 'BYTE_PER_MINUTE'] = "BYTEPERMINUTE";
        UnitEnum[UnitEnum["BYTEPERSECOND"] = 'BYTE_PER_SECOND'] = "BYTEPERSECOND";
        UnitEnum[UnitEnum["CORES"] = 'CORES'] = "CORES";
        UnitEnum[UnitEnum["COUNT"] = 'COUNT'] = "COUNT";
        UnitEnum[UnitEnum["DAY"] = 'DAY'] = "DAY";
        UnitEnum[UnitEnum["GIBIBYTE"] = 'GIBI_BYTE'] = "GIBIBYTE";
        UnitEnum[UnitEnum["GIGA"] = 'GIGA'] = "GIGA";
        UnitEnum[UnitEnum["GIGABYTE"] = 'GIGA_BYTE'] = "GIGABYTE";
        UnitEnum[UnitEnum["HOUR"] = 'HOUR'] = "HOUR";
        UnitEnum[UnitEnum["KIBIBYTE"] = 'KIBI_BYTE'] = "KIBIBYTE";
        UnitEnum[UnitEnum["KIBIBYTEPERHOUR"] = 'KIBI_BYTE_PER_HOUR'] = "KIBIBYTEPERHOUR";
        UnitEnum[UnitEnum["KIBIBYTEPERMINUTE"] = 'KIBI_BYTE_PER_MINUTE'] = "KIBIBYTEPERMINUTE";
        UnitEnum[UnitEnum["KIBIBYTEPERSECOND"] = 'KIBI_BYTE_PER_SECOND'] = "KIBIBYTEPERSECOND";
        UnitEnum[UnitEnum["KILO"] = 'KILO'] = "KILO";
        UnitEnum[UnitEnum["KILOBYTE"] = 'KILO_BYTE'] = "KILOBYTE";
        UnitEnum[UnitEnum["KILOBYTEPERHOUR"] = 'KILO_BYTE_PER_HOUR'] = "KILOBYTEPERHOUR";
        UnitEnum[UnitEnum["KILOBYTEPERMINUTE"] = 'KILO_BYTE_PER_MINUTE'] = "KILOBYTEPERMINUTE";
        UnitEnum[UnitEnum["KILOBYTEPERSECOND"] = 'KILO_BYTE_PER_SECOND'] = "KILOBYTEPERSECOND";
        UnitEnum[UnitEnum["MEBIBYTE"] = 'MEBI_BYTE'] = "MEBIBYTE";
        UnitEnum[UnitEnum["MEBIBYTEPERHOUR"] = 'MEBI_BYTE_PER_HOUR'] = "MEBIBYTEPERHOUR";
        UnitEnum[UnitEnum["MEBIBYTEPERMINUTE"] = 'MEBI_BYTE_PER_MINUTE'] = "MEBIBYTEPERMINUTE";
        UnitEnum[UnitEnum["MEBIBYTEPERSECOND"] = 'MEBI_BYTE_PER_SECOND'] = "MEBIBYTEPERSECOND";
        UnitEnum[UnitEnum["MEGA"] = 'MEGA'] = "MEGA";
        UnitEnum[UnitEnum["MEGABYTE"] = 'MEGA_BYTE'] = "MEGABYTE";
        UnitEnum[UnitEnum["MEGABYTEPERHOUR"] = 'MEGA_BYTE_PER_HOUR'] = "MEGABYTEPERHOUR";
        UnitEnum[UnitEnum["MEGABYTEPERMINUTE"] = 'MEGA_BYTE_PER_MINUTE'] = "MEGABYTEPERMINUTE";
        UnitEnum[UnitEnum["MEGABYTEPERSECOND"] = 'MEGA_BYTE_PER_SECOND'] = "MEGABYTEPERSECOND";
        UnitEnum[UnitEnum["MICROSECOND"] = 'MICRO_SECOND'] = "MICROSECOND";
        UnitEnum[UnitEnum["MILLICORES"] = 'MILLI_CORES'] = "MILLICORES";
        UnitEnum[UnitEnum["MILLISECOND"] = 'MILLI_SECOND'] = "MILLISECOND";
        UnitEnum[UnitEnum["MILLISECONDPERMINUTE"] = 'MILLI_SECOND_PER_MINUTE'] = "MILLISECONDPERMINUTE";
        UnitEnum[UnitEnum["MINUTE"] = 'MINUTE'] = "MINUTE";
        UnitEnum[UnitEnum["MONTH"] = 'MONTH'] = "MONTH";
        UnitEnum[UnitEnum["NANOSECOND"] = 'NANO_SECOND'] = "NANOSECOND";
        UnitEnum[UnitEnum["NANOSECONDPERMINUTE"] = 'NANO_SECOND_PER_MINUTE'] = "NANOSECONDPERMINUTE";
        UnitEnum[UnitEnum["NOTAPPLICABLE"] = 'NOT_APPLICABLE'] = "NOTAPPLICABLE";
        UnitEnum[UnitEnum["PERCENT"] = 'PERCENT'] = "PERCENT";
        UnitEnum[UnitEnum["PERHOUR"] = 'PER_HOUR'] = "PERHOUR";
        UnitEnum[UnitEnum["PERMINUTE"] = 'PER_MINUTE'] = "PERMINUTE";
        UnitEnum[UnitEnum["PERSECOND"] = 'PER_SECOND'] = "PERSECOND";
        UnitEnum[UnitEnum["PIXEL"] = 'PIXEL'] = "PIXEL";
        UnitEnum[UnitEnum["PROMILLE"] = 'PROMILLE'] = "PROMILLE";
        UnitEnum[UnitEnum["RATIO"] = 'RATIO'] = "RATIO";
        UnitEnum[UnitEnum["SECOND"] = 'SECOND'] = "SECOND";
        UnitEnum[UnitEnum["STATE"] = 'STATE'] = "STATE";
        UnitEnum[UnitEnum["UNSPECIFIED"] = 'UNSPECIFIED'] = "UNSPECIFIED";
        UnitEnum[UnitEnum["WEEK"] = 'WEEK'] = "WEEK";
        UnitEnum[UnitEnum["YEAR"] = 'YEAR'] = "YEAR";
    })(UnitEnum = LogMetricConfig.UnitEnum || (LogMetricConfig.UnitEnum = {}));
    var MetricValueTypeEnum;
    (function (MetricValueTypeEnum) {
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNAVG"] = 'FP_COLUMN_AVG'] = "FPCOLUMNAVG";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNCOUNT"] = 'FP_COLUMN_COUNT'] = "FPCOLUMNCOUNT";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNMAX"] = 'FP_COLUMN_MAX'] = "FPCOLUMNMAX";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNMIN"] = 'FP_COLUMN_MIN'] = "FPCOLUMNMIN";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNSUM"] = 'FP_COLUMN_SUM'] = "FPCOLUMNSUM";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNTOPXAVG"] = 'FP_COLUMN_TOP_X_AVG'] = "FPCOLUMNTOPXAVG";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNTOPXCOUNT"] = 'FP_COLUMN_TOP_X_COUNT'] = "FPCOLUMNTOPXCOUNT";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNTOPXMAX"] = 'FP_COLUMN_TOP_X_MAX'] = "FPCOLUMNTOPXMAX";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNTOPXMIN"] = 'FP_COLUMN_TOP_X_MIN'] = "FPCOLUMNTOPXMIN";
        MetricValueTypeEnum[MetricValueTypeEnum["FPCOLUMNTOPXSUM"] = 'FP_COLUMN_TOP_X_SUM'] = "FPCOLUMNTOPXSUM";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNAVG"] = 'INT_COLUMN_AVG'] = "INTCOLUMNAVG";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNCOUNT"] = 'INT_COLUMN_COUNT'] = "INTCOLUMNCOUNT";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNMAX"] = 'INT_COLUMN_MAX'] = "INTCOLUMNMAX";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNMIN"] = 'INT_COLUMN_MIN'] = "INTCOLUMNMIN";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNSUM"] = 'INT_COLUMN_SUM'] = "INTCOLUMNSUM";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNTOPXAVG"] = 'INT_COLUMN_TOP_X_AVG'] = "INTCOLUMNTOPXAVG";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNTOPXCOUNT"] = 'INT_COLUMN_TOP_X_COUNT'] = "INTCOLUMNTOPXCOUNT";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNTOPXMAX"] = 'INT_COLUMN_TOP_X_MAX'] = "INTCOLUMNTOPXMAX";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNTOPXMIN"] = 'INT_COLUMN_TOP_X_MIN'] = "INTCOLUMNTOPXMIN";
        MetricValueTypeEnum[MetricValueTypeEnum["INTCOLUMNTOPXSUM"] = 'INT_COLUMN_TOP_X_SUM'] = "INTCOLUMNTOPXSUM";
        MetricValueTypeEnum[MetricValueTypeEnum["OCCURRENCES"] = 'OCCURRENCES'] = "OCCURRENCES";
    })(MetricValueTypeEnum = LogMetricConfig.MetricValueTypeEnum || (LogMetricConfig.MetricValueTypeEnum = {}));
})(LogMetricConfig = exports.LogMetricConfig || (exports.LogMetricConfig = {}));
exports.LogMetricConfig = LogMetricConfig;
//# sourceMappingURL=logMetricConfig.js.map