import { ConfigurationMetadata } from './configurationMetadata';
import { Schedule } from './schedule';
import { Scope } from './scope';
export declare class MaintenanceWindow {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'name': string;
    'description': string;
    'type': MaintenanceWindow.TypeEnum;
    'suppression': MaintenanceWindow.SuppressionEnum;
    'scope'?: Scope;
    'schedule': Schedule;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MaintenanceWindow {
    enum TypeEnum {
        PLANNED,
        UNPLANNED
    }
    enum SuppressionEnum {
        DETECTPROBLEMSANDALERT,
        DETECTPROBLEMSDONTALERT,
        DONTDETECTPROBLEMS
    }
}
