"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MaintenanceWindow = (function () {
    function MaintenanceWindow() {
    }
    MaintenanceWindow.getAttributeTypeMap = function () {
        return MaintenanceWindow.attributeTypeMap;
    };
    MaintenanceWindow.discriminator = undefined;
    MaintenanceWindow.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "description",
            "baseName": "description",
            "type": "string"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "MaintenanceWindow.TypeEnum"
        },
        {
            "name": "suppression",
            "baseName": "suppression",
            "type": "MaintenanceWindow.SuppressionEnum"
        },
        {
            "name": "scope",
            "baseName": "scope",
            "type": "Scope"
        },
        {
            "name": "schedule",
            "baseName": "schedule",
            "type": "Schedule"
        }
    ];
    return MaintenanceWindow;
}());
exports.MaintenanceWindow = MaintenanceWindow;
(function (MaintenanceWindow) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["PLANNED"] = 'PLANNED'] = "PLANNED";
        TypeEnum[TypeEnum["UNPLANNED"] = 'UNPLANNED'] = "UNPLANNED";
    })(TypeEnum = MaintenanceWindow.TypeEnum || (MaintenanceWindow.TypeEnum = {}));
    var SuppressionEnum;
    (function (SuppressionEnum) {
        SuppressionEnum[SuppressionEnum["DETECTPROBLEMSANDALERT"] = 'DETECT_PROBLEMS_AND_ALERT'] = "DETECTPROBLEMSANDALERT";
        SuppressionEnum[SuppressionEnum["DETECTPROBLEMSDONTALERT"] = 'DETECT_PROBLEMS_DONT_ALERT'] = "DETECTPROBLEMSDONTALERT";
        SuppressionEnum[SuppressionEnum["DONTDETECTPROBLEMS"] = 'DONT_DETECT_PROBLEMS'] = "DONTDETECTPROBLEMS";
    })(SuppressionEnum = MaintenanceWindow.SuppressionEnum || (MaintenanceWindow.SuppressionEnum = {}));
})(MaintenanceWindow = exports.MaintenanceWindow || (exports.MaintenanceWindow = {}));
exports.MaintenanceWindow = MaintenanceWindow;
//# sourceMappingURL=maintenanceWindow.js.map