import { EntityRuleEngineCondition } from './entityRuleEngineCondition';
export declare class ManagementZoneRule {
    'type': ManagementZoneRule.TypeEnum;
    'enabled': boolean;
    'propagationTypes'?: Array<ManagementZoneRule.PropagationTypesEnum>;
    'conditions': Array<EntityRuleEngineCondition>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ManagementZoneRule {
    enum TypeEnum {
        APPMONSERVER,
        APPMONSYSTEMPROFILE,
        AWSACCOUNT,
        AWSAPPLICATIONLOADBALANCER,
        AWSAUTOSCALINGGROUP,
        AWSCLASSICLOADBALANCER,
        AWSNETWORKLOADBALANCER,
        AWSRELATIONALDATABASESERVICE,
        AZURE,
        BROWSERMONITOR,
        CLOUDAPPLICATION,
        CLOUDAPPLICATIONNAMESPACE,
        CLOUDFOUNDRYFOUNDATION,
        CUSTOMAPPLICATION,
        CUSTOMDEVICE,
        CUSTOMDEVICEGROUP,
        DATACENTERSERVICE,
        ENTERPRISEAPPLICATION,
        ESXIHOST,
        EXTERNALMONITOR,
        HOST,
        HOSTGROUP,
        HTTPMONITOR,
        KUBERNETESCLUSTER,
        KUBERNETESNODE,
        MOBILEAPPLICATION,
        OPENSTACKACCOUNT,
        PROCESSGROUP,
        SERVICE,
        WEBAPPLICATION
    }
    enum PropagationTypesEnum {
        AZURETOPG,
        AZURETOSERVICE,
        CUSTOMDEVICEGROUPTOCUSTOMDEVICE,
        HOSTTOPROCESSGROUPINSTANCE,
        PROCESSGROUPTOHOST,
        PROCESSGROUPTOSERVICE,
        SERVICETOHOSTLIKE,
        SERVICETOPROCESSGROUPLIKE
    }
}
