"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ManagementZoneRule = (function () {
    function ManagementZoneRule() {
    }
    ManagementZoneRule.getAttributeTypeMap = function () {
        return ManagementZoneRule.attributeTypeMap;
    };
    ManagementZoneRule.discriminator = undefined;
    ManagementZoneRule.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "ManagementZoneRule.TypeEnum"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "propagationTypes",
            "baseName": "propagationTypes",
            "type": "Array<ManagementZoneRule.PropagationTypesEnum>"
        },
        {
            "name": "conditions",
            "baseName": "conditions",
            "type": "Array<EntityRuleEngineCondition>"
        }
    ];
    return ManagementZoneRule;
}());
exports.ManagementZoneRule = ManagementZoneRule;
(function (ManagementZoneRule) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["APPMONSERVER"] = 'APPMON_SERVER'] = "APPMONSERVER";
        TypeEnum[TypeEnum["APPMONSYSTEMPROFILE"] = 'APPMON_SYSTEM_PROFILE'] = "APPMONSYSTEMPROFILE";
        TypeEnum[TypeEnum["AWSACCOUNT"] = 'AWS_ACCOUNT'] = "AWSACCOUNT";
        TypeEnum[TypeEnum["AWSAPPLICATIONLOADBALANCER"] = 'AWS_APPLICATION_LOAD_BALANCER'] = "AWSAPPLICATIONLOADBALANCER";
        TypeEnum[TypeEnum["AWSAUTOSCALINGGROUP"] = 'AWS_AUTO_SCALING_GROUP'] = "AWSAUTOSCALINGGROUP";
        TypeEnum[TypeEnum["AWSCLASSICLOADBALANCER"] = 'AWS_CLASSIC_LOAD_BALANCER'] = "AWSCLASSICLOADBALANCER";
        TypeEnum[TypeEnum["AWSNETWORKLOADBALANCER"] = 'AWS_NETWORK_LOAD_BALANCER'] = "AWSNETWORKLOADBALANCER";
        TypeEnum[TypeEnum["AWSRELATIONALDATABASESERVICE"] = 'AWS_RELATIONAL_DATABASE_SERVICE'] = "AWSRELATIONALDATABASESERVICE";
        TypeEnum[TypeEnum["AZURE"] = 'AZURE'] = "AZURE";
        TypeEnum[TypeEnum["BROWSERMONITOR"] = 'BROWSER_MONITOR'] = "BROWSERMONITOR";
        TypeEnum[TypeEnum["CLOUDAPPLICATION"] = 'CLOUD_APPLICATION'] = "CLOUDAPPLICATION";
        TypeEnum[TypeEnum["CLOUDAPPLICATIONNAMESPACE"] = 'CLOUD_APPLICATION_NAMESPACE'] = "CLOUDAPPLICATIONNAMESPACE";
        TypeEnum[TypeEnum["CLOUDFOUNDRYFOUNDATION"] = 'CLOUD_FOUNDRY_FOUNDATION'] = "CLOUDFOUNDRYFOUNDATION";
        TypeEnum[TypeEnum["CUSTOMAPPLICATION"] = 'CUSTOM_APPLICATION'] = "CUSTOMAPPLICATION";
        TypeEnum[TypeEnum["CUSTOMDEVICE"] = 'CUSTOM_DEVICE'] = "CUSTOMDEVICE";
        TypeEnum[TypeEnum["CUSTOMDEVICEGROUP"] = 'CUSTOM_DEVICE_GROUP'] = "CUSTOMDEVICEGROUP";
        TypeEnum[TypeEnum["DATACENTERSERVICE"] = 'DATA_CENTER_SERVICE'] = "DATACENTERSERVICE";
        TypeEnum[TypeEnum["ENTERPRISEAPPLICATION"] = 'ENTERPRISE_APPLICATION'] = "ENTERPRISEAPPLICATION";
        TypeEnum[TypeEnum["ESXIHOST"] = 'ESXI_HOST'] = "ESXIHOST";
        TypeEnum[TypeEnum["EXTERNALMONITOR"] = 'EXTERNAL_MONITOR'] = "EXTERNALMONITOR";
        TypeEnum[TypeEnum["HOST"] = 'HOST'] = "HOST";
        TypeEnum[TypeEnum["HOSTGROUP"] = 'HOST_GROUP'] = "HOSTGROUP";
        TypeEnum[TypeEnum["HTTPMONITOR"] = 'HTTP_MONITOR'] = "HTTPMONITOR";
        TypeEnum[TypeEnum["KUBERNETESCLUSTER"] = 'KUBERNETES_CLUSTER'] = "KUBERNETESCLUSTER";
        TypeEnum[TypeEnum["KUBERNETESNODE"] = 'KUBERNETES_NODE'] = "KUBERNETESNODE";
        TypeEnum[TypeEnum["MOBILEAPPLICATION"] = 'MOBILE_APPLICATION'] = "MOBILEAPPLICATION";
        TypeEnum[TypeEnum["OPENSTACKACCOUNT"] = 'OPENSTACK_ACCOUNT'] = "OPENSTACKACCOUNT";
        TypeEnum[TypeEnum["PROCESSGROUP"] = 'PROCESS_GROUP'] = "PROCESSGROUP";
        TypeEnum[TypeEnum["SERVICE"] = 'SERVICE'] = "SERVICE";
        TypeEnum[TypeEnum["WEBAPPLICATION"] = 'WEB_APPLICATION'] = "WEBAPPLICATION";
    })(TypeEnum = ManagementZoneRule.TypeEnum || (ManagementZoneRule.TypeEnum = {}));
    var PropagationTypesEnum;
    (function (PropagationTypesEnum) {
        PropagationTypesEnum[PropagationTypesEnum["AZURETOPG"] = 'AZURE_TO_PG'] = "AZURETOPG";
        PropagationTypesEnum[PropagationTypesEnum["AZURETOSERVICE"] = 'AZURE_TO_SERVICE'] = "AZURETOSERVICE";
        PropagationTypesEnum[PropagationTypesEnum["CUSTOMDEVICEGROUPTOCUSTOMDEVICE"] = 'CUSTOM_DEVICE_GROUP_TO_CUSTOM_DEVICE'] = "CUSTOMDEVICEGROUPTOCUSTOMDEVICE";
        PropagationTypesEnum[PropagationTypesEnum["HOSTTOPROCESSGROUPINSTANCE"] = 'HOST_TO_PROCESS_GROUP_INSTANCE'] = "HOSTTOPROCESSGROUPINSTANCE";
        PropagationTypesEnum[PropagationTypesEnum["PROCESSGROUPTOHOST"] = 'PROCESS_GROUP_TO_HOST'] = "PROCESSGROUPTOHOST";
        PropagationTypesEnum[PropagationTypesEnum["PROCESSGROUPTOSERVICE"] = 'PROCESS_GROUP_TO_SERVICE'] = "PROCESSGROUPTOSERVICE";
        PropagationTypesEnum[PropagationTypesEnum["SERVICETOHOSTLIKE"] = 'SERVICE_TO_HOST_LIKE'] = "SERVICETOHOSTLIKE";
        PropagationTypesEnum[PropagationTypesEnum["SERVICETOPROCESSGROUPLIKE"] = 'SERVICE_TO_PROCESS_GROUP_LIKE'] = "SERVICETOPROCESSGROUPLIKE";
    })(PropagationTypesEnum = ManagementZoneRule.PropagationTypesEnum || (ManagementZoneRule.PropagationTypesEnum = {}));
})(ManagementZoneRule = exports.ManagementZoneRule || (exports.ManagementZoneRule = {}));
exports.ManagementZoneRule = ManagementZoneRule;
//# sourceMappingURL=managementZoneRule.js.map