"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MethodReference = (function () {
    function MethodReference() {
    }
    MethodReference.getAttributeTypeMap = function () {
        return MethodReference.attributeTypeMap;
    };
    MethodReference.discriminator = undefined;
    MethodReference.attributeTypeMap = [
        {
            "name": "visibility",
            "baseName": "visibility",
            "type": "MethodReference.VisibilityEnum"
        },
        {
            "name": "modifiers",
            "baseName": "modifiers",
            "type": "Array<MethodReference.ModifiersEnum>"
        },
        {
            "name": "className",
            "baseName": "className",
            "type": "string"
        },
        {
            "name": "fileName",
            "baseName": "fileName",
            "type": "string"
        },
        {
            "name": "fileNameMatcher",
            "baseName": "fileNameMatcher",
            "type": "MethodReference.FileNameMatcherEnum"
        },
        {
            "name": "methodName",
            "baseName": "methodName",
            "type": "string"
        },
        {
            "name": "argumentTypes",
            "baseName": "argumentTypes",
            "type": "Array<string>"
        },
        {
            "name": "returnType",
            "baseName": "returnType",
            "type": "string"
        }
    ];
    return MethodReference;
}());
exports.MethodReference = MethodReference;
(function (MethodReference) {
    var VisibilityEnum;
    (function (VisibilityEnum) {
        VisibilityEnum[VisibilityEnum["INTERNAL"] = 'INTERNAL'] = "INTERNAL";
        VisibilityEnum[VisibilityEnum["PACKAGEPROTECTED"] = 'PACKAGE_PROTECTED'] = "PACKAGEPROTECTED";
        VisibilityEnum[VisibilityEnum["PRIVATE"] = 'PRIVATE'] = "PRIVATE";
        VisibilityEnum[VisibilityEnum["PROTECTED"] = 'PROTECTED'] = "PROTECTED";
        VisibilityEnum[VisibilityEnum["PUBLIC"] = 'PUBLIC'] = "PUBLIC";
    })(VisibilityEnum = MethodReference.VisibilityEnum || (MethodReference.VisibilityEnum = {}));
    var ModifiersEnum;
    (function (ModifiersEnum) {
        ModifiersEnum[ModifiersEnum["ABSTRACT"] = 'ABSTRACT'] = "ABSTRACT";
        ModifiersEnum[ModifiersEnum["EXTERN"] = 'EXTERN'] = "EXTERN";
        ModifiersEnum[ModifiersEnum["FINAL"] = 'FINAL'] = "FINAL";
        ModifiersEnum[ModifiersEnum["NATIVE"] = 'NATIVE'] = "NATIVE";
        ModifiersEnum[ModifiersEnum["STATIC"] = 'STATIC'] = "STATIC";
    })(ModifiersEnum = MethodReference.ModifiersEnum || (MethodReference.ModifiersEnum = {}));
    var FileNameMatcherEnum;
    (function (FileNameMatcherEnum) {
        FileNameMatcherEnum[FileNameMatcherEnum["ENDSWITH"] = 'ENDS_WITH'] = "ENDSWITH";
        FileNameMatcherEnum[FileNameMatcherEnum["EQUALS"] = 'EQUALS'] = "EQUALS";
        FileNameMatcherEnum[FileNameMatcherEnum["STARTSWITH"] = 'STARTS_WITH'] = "STARTSWITH";
    })(FileNameMatcherEnum = MethodReference.FileNameMatcherEnum || (MethodReference.FileNameMatcherEnum = {}));
})(MethodReference = exports.MethodReference || (exports.MethodReference = {}));
exports.MethodReference = MethodReference;
//# sourceMappingURL=methodReference.js.map