import { MetricEventMonitoringStrategy } from './metricEventMonitoringStrategy';
export declare class MetricEventAutoAdaptiveBaselineMonitoringStrategy extends MetricEventMonitoringStrategy {
    'samples': number;
    'violatingSamples': number;
    'dealertingSamples': number;
    'alertCondition': MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum;
    'numberOfSignalFluctuations': number;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MetricEventAutoAdaptiveBaselineMonitoringStrategy {
    enum AlertConditionEnum {
        ABOVE,
        BELOW
    }
}
