"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var metricEventMonitoringStrategy_1 = require("./metricEventMonitoringStrategy");
var MetricEventAutoAdaptiveBaselineMonitoringStrategy = (function (_super) {
    __extends(MetricEventAutoAdaptiveBaselineMonitoringStrategy, _super);
    function MetricEventAutoAdaptiveBaselineMonitoringStrategy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MetricEventAutoAdaptiveBaselineMonitoringStrategy.getAttributeTypeMap = function () {
        return _super.getAttributeTypeMap.call(this).concat(MetricEventAutoAdaptiveBaselineMonitoringStrategy.attributeTypeMap);
    };
    MetricEventAutoAdaptiveBaselineMonitoringStrategy.discriminator = undefined;
    MetricEventAutoAdaptiveBaselineMonitoringStrategy.attributeTypeMap = [
        {
            "name": "samples",
            "baseName": "samples",
            "type": "number"
        },
        {
            "name": "violatingSamples",
            "baseName": "violatingSamples",
            "type": "number"
        },
        {
            "name": "dealertingSamples",
            "baseName": "dealertingSamples",
            "type": "number"
        },
        {
            "name": "alertCondition",
            "baseName": "alertCondition",
            "type": "MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum"
        },
        {
            "name": "numberOfSignalFluctuations",
            "baseName": "numberOfSignalFluctuations",
            "type": "number"
        }
    ];
    return MetricEventAutoAdaptiveBaselineMonitoringStrategy;
}(metricEventMonitoringStrategy_1.MetricEventMonitoringStrategy));
exports.MetricEventAutoAdaptiveBaselineMonitoringStrategy = MetricEventAutoAdaptiveBaselineMonitoringStrategy;
(function (MetricEventAutoAdaptiveBaselineMonitoringStrategy) {
    var AlertConditionEnum;
    (function (AlertConditionEnum) {
        AlertConditionEnum[AlertConditionEnum["ABOVE"] = 'ABOVE'] = "ABOVE";
        AlertConditionEnum[AlertConditionEnum["BELOW"] = 'BELOW'] = "BELOW";
    })(AlertConditionEnum = MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum || (MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum = {}));
})(MetricEventAutoAdaptiveBaselineMonitoringStrategy = exports.MetricEventAutoAdaptiveBaselineMonitoringStrategy || (exports.MetricEventAutoAdaptiveBaselineMonitoringStrategy = {}));
exports.MetricEventAutoAdaptiveBaselineMonitoringStrategy = MetricEventAutoAdaptiveBaselineMonitoringStrategy;
//# sourceMappingURL=metricEventAutoAdaptiveBaselineMonitoringStrategy.js.map