import { ComparisonBasic } from './comparisonBasic';
export declare class MobilePlatformComparison extends ComparisonBasic {
    'operator': MobilePlatformComparison.OperatorEnum;
    'value'?: MobilePlatformComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MobilePlatformComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        ANDROID,
        IOS,
        LINUX,
        MACOS,
        OTHER,
        TVOS,
        WINDOWS
    }
}
