export * from './additionalEventHandlers';
export * from './advancedJavaScriptTagSettings';
export * from './afterTransformation';
export * from './afterTransformationAllOf';
export * from './alertingCustomEventFilter';
export * from './alertingCustomTextFilter';
export * from './alertingEventTypeFilter';
export * from './alertingPredefinedEventFilter';
export * from './alertingProfile';
export * from './alertingProfileSeverityRule';
export * from './alertingProfileTagFilter';
export * from './aliasQueue';
export * from './anomalyDetectionPG';
export * from './ansibleTowerNotificationConfig';
export * from './ansibleTowerNotificationConfigAllOf';
export * from './apdex';
export * from './appIdentifier';
export * from './applicationAnomalyDetectionConfig';
export * from './applicationDataPrivacy';
export * from './applicationDataPrivacyList';
export * from './applicationDetectionRuleConfig';
export * from './applicationFilter';
export * from './applicationId';
export * from './applicationTypeComparison';
export * from './applicationTypeComparisonAllOf';
export * from './assignedEntitiesTile';
export * from './assignedEntitiesTileAllOf';
export * from './assignedEntitiesWithMetricTile';
export * from './assignedEntitiesWithMetricTileAllOf';
export * from './autoTag';
export * from './autoTagRule';
export * from './availabilityMonitoringPG';
export * from './awsAnomalyDetectionConfig';
export * from './awsAuthenticationData';
export * from './awsConfigTag';
export * from './awsCredentialsConfig';
export * from './awsIamToken';
export * from './awsSupportingServiceConfig';
export * from './awsSupportingServiceMetric';
export * from './azureComputeModeComparison';
export * from './azureComputeModeComparisonAllOf';
export * from './azureCredentials';
export * from './azureMonitoredMetric';
export * from './azureSkuComparision';
export * from './azureSkuComparisionAllOf';
export * from './azureSupportingService';
export * from './beforeTransformation';
export * from './beforeTransformationAllOf';
export * from './betweenTransformation';
export * from './betweenTransformationAllOf';
export * from './bitnessComparision';
export * from './bitnessComparisionAllOf';
export * from './booleanComparisonInfo';
export * from './booleanComparisonInfoAllOf';
export * from './calculatedMetricDefinition';
export * from './calculatedMobileMetric';
export * from './calculatedMobileMetricDimension';
export * from './calculatedMobileMetricUpdate';
export * from './calculatedMobileMetricUserActionFilter';
export * from './calculatedServiceMetric';
export * from './calculatedSyntheticMetric';
export * from './capturedMethod';
export * from './certificateCredentials';
export * from './certificateCredentialsAllOf';
export * from './cloudFoundryCredentials';
export * from './cloudTag';
export * from './cloudTypeComparison';
export * from './cloudTypeComparisonAllOf';
export * from './clusterQueue';
export * from './columnDefinition';
export * from './compareOperation';
export * from './comparisonBasic';
export * from './comparisonInfo';
export * from './condition';
export * from './conditionKey';
export * from './conditionalNamingRule';
export * from './conditionsFullWebRequestAttributeTypeDto';
export * from './conditionsFullWebServiceAttributeTypeDto';
export * from './conditionsOpaqueAndExternalWebRequestAttributeTypeDto';
export * from './configurationMetadata';
export * from './configurationMetadataDtoImpl';
export * from './connectionLostDetectionConfig';
export * from './constraintViolation';
export * from './contentCapture';
export * from './contextRoot';
export * from './contextRootTransformation';
export * from './conversionGoal';
export * from './credentials';
export * from './credentialsList';
export * from './credentialsResponseElement';
export * from './customApplicationTypeComparison';
export * from './customApplicationTypeComparisonAllOf';
export * from './customChartingItemMetadataConfig';
export * from './customChartingTile';
export * from './customChartingTileAllOf';
export * from './customColumnDefinition';
export * from './customColumnDefinitionAllOf';
export * from './customDeviceGroupNameAlertingScope';
export * from './customDeviceGroupNameAlertingScopeAllOf';
export * from './customFilterChartConfig';
export * from './customFilterChartSeriesConfig';
export * from './customFilterChartSeriesDimensionConfig';
export * from './customFilterConfig';
export * from './customHostMetadataConditionKey';
export * from './customHostMetadataConditionKeyAllOf';
export * from './customHostMetadataKey';
export * from './customProcessMetadataConditionKey';
export * from './customProcessMetadataConditionKeyAllOf';
export * from './customProcessMetadataKey';
export * from './customService';
export * from './dashboard';
export * from './dashboardFilter';
export * from './dashboardList';
export * from './dashboardMetadata';
export * from './dashboardReport';
export * from './dashboardReportStub';
export * from './dashboardReportSubscription';
export * from './dashboardStub';
export * from './dataPrivacyAndSecurity';
export * from './dataSource';
export * from './databaseAnomalyDetectionConfig';
export * from './databaseConnectionFailureDetectionConfig';
export * from './databaseTopologyComparison';
export * from './databaseTopologyComparisonAllOf';
export * from './dcrumDecoderComparison';
export * from './dcrumDecoderComparisonAllOf';
export * from './destinationDetails';
export * from './detectionRule';
export * from './dimensionDefinition';
export * from './diskEventAnomalyDetectionConfig';
export * from './diskLowInodesDetectionConfig';
export * from './diskLowInodesThresholds';
export * from './diskLowSpaceDetectionConfig';
export * from './diskLowSpaceThresholds';
export * from './diskNameFilter';
export * from './diskSlowWriteAndReadsThresholds';
export * from './diskSlowWritesAndReadsDetectionConfig';
export * from './droppedPacketsDetectionConfig';
export * from './droppedPacketsThresholds';
export * from './eSBInputNodeTypeComparisonInfo';
export * from './eSBInputNodeTypeComparisonInfoAllOf';
export * from './ec2CandidateCpuSaturationDetectionConfig';
export * from './ec2CandidateCpuSaturationThresholds';
export * from './elbHighConnectionErrorsDetectionConfig';
export * from './elbHighConnectionErrorsThresholds';
export * from './emailNotificationConfig';
export * from './emailNotificationConfigAllOf';
export * from './endsWithCompareOperation';
export * from './endsWithCompareOperationAllOf';
export * from './entityIdAlertingScope';
export * from './entityIdAlertingScopeAllOf';
export * from './entityIdComparison';
export * from './entityIdComparisonAllOf';
export * from './entityRuleEngineCondition';
export * from './entityShortRepresentation';
export * from './equalsCompareOperation';
export * from './equalsCompareOperationAllOf';
export * from './errorEnvelope';
export * from './esxiHighCpuSaturationConfig';
export * from './esxiHighCpuThresholds';
export * from './esxiHighMemoryDetectionConfig';
export * from './esxiHighMemoryThresholds';
export * from './eventWrapperSettings';
export * from './existsCompareOperation';
export * from './existsCompareOperationAllOf';
export * from './extension';
export * from './extensionConfigurationDto';
export * from './extensionConfigurationList';
export * from './extensionDto';
export * from './extensionListDto';
export * from './extensionProperty';
export * from './extensionState';
export * from './extensionStateList';
export * from './extractSubstring';
export * from './failedStateComparisonInfo';
export * from './failedStateComparisonInfoAllOf';
export * from './failureRateIncreaseAutodetectionConfig';
export * from './failureRateIncreaseDetectionConfig';
export * from './failureRateIncreaseThresholdConfig';
export * from './failureReasonComparisonInfo';
export * from './failureReasonComparisonInfoAllOf';
export * from './fastStringComparisonInfo';
export * from './fastStringComparisonInfoAllOf';
export * from './filterableEntityTile';
export * from './filterableEntityTileAllOf';
export * from './flawStateComparisonInfo';
export * from './flawStateComparisonInfoAllOf';
export * from './frequentIssueDetectionConfig';
export * from './fullWebRequestRule';
export * from './fullWebServiceRule';
export * from './globalEventCaptureSettings';
export * from './globalExtensionConfiguration';
export * from './greaterThanCompareOperation';
export * from './greaterThanCompareOperationAllOf';
export * from './guestCPULimitReachedConfig';
export * from './guestCPULimitThresholds';
export * from './highCpuSaturationDetectionConfig';
export * from './highCpuSaturationThresholds';
export * from './highGcActivityDetectionConfig';
export * from './highGcActivityThresholds';
export * from './highMemoryDetectionConfig';
export * from './highMemoryThresholds';
export * from './highNetworkDetectionConfig';
export * from './highNetworkThresholds';
export * from './hipChatNotificationConfig';
export * from './hipChatNotificationConfigAllOf';
export * from './host';
export * from './hostGroup';
export * from './hostGroupNameAlertingScope';
export * from './hostList';
export * from './hostNameAlertingScope';
export * from './hostsAnomalyDetectionConfig';
export * from './httpHeader';
export * from './httpMethodComparisonInfo';
export * from './httpMethodComparisonInfoAllOf';
export * from './httpStatusClassComparisonInfo';
export * from './httpStatusClassComparisonInfoAllOf';
export * from './hypervisorTypeComparision';
export * from './hypervisorTypeComparisionAllOf';
export * from './iIBInputNodeTypeComparisonInfo';
export * from './ibmMQImsEntryQueue';
export * from './indexedNameComparison';
export * from './indexedNameComparisonAllOf';
export * from './indexedStringComparison';
export * from './indexedStringComparisonAllOf';
export * from './indexedTagComparison';
export * from './indexedTagComparisonAllOf';
export * from './inlineObject';
export * from './inlineObject1';
export * from './inlineObject2';
export * from './inlineObject3';
export * from './intEqualsCompareOperation';
export * from './intEqualsCompareOperationAllOf';
export * from './integerComparison';
export * from './integerComparisonAllOf';
export * from './ipAddressComparison';
export * from './ipAddressComparisonAllOf';
export * from './ipAddressRange';
export * from './ipInRangeCompareOperation';
export * from './ipInRangeCompareOperationAllOf';
export * from './javaScriptFrameworkSupport';
export * from './javaScriptInjectionRules';
export * from './jiraNotificationConfig';
export * from './jiraNotificationConfigAllOf';
export * from './jsonColumnDefinition';
export * from './keyBasedAuthentication';
export * from './kubernetesCredentials';
export * from './kubernetesEventPattern';
export * from './lambdaHighErrorRateDetectionConfig';
export * from './lambdaHighErrorRateThresholds';
export * from './lessThanCompareOperation';
export * from './loadDropDetectionConfig';
export * from './loadSpikeDetectionConfig';
export * from './logMetricConfig';
export * from './logSourceFilter';
export * from './lowDatastoreSpaceDetectionConfig';
export * from './lowDatastoreSpaceThresholds';
export * from './maintenanceWindow';
export * from './managementZone';
export * from './managementZoneAlertingScope';
export * from './managementZoneAlertingScopeAllOf';
export * from './managementZoneRule';
export * from './markdownTile';
export * from './markdownTileAllOf';
export * from './maskingRule';
export * from './maskingSettings';
export * from './metaDataCapturing';
export * from './methodReference';
export * from './methodRule';
export * from './metricEvent';
export * from './metricEventAlertingScope';
export * from './metricEventAutoAdaptiveBaselineMonitoringStrategy';
export * from './metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf';
export * from './metricEventDimensions';
export * from './metricEventEntityDimensions';
export * from './metricEventEntityDimensionsAllOf';
export * from './metricEventMonitoringStrategy';
export * from './metricEventStaticThresholdMonitoringStrategy';
export * from './metricEventStaticThresholdMonitoringStrategyAllOf';
export * from './metricEventStringDimensions';
export * from './metricEventStringDimensionsAllOf';
export * from './metricEventTextFilterMetricEventDimensionsFilterOperatorDto';
export * from './metricEventTextFilterMetricEventTextFilterOperatorDto';
export * from './mobilePlatformComparison';
export * from './mobilePlatformComparisonAllOf';
export * from './modelError';
export * from './monitoredEntityFilter';
export * from './monitoringSettings';
export * from './nameAlertingScope';
export * from './networkDroppedPacketsDetectionConfig';
export * from './networkDroppedPacketsThresholds';
export * from './networkErrorsDetectionConfig';
export * from './networkErrorsThresholds';
export * from './networkHighRetransmissionDetectionConfig';
export * from './networkHighRetransmissionThresholds';
export * from './networkTcpProblemsDetectionConfig';
export * from './networkTcpProblemsThresholds';
export * from './notificationConfig';
export * from './notificationConfigStub';
export * from './notificationConfigStubListDto';
export * from './numberComparisonInfo';
export * from './numberComparisonInfoAllOf';
export * from './numberRequestAttributeComparisonInfo';
export * from './numberRequestAttributeComparisonInfoAllOf';
export * from './opaqueAndExternalWebRequestRule';
export * from './opsGenieNotificationConfig';
export * from './opsGenieNotificationConfigAllOf';
export * from './osArchitectureComparison';
export * from './osArchitectureComparisonAllOf';
export * from './osTypeComparison';
export * from './osTypeComparisonAllOf';
export * from './outOfMemoryDetectionConfig';
export * from './outOfMemoryThresholds';
export * from './outOfThreadsDetectionConfig';
export * from './outOfThreadsThresholds';
export * from './overloadedStorageDetectionConfig';
export * from './overloadedStorageThresholds';
export * from './paasTypeComparison';
export * from './paasTypeComparisonAllOf';
export * from './pagerDutyNotificationConfig';
export * from './pagerDutyNotificationConfigAllOf';
export * from './pathDefinition';
export * from './placeholder';
export * from './plugin';
export * from './pluginProperty';
export * from './pluginState';
export * from './pluginStateList';
export * from './port';
export * from './processGroupIdAlertingScope';
export * from './processGroupIdAlertingScopeAllOf';
export * from './processGroupNameAlertingScope';
export * from './processMetadataConditionKey';
export * from './processMetadataConditionKeyAllOf';
export * from './propagationSource';
export * from './publicDomainName';
export * from './queueManager';
export * from './rdsHighCpuDetectionConfig';
export * from './rdsHighCpuThresholds';
export * from './rdsHighLatencyThresholds';
export * from './rdsHighMemoryDetectionConfig';
export * from './rdsHighMemoryThresholds';
export * from './rdsHighWriteReadLatencyDetectionConfig';
export * from './rdsLowStorageDetectionConfig';
export * from './rdsLowStorageThresholds';
export * from './rdsRestartsSequenceDetectionConfig';
export * from './rdsRestartsThresholds';
export * from './recurrence';
export * from './remoteEnvironmentConfigDto';
export * from './remoteEnvironmentConfigListDto';
export * from './remoteEnvironmentConfigStub';
export * from './remotePluginEndpoint';
export * from './remoteQueue';
export * from './removeCreditCardNumbersTransformation';
export * from './removeIBANsTransformation';
export * from './removeIPsTransformation';
export * from './removeNumbersTransformation';
export * from './removeNumbersTransformationAllOf';
export * from './replaceBetweenTransformation';
export * from './replaceBetweenTransformationAllOf';
export * from './reportStubList';
export * from './reportSubscriptions';
export * from './requestAttribute';
export * from './requestNaming';
export * from './resourceNaming';
export * from './resourceTimingSettings';
export * from './responseTimeDegradationAutodetectionConfig';
export * from './responseTimeDegradationDetectionConfig';
export * from './responseTimeDegradationThresholdConfig';
export * from './roleBasedAuthentication';
export * from './rumDimensionDefinition';
export * from './rumMetric';
export * from './rumMetricDefinition';
export * from './rumMetricUpdate';
export * from './schedule';
export * from './scope';
export * from './scopeConditions';
export * from './serverName';
export * from './serviceAnomalyDetectionConfig';
export * from './serviceNowNotificationConfig';
export * from './serviceNowNotificationConfigAllOf';
export * from './serviceTopologyComparison';
export * from './serviceTopologyComparisonAllOf';
export * from './serviceTypeComparison';
export * from './serviceTypeComparisonAllOf';
export * from './serviceTypeComparisonInfo';
export * from './serviceTypeComparisonInfoAllOf';
export * from './sessionReplaySetting';
export * from './sessionReplaySettingWithDataPrivacy';
export * from './sharingInfo';
export * from './simpleHostTech';
export * from './simpleHostTechComparison';
export * from './simpleHostTechComparisonAllOf';
export * from './simpleTech';
export * from './simpleTechComparison';
export * from './simpleTechComparisonAllOf';
export * from './slackNotificationConfig';
export * from './slackNotificationConfigAllOf';
export * from './slowPhysicalStorageDetectionConfig';
export * from './slowPhysicalStorageThresholds';
export * from './splitSelectTransformation';
export * from './splitSelectTransformationAllOf';
export * from './startsWithCompareOperation';
export * from './startsWithCompareOperationAllOf';
export * from './stringComparison';
export * from './stringComparisonAllOf';
export * from './stringComparisonInfo';
export * from './stringComparisonInfoAllOf';
export * from './stringConditionKey';
export * from './stringConditionKeyAllOf';
export * from './stringContainsCompareOperation';
export * from './stringContainsCompareOperationAllOf';
export * from './stringEqualsCompareOperation';
export * from './stringEqualsCompareOperationAllOf';
export * from './stringRequestAttributeComparisonInfo';
export * from './stringRequestAttributeComparisonInfoAllOf';
export * from './stubList';
export * from './supportedVersion';
export * from './symbolFile';
export * from './symbolFileClientLinkDto';
export * from './symbolFileList';
export * from './symbolFilePinning';
export * from './symbolFileStorageInfo';
export * from './syntheticEngineTypeComparison';
export * from './syntheticEngineTypeComparisonAllOf';
export * from './syntheticMetricDimension';
export * from './syntheticMetricFilter';
export * from './syntheticMetricUpdate';
export * from './syntheticSingleWebcheckTile';
export * from './syntheticSingleWebcheckTileAllOf';
export * from './tagCompareOperation';
export * from './tagCompareOperationAllOf';
export * from './tagComparison';
export * from './tagComparisonAllOf';
export * from './tagComparisonInfo';
export * from './tagComparisonInfoAllOf';
export * from './tagFilter';
export * from './tagFilterAlertingScope';
export * from './tagFilterAlertingScopeAllOf';
export * from './tagInfo';
export * from './takeSegmentsTransformation';
export * from './takeSegmentsTransformationAllOf';
export * from './tile';
export * from './tileBounds';
export * from './tileFilter';
export * from './timeoutSettings';
export * from './tokenCredentials';
export * from './tokenCredentialsAllOf';
export * from './trafficDropDetectionConfig';
export * from './trafficSpikeDetectionConfig';
export * from './transformationBase';
export * from './trelloNotificationConfig';
export * from './trelloNotificationConfigAllOf';
export * from './undersizedStorageDetectionConfig';
export * from './undersizedStorageThresholds';
export * from './universalTag';
export * from './universalTagKey';
export * from './userActionAndSessionProperties';
export * from './userActionDetails';
export * from './userActionFilter';
export * from './userActionNamingPlaceholder';
export * from './userActionNamingPlaceholderProcessingStep';
export * from './userActionNamingRule';
export * from './userActionNamingRuleCondition';
export * from './userActionNamingSettings';
export * from './userActionPropertyFilter';
export * from './userPasswordCredentials';
export * from './userPasswordCredentialsAllOf';
export * from './userSessionQueryTile';
export * from './userSessionQueryTileAllOf';
export * from './userSessionQueryTileConfiguration';
export * from './userTag';
export * from './vMwareAnomalyDetectionConfig';
export * from './valueCondition';
export * from './valueProcessing';
export * from './victorOpsNotificationConfig';
export * from './victorOpsNotificationConfigAllOf';
export * from './visitDurationDetails';
export * from './visitNumActionDetails';
export * from './visuallyComplete2Settings';
export * from './waterfallSettings';
export * from './webApplicationConfig';
export * from './webApplicationConfigBrowserRestriction';
export * from './webApplicationConfigBrowserRestrictionSettings';
export * from './webApplicationConfigIpAddressRestrictionSettings';
export * from './webHookNotificationConfig';
export * from './webHookNotificationConfigAllOf';
export * from './webServiceName';
export * from './webServiceNameSpace';
export * from './xMattersNotificationConfig';
export * from './xMattersNotificationConfigAllOf';
export * from './zosComparisonInfo';
export * from './zosComparisonInfoAllOf';
import localVarRequest = require('request');
export declare class ObjectSerializer {
    static findCorrectType(data: any, expectedType: string): any;
    static serialize(data: any, type: string): any;
    static deserialize(data: any, type: string): any;
}
export interface Authentication {
    applyToRequest(requestOptions: localVarRequest.Options): Promise<void> | void;
}
export declare class HttpBasicAuth implements Authentication {
    username: string;
    password: string;
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class HttpBearerAuth implements Authentication {
    accessToken: string | (() => string);
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class ApiKeyAuth implements Authentication {
    private location;
    private paramName;
    apiKey: string;
    constructor(location: string, paramName: string);
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class OAuth implements Authentication {
    accessToken: string;
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class VoidAuth implements Authentication {
    username: string;
    password: string;
    applyToRequest(_: localVarRequest.Options): void;
}
export declare type Interceptor = (requestOptions: localVarRequest.Options) => (Promise<void> | void);
