import { TagInfo } from './tagInfo';
export declare class MonitoredEntityFilter {
    'type'?: MonitoredEntityFilter.TypeEnum;
    'mzId'?: string;
    'tags': Array<TagInfo>;
    'tagCombination'?: MonitoredEntityFilter.TagCombinationEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MonitoredEntityFilter {
    enum TypeEnum {
        APPLICATION,
        APPLICATIONMETHOD,
        APPLICATIONMETHODGROUP,
        APPMONSERVER,
        APPMONSYSTEMPROFILE,
        AUTOSCALINGGROUP,
        AUXILIARYSYNTHETICTEST,
        AWSAPPLICATIONLOADBALANCER,
        AWSAVAILABILITYZONE,
        AWSCREDENTIALS,
        AWSLAMBDAFUNCTION,
        AWSNETWORKLOADBALANCER,
        AZUREAPIMANAGEMENTSERVICE,
        AZUREAPPLICATIONGATEWAY,
        AZURECOSMOSDB,
        AZURECREDENTIALS,
        AZUREEVENTHUB,
        AZUREEVENTHUBNAMESPACE,
        AZUREFUNCTIONAPP,
        AZUREIOTHUB,
        AZURELOADBALANCER,
        AZUREMGMTGROUP,
        AZUREREDISCACHE,
        AZUREREGION,
        AZURESERVICEBUSNAMESPACE,
        AZURESERVICEBUSQUEUE,
        AZURESERVICEBUSTOPIC,
        AZURESQLDATABASE,
        AZURESQLELASTICPOOL,
        AZURESQLSERVER,
        AZURESTORAGEACCOUNT,
        AZURESUBSCRIPTION,
        AZURETENANT,
        AZUREVM,
        AZUREVMSCALESET,
        AZUREWEBAPP,
        CFAPPLICATION,
        CFFOUNDATION,
        CINDERVOLUME,
        CLOUDAPPLICATION,
        CLOUDAPPLICATIONINSTANCE,
        CLOUDAPPLICATIONNAMESPACE,
        CONTAINERGROUP,
        CONTAINERGROUPINSTANCE,
        CUSTOMAPPLICATION,
        CUSTOMDEVICE,
        CUSTOMDEVICEGROUP,
        DCRUMAPPLICATION,
        DCRUMSERVICE,
        DCRUMSERVICEINSTANCE,
        DEVICEAPPLICATIONMETHOD,
        DISK,
        DOCKERCONTAINERGROUP,
        DOCKERCONTAINERGROUPINSTANCE,
        DYNAMODBTABLE,
        EBSVOLUME,
        EC2INSTANCE,
        ELASTICLOADBALANCER,
        ENVIRONMENT,
        EXTERNALSYNTHETICTESTSTEP,
        GCPZONE,
        GEOLOCATION,
        GEOLOCSITE,
        GOOGLECOMPUTEENGINE,
        HOST,
        HOSTGROUP,
        HTTPCHECK,
        HTTPCHECKSTEP,
        HYPERVISOR,
        KUBERNETESCLUSTER,
        KUBERNETESNODE,
        MOBILEAPPLICATION,
        NETWORKINTERFACE,
        NEUTRONSUBNET,
        OPENSTACKPROJECT,
        OPENSTACKREGION,
        OPENSTACKVM,
        OS,
        PROCESSGROUP,
        PROCESSGROUPINSTANCE,
        RELATIONALDATABASESERVICE,
        SERVICE,
        SERVICEINSTANCE,
        SERVICEMETHOD,
        SERVICEMETHODGROUP,
        SWIFTCONTAINER,
        SYNTHETICLOCATION,
        SYNTHETICTEST,
        SYNTHETICTESTSTEP,
        VIRTUALMACHINE,
        VMWAREDATACENTER
    }
    enum TagCombinationEnum {
        AND,
        OR
    }
}
