"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MonitoredEntityFilter = (function () {
    function MonitoredEntityFilter() {
    }
    MonitoredEntityFilter.getAttributeTypeMap = function () {
        return MonitoredEntityFilter.attributeTypeMap;
    };
    MonitoredEntityFilter.discriminator = undefined;
    MonitoredEntityFilter.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "MonitoredEntityFilter.TypeEnum"
        },
        {
            "name": "mzId",
            "baseName": "mzId",
            "type": "string"
        },
        {
            "name": "tags",
            "baseName": "tags",
            "type": "Array<TagInfo>"
        },
        {
            "name": "tagCombination",
            "baseName": "tagCombination",
            "type": "MonitoredEntityFilter.TagCombinationEnum"
        }
    ];
    return MonitoredEntityFilter;
}());
exports.MonitoredEntityFilter = MonitoredEntityFilter;
(function (MonitoredEntityFilter) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["APPLICATION"] = 'APPLICATION'] = "APPLICATION";
        TypeEnum[TypeEnum["APPLICATIONMETHOD"] = 'APPLICATION_METHOD'] = "APPLICATIONMETHOD";
        TypeEnum[TypeEnum["APPLICATIONMETHODGROUP"] = 'APPLICATION_METHOD_GROUP'] = "APPLICATIONMETHODGROUP";
        TypeEnum[TypeEnum["APPMONSERVER"] = 'APPMON_SERVER'] = "APPMONSERVER";
        TypeEnum[TypeEnum["APPMONSYSTEMPROFILE"] = 'APPMON_SYSTEM_PROFILE'] = "APPMONSYSTEMPROFILE";
        TypeEnum[TypeEnum["AUTOSCALINGGROUP"] = 'AUTO_SCALING_GROUP'] = "AUTOSCALINGGROUP";
        TypeEnum[TypeEnum["AUXILIARYSYNTHETICTEST"] = 'AUXILIARY_SYNTHETIC_TEST'] = "AUXILIARYSYNTHETICTEST";
        TypeEnum[TypeEnum["AWSAPPLICATIONLOADBALANCER"] = 'AWS_APPLICATION_LOAD_BALANCER'] = "AWSAPPLICATIONLOADBALANCER";
        TypeEnum[TypeEnum["AWSAVAILABILITYZONE"] = 'AWS_AVAILABILITY_ZONE'] = "AWSAVAILABILITYZONE";
        TypeEnum[TypeEnum["AWSCREDENTIALS"] = 'AWS_CREDENTIALS'] = "AWSCREDENTIALS";
        TypeEnum[TypeEnum["AWSLAMBDAFUNCTION"] = 'AWS_LAMBDA_FUNCTION'] = "AWSLAMBDAFUNCTION";
        TypeEnum[TypeEnum["AWSNETWORKLOADBALANCER"] = 'AWS_NETWORK_LOAD_BALANCER'] = "AWSNETWORKLOADBALANCER";
        TypeEnum[TypeEnum["AZUREAPIMANAGEMENTSERVICE"] = 'AZURE_API_MANAGEMENT_SERVICE'] = "AZUREAPIMANAGEMENTSERVICE";
        TypeEnum[TypeEnum["AZUREAPPLICATIONGATEWAY"] = 'AZURE_APPLICATION_GATEWAY'] = "AZUREAPPLICATIONGATEWAY";
        TypeEnum[TypeEnum["AZURECOSMOSDB"] = 'AZURE_COSMOS_DB'] = "AZURECOSMOSDB";
        TypeEnum[TypeEnum["AZURECREDENTIALS"] = 'AZURE_CREDENTIALS'] = "AZURECREDENTIALS";
        TypeEnum[TypeEnum["AZUREEVENTHUB"] = 'AZURE_EVENT_HUB'] = "AZUREEVENTHUB";
        TypeEnum[TypeEnum["AZUREEVENTHUBNAMESPACE"] = 'AZURE_EVENT_HUB_NAMESPACE'] = "AZUREEVENTHUBNAMESPACE";
        TypeEnum[TypeEnum["AZUREFUNCTIONAPP"] = 'AZURE_FUNCTION_APP'] = "AZUREFUNCTIONAPP";
        TypeEnum[TypeEnum["AZUREIOTHUB"] = 'AZURE_IOT_HUB'] = "AZUREIOTHUB";
        TypeEnum[TypeEnum["AZURELOADBALANCER"] = 'AZURE_LOAD_BALANCER'] = "AZURELOADBALANCER";
        TypeEnum[TypeEnum["AZUREMGMTGROUP"] = 'AZURE_MGMT_GROUP'] = "AZUREMGMTGROUP";
        TypeEnum[TypeEnum["AZUREREDISCACHE"] = 'AZURE_REDIS_CACHE'] = "AZUREREDISCACHE";
        TypeEnum[TypeEnum["AZUREREGION"] = 'AZURE_REGION'] = "AZUREREGION";
        TypeEnum[TypeEnum["AZURESERVICEBUSNAMESPACE"] = 'AZURE_SERVICE_BUS_NAMESPACE'] = "AZURESERVICEBUSNAMESPACE";
        TypeEnum[TypeEnum["AZURESERVICEBUSQUEUE"] = 'AZURE_SERVICE_BUS_QUEUE'] = "AZURESERVICEBUSQUEUE";
        TypeEnum[TypeEnum["AZURESERVICEBUSTOPIC"] = 'AZURE_SERVICE_BUS_TOPIC'] = "AZURESERVICEBUSTOPIC";
        TypeEnum[TypeEnum["AZURESQLDATABASE"] = 'AZURE_SQL_DATABASE'] = "AZURESQLDATABASE";
        TypeEnum[TypeEnum["AZURESQLELASTICPOOL"] = 'AZURE_SQL_ELASTIC_POOL'] = "AZURESQLELASTICPOOL";
        TypeEnum[TypeEnum["AZURESQLSERVER"] = 'AZURE_SQL_SERVER'] = "AZURESQLSERVER";
        TypeEnum[TypeEnum["AZURESTORAGEACCOUNT"] = 'AZURE_STORAGE_ACCOUNT'] = "AZURESTORAGEACCOUNT";
        TypeEnum[TypeEnum["AZURESUBSCRIPTION"] = 'AZURE_SUBSCRIPTION'] = "AZURESUBSCRIPTION";
        TypeEnum[TypeEnum["AZURETENANT"] = 'AZURE_TENANT'] = "AZURETENANT";
        TypeEnum[TypeEnum["AZUREVM"] = 'AZURE_VM'] = "AZUREVM";
        TypeEnum[TypeEnum["AZUREVMSCALESET"] = 'AZURE_VM_SCALE_SET'] = "AZUREVMSCALESET";
        TypeEnum[TypeEnum["AZUREWEBAPP"] = 'AZURE_WEB_APP'] = "AZUREWEBAPP";
        TypeEnum[TypeEnum["CFAPPLICATION"] = 'CF_APPLICATION'] = "CFAPPLICATION";
        TypeEnum[TypeEnum["CFFOUNDATION"] = 'CF_FOUNDATION'] = "CFFOUNDATION";
        TypeEnum[TypeEnum["CINDERVOLUME"] = 'CINDER_VOLUME'] = "CINDERVOLUME";
        TypeEnum[TypeEnum["CLOUDAPPLICATION"] = 'CLOUD_APPLICATION'] = "CLOUDAPPLICATION";
        TypeEnum[TypeEnum["CLOUDAPPLICATIONINSTANCE"] = 'CLOUD_APPLICATION_INSTANCE'] = "CLOUDAPPLICATIONINSTANCE";
        TypeEnum[TypeEnum["CLOUDAPPLICATIONNAMESPACE"] = 'CLOUD_APPLICATION_NAMESPACE'] = "CLOUDAPPLICATIONNAMESPACE";
        TypeEnum[TypeEnum["CONTAINERGROUP"] = 'CONTAINER_GROUP'] = "CONTAINERGROUP";
        TypeEnum[TypeEnum["CONTAINERGROUPINSTANCE"] = 'CONTAINER_GROUP_INSTANCE'] = "CONTAINERGROUPINSTANCE";
        TypeEnum[TypeEnum["CUSTOMAPPLICATION"] = 'CUSTOM_APPLICATION'] = "CUSTOMAPPLICATION";
        TypeEnum[TypeEnum["CUSTOMDEVICE"] = 'CUSTOM_DEVICE'] = "CUSTOMDEVICE";
        TypeEnum[TypeEnum["CUSTOMDEVICEGROUP"] = 'CUSTOM_DEVICE_GROUP'] = "CUSTOMDEVICEGROUP";
        TypeEnum[TypeEnum["DCRUMAPPLICATION"] = 'DCRUM_APPLICATION'] = "DCRUMAPPLICATION";
        TypeEnum[TypeEnum["DCRUMSERVICE"] = 'DCRUM_SERVICE'] = "DCRUMSERVICE";
        TypeEnum[TypeEnum["DCRUMSERVICEINSTANCE"] = 'DCRUM_SERVICE_INSTANCE'] = "DCRUMSERVICEINSTANCE";
        TypeEnum[TypeEnum["DEVICEAPPLICATIONMETHOD"] = 'DEVICE_APPLICATION_METHOD'] = "DEVICEAPPLICATIONMETHOD";
        TypeEnum[TypeEnum["DISK"] = 'DISK'] = "DISK";
        TypeEnum[TypeEnum["DOCKERCONTAINERGROUP"] = 'DOCKER_CONTAINER_GROUP'] = "DOCKERCONTAINERGROUP";
        TypeEnum[TypeEnum["DOCKERCONTAINERGROUPINSTANCE"] = 'DOCKER_CONTAINER_GROUP_INSTANCE'] = "DOCKERCONTAINERGROUPINSTANCE";
        TypeEnum[TypeEnum["DYNAMODBTABLE"] = 'DYNAMO_DB_TABLE'] = "DYNAMODBTABLE";
        TypeEnum[TypeEnum["EBSVOLUME"] = 'EBS_VOLUME'] = "EBSVOLUME";
        TypeEnum[TypeEnum["EC2INSTANCE"] = 'EC2_INSTANCE'] = "EC2INSTANCE";
        TypeEnum[TypeEnum["ELASTICLOADBALANCER"] = 'ELASTIC_LOAD_BALANCER'] = "ELASTICLOADBALANCER";
        TypeEnum[TypeEnum["ENVIRONMENT"] = 'ENVIRONMENT'] = "ENVIRONMENT";
        TypeEnum[TypeEnum["EXTERNALSYNTHETICTESTSTEP"] = 'EXTERNAL_SYNTHETIC_TEST_STEP'] = "EXTERNALSYNTHETICTESTSTEP";
        TypeEnum[TypeEnum["GCPZONE"] = 'GCP_ZONE'] = "GCPZONE";
        TypeEnum[TypeEnum["GEOLOCATION"] = 'GEOLOCATION'] = "GEOLOCATION";
        TypeEnum[TypeEnum["GEOLOCSITE"] = 'GEOLOC_SITE'] = "GEOLOCSITE";
        TypeEnum[TypeEnum["GOOGLECOMPUTEENGINE"] = 'GOOGLE_COMPUTE_ENGINE'] = "GOOGLECOMPUTEENGINE";
        TypeEnum[TypeEnum["HOST"] = 'HOST'] = "HOST";
        TypeEnum[TypeEnum["HOSTGROUP"] = 'HOST_GROUP'] = "HOSTGROUP";
        TypeEnum[TypeEnum["HTTPCHECK"] = 'HTTP_CHECK'] = "HTTPCHECK";
        TypeEnum[TypeEnum["HTTPCHECKSTEP"] = 'HTTP_CHECK_STEP'] = "HTTPCHECKSTEP";
        TypeEnum[TypeEnum["HYPERVISOR"] = 'HYPERVISOR'] = "HYPERVISOR";
        TypeEnum[TypeEnum["KUBERNETESCLUSTER"] = 'KUBERNETES_CLUSTER'] = "KUBERNETESCLUSTER";
        TypeEnum[TypeEnum["KUBERNETESNODE"] = 'KUBERNETES_NODE'] = "KUBERNETESNODE";
        TypeEnum[TypeEnum["MOBILEAPPLICATION"] = 'MOBILE_APPLICATION'] = "MOBILEAPPLICATION";
        TypeEnum[TypeEnum["NETWORKINTERFACE"] = 'NETWORK_INTERFACE'] = "NETWORKINTERFACE";
        TypeEnum[TypeEnum["NEUTRONSUBNET"] = 'NEUTRON_SUBNET'] = "NEUTRONSUBNET";
        TypeEnum[TypeEnum["OPENSTACKPROJECT"] = 'OPENSTACK_PROJECT'] = "OPENSTACKPROJECT";
        TypeEnum[TypeEnum["OPENSTACKREGION"] = 'OPENSTACK_REGION'] = "OPENSTACKREGION";
        TypeEnum[TypeEnum["OPENSTACKVM"] = 'OPENSTACK_VM'] = "OPENSTACKVM";
        TypeEnum[TypeEnum["OS"] = 'OS'] = "OS";
        TypeEnum[TypeEnum["PROCESSGROUP"] = 'PROCESS_GROUP'] = "PROCESSGROUP";
        TypeEnum[TypeEnum["PROCESSGROUPINSTANCE"] = 'PROCESS_GROUP_INSTANCE'] = "PROCESSGROUPINSTANCE";
        TypeEnum[TypeEnum["RELATIONALDATABASESERVICE"] = 'RELATIONAL_DATABASE_SERVICE'] = "RELATIONALDATABASESERVICE";
        TypeEnum[TypeEnum["SERVICE"] = 'SERVICE'] = "SERVICE";
        TypeEnum[TypeEnum["SERVICEINSTANCE"] = 'SERVICE_INSTANCE'] = "SERVICEINSTANCE";
        TypeEnum[TypeEnum["SERVICEMETHOD"] = 'SERVICE_METHOD'] = "SERVICEMETHOD";
        TypeEnum[TypeEnum["SERVICEMETHODGROUP"] = 'SERVICE_METHOD_GROUP'] = "SERVICEMETHODGROUP";
        TypeEnum[TypeEnum["SWIFTCONTAINER"] = 'SWIFT_CONTAINER'] = "SWIFTCONTAINER";
        TypeEnum[TypeEnum["SYNTHETICLOCATION"] = 'SYNTHETIC_LOCATION'] = "SYNTHETICLOCATION";
        TypeEnum[TypeEnum["SYNTHETICTEST"] = 'SYNTHETIC_TEST'] = "SYNTHETICTEST";
        TypeEnum[TypeEnum["SYNTHETICTESTSTEP"] = 'SYNTHETIC_TEST_STEP'] = "SYNTHETICTESTSTEP";
        TypeEnum[TypeEnum["VIRTUALMACHINE"] = 'VIRTUALMACHINE'] = "VIRTUALMACHINE";
        TypeEnum[TypeEnum["VMWAREDATACENTER"] = 'VMWARE_DATACENTER'] = "VMWAREDATACENTER";
    })(TypeEnum = MonitoredEntityFilter.TypeEnum || (MonitoredEntityFilter.TypeEnum = {}));
    var TagCombinationEnum;
    (function (TagCombinationEnum) {
        TagCombinationEnum[TagCombinationEnum["AND"] = 'AND'] = "AND";
        TagCombinationEnum[TagCombinationEnum["OR"] = 'OR'] = "OR";
    })(TagCombinationEnum = MonitoredEntityFilter.TagCombinationEnum || (MonitoredEntityFilter.TagCombinationEnum = {}));
})(MonitoredEntityFilter = exports.MonitoredEntityFilter || (exports.MonitoredEntityFilter = {}));
exports.MonitoredEntityFilter = MonitoredEntityFilter;
//# sourceMappingURL=monitoredEntityFilter.js.map