"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MonitoringSettings = (function () {
    function MonitoringSettings() {
    }
    MonitoringSettings.getAttributeTypeMap = function () {
        return MonitoringSettings.attributeTypeMap;
    };
    MonitoringSettings.discriminator = undefined;
    MonitoringSettings.attributeTypeMap = [
        {
            "name": "fetchRequests",
            "baseName": "fetchRequests",
            "type": "boolean"
        },
        {
            "name": "xmlHttpRequest",
            "baseName": "xmlHttpRequest",
            "type": "boolean"
        },
        {
            "name": "javaScriptFrameworkSupport",
            "baseName": "javaScriptFrameworkSupport",
            "type": "JavaScriptFrameworkSupport"
        },
        {
            "name": "contentCapture",
            "baseName": "contentCapture",
            "type": "ContentCapture"
        },
        {
            "name": "excludeXhrRegex",
            "baseName": "excludeXhrRegex",
            "type": "string"
        },
        {
            "name": "injectionMode",
            "baseName": "injectionMode",
            "type": "MonitoringSettings.InjectionModeEnum"
        },
        {
            "name": "addCrossOriginAnonymousAttribute",
            "baseName": "addCrossOriginAnonymousAttribute",
            "type": "boolean"
        },
        {
            "name": "scriptTagCacheDurationInHours",
            "baseName": "scriptTagCacheDurationInHours",
            "type": "number"
        },
        {
            "name": "libraryFileLocation",
            "baseName": "libraryFileLocation",
            "type": "string"
        },
        {
            "name": "monitoringDataPath",
            "baseName": "monitoringDataPath",
            "type": "string"
        },
        {
            "name": "customConfigurationProperties",
            "baseName": "customConfigurationProperties",
            "type": "string"
        },
        {
            "name": "serverRequestPathId",
            "baseName": "serverRequestPathId",
            "type": "string"
        },
        {
            "name": "secureCookieAttribute",
            "baseName": "secureCookieAttribute",
            "type": "boolean"
        },
        {
            "name": "cookiePlacementDomain",
            "baseName": "cookiePlacementDomain",
            "type": "string"
        },
        {
            "name": "cacheControlHeaderOptimizations",
            "baseName": "cacheControlHeaderOptimizations",
            "type": "boolean"
        },
        {
            "name": "advancedJavaScriptTagSettings",
            "baseName": "advancedJavaScriptTagSettings",
            "type": "AdvancedJavaScriptTagSettings"
        },
        {
            "name": "browserRestrictionSettings",
            "baseName": "browserRestrictionSettings",
            "type": "WebApplicationConfigBrowserRestrictionSettings"
        },
        {
            "name": "ipAddressRestrictionSettings",
            "baseName": "ipAddressRestrictionSettings",
            "type": "WebApplicationConfigIpAddressRestrictionSettings"
        },
        {
            "name": "javaScriptInjectionRules",
            "baseName": "javaScriptInjectionRules",
            "type": "Array<JavaScriptInjectionRules>"
        }
    ];
    return MonitoringSettings;
}());
exports.MonitoringSettings = MonitoringSettings;
(function (MonitoringSettings) {
    var InjectionModeEnum;
    (function (InjectionModeEnum) {
        InjectionModeEnum[InjectionModeEnum["CODESNIPPET"] = 'CODE_SNIPPET'] = "CODESNIPPET";
        InjectionModeEnum[InjectionModeEnum["CODESNIPPETASYNC"] = 'CODE_SNIPPET_ASYNC'] = "CODESNIPPETASYNC";
        InjectionModeEnum[InjectionModeEnum["INLINECODE"] = 'INLINE_CODE'] = "INLINECODE";
        InjectionModeEnum[InjectionModeEnum["JAVASCRIPTTAG"] = 'JAVASCRIPT_TAG'] = "JAVASCRIPTTAG";
    })(InjectionModeEnum = MonitoringSettings.InjectionModeEnum || (MonitoringSettings.InjectionModeEnum = {}));
})(MonitoringSettings = exports.MonitoringSettings || (exports.MonitoringSettings = {}));
exports.MonitoringSettings = MonitoringSettings;
//# sourceMappingURL=monitoringSettings.js.map