import { ComparisonInfo } from './comparisonInfo';
import { PropagationSource } from './propagationSource';
export declare class NumberRequestAttributeComparisonInfo extends ComparisonInfo {
    'comparison': NumberRequestAttributeComparisonInfo.ComparisonEnum;
    'value'?: number;
    'requestAttribute': string;
    'matchOnChildCalls'?: boolean;
    'source'?: PropagationSource;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace NumberRequestAttributeComparisonInfo {
    enum ComparisonEnum {
        EQUALS,
        EXISTS,
        GREATERTHAN,
        GREATERTHANOREQUAL,
        LOWERTHAN,
        LOWERTHANOREQUAL
    }
}
