import { ApplicationId } from './applicationId';
import { ConditionsOpaqueAndExternalWebRequestAttributeTypeDto } from './conditionsOpaqueAndExternalWebRequestAttributeTypeDto';
import { ConfigurationMetadata } from './configurationMetadata';
import { ContextRoot } from './contextRoot';
import { Port } from './port';
import { PublicDomainName } from './publicDomainName';
export declare class OpaqueAndExternalWebRequestRule {
    'type': string;
    'metadata'?: ConfigurationMetadata;
    'managementZones'?: Array<string>;
    'id'?: string;
    'order'?: string;
    'name': string;
    'description'?: string;
    'enabled': boolean;
    'conditions'?: Array<ConditionsOpaqueAndExternalWebRequestAttributeTypeDto>;
    'applicationId'?: ApplicationId;
    'contextRoot'?: ContextRoot;
    'port'?: Port;
    'publicDomainName'?: PublicDomainName;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
