import { ComparisonBasic } from './comparisonBasic';
export declare class OsArchitectureComparison extends ComparisonBasic {
    'operator': OsArchitectureComparison.OperatorEnum;
    'value'?: OsArchitectureComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace OsArchitectureComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        ARM,
        IA64,
        PARISC,
        PPC,
        PPCLE,
        S390,
        SPARC,
        X86,
        ZOS
    }
}
