import { ComparisonBasic } from './comparisonBasic';
export declare class PaasTypeComparison extends ComparisonBasic {
    'operator': PaasTypeComparison.OperatorEnum;
    'value'?: PaasTypeComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace PaasTypeComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        AWSECSEC2,
        AWSECSFARGATE,
        AWSLAMBDA,
        AZUREWEBSITES,
        CLOUDFOUNDRY,
        GOOGLEAPPENGINE,
        HEROKU,
        KUBERNETES,
        OPENSHIFT
    }
}
