"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Plugin = (function () {
    function Plugin() {
    }
    Plugin.getAttributeTypeMap = function () {
        return Plugin.attributeTypeMap;
    };
    Plugin.discriminator = undefined;
    Plugin.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "version",
            "baseName": "version",
            "type": "string"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "Plugin.TypeEnum"
        },
        {
            "name": "metricGroup",
            "baseName": "metricGroup",
            "type": "string"
        },
        {
            "name": "properties",
            "baseName": "properties",
            "type": "Array<PluginProperty>"
        }
    ];
    return Plugin;
}());
exports.Plugin = Plugin;
(function (Plugin) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["ActiveGate"] = 'ActiveGate'] = "ActiveGate";
        TypeEnum[TypeEnum["JMX"] = 'JMX'] = "JMX";
        TypeEnum[TypeEnum["OneAgent"] = 'OneAgent'] = "OneAgent";
        TypeEnum[TypeEnum["PMI"] = 'PMI'] = "PMI";
    })(TypeEnum = Plugin.TypeEnum || (Plugin.TypeEnum = {}));
})(Plugin = exports.Plugin || (exports.Plugin = {}));
exports.Plugin = Plugin;
//# sourceMappingURL=plugin.js.map