"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PluginState = (function () {
    function PluginState() {
    }
    PluginState.getAttributeTypeMap = function () {
        return PluginState.attributeTypeMap;
    };
    PluginState.discriminator = undefined;
    PluginState.attributeTypeMap = [
        {
            "name": "pluginId",
            "baseName": "pluginId",
            "type": "string"
        },
        {
            "name": "version",
            "baseName": "version",
            "type": "string"
        },
        {
            "name": "endpointId",
            "baseName": "endpointId",
            "type": "string"
        },
        {
            "name": "state",
            "baseName": "state",
            "type": "PluginState.StateEnum"
        },
        {
            "name": "stateDescription",
            "baseName": "stateDescription",
            "type": "string"
        },
        {
            "name": "timestamp",
            "baseName": "timestamp",
            "type": "number"
        },
        {
            "name": "hostId",
            "baseName": "hostId",
            "type": "string"
        },
        {
            "name": "processId",
            "baseName": "processId",
            "type": "string"
        }
    ];
    return PluginState;
}());
exports.PluginState = PluginState;
(function (PluginState) {
    var StateEnum;
    (function (StateEnum) {
        StateEnum[StateEnum["DISABLED"] = 'DISABLED'] = "DISABLED";
        StateEnum[StateEnum["ERRORAUTH"] = 'ERROR_AUTH'] = "ERRORAUTH";
        StateEnum[StateEnum["ERRORCOMMUNICATIONFAILURE"] = 'ERROR_COMMUNICATION_FAILURE'] = "ERRORCOMMUNICATIONFAILURE";
        StateEnum[StateEnum["ERRORCONFIG"] = 'ERROR_CONFIG'] = "ERRORCONFIG";
        StateEnum[StateEnum["ERRORTIMEOUT"] = 'ERROR_TIMEOUT'] = "ERRORTIMEOUT";
        StateEnum[StateEnum["ERRORUNKNOWN"] = 'ERROR_UNKNOWN'] = "ERRORUNKNOWN";
        StateEnum[StateEnum["INCOMPATIBLE"] = 'INCOMPATIBLE'] = "INCOMPATIBLE";
        StateEnum[StateEnum["LIMITREACHED"] = 'LIMIT_REACHED'] = "LIMITREACHED";
        StateEnum[StateEnum["NOTHINGTOREPORT"] = 'NOTHING_TO_REPORT'] = "NOTHINGTOREPORT";
        StateEnum[StateEnum["OK"] = 'OK'] = "OK";
        StateEnum[StateEnum["STATETYPEUNKNOWN"] = 'STATE_TYPE_UNKNOWN'] = "STATETYPEUNKNOWN";
        StateEnum[StateEnum["UNINITIALIZED"] = 'UNINITIALIZED'] = "UNINITIALIZED";
        StateEnum[StateEnum["UNSUPPORTED"] = 'UNSUPPORTED'] = "UNSUPPORTED";
        StateEnum[StateEnum["WAITINGFORSTATE"] = 'WAITING_FOR_STATE'] = "WAITINGFORSTATE";
    })(StateEnum = PluginState.StateEnum || (PluginState.StateEnum = {}));
})(PluginState = exports.PluginState || (exports.PluginState = {}));
exports.PluginState = PluginState;
//# sourceMappingURL=pluginState.js.map