import { Condition } from './condition';
import { ConfigurationMetadata } from './configurationMetadata';
import { Placeholder } from './placeholder';
export declare class RequestNaming {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'order'?: string;
    'enabled': boolean;
    'namingPattern': string;
    'managementZones'?: Array<string>;
    'conditions': Array<Condition>;
    'placeholders'?: Array<Placeholder>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
