"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResourceTimingSettings = (function () {
    function ResourceTimingSettings() {
    }
    ResourceTimingSettings.getAttributeTypeMap = function () {
        return ResourceTimingSettings.attributeTypeMap;
    };
    ResourceTimingSettings.discriminator = undefined;
    ResourceTimingSettings.attributeTypeMap = [
        {
            "name": "w3cResourceTimings",
            "baseName": "w3cResourceTimings",
            "type": "boolean"
        },
        {
            "name": "nonW3cResourceTimings",
            "baseName": "nonW3cResourceTimings",
            "type": "boolean"
        },
        {
            "name": "nonW3cResourceTimingsInstrumentationDelay",
            "baseName": "nonW3cResourceTimingsInstrumentationDelay",
            "type": "number"
        },
        {
            "name": "resourceTimingCaptureType",
            "baseName": "resourceTimingCaptureType",
            "type": "ResourceTimingSettings.ResourceTimingCaptureTypeEnum"
        },
        {
            "name": "resourceTimingsDomainLimit",
            "baseName": "resourceTimingsDomainLimit",
            "type": "number"
        }
    ];
    return ResourceTimingSettings;
}());
exports.ResourceTimingSettings = ResourceTimingSettings;
(function (ResourceTimingSettings) {
    var ResourceTimingCaptureTypeEnum;
    (function (ResourceTimingCaptureTypeEnum) {
        ResourceTimingCaptureTypeEnum[ResourceTimingCaptureTypeEnum["ALLSUMMARIES"] = 'CAPTURE_ALL_SUMMARIES'] = "ALLSUMMARIES";
        ResourceTimingCaptureTypeEnum[ResourceTimingCaptureTypeEnum["FULLDETAILS"] = 'CAPTURE_FULL_DETAILS'] = "FULLDETAILS";
        ResourceTimingCaptureTypeEnum[ResourceTimingCaptureTypeEnum["LIMITEDSUMMARIES"] = 'CAPTURE_LIMITED_SUMMARIES'] = "LIMITEDSUMMARIES";
    })(ResourceTimingCaptureTypeEnum = ResourceTimingSettings.ResourceTimingCaptureTypeEnum || (ResourceTimingSettings.ResourceTimingCaptureTypeEnum = {}));
})(ResourceTimingSettings = exports.ResourceTimingSettings || (exports.ResourceTimingSettings = {}));
exports.ResourceTimingSettings = ResourceTimingSettings;
//# sourceMappingURL=resourceTimingSettings.js.map