"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResponseTimeDegradationAutodetectionConfig = (function () {
    function ResponseTimeDegradationAutodetectionConfig() {
    }
    ResponseTimeDegradationAutodetectionConfig.getAttributeTypeMap = function () {
        return ResponseTimeDegradationAutodetectionConfig.attributeTypeMap;
    };
    ResponseTimeDegradationAutodetectionConfig.discriminator = undefined;
    ResponseTimeDegradationAutodetectionConfig.attributeTypeMap = [
        {
            "name": "responseTimeDegradationMilliseconds",
            "baseName": "responseTimeDegradationMilliseconds",
            "type": "number"
        },
        {
            "name": "responseTimeDegradationPercent",
            "baseName": "responseTimeDegradationPercent",
            "type": "number"
        },
        {
            "name": "slowestResponseTimeDegradationMilliseconds",
            "baseName": "slowestResponseTimeDegradationMilliseconds",
            "type": "number"
        },
        {
            "name": "slowestResponseTimeDegradationPercent",
            "baseName": "slowestResponseTimeDegradationPercent",
            "type": "number"
        },
        {
            "name": "loadThreshold",
            "baseName": "loadThreshold",
            "type": "ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum"
        }
    ];
    return ResponseTimeDegradationAutodetectionConfig;
}());
exports.ResponseTimeDegradationAutodetectionConfig = ResponseTimeDegradationAutodetectionConfig;
(function (ResponseTimeDegradationAutodetectionConfig) {
    var LoadThresholdEnum;
    (function (LoadThresholdEnum) {
        LoadThresholdEnum[LoadThresholdEnum["FIFTEENREQUESTSPERMINUTE"] = 'FIFTEEN_REQUESTS_PER_MINUTE'] = "FIFTEENREQUESTSPERMINUTE";
        LoadThresholdEnum[LoadThresholdEnum["FIVEREQUESTSPERMINUTE"] = 'FIVE_REQUESTS_PER_MINUTE'] = "FIVEREQUESTSPERMINUTE";
        LoadThresholdEnum[LoadThresholdEnum["ONEREQUESTPERMINUTE"] = 'ONE_REQUEST_PER_MINUTE'] = "ONEREQUESTPERMINUTE";
        LoadThresholdEnum[LoadThresholdEnum["TENREQUESTSPERMINUTE"] = 'TEN_REQUESTS_PER_MINUTE'] = "TENREQUESTSPERMINUTE";
    })(LoadThresholdEnum = ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum || (ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum = {}));
})(ResponseTimeDegradationAutodetectionConfig = exports.ResponseTimeDegradationAutodetectionConfig || (exports.ResponseTimeDegradationAutodetectionConfig = {}));
exports.ResponseTimeDegradationAutodetectionConfig = ResponseTimeDegradationAutodetectionConfig;
//# sourceMappingURL=responseTimeDegradationAutodetectionConfig.js.map