import { RumDimensionDefinition } from './rumDimensionDefinition';
import { RumMetricDefinition } from './rumMetricDefinition';
import { UserActionFilter } from './userActionFilter';
export declare class RumMetric {
    'applicationIdentifier': string;
    'name': string;
    'metricKey': string;
    'enabled': boolean;
    'metricDefinition': RumMetricDefinition;
    'dimensions'?: Array<RumDimensionDefinition>;
    'userActionFilter'?: UserActionFilter;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
