export declare class RumMetricDefinition {
    'metric': RumMetricDefinition.MetricEnum;
    'propertyKey'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace RumMetricDefinition {
    enum MetricEnum {
        ApplicationCache,
        Callback,
        DNSLookup,
        DOMComplete,
        DOMContentLoaded,
        DOMInteractive,
        DoubleProperty,
        ErrorCount,
        FirstContentfulPaint,
        FirstInputDelay,
        FirstInputStart,
        FirstPaint,
        HTMLDownloaded,
        LargestContentfulPaint,
        LoadEventEnd,
        LoadEventStart,
        LongProperty,
        NavigationStart,
        OnDOMContentLoaded,
        OnLoad,
        Processing,
        RedirectTime,
        Request,
        RequestStart,
        Response,
        SecureConnect,
        SpeedIndex,
        TCPConnect,
        TimeToFirstByte,
        UserActionDuration,
        VisuallyComplete
    }
}
