export declare class ScopeConditions {
    'serviceTechnology'?: ScopeConditions.ServiceTechnologyEnum;
    'processGroup'?: string;
    'hostGroup'?: string;
    'tagOfProcessGroup'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ScopeConditions {
    enum ServiceTechnologyEnum {
        ACTIVEMQ,
        ACTIVEMQARTEMIS,
        ADONET,
        AIX,
        AKKA,
        AMAZONREDSHIFT,
        AMQP,
        APACHECAMEL,
        APACHECASSANDRA,
        APACHECOUCHDB,
        APACHEDERBY,
        APACHEHTTPCLIENTASYNC,
        APACHEHTTPCLIENTSYNC,
        APACHEHTTPSERVER,
        APACHEKAFKA,
        APACHESOLR,
        APACHESTORM,
        APACHESYNAPSE,
        APACHETOMCAT,
        APPARMOR,
        APPLICATIONINSIGHTSSDK,
        ASPDOTNET,
        ASPDOTNETCORE,
        ASPDOTNETCORESIGNALR,
        ASPDOTNETSIGNALR,
        AWSLAMBDA,
        AWSRDS,
        AWSSERVICE,
        AXIS,
        AZUREFUNCTIONS,
        AZURESERVICEBUS,
        AZURESERVICEFABRIC,
        AZURESTORAGE,
        BOSHBPM,
        CITRIX,
        CITRIXCOMMON,
        CITRIXDESKTOPDELIVERYCONTROLLERS,
        CITRIXDIRECTOR,
        CITRIXLICENSESERVER,
        CITRIXPROVISIONINGSERVICES,
        CITRIXSTOREFRONT,
        CITRIXVIRTUALDELIVERYAGENT,
        CITRIXWORKSPACEENVIRONMENTMANAGEMENT,
        CLOUDFOUNDRY,
        CLOUDFOUNDRYAUCTIONEER,
        CLOUDFOUNDRYBOSH,
        CLOUDFOUNDRYGOROUTER,
        COLDFUSION,
        CONTAINERD,
        COREDNS,
        COUCHBASE,
        CRIO,
        CXF,
        DATASTAX,
        DB2,
        DIEGOCELL,
        DOCKER,
        DOTNET,
        DOTNETREMOTING,
        ELASTICSEARCH,
        ENVOY,
        ERLANG,
        ETCD,
        F5LTM,
        FSHARP,
        GARDEN,
        GLASSFISH,
        GO,
        GRPC,
        GRSECURITY,
        HADOOP,
        HADOOPHDFS,
        HADOOPYARN,
        HAPROXY,
        HEAT,
        HESSIAN,
        HORNETQ,
        IBMCICSREGION,
        IBMCICSTRANSACTIONGATEWAY,
        IBMIMSCONNECTREGION,
        IBMIMSCONTROLREGION,
        IBMIMSMESSAGEPROCESSINGREGION,
        IBMIMSSOAPGATEWAY,
        IBMINTEGRATIONBUS,
        IBMMQ,
        IBMMQCLIENT,
        IBMWEBSHPREREAPPLICATIONSERVER,
        IBMWEBSHPRERELIBERTY,
        IIS,
        IISAPPPOOL,
        ISTIO,
        JAVA,
        JAXWS,
        JBOSS,
        JBOSSEAP,
        JDKHTTPSERVER,
        JERSEY,
        JETTY,
        JRUBY,
        JYTHON,
        KUBERNETES,
        LIBVIRT,
        LINKERD,
        MARIADB,
        MEMCACHED,
        MICROSOFTSQLSERVER,
        MONGODB,
        MSSQLCLIENT,
        MULEESB,
        MYSQL,
        MYSQLCONNECTOR,
        NETFLIXSERVO,
        NETTY,
        NGINX,
        NODEJS,
        ONEAGENTSDK,
        OPENCENSUS,
        OPENSHIFT,
        OPENSTACKCOMPUTE,
        OPENSTACKCONTROLLER,
        OPENTELEMETRY,
        OPENTRACING,
        OPENLIBERTY,
        ORACLEDATABASE,
        ORACLEWEBLOGIC,
        OWIN,
        PERL,
        PHP,
        PHPFPM,
        PLAY,
        POSTGRESQL,
        POSTGRESQLDOTNETDATAPROVIDER,
        POWERDNS,
        PROGRESS,
        PYTHON,
        RABBITMQ,
        REDIS,
        RESTEASY,
        RESTLET,
        RIAK,
        RUBY,
        SAGWEBMETHODSIS,
        SAP,
        SAPHANADB,
        SAPHYBRIS,
        SAPMAXDB,
        SAPSYBASE,
        SCALA,
        SELINUX,
        SHAREPOINT,
        SPARK,
        SPRING,
        SQLITE,
        THRIFT,
        TIBCO,
        TIBCOBUSINESSWORKS,
        TIBCOEMS,
        VARNISHCACHE,
        VIM2,
        VIRTUALMACHINEKVM,
        VIRTUALMACHINEQEMU,
        WILDFLY,
        WINDOWSCONTAINERS,
        WINK,
        ZEROMQ
    }
}
