"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScopeConditions = (function () {
    function ScopeConditions() {
    }
    ScopeConditions.getAttributeTypeMap = function () {
        return ScopeConditions.attributeTypeMap;
    };
    ScopeConditions.discriminator = undefined;
    ScopeConditions.attributeTypeMap = [
        {
            "name": "serviceTechnology",
            "baseName": "serviceTechnology",
            "type": "ScopeConditions.ServiceTechnologyEnum"
        },
        {
            "name": "processGroup",
            "baseName": "processGroup",
            "type": "string"
        },
        {
            "name": "hostGroup",
            "baseName": "hostGroup",
            "type": "string"
        },
        {
            "name": "tagOfProcessGroup",
            "baseName": "tagOfProcessGroup",
            "type": "string"
        }
    ];
    return ScopeConditions;
}());
exports.ScopeConditions = ScopeConditions;
(function (ScopeConditions) {
    var ServiceTechnologyEnum;
    (function (ServiceTechnologyEnum) {
        ServiceTechnologyEnum[ServiceTechnologyEnum["ACTIVEMQ"] = 'ACTIVE_MQ'] = "ACTIVEMQ";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ACTIVEMQARTEMIS"] = 'ACTIVE_MQ_ARTEMIS'] = "ACTIVEMQARTEMIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ADONET"] = 'ADO_NET'] = "ADONET";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AIX"] = 'AIX'] = "AIX";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AKKA"] = 'AKKA'] = "AKKA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AMAZONREDSHIFT"] = 'AMAZON_REDSHIFT'] = "AMAZONREDSHIFT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AMQP"] = 'AMQP'] = "AMQP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHECAMEL"] = 'APACHE_CAMEL'] = "APACHECAMEL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHECASSANDRA"] = 'APACHE_CASSANDRA'] = "APACHECASSANDRA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHECOUCHDB"] = 'APACHE_COUCH_DB'] = "APACHECOUCHDB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHEDERBY"] = 'APACHE_DERBY'] = "APACHEDERBY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHEHTTPCLIENTASYNC"] = 'APACHE_HTTP_CLIENT_ASYNC'] = "APACHEHTTPCLIENTASYNC";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHEHTTPCLIENTSYNC"] = 'APACHE_HTTP_CLIENT_SYNC'] = "APACHEHTTPCLIENTSYNC";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHEHTTPSERVER"] = 'APACHE_HTTP_SERVER'] = "APACHEHTTPSERVER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHEKAFKA"] = 'APACHE_KAFKA'] = "APACHEKAFKA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHESOLR"] = 'APACHE_SOLR'] = "APACHESOLR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHESTORM"] = 'APACHE_STORM'] = "APACHESTORM";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHESYNAPSE"] = 'APACHE_SYNAPSE'] = "APACHESYNAPSE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APACHETOMCAT"] = 'APACHE_TOMCAT'] = "APACHETOMCAT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APPARMOR"] = 'APPARMOR'] = "APPARMOR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["APPLICATIONINSIGHTSSDK"] = 'APPLICATION_INSIGHTS_SDK'] = "APPLICATIONINSIGHTSSDK";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ASPDOTNET"] = 'ASP_DOTNET'] = "ASPDOTNET";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ASPDOTNETCORE"] = 'ASP_DOTNET_CORE'] = "ASPDOTNETCORE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ASPDOTNETCORESIGNALR"] = 'ASP_DOTNET_CORE_SIGNALR'] = "ASPDOTNETCORESIGNALR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ASPDOTNETSIGNALR"] = 'ASP_DOTNET_SIGNALR'] = "ASPDOTNETSIGNALR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AWSLAMBDA"] = 'AWS_LAMBDA'] = "AWSLAMBDA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AWSRDS"] = 'AWS_RDS'] = "AWSRDS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AWSSERVICE"] = 'AWS_SERVICE'] = "AWSSERVICE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AXIS"] = 'AXIS'] = "AXIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AZUREFUNCTIONS"] = 'AZURE_FUNCTIONS'] = "AZUREFUNCTIONS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AZURESERVICEBUS"] = 'AZURE_SERVICE_BUS'] = "AZURESERVICEBUS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AZURESERVICEFABRIC"] = 'AZURE_SERVICE_FABRIC'] = "AZURESERVICEFABRIC";
        ServiceTechnologyEnum[ServiceTechnologyEnum["AZURESTORAGE"] = 'AZURE_STORAGE'] = "AZURESTORAGE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["BOSHBPM"] = 'BOSHBPM'] = "BOSHBPM";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIX"] = 'CITRIX'] = "CITRIX";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXCOMMON"] = 'CITRIX_COMMON'] = "CITRIXCOMMON";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXDESKTOPDELIVERYCONTROLLERS"] = 'CITRIX_DESKTOP_DELIVERY_CONTROLLERS'] = "CITRIXDESKTOPDELIVERYCONTROLLERS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXDIRECTOR"] = 'CITRIX_DIRECTOR'] = "CITRIXDIRECTOR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXLICENSESERVER"] = 'CITRIX_LICENSE_SERVER'] = "CITRIXLICENSESERVER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXPROVISIONINGSERVICES"] = 'CITRIX_PROVISIONING_SERVICES'] = "CITRIXPROVISIONINGSERVICES";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXSTOREFRONT"] = 'CITRIX_STOREFRONT'] = "CITRIXSTOREFRONT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXVIRTUALDELIVERYAGENT"] = 'CITRIX_VIRTUAL_DELIVERY_AGENT'] = "CITRIXVIRTUALDELIVERYAGENT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CITRIXWORKSPACEENVIRONMENTMANAGEMENT"] = 'CITRIX_WORKSPACE_ENVIRONMENT_MANAGEMENT'] = "CITRIXWORKSPACEENVIRONMENTMANAGEMENT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CLOUDFOUNDRY"] = 'CLOUDFOUNDRY'] = "CLOUDFOUNDRY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CLOUDFOUNDRYAUCTIONEER"] = 'CLOUDFOUNDRY_AUCTIONEER'] = "CLOUDFOUNDRYAUCTIONEER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CLOUDFOUNDRYBOSH"] = 'CLOUDFOUNDRY_BOSH'] = "CLOUDFOUNDRYBOSH";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CLOUDFOUNDRYGOROUTER"] = 'CLOUDFOUNDRY_GOROUTER'] = "CLOUDFOUNDRYGOROUTER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["COLDFUSION"] = 'COLDFUSION'] = "COLDFUSION";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CONTAINERD"] = 'CONTAINERD'] = "CONTAINERD";
        ServiceTechnologyEnum[ServiceTechnologyEnum["COREDNS"] = 'CORE_DNS'] = "COREDNS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["COUCHBASE"] = 'COUCHBASE'] = "COUCHBASE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CRIO"] = 'CRIO'] = "CRIO";
        ServiceTechnologyEnum[ServiceTechnologyEnum["CXF"] = 'CXF'] = "CXF";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DATASTAX"] = 'DATASTAX'] = "DATASTAX";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DB2"] = 'DB2'] = "DB2";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DIEGOCELL"] = 'DIEGO_CELL'] = "DIEGOCELL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DOCKER"] = 'DOCKER'] = "DOCKER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DOTNET"] = 'DOTNET'] = "DOTNET";
        ServiceTechnologyEnum[ServiceTechnologyEnum["DOTNETREMOTING"] = 'DOTNET_REMOTING'] = "DOTNETREMOTING";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ELASTICSEARCH"] = 'ELASTIC_SEARCH'] = "ELASTICSEARCH";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ENVOY"] = 'ENVOY'] = "ENVOY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ERLANG"] = 'ERLANG'] = "ERLANG";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ETCD"] = 'ETCD'] = "ETCD";
        ServiceTechnologyEnum[ServiceTechnologyEnum["F5LTM"] = 'F5_LTM'] = "F5LTM";
        ServiceTechnologyEnum[ServiceTechnologyEnum["FSHARP"] = 'FSHARP'] = "FSHARP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["GARDEN"] = 'GARDEN'] = "GARDEN";
        ServiceTechnologyEnum[ServiceTechnologyEnum["GLASSFISH"] = 'GLASSFISH'] = "GLASSFISH";
        ServiceTechnologyEnum[ServiceTechnologyEnum["GO"] = 'GO'] = "GO";
        ServiceTechnologyEnum[ServiceTechnologyEnum["GRPC"] = 'GRPC'] = "GRPC";
        ServiceTechnologyEnum[ServiceTechnologyEnum["GRSECURITY"] = 'GRSECURITY'] = "GRSECURITY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HADOOP"] = 'HADOOP'] = "HADOOP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HADOOPHDFS"] = 'HADOOP_HDFS'] = "HADOOPHDFS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HADOOPYARN"] = 'HADOOP_YARN'] = "HADOOPYARN";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HAPROXY"] = 'HAPROXY'] = "HAPROXY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HEAT"] = 'HEAT'] = "HEAT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HESSIAN"] = 'HESSIAN'] = "HESSIAN";
        ServiceTechnologyEnum[ServiceTechnologyEnum["HORNETQ"] = 'HORNET_Q'] = "HORNETQ";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMCICSREGION"] = 'IBM_CICS_REGION'] = "IBMCICSREGION";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMCICSTRANSACTIONGATEWAY"] = 'IBM_CICS_TRANSACTION_GATEWAY'] = "IBMCICSTRANSACTIONGATEWAY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMIMSCONNECTREGION"] = 'IBM_IMS_CONNECT_REGION'] = "IBMIMSCONNECTREGION";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMIMSCONTROLREGION"] = 'IBM_IMS_CONTROL_REGION'] = "IBMIMSCONTROLREGION";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMIMSMESSAGEPROCESSINGREGION"] = 'IBM_IMS_MESSAGE_PROCESSING_REGION'] = "IBMIMSMESSAGEPROCESSINGREGION";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMIMSSOAPGATEWAY"] = 'IBM_IMS_SOAP_GATEWAY'] = "IBMIMSSOAPGATEWAY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMINTEGRATIONBUS"] = 'IBM_INTEGRATION_BUS'] = "IBMINTEGRATIONBUS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMMQ"] = 'IBM_MQ'] = "IBMMQ";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMMQCLIENT"] = 'IBM_MQ_CLIENT'] = "IBMMQCLIENT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMWEBSHPREREAPPLICATIONSERVER"] = 'IBM_WEBSHPRERE_APPLICATION_SERVER'] = "IBMWEBSHPREREAPPLICATIONSERVER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IBMWEBSHPRERELIBERTY"] = 'IBM_WEBSHPRERE_LIBERTY'] = "IBMWEBSHPRERELIBERTY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IIS"] = 'IIS'] = "IIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["IISAPPPOOL"] = 'IIS_APP_POOL'] = "IISAPPPOOL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ISTIO"] = 'ISTIO'] = "ISTIO";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JAVA"] = 'JAVA'] = "JAVA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JAXWS"] = 'JAX_WS'] = "JAXWS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JBOSS"] = 'JBOSS'] = "JBOSS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JBOSSEAP"] = 'JBOSS_EAP'] = "JBOSSEAP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JDKHTTPSERVER"] = 'JDK_HTTP_SERVER'] = "JDKHTTPSERVER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JERSEY"] = 'JERSEY'] = "JERSEY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JETTY"] = 'JETTY'] = "JETTY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JRUBY"] = 'JRUBY'] = "JRUBY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["JYTHON"] = 'JYTHON'] = "JYTHON";
        ServiceTechnologyEnum[ServiceTechnologyEnum["KUBERNETES"] = 'KUBERNETES'] = "KUBERNETES";
        ServiceTechnologyEnum[ServiceTechnologyEnum["LIBVIRT"] = 'LIBVIRT'] = "LIBVIRT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["LINKERD"] = 'LINKERD'] = "LINKERD";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MARIADB"] = 'MARIADB'] = "MARIADB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MEMCACHED"] = 'MEMCACHED'] = "MEMCACHED";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MICROSOFTSQLSERVER"] = 'MICROSOFT_SQL_SERVER'] = "MICROSOFTSQLSERVER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MONGODB"] = 'MONGODB'] = "MONGODB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MSSQLCLIENT"] = 'MSSQL_CLIENT'] = "MSSQLCLIENT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MULEESB"] = 'MULE_ESB'] = "MULEESB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MYSQL"] = 'MYSQL'] = "MYSQL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["MYSQLCONNECTOR"] = 'MYSQL_CONNECTOR'] = "MYSQLCONNECTOR";
        ServiceTechnologyEnum[ServiceTechnologyEnum["NETFLIXSERVO"] = 'NETFLIX_SERVO'] = "NETFLIXSERVO";
        ServiceTechnologyEnum[ServiceTechnologyEnum["NETTY"] = 'NETTY'] = "NETTY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["NGINX"] = 'NGINX'] = "NGINX";
        ServiceTechnologyEnum[ServiceTechnologyEnum["NODEJS"] = 'NODE_JS'] = "NODEJS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ONEAGENTSDK"] = 'ONEAGENT_SDK'] = "ONEAGENTSDK";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENCENSUS"] = 'OPENCENSUS'] = "OPENCENSUS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENSHIFT"] = 'OPENSHIFT'] = "OPENSHIFT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENSTACKCOMPUTE"] = 'OPENSTACK_COMPUTE'] = "OPENSTACKCOMPUTE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENSTACKCONTROLLER"] = 'OPENSTACK_CONTROLLER'] = "OPENSTACKCONTROLLER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENTELEMETRY"] = 'OPENTELEMETRY'] = "OPENTELEMETRY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENTRACING"] = 'OPENTRACING'] = "OPENTRACING";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OPENLIBERTY"] = 'OPEN_LIBERTY'] = "OPENLIBERTY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ORACLEDATABASE"] = 'ORACLE_DATABASE'] = "ORACLEDATABASE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ORACLEWEBLOGIC"] = 'ORACLE_WEBLOGIC'] = "ORACLEWEBLOGIC";
        ServiceTechnologyEnum[ServiceTechnologyEnum["OWIN"] = 'OWIN'] = "OWIN";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PERL"] = 'PERL'] = "PERL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PHP"] = 'PHP'] = "PHP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PHPFPM"] = 'PHP_FPM'] = "PHPFPM";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PLAY"] = 'PLAY'] = "PLAY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["POSTGRESQL"] = 'POSTGRE_SQL'] = "POSTGRESQL";
        ServiceTechnologyEnum[ServiceTechnologyEnum["POSTGRESQLDOTNETDATAPROVIDER"] = 'POSTGRE_SQL_DOTNET_DATA_PROVIDER'] = "POSTGRESQLDOTNETDATAPROVIDER";
        ServiceTechnologyEnum[ServiceTechnologyEnum["POWERDNS"] = 'POWER_DNS'] = "POWERDNS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PROGRESS"] = 'PROGRESS'] = "PROGRESS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["PYTHON"] = 'PYTHON'] = "PYTHON";
        ServiceTechnologyEnum[ServiceTechnologyEnum["RABBITMQ"] = 'RABBIT_MQ'] = "RABBITMQ";
        ServiceTechnologyEnum[ServiceTechnologyEnum["REDIS"] = 'REDIS'] = "REDIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["RESTEASY"] = 'RESTEASY'] = "RESTEASY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["RESTLET"] = 'RESTLET'] = "RESTLET";
        ServiceTechnologyEnum[ServiceTechnologyEnum["RIAK"] = 'RIAK'] = "RIAK";
        ServiceTechnologyEnum[ServiceTechnologyEnum["RUBY"] = 'RUBY'] = "RUBY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAGWEBMETHODSIS"] = 'SAG_WEBMETHODS_IS'] = "SAGWEBMETHODSIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAP"] = 'SAP'] = "SAP";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAPHANADB"] = 'SAP_HANADB'] = "SAPHANADB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAPHYBRIS"] = 'SAP_HYBRIS'] = "SAPHYBRIS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAPMAXDB"] = 'SAP_MAXDB'] = "SAPMAXDB";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SAPSYBASE"] = 'SAP_SYBASE'] = "SAPSYBASE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SCALA"] = 'SCALA'] = "SCALA";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SELINUX"] = 'SELINUX'] = "SELINUX";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SHAREPOINT"] = 'SHAREPOINT'] = "SHAREPOINT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SPARK"] = 'SPARK'] = "SPARK";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SPRING"] = 'SPRING'] = "SPRING";
        ServiceTechnologyEnum[ServiceTechnologyEnum["SQLITE"] = 'SQLITE'] = "SQLITE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["THRIFT"] = 'THRIFT'] = "THRIFT";
        ServiceTechnologyEnum[ServiceTechnologyEnum["TIBCO"] = 'TIBCO'] = "TIBCO";
        ServiceTechnologyEnum[ServiceTechnologyEnum["TIBCOBUSINESSWORKS"] = 'TIBCO_BUSINESS_WORKS'] = "TIBCOBUSINESSWORKS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["TIBCOEMS"] = 'TIBCO_EMS'] = "TIBCOEMS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["VARNISHCACHE"] = 'VARNISH_CACHE'] = "VARNISHCACHE";
        ServiceTechnologyEnum[ServiceTechnologyEnum["VIM2"] = 'VIM2'] = "VIM2";
        ServiceTechnologyEnum[ServiceTechnologyEnum["VIRTUALMACHINEKVM"] = 'VIRTUAL_MACHINE_KVM'] = "VIRTUALMACHINEKVM";
        ServiceTechnologyEnum[ServiceTechnologyEnum["VIRTUALMACHINEQEMU"] = 'VIRTUAL_MACHINE_QEMU'] = "VIRTUALMACHINEQEMU";
        ServiceTechnologyEnum[ServiceTechnologyEnum["WILDFLY"] = 'WILDFLY'] = "WILDFLY";
        ServiceTechnologyEnum[ServiceTechnologyEnum["WINDOWSCONTAINERS"] = 'WINDOWS_CONTAINERS'] = "WINDOWSCONTAINERS";
        ServiceTechnologyEnum[ServiceTechnologyEnum["WINK"] = 'WINK'] = "WINK";
        ServiceTechnologyEnum[ServiceTechnologyEnum["ZEROMQ"] = 'ZERO_MQ'] = "ZEROMQ";
    })(ServiceTechnologyEnum = ScopeConditions.ServiceTechnologyEnum || (ScopeConditions.ServiceTechnologyEnum = {}));
})(ScopeConditions = exports.ScopeConditions || (exports.ScopeConditions = {}));
exports.ScopeConditions = ScopeConditions;
//# sourceMappingURL=scopeConditions.js.map