import { ComparisonBasic } from './comparisonBasic';
export declare class ServiceTypeComparison extends ComparisonBasic {
    'operator': ServiceTypeComparison.OperatorEnum;
    'value'?: ServiceTypeComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ServiceTypeComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        BACKGROUNDACTIVITY,
        CICSSERVICE,
        CUSTOMSERVICE,
        DATABASESERVICE,
        ENTERPRISESERVICEBUSSERVICE,
        EXTERNAL,
        IBMINTEGRATIONBUSSERVICE,
        IMSSERVICE,
        MESSAGINGSERVICE,
        QUEUELISTENERSERVICE,
        RMISERVICE,
        RPCSERVICE,
        WEBREQUESTSERVICE,
        WEBSERVICE
    }
}
