import { ComparisonBasic } from './comparisonBasic';
export declare class StringComparison extends ComparisonBasic {
    'operator': StringComparison.OperatorEnum;
    'value'?: string;
    'caseSensitive'?: boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace StringComparison {
    enum OperatorEnum {
        BEGINSWITH,
        CONTAINS,
        ENDSWITH,
        EQUALS,
        EXISTS,
        REGEXMATCHES
    }
}
