import { ComparisonInfo } from './comparisonInfo';
export declare class StringComparisonInfo extends ComparisonInfo {
    'comparison': StringComparisonInfo.ComparisonEnum;
    'value'?: string;
    'caseSensitive'?: boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace StringComparisonInfo {
    enum ComparisonEnum {
        BEGINSWITH,
        CONTAINS,
        ENDSWITH,
        EQUALS,
        EXISTS,
        REGEXMATCHES
    }
}
