import { ComparisonInfo } from './comparisonInfo';
import { PropagationSource } from './propagationSource';
export declare class StringRequestAttributeComparisonInfo extends ComparisonInfo {
    'comparison': StringRequestAttributeComparisonInfo.ComparisonEnum;
    'value'?: string;
    'requestAttribute': string;
    'caseSensitive'?: boolean;
    'matchOnChildCalls'?: boolean;
    'source'?: PropagationSource;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace StringRequestAttributeComparisonInfo {
    enum ComparisonEnum {
        BEGINSWITH,
        CONTAINS,
        ENDSWITH,
        EQUALS,
        EXISTS,
        REGEXMATCHES
    }
}
