"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Tile = (function () {
    function Tile() {
    }
    Tile.getAttributeTypeMap = function () {
        return Tile.attributeTypeMap;
    };
    Tile.discriminator = "tileType";
    Tile.attributeTypeMap = [
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "tileType",
            "baseName": "tileType",
            "type": "Tile.TileTypeEnum"
        },
        {
            "name": "configured",
            "baseName": "configured",
            "type": "boolean"
        },
        {
            "name": "bounds",
            "baseName": "bounds",
            "type": "TileBounds"
        },
        {
            "name": "tileFilter",
            "baseName": "tileFilter",
            "type": "TileFilter"
        }
    ];
    return Tile;
}());
exports.Tile = Tile;
(function (Tile) {
    var TileTypeEnum;
    (function (TileTypeEnum) {
        TileTypeEnum[TileTypeEnum["APPLICATION"] = 'APPLICATION'] = "APPLICATION";
        TileTypeEnum[TileTypeEnum["APPLICATIONS"] = 'APPLICATIONS'] = "APPLICATIONS";
        TileTypeEnum[TileTypeEnum["APPLICATIONMETHOD"] = 'APPLICATION_METHOD'] = "APPLICATIONMETHOD";
        TileTypeEnum[TileTypeEnum["APPLICATIONWORLDMAP"] = 'APPLICATION_WORLDMAP'] = "APPLICATIONWORLDMAP";
        TileTypeEnum[TileTypeEnum["AWS"] = 'AWS'] = "AWS";
        TileTypeEnum[TileTypeEnum["BOUNCERATE"] = 'BOUNCE_RATE'] = "BOUNCERATE";
        TileTypeEnum[TileTypeEnum["CUSTOMAPPLICATION"] = 'CUSTOM_APPLICATION'] = "CUSTOMAPPLICATION";
        TileTypeEnum[TileTypeEnum["CUSTOMCHARTING"] = 'CUSTOM_CHARTING'] = "CUSTOMCHARTING";
        TileTypeEnum[TileTypeEnum["DATABASE"] = 'DATABASE'] = "DATABASE";
        TileTypeEnum[TileTypeEnum["DATABASESOVERVIEW"] = 'DATABASES_OVERVIEW'] = "DATABASESOVERVIEW";
        TileTypeEnum[TileTypeEnum["DEMKEYUSERACTION"] = 'DEM_KEY_USER_ACTION'] = "DEMKEYUSERACTION";
        TileTypeEnum[TileTypeEnum["DEVICEAPPLICATIONMETHOD"] = 'DEVICE_APPLICATION_METHOD'] = "DEVICEAPPLICATIONMETHOD";
        TileTypeEnum[TileTypeEnum["DTAQL"] = 'DTAQL'] = "DTAQL";
        TileTypeEnum[TileTypeEnum["HOST"] = 'HOST'] = "HOST";
        TileTypeEnum[TileTypeEnum["HOSTS"] = 'HOSTS'] = "HOSTS";
        TileTypeEnum[TileTypeEnum["LOGANALYTICS"] = 'LOG_ANALYTICS'] = "LOGANALYTICS";
        TileTypeEnum[TileTypeEnum["MARKDOWN"] = 'MARKDOWN'] = "MARKDOWN";
        TileTypeEnum[TileTypeEnum["MOBILEAPPLICATION"] = 'MOBILE_APPLICATION'] = "MOBILEAPPLICATION";
        TileTypeEnum[TileTypeEnum["OPENSTACK"] = 'OPENSTACK'] = "OPENSTACK";
        TileTypeEnum[TileTypeEnum["OPENSTACKAVZONE"] = 'OPENSTACK_AV_ZONE'] = "OPENSTACKAVZONE";
        TileTypeEnum[TileTypeEnum["OPENSTACKPROJECT"] = 'OPENSTACK_PROJECT'] = "OPENSTACKPROJECT";
        TileTypeEnum[TileTypeEnum["PROCESSGROUPSONE"] = 'PROCESS_GROUPS_ONE'] = "PROCESSGROUPSONE";
        TileTypeEnum[TileTypeEnum["RESOURCES"] = 'RESOURCES'] = "RESOURCES";
        TileTypeEnum[TileTypeEnum["SERVICES"] = 'SERVICES'] = "SERVICES";
        TileTypeEnum[TileTypeEnum["SERVICEVERSATILE"] = 'SERVICE_VERSATILE'] = "SERVICEVERSATILE";
        TileTypeEnum[TileTypeEnum["SESSIONMETRICS"] = 'SESSION_METRICS'] = "SESSIONMETRICS";
        TileTypeEnum[TileTypeEnum["SYNTHETICHTTPMONITOR"] = 'SYNTHETIC_HTTP_MONITOR'] = "SYNTHETICHTTPMONITOR";
        TileTypeEnum[TileTypeEnum["SYNTHETICSINGLEEXTTEST"] = 'SYNTHETIC_SINGLE_EXT_TEST'] = "SYNTHETICSINGLEEXTTEST";
        TileTypeEnum[TileTypeEnum["SYNTHETICSINGLEWEBCHECK"] = 'SYNTHETIC_SINGLE_WEBCHECK'] = "SYNTHETICSINGLEWEBCHECK";
        TileTypeEnum[TileTypeEnum["SYNTHETICTESTS"] = 'SYNTHETIC_TESTS'] = "SYNTHETICTESTS";
        TileTypeEnum[TileTypeEnum["THIRDPARTYMOSTACTIVE"] = 'THIRD_PARTY_MOST_ACTIVE'] = "THIRDPARTYMOSTACTIVE";
        TileTypeEnum[TileTypeEnum["UEMCONVERSIONSOVERALL"] = 'UEM_CONVERSIONS_OVERALL'] = "UEMCONVERSIONSOVERALL";
        TileTypeEnum[TileTypeEnum["UEMCONVERSIONSPERGOAL"] = 'UEM_CONVERSIONS_PER_GOAL'] = "UEMCONVERSIONSPERGOAL";
        TileTypeEnum[TileTypeEnum["UEMJSERRORSOVERALL"] = 'UEM_JSERRORS_OVERALL'] = "UEMJSERRORSOVERALL";
        TileTypeEnum[TileTypeEnum["UEMKEYUSERACTIONS"] = 'UEM_KEY_USER_ACTIONS'] = "UEMKEYUSERACTIONS";
        TileTypeEnum[TileTypeEnum["USERS"] = 'USERS'] = "USERS";
        TileTypeEnum[TileTypeEnum["VIRTUALIZATION"] = 'VIRTUALIZATION'] = "VIRTUALIZATION";
    })(TileTypeEnum = Tile.TileTypeEnum || (Tile.TileTypeEnum = {}));
})(Tile = exports.Tile || (exports.Tile = {}));
exports.Tile = Tile;
//# sourceMappingURL=tile.js.map