import { UserActionPropertyFilter } from './userActionPropertyFilter';
export declare class UserActionFilter {
    'actionDurationFromMilliseconds'?: number;
    'actionDurationToMilliseconds'?: number;
    'loadAction'?: boolean;
    'xhrAction'?: boolean;
    'customAction'?: boolean;
    'apdex'?: UserActionFilter.ApdexEnum;
    'domain'?: string;
    'userActionName'?: string;
    'realUser'?: boolean;
    'robot'?: boolean;
    'synthetic'?: boolean;
    'browserFamily'?: string;
    'browserType'?: string;
    'browserVersion'?: string;
    'hasCustomErrors'?: boolean;
    'hasAnyError'?: boolean;
    'hasHttpErrors'?: boolean;
    'hasJavascriptErrors'?: boolean;
    'city'?: string;
    'continent'?: string;
    'country'?: string;
    'region'?: string;
    'ip'?: string;
    'ipV6Traffic'?: boolean;
    'osFamily'?: string;
    'osVersion'?: string;
    'userActionProperties'?: Array<UserActionPropertyFilter>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UserActionFilter {
    enum ApdexEnum {
        Frustrated,
        Satisfied,
        Tolerating,
        Unknown
    }
}
