import { Tile } from './tile';
import { UserSessionQueryTileConfiguration } from './userSessionQueryTileConfiguration';
export declare class UserSessionQueryTile extends Tile {
    'customName': string;
    'query': string;
    'type': UserSessionQueryTile.TypeEnum;
    'timeFrameShift'?: string;
    'visualizationConfig'?: UserSessionQueryTileConfiguration;
    'limit'?: number;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UserSessionQueryTile {
    enum TypeEnum {
        COLUMNCHART,
        FUNNEL,
        LINECHART,
        PIECHART,
        SINGLEVALUE,
        TABLE
    }
}
