"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var VMwareAnomalyDetectionConfig = (function () {
    function VMwareAnomalyDetectionConfig() {
    }
    VMwareAnomalyDetectionConfig.getAttributeTypeMap = function () {
        return VMwareAnomalyDetectionConfig.attributeTypeMap;
    };
    VMwareAnomalyDetectionConfig.discriminator = undefined;
    VMwareAnomalyDetectionConfig.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "esxiHighCpuSaturation",
            "baseName": "esxiHighCpuSaturation",
            "type": "EsxiHighCpuSaturationConfig"
        },
        {
            "name": "guestCpuLimitReached",
            "baseName": "guestCpuLimitReached",
            "type": "GuestCPULimitReachedConfig"
        },
        {
            "name": "esxiHighMemoryDetection",
            "baseName": "esxiHighMemoryDetection",
            "type": "EsxiHighMemoryDetectionConfig"
        },
        {
            "name": "overloadedStorageDetection",
            "baseName": "overloadedStorageDetection",
            "type": "OverloadedStorageDetectionConfig"
        },
        {
            "name": "undersizedStorageDetection",
            "baseName": "undersizedStorageDetection",
            "type": "UndersizedStorageDetectionConfig"
        },
        {
            "name": "slowPhysicalStorageDetection",
            "baseName": "slowPhysicalStorageDetection",
            "type": "SlowPhysicalStorageDetectionConfig"
        },
        {
            "name": "droppedPacketsDetection",
            "baseName": "droppedPacketsDetection",
            "type": "DroppedPacketsDetectionConfig"
        },
        {
            "name": "lowDatastoreSpaceDetection",
            "baseName": "lowDatastoreSpaceDetection",
            "type": "LowDatastoreSpaceDetectionConfig"
        }
    ];
    return VMwareAnomalyDetectionConfig;
}());
exports.VMwareAnomalyDetectionConfig = VMwareAnomalyDetectionConfig;
//# sourceMappingURL=vMwareAnomalyDetectionConfig.js.map