"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var WebApplicationConfigBrowserRestriction = (function () {
    function WebApplicationConfigBrowserRestriction() {
    }
    WebApplicationConfigBrowserRestriction.getAttributeTypeMap = function () {
        return WebApplicationConfigBrowserRestriction.attributeTypeMap;
    };
    WebApplicationConfigBrowserRestriction.discriminator = undefined;
    WebApplicationConfigBrowserRestriction.attributeTypeMap = [
        {
            "name": "browserVersion",
            "baseName": "browserVersion",
            "type": "string"
        },
        {
            "name": "browserType",
            "baseName": "browserType",
            "type": "WebApplicationConfigBrowserRestriction.BrowserTypeEnum"
        },
        {
            "name": "platform",
            "baseName": "platform",
            "type": "WebApplicationConfigBrowserRestriction.PlatformEnum"
        },
        {
            "name": "comparator",
            "baseName": "comparator",
            "type": "WebApplicationConfigBrowserRestriction.ComparatorEnum"
        }
    ];
    return WebApplicationConfigBrowserRestriction;
}());
exports.WebApplicationConfigBrowserRestriction = WebApplicationConfigBrowserRestriction;
(function (WebApplicationConfigBrowserRestriction) {
    var BrowserTypeEnum;
    (function (BrowserTypeEnum) {
        BrowserTypeEnum[BrowserTypeEnum["ANDROIDWEBKIT"] = 'ANDROID_WEBKIT'] = "ANDROIDWEBKIT";
        BrowserTypeEnum[BrowserTypeEnum["BOTSSPIDERS"] = 'BOTS_SPIDERS'] = "BOTSSPIDERS";
        BrowserTypeEnum[BrowserTypeEnum["CHROME"] = 'CHROME'] = "CHROME";
        BrowserTypeEnum[BrowserTypeEnum["EDGE"] = 'EDGE'] = "EDGE";
        BrowserTypeEnum[BrowserTypeEnum["FIREFOX"] = 'FIREFOX'] = "FIREFOX";
        BrowserTypeEnum[BrowserTypeEnum["INTERNETEXPLORER"] = 'INTERNET_EXPLORER'] = "INTERNETEXPLORER";
        BrowserTypeEnum[BrowserTypeEnum["OPERA"] = 'OPERA'] = "OPERA";
        BrowserTypeEnum[BrowserTypeEnum["SAFARI"] = 'SAFARI'] = "SAFARI";
    })(BrowserTypeEnum = WebApplicationConfigBrowserRestriction.BrowserTypeEnum || (WebApplicationConfigBrowserRestriction.BrowserTypeEnum = {}));
    var PlatformEnum;
    (function (PlatformEnum) {
        PlatformEnum[PlatformEnum["ALL"] = 'ALL'] = "ALL";
        PlatformEnum[PlatformEnum["DESKTOP"] = 'DESKTOP'] = "DESKTOP";
        PlatformEnum[PlatformEnum["MOBILE"] = 'MOBILE'] = "MOBILE";
    })(PlatformEnum = WebApplicationConfigBrowserRestriction.PlatformEnum || (WebApplicationConfigBrowserRestriction.PlatformEnum = {}));
    var ComparatorEnum;
    (function (ComparatorEnum) {
        ComparatorEnum[ComparatorEnum["EQUALS"] = 'EQUALS'] = "EQUALS";
        ComparatorEnum[ComparatorEnum["GREATERTHANOREQUAL"] = 'GREATER_THAN_OR_EQUAL'] = "GREATERTHANOREQUAL";
        ComparatorEnum[ComparatorEnum["LOWERTHANOREQUAL"] = 'LOWER_THAN_OR_EQUAL'] = "LOWERTHANOREQUAL";
    })(ComparatorEnum = WebApplicationConfigBrowserRestriction.ComparatorEnum || (WebApplicationConfigBrowserRestriction.ComparatorEnum = {}));
})(WebApplicationConfigBrowserRestriction = exports.WebApplicationConfigBrowserRestriction || (exports.WebApplicationConfigBrowserRestriction = {}));
exports.WebApplicationConfigBrowserRestriction = WebApplicationConfigBrowserRestriction;
//# sourceMappingURL=webApplicationConfigBrowserRestriction.js.map