"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./aWSCredentialsConfigurationApi"));
var aWSCredentialsConfigurationApi_1 = require("./aWSCredentialsConfigurationApi");
__export(require("./alertingProfilesApi"));
var alertingProfilesApi_1 = require("./alertingProfilesApi");
__export(require("./anomalyDetectionAWSApi"));
var anomalyDetectionAWSApi_1 = require("./anomalyDetectionAWSApi");
__export(require("./anomalyDetectionApplicationsApi"));
var anomalyDetectionApplicationsApi_1 = require("./anomalyDetectionApplicationsApi");
__export(require("./anomalyDetectionDatabaseServicesApi"));
var anomalyDetectionDatabaseServicesApi_1 = require("./anomalyDetectionDatabaseServicesApi");
__export(require("./anomalyDetectionDiskEventsApi"));
var anomalyDetectionDiskEventsApi_1 = require("./anomalyDetectionDiskEventsApi");
__export(require("./anomalyDetectionHostsApi"));
var anomalyDetectionHostsApi_1 = require("./anomalyDetectionHostsApi");
__export(require("./anomalyDetectionMetricEventsApi"));
var anomalyDetectionMetricEventsApi_1 = require("./anomalyDetectionMetricEventsApi");
__export(require("./anomalyDetectionProcessGroupsApi"));
var anomalyDetectionProcessGroupsApi_1 = require("./anomalyDetectionProcessGroupsApi");
__export(require("./anomalyDetectionServicesApi"));
var anomalyDetectionServicesApi_1 = require("./anomalyDetectionServicesApi");
__export(require("./anomalyDetectionVMwareApi"));
var anomalyDetectionVMwareApi_1 = require("./anomalyDetectionVMwareApi");
__export(require("./applicationDetectionRulesApi"));
var applicationDetectionRulesApi_1 = require("./applicationDetectionRulesApi");
__export(require("./automaticallyAppliedTagsApi"));
var automaticallyAppliedTagsApi_1 = require("./automaticallyAppliedTagsApi");
__export(require("./azureCredentialsConfigurationApi"));
var azureCredentialsConfigurationApi_1 = require("./azureCredentialsConfigurationApi");
__export(require("./calculatedMetricsLogMonitoringApi"));
var calculatedMetricsLogMonitoringApi_1 = require("./calculatedMetricsLogMonitoringApi");
__export(require("./calculatedMetricsMobileCustomApplicationsApi"));
var calculatedMetricsMobileCustomApplicationsApi_1 = require("./calculatedMetricsMobileCustomApplicationsApi");
__export(require("./calculatedMetricsServicesApi"));
var calculatedMetricsServicesApi_1 = require("./calculatedMetricsServicesApi");
__export(require("./calculatedMetricsSyntheticApi"));
var calculatedMetricsSyntheticApi_1 = require("./calculatedMetricsSyntheticApi");
__export(require("./calculatedMetricsWebApplicationsApi"));
var calculatedMetricsWebApplicationsApi_1 = require("./calculatedMetricsWebApplicationsApi");
__export(require("./cloudFoundryCredentialsConfigurationApi"));
var cloudFoundryCredentialsConfigurationApi_1 = require("./cloudFoundryCredentialsConfigurationApi");
__export(require("./conditionalNamingApi"));
var conditionalNamingApi_1 = require("./conditionalNamingApi");
__export(require("./credentialVaultApi"));
var credentialVaultApi_1 = require("./credentialVaultApi");
__export(require("./dashboardsApi"));
var dashboardsApi_1 = require("./dashboardsApi");
__export(require("./dataPrivacyAndSecurityApi"));
var dataPrivacyAndSecurityApi_1 = require("./dataPrivacyAndSecurityApi");
__export(require("./extensionsApi"));
var extensionsApi_1 = require("./extensionsApi");
__export(require("./frequentIssueDetectionApi"));
var frequentIssueDetectionApi_1 = require("./frequentIssueDetectionApi");
__export(require("./kubernetesCredentialsConfigurationApi"));
var kubernetesCredentialsConfigurationApi_1 = require("./kubernetesCredentialsConfigurationApi");
__export(require("./maintenanceWindowsApi"));
var maintenanceWindowsApi_1 = require("./maintenanceWindowsApi");
__export(require("./managementZonesApi"));
var managementZonesApi_1 = require("./managementZonesApi");
__export(require("./mobileDeobfuscationAndSymbolicationApi"));
var mobileDeobfuscationAndSymbolicationApi_1 = require("./mobileDeobfuscationAndSymbolicationApi");
__export(require("./notificationsApi"));
var notificationsApi_1 = require("./notificationsApi");
__export(require("./pluginsApi"));
var pluginsApi_1 = require("./pluginsApi");
__export(require("./remoteEnvironmentsApi"));
var remoteEnvironmentsApi_1 = require("./remoteEnvironmentsApi");
__export(require("./reportsApi"));
var reportsApi_1 = require("./reportsApi");
__export(require("./serviceCustomServicesApi"));
var serviceCustomServicesApi_1 = require("./serviceCustomServicesApi");
__export(require("./serviceDetectionFullWebRequestApi"));
var serviceDetectionFullWebRequestApi_1 = require("./serviceDetectionFullWebRequestApi");
__export(require("./serviceDetectionFullWebServiceApi"));
var serviceDetectionFullWebServiceApi_1 = require("./serviceDetectionFullWebServiceApi");
__export(require("./serviceDetectionOpaqueAndExternalWebRequestApi"));
var serviceDetectionOpaqueAndExternalWebRequestApi_1 = require("./serviceDetectionOpaqueAndExternalWebRequestApi");
__export(require("./serviceIBMMQTracingApi"));
var serviceIBMMQTracingApi_1 = require("./serviceIBMMQTracingApi");
__export(require("./serviceRequestAttributesApi"));
var serviceRequestAttributesApi_1 = require("./serviceRequestAttributesApi");
__export(require("./serviceRequestNamingApi"));
var serviceRequestNamingApi_1 = require("./serviceRequestNamingApi");
__export(require("./webApplicationConfigurationApi"));
var webApplicationConfigurationApi_1 = require("./webApplicationConfigurationApi");
var HttpError = (function (_super) {
    __extends(HttpError, _super);
    function HttpError(response, body, statusCode) {
        var _this = _super.call(this, 'HTTP request failed') || this;
        _this.response = response;
        _this.body = body;
        _this.statusCode = statusCode;
        _this.name = 'HttpError';
        return _this;
    }
    return HttpError;
}(Error));
exports.HttpError = HttpError;
exports.APIS = [aWSCredentialsConfigurationApi_1.AWSCredentialsConfigurationApi, alertingProfilesApi_1.AlertingProfilesApi, anomalyDetectionAWSApi_1.AnomalyDetectionAWSApi, anomalyDetectionApplicationsApi_1.AnomalyDetectionApplicationsApi, anomalyDetectionDatabaseServicesApi_1.AnomalyDetectionDatabaseServicesApi, anomalyDetectionDiskEventsApi_1.AnomalyDetectionDiskEventsApi, anomalyDetectionHostsApi_1.AnomalyDetectionHostsApi, anomalyDetectionMetricEventsApi_1.AnomalyDetectionMetricEventsApi, anomalyDetectionProcessGroupsApi_1.AnomalyDetectionProcessGroupsApi, anomalyDetectionServicesApi_1.AnomalyDetectionServicesApi, anomalyDetectionVMwareApi_1.AnomalyDetectionVMwareApi, applicationDetectionRulesApi_1.ApplicationDetectionRulesApi, automaticallyAppliedTagsApi_1.AutomaticallyAppliedTagsApi, azureCredentialsConfigurationApi_1.AzureCredentialsConfigurationApi, calculatedMetricsLogMonitoringApi_1.CalculatedMetricsLogMonitoringApi, calculatedMetricsMobileCustomApplicationsApi_1.CalculatedMetricsMobileCustomApplicationsApi, calculatedMetricsServicesApi_1.CalculatedMetricsServicesApi, calculatedMetricsSyntheticApi_1.CalculatedMetricsSyntheticApi, calculatedMetricsWebApplicationsApi_1.CalculatedMetricsWebApplicationsApi, cloudFoundryCredentialsConfigurationApi_1.CloudFoundryCredentialsConfigurationApi, conditionalNamingApi_1.ConditionalNamingApi, credentialVaultApi_1.CredentialVaultApi, dashboardsApi_1.DashboardsApi, dataPrivacyAndSecurityApi_1.DataPrivacyAndSecurityApi, extensionsApi_1.ExtensionsApi, frequentIssueDetectionApi_1.FrequentIssueDetectionApi, kubernetesCredentialsConfigurationApi_1.KubernetesCredentialsConfigurationApi, maintenanceWindowsApi_1.MaintenanceWindowsApi, managementZonesApi_1.ManagementZonesApi, mobileDeobfuscationAndSymbolicationApi_1.MobileDeobfuscationAndSymbolicationApi, notificationsApi_1.NotificationsApi, pluginsApi_1.PluginsApi, remoteEnvironmentsApi_1.RemoteEnvironmentsApi, reportsApi_1.ReportsApi, serviceCustomServicesApi_1.ServiceCustomServicesApi, serviceDetectionFullWebRequestApi_1.ServiceDetectionFullWebRequestApi, serviceDetectionFullWebServiceApi_1.ServiceDetectionFullWebServiceApi, serviceDetectionOpaqueAndExternalWebRequestApi_1.ServiceDetectionOpaqueAndExternalWebRequestApi, serviceIBMMQTracingApi_1.ServiceIBMMQTracingApi, serviceRequestAttributesApi_1.ServiceRequestAttributesApi, serviceRequestNamingApi_1.ServiceRequestNamingApi, webApplicationConfigurationApi_1.WebApplicationConfigurationApi];
//# sourceMappingURL=apis.js.map