import { AdditionalEventHandlers } from './additionalEventHandlers';
import { EventWrapperSettings } from './eventWrapperSettings';
import { GlobalEventCaptureSettings } from './globalEventCaptureSettings';
export declare class AdvancedJavaScriptTagSettings {
    'syncBeaconFirefox'?: boolean;
    'syncBeaconInternetExplorer'?: boolean;
    'instrumentUnsupportedAjaxFrameworks': boolean;
    'specialCharactersToEscape': string;
    'maxActionNameLength': number;
    'maxErrorsToCapture': number;
    'additionalEventHandlers': AdditionalEventHandlers;
    'eventWrapperSettings': EventWrapperSettings;
    'globalEventCaptureSettings': GlobalEventCaptureSettings;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
