export declare class AppIdentifier {
    'id'?: string;
    'versionCode': string;
    'versionName': string;
    'packageName'?: string;
    'os'?: AppIdentifier.OsEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AppIdentifier {
    enum OsEnum {
        ANDROID,
        IOS,
        TVOS
    }
}
