import { KeyBasedAuthentication } from './keyBasedAuthentication';
import { RoleBasedAuthentication } from './roleBasedAuthentication';
export declare class AwsAuthenticationData {
    'type': AwsAuthenticationData.TypeEnum;
    'keyBasedAuthentication'?: KeyBasedAuthentication;
    'roleBasedAuthentication'?: RoleBasedAuthentication;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AwsAuthenticationData {
    enum TypeEnum {
        KEYS,
        ROLE
    }
}
