import { AwsAuthenticationData } from './awsAuthenticationData';
import { AwsConfigTag } from './awsConfigTag';
import { AwsSupportingServiceConfig } from './awsSupportingServiceConfig';
import { ConfigurationMetadata } from './configurationMetadata';
export declare class AwsCredentialsConfig {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'connectionStatus'?: AwsCredentialsConfig.ConnectionStatusEnum;
    'label': string;
    'partitionType': AwsCredentialsConfig.PartitionTypeEnum;
    'authenticationData': AwsAuthenticationData;
    'taggedOnly': boolean;
    'tagsToMonitor': Array<AwsConfigTag>;
    'supportingServicesToMonitor'?: Array<AwsSupportingServiceConfig>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AwsCredentialsConfig {
    enum ConnectionStatusEnum {
        CONNECTED,
        DISCONNECTED,
        UNINITIALIZED
    }
    enum PartitionTypeEnum {
        CN,
        DEFAULT,
        USGOV
    }
}
