import { AzureSupportingService } from './azureSupportingService';
import { CloudTag } from './cloudTag';
import { ConfigurationMetadata } from './configurationMetadata';
export declare class AzureCredentials {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'label': string;
    'appId': string;
    'directoryId': string;
    'key'?: string;
    'active'?: boolean;
    'autoTagging': boolean;
    'monitorOnlyTaggedEntities': boolean;
    'monitorOnlyTagPairs': Array<CloudTag>;
    'supportingServices'?: Array<AzureSupportingService>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
