import { ComparisonBasic } from './comparisonBasic';
export declare class AzureSkuComparision extends ComparisonBasic {
    'operator': AzureSkuComparision.OperatorEnum;
    'value'?: AzureSkuComparision.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace AzureSkuComparision {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        BASIC,
        FREE,
        PREMIUM,
        SHARED,
        STANDARD
    }
}
