export declare class CalculatedMobileMetricUserActionFilter {
    'hasReportedError'?: boolean;
    'hasHttpError'?: boolean;
    'userActionName'?: string;
    'appVersion'?: string;
    'device'?: string;
    'manufacturer'?: string;
    'apdex'?: CalculatedMobileMetricUserActionFilter.ApdexEnum;
    'osFamily'?: string;
    'osVersion'?: string;
    'city'?: string;
    'continent'?: string;
    'country'?: string;
    'region'?: string;
    'actionDurationFromMilliseconds'?: number;
    'actionDurationToMilliseconds'?: number;
    'carrier'?: string;
    'connectionType'?: CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum;
    'networkTechnology'?: string;
    'isp'?: string;
    'orientation'?: CalculatedMobileMetricUserActionFilter.OrientationEnum;
    'resolution'?: CalculatedMobileMetricUserActionFilter.ResolutionEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CalculatedMobileMetricUserActionFilter {
    enum ApdexEnum {
        Frustrated,
        Satisfied,
        Tolerating,
        Unknown
    }
    enum ConnectionTypeEnum {
        LAN,
        MOBILE,
        OFFLINE,
        UNKNOWN,
        WIFI
    }
    enum OrientationEnum {
        LANDSCAPE,
        PORTRAIT,
        UNKNOWN
    }
    enum ResolutionEnum {
        CGA,
        DCI2K,
        DCI4K,
        DVGA,
        FHD,
        FWVGA,
        FWXGA,
        GHDPlus,
        HD,
        HQVGA,
        HQVGA2,
        HSXGA,
        HUXGA,
        HVGA,
        HXGA,
        NTSC,
        PAL,
        QHD,
        QQVGA,
        QSXGA,
        QUXGA,
        QVGA,
        QWXGA,
        QXGA,
        SVGA,
        SXGA,
        SXGAMinus,
        SXGAPlus,
        UGA,
        UHD16K,
        UHD4K,
        UHD8K,
        UHDPlus,
        UNKNOWN,
        UWQHD,
        UXGA,
        VGA,
        WHSXGA,
        WHUXGA,
        WHXGA,
        WQSXGA,
        WQUXGA,
        WQVGA,
        WQVGA2,
        WQVGA3,
        WQXGA,
        WQXGA2,
        WSVGA,
        WSVGA2,
        WSXGA,
        WSXGAPlus,
        WUXGA,
        WVGA,
        WVGA2,
        WXGA,
        WXGA2,
        WXGA3,
        WXGAPlus,
        XGA,
        XGAPLUS,
        _1280x854,
        NHD,
        QHD
    }
}
