"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CalculatedMobileMetricUserActionFilter = (function () {
    function CalculatedMobileMetricUserActionFilter() {
    }
    CalculatedMobileMetricUserActionFilter.getAttributeTypeMap = function () {
        return CalculatedMobileMetricUserActionFilter.attributeTypeMap;
    };
    CalculatedMobileMetricUserActionFilter.discriminator = undefined;
    CalculatedMobileMetricUserActionFilter.attributeTypeMap = [
        {
            "name": "hasReportedError",
            "baseName": "hasReportedError",
            "type": "boolean"
        },
        {
            "name": "hasHttpError",
            "baseName": "hasHttpError",
            "type": "boolean"
        },
        {
            "name": "userActionName",
            "baseName": "userActionName",
            "type": "string"
        },
        {
            "name": "appVersion",
            "baseName": "appVersion",
            "type": "string"
        },
        {
            "name": "device",
            "baseName": "device",
            "type": "string"
        },
        {
            "name": "manufacturer",
            "baseName": "manufacturer",
            "type": "string"
        },
        {
            "name": "apdex",
            "baseName": "apdex",
            "type": "CalculatedMobileMetricUserActionFilter.ApdexEnum"
        },
        {
            "name": "osFamily",
            "baseName": "osFamily",
            "type": "string"
        },
        {
            "name": "osVersion",
            "baseName": "osVersion",
            "type": "string"
        },
        {
            "name": "city",
            "baseName": "city",
            "type": "string"
        },
        {
            "name": "continent",
            "baseName": "continent",
            "type": "string"
        },
        {
            "name": "country",
            "baseName": "country",
            "type": "string"
        },
        {
            "name": "region",
            "baseName": "region",
            "type": "string"
        },
        {
            "name": "actionDurationFromMilliseconds",
            "baseName": "actionDurationFromMilliseconds",
            "type": "number"
        },
        {
            "name": "actionDurationToMilliseconds",
            "baseName": "actionDurationToMilliseconds",
            "type": "number"
        },
        {
            "name": "carrier",
            "baseName": "carrier",
            "type": "string"
        },
        {
            "name": "connectionType",
            "baseName": "connectionType",
            "type": "CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum"
        },
        {
            "name": "networkTechnology",
            "baseName": "networkTechnology",
            "type": "string"
        },
        {
            "name": "isp",
            "baseName": "isp",
            "type": "string"
        },
        {
            "name": "orientation",
            "baseName": "orientation",
            "type": "CalculatedMobileMetricUserActionFilter.OrientationEnum"
        },
        {
            "name": "resolution",
            "baseName": "resolution",
            "type": "CalculatedMobileMetricUserActionFilter.ResolutionEnum"
        }
    ];
    return CalculatedMobileMetricUserActionFilter;
}());
exports.CalculatedMobileMetricUserActionFilter = CalculatedMobileMetricUserActionFilter;
(function (CalculatedMobileMetricUserActionFilter) {
    var ApdexEnum;
    (function (ApdexEnum) {
        ApdexEnum[ApdexEnum["Frustrated"] = 'Frustrated'] = "Frustrated";
        ApdexEnum[ApdexEnum["Satisfied"] = 'Satisfied'] = "Satisfied";
        ApdexEnum[ApdexEnum["Tolerating"] = 'Tolerating'] = "Tolerating";
        ApdexEnum[ApdexEnum["Unknown"] = 'Unknown'] = "Unknown";
    })(ApdexEnum = CalculatedMobileMetricUserActionFilter.ApdexEnum || (CalculatedMobileMetricUserActionFilter.ApdexEnum = {}));
    var ConnectionTypeEnum;
    (function (ConnectionTypeEnum) {
        ConnectionTypeEnum[ConnectionTypeEnum["LAN"] = 'LAN'] = "LAN";
        ConnectionTypeEnum[ConnectionTypeEnum["MOBILE"] = 'MOBILE'] = "MOBILE";
        ConnectionTypeEnum[ConnectionTypeEnum["OFFLINE"] = 'OFFLINE'] = "OFFLINE";
        ConnectionTypeEnum[ConnectionTypeEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
        ConnectionTypeEnum[ConnectionTypeEnum["WIFI"] = 'WIFI'] = "WIFI";
    })(ConnectionTypeEnum = CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum || (CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum = {}));
    var OrientationEnum;
    (function (OrientationEnum) {
        OrientationEnum[OrientationEnum["LANDSCAPE"] = 'LANDSCAPE'] = "LANDSCAPE";
        OrientationEnum[OrientationEnum["PORTRAIT"] = 'PORTRAIT'] = "PORTRAIT";
        OrientationEnum[OrientationEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
    })(OrientationEnum = CalculatedMobileMetricUserActionFilter.OrientationEnum || (CalculatedMobileMetricUserActionFilter.OrientationEnum = {}));
    var ResolutionEnum;
    (function (ResolutionEnum) {
        ResolutionEnum[ResolutionEnum["CGA"] = 'CGA'] = "CGA";
        ResolutionEnum[ResolutionEnum["DCI2K"] = 'DCI2K'] = "DCI2K";
        ResolutionEnum[ResolutionEnum["DCI4K"] = 'DCI4K'] = "DCI4K";
        ResolutionEnum[ResolutionEnum["DVGA"] = 'DVGA'] = "DVGA";
        ResolutionEnum[ResolutionEnum["FHD"] = 'FHD'] = "FHD";
        ResolutionEnum[ResolutionEnum["FWVGA"] = 'FWVGA'] = "FWVGA";
        ResolutionEnum[ResolutionEnum["FWXGA"] = 'FWXGA'] = "FWXGA";
        ResolutionEnum[ResolutionEnum["GHDPlus"] = 'GHDPlus'] = "GHDPlus";
        ResolutionEnum[ResolutionEnum["HD"] = 'HD'] = "HD";
        ResolutionEnum[ResolutionEnum["HQVGA"] = 'HQVGA'] = "HQVGA";
        ResolutionEnum[ResolutionEnum["HQVGA2"] = 'HQVGA2'] = "HQVGA2";
        ResolutionEnum[ResolutionEnum["HSXGA"] = 'HSXGA'] = "HSXGA";
        ResolutionEnum[ResolutionEnum["HUXGA"] = 'HUXGA'] = "HUXGA";
        ResolutionEnum[ResolutionEnum["HVGA"] = 'HVGA'] = "HVGA";
        ResolutionEnum[ResolutionEnum["HXGA"] = 'HXGA'] = "HXGA";
        ResolutionEnum[ResolutionEnum["NTSC"] = 'NTSC'] = "NTSC";
        ResolutionEnum[ResolutionEnum["PAL"] = 'PAL'] = "PAL";
        ResolutionEnum[ResolutionEnum["QHD"] = 'QHD'] = "QHD";
        ResolutionEnum[ResolutionEnum["QQVGA"] = 'QQVGA'] = "QQVGA";
        ResolutionEnum[ResolutionEnum["QSXGA"] = 'QSXGA'] = "QSXGA";
        ResolutionEnum[ResolutionEnum["QUXGA"] = 'QUXGA'] = "QUXGA";
        ResolutionEnum[ResolutionEnum["QVGA"] = 'QVGA'] = "QVGA";
        ResolutionEnum[ResolutionEnum["QWXGA"] = 'QWXGA'] = "QWXGA";
        ResolutionEnum[ResolutionEnum["QXGA"] = 'QXGA'] = "QXGA";
        ResolutionEnum[ResolutionEnum["SVGA"] = 'SVGA'] = "SVGA";
        ResolutionEnum[ResolutionEnum["SXGA"] = 'SXGA'] = "SXGA";
        ResolutionEnum[ResolutionEnum["SXGAMinus"] = 'SXGAMinus'] = "SXGAMinus";
        ResolutionEnum[ResolutionEnum["SXGAPlus"] = 'SXGAPlus'] = "SXGAPlus";
        ResolutionEnum[ResolutionEnum["UGA"] = 'UGA'] = "UGA";
        ResolutionEnum[ResolutionEnum["UHD16K"] = 'UHD16K'] = "UHD16K";
        ResolutionEnum[ResolutionEnum["UHD4K"] = 'UHD4K'] = "UHD4K";
        ResolutionEnum[ResolutionEnum["UHD8K"] = 'UHD8K'] = "UHD8K";
        ResolutionEnum[ResolutionEnum["UHDPlus"] = 'UHDPlus'] = "UHDPlus";
        ResolutionEnum[ResolutionEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
        ResolutionEnum[ResolutionEnum["UWQHD"] = 'UWQHD'] = "UWQHD";
        ResolutionEnum[ResolutionEnum["UXGA"] = 'UXGA'] = "UXGA";
        ResolutionEnum[ResolutionEnum["VGA"] = 'VGA'] = "VGA";
        ResolutionEnum[ResolutionEnum["WHSXGA"] = 'WHSXGA'] = "WHSXGA";
        ResolutionEnum[ResolutionEnum["WHUXGA"] = 'WHUXGA'] = "WHUXGA";
        ResolutionEnum[ResolutionEnum["WHXGA"] = 'WHXGA'] = "WHXGA";
        ResolutionEnum[ResolutionEnum["WQSXGA"] = 'WQSXGA'] = "WQSXGA";
        ResolutionEnum[ResolutionEnum["WQUXGA"] = 'WQUXGA'] = "WQUXGA";
        ResolutionEnum[ResolutionEnum["WQVGA"] = 'WQVGA'] = "WQVGA";
        ResolutionEnum[ResolutionEnum["WQVGA2"] = 'WQVGA2'] = "WQVGA2";
        ResolutionEnum[ResolutionEnum["WQVGA3"] = 'WQVGA3'] = "WQVGA3";
        ResolutionEnum[ResolutionEnum["WQXGA"] = 'WQXGA'] = "WQXGA";
        ResolutionEnum[ResolutionEnum["WQXGA2"] = 'WQXGA2'] = "WQXGA2";
        ResolutionEnum[ResolutionEnum["WSVGA"] = 'WSVGA'] = "WSVGA";
        ResolutionEnum[ResolutionEnum["WSVGA2"] = 'WSVGA2'] = "WSVGA2";
        ResolutionEnum[ResolutionEnum["WSXGA"] = 'WSXGA'] = "WSXGA";
        ResolutionEnum[ResolutionEnum["WSXGAPlus"] = 'WSXGAPlus'] = "WSXGAPlus";
        ResolutionEnum[ResolutionEnum["WUXGA"] = 'WUXGA'] = "WUXGA";
        ResolutionEnum[ResolutionEnum["WVGA"] = 'WVGA'] = "WVGA";
        ResolutionEnum[ResolutionEnum["WVGA2"] = 'WVGA2'] = "WVGA2";
        ResolutionEnum[ResolutionEnum["WXGA"] = 'WXGA'] = "WXGA";
        ResolutionEnum[ResolutionEnum["WXGA2"] = 'WXGA2'] = "WXGA2";
        ResolutionEnum[ResolutionEnum["WXGA3"] = 'WXGA3'] = "WXGA3";
        ResolutionEnum[ResolutionEnum["WXGAPlus"] = 'WXGAPlus'] = "WXGAPlus";
        ResolutionEnum[ResolutionEnum["XGA"] = 'XGA'] = "XGA";
        ResolutionEnum[ResolutionEnum["XGAPLUS"] = 'XGAPLUS'] = "XGAPLUS";
        ResolutionEnum[ResolutionEnum["_1280x854"] = '_1280x854'] = "_1280x854";
        ResolutionEnum[ResolutionEnum["NHD"] = 'nHD'] = "NHD";
        ResolutionEnum[ResolutionEnum["QHD"] = 'qHD'] = "QHD";
    })(ResolutionEnum = CalculatedMobileMetricUserActionFilter.ResolutionEnum || (CalculatedMobileMetricUserActionFilter.ResolutionEnum = {}));
})(CalculatedMobileMetricUserActionFilter = exports.CalculatedMobileMetricUserActionFilter || (exports.CalculatedMobileMetricUserActionFilter = {}));
exports.CalculatedMobileMetricUserActionFilter = CalculatedMobileMetricUserActionFilter;
//# sourceMappingURL=calculatedMobileMetricUserActionFilter.js.map