"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CalculatedSyntheticMetric = (function () {
    function CalculatedSyntheticMetric() {
    }
    CalculatedSyntheticMetric.getAttributeTypeMap = function () {
        return CalculatedSyntheticMetric.attributeTypeMap;
    };
    CalculatedSyntheticMetric.discriminator = undefined;
    CalculatedSyntheticMetric.attributeTypeMap = [
        {
            "name": "monitorIdentifier",
            "baseName": "monitorIdentifier",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "metricKey",
            "baseName": "metricKey",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "metric",
            "baseName": "metric",
            "type": "CalculatedSyntheticMetric.MetricEnum"
        },
        {
            "name": "dimensions",
            "baseName": "dimensions",
            "type": "Array<SyntheticMetricDimension>"
        },
        {
            "name": "filter",
            "baseName": "filter",
            "type": "SyntheticMetricFilter"
        }
    ];
    return CalculatedSyntheticMetric;
}());
exports.CalculatedSyntheticMetric = CalculatedSyntheticMetric;
(function (CalculatedSyntheticMetric) {
    var MetricEnum;
    (function (MetricEnum) {
        MetricEnum[MetricEnum["ApplicationCache"] = 'ApplicationCache'] = "ApplicationCache";
        MetricEnum[MetricEnum["Callback"] = 'Callback'] = "Callback";
        MetricEnum[MetricEnum["DNSLookup"] = 'DNSLookup'] = "DNSLookup";
        MetricEnum[MetricEnum["DOMComplete"] = 'DOMComplete'] = "DOMComplete";
        MetricEnum[MetricEnum["DOMContentLoaded"] = 'DOMContentLoaded'] = "DOMContentLoaded";
        MetricEnum[MetricEnum["DOMInteractive"] = 'DOMInteractive'] = "DOMInteractive";
        MetricEnum[MetricEnum["FailedRequestsResources"] = 'FailedRequestsResources'] = "FailedRequestsResources";
        MetricEnum[MetricEnum["FirstContentfulPaint"] = 'FirstContentfulPaint'] = "FirstContentfulPaint";
        MetricEnum[MetricEnum["FirstInputDelay"] = 'FirstInputDelay'] = "FirstInputDelay";
        MetricEnum[MetricEnum["FirstInputStart"] = 'FirstInputStart'] = "FirstInputStart";
        MetricEnum[MetricEnum["FirstPaint"] = 'FirstPaint'] = "FirstPaint";
        MetricEnum[MetricEnum["HTMLDownloaded"] = 'HTMLDownloaded'] = "HTMLDownloaded";
        MetricEnum[MetricEnum["HttpErrors"] = 'HttpErrors'] = "HttpErrors";
        MetricEnum[MetricEnum["JavaScriptErrors"] = 'JavaScriptErrors'] = "JavaScriptErrors";
        MetricEnum[MetricEnum["LargestContentfulPaint"] = 'LargestContentfulPaint'] = "LargestContentfulPaint";
        MetricEnum[MetricEnum["LoadEventEnd"] = 'LoadEventEnd'] = "LoadEventEnd";
        MetricEnum[MetricEnum["LoadEventStart"] = 'LoadEventStart'] = "LoadEventStart";
        MetricEnum[MetricEnum["NavigationStart"] = 'NavigationStart'] = "NavigationStart";
        MetricEnum[MetricEnum["OnDOMContentLoaded"] = 'OnDOMContentLoaded'] = "OnDOMContentLoaded";
        MetricEnum[MetricEnum["OnLoad"] = 'OnLoad'] = "OnLoad";
        MetricEnum[MetricEnum["Processing"] = 'Processing'] = "Processing";
        MetricEnum[MetricEnum["RedirectTime"] = 'RedirectTime'] = "RedirectTime";
        MetricEnum[MetricEnum["Request"] = 'Request'] = "Request";
        MetricEnum[MetricEnum["RequestStart"] = 'RequestStart'] = "RequestStart";
        MetricEnum[MetricEnum["ResourceCount"] = 'ResourceCount'] = "ResourceCount";
        MetricEnum[MetricEnum["Response"] = 'Response'] = "Response";
        MetricEnum[MetricEnum["SecureConnect"] = 'SecureConnect'] = "SecureConnect";
        MetricEnum[MetricEnum["SpeedIndex"] = 'SpeedIndex'] = "SpeedIndex";
        MetricEnum[MetricEnum["TCPConnect"] = 'TCPConnect'] = "TCPConnect";
        MetricEnum[MetricEnum["TimeToFirstByte"] = 'TimeToFirstByte'] = "TimeToFirstByte";
        MetricEnum[MetricEnum["TotalDuration"] = 'TotalDuration'] = "TotalDuration";
        MetricEnum[MetricEnum["TransferSize"] = 'TransferSize'] = "TransferSize";
        MetricEnum[MetricEnum["UserActionDuration"] = 'UserActionDuration'] = "UserActionDuration";
        MetricEnum[MetricEnum["VisuallyComplete"] = 'VisuallyComplete'] = "VisuallyComplete";
    })(MetricEnum = CalculatedSyntheticMetric.MetricEnum || (CalculatedSyntheticMetric.MetricEnum = {}));
})(CalculatedSyntheticMetric = exports.CalculatedSyntheticMetric || (exports.CalculatedSyntheticMetric = {}));
exports.CalculatedSyntheticMetric = CalculatedSyntheticMetric;
//# sourceMappingURL=calculatedSyntheticMetric.js.map