import { MethodReference } from './methodReference';
export declare class CapturedMethod {
    'method': MethodReference;
    'capture': CapturedMethod.CaptureEnum;
    'argumentIndex'?: number;
    'deepObjectAccess'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CapturedMethod {
    enum CaptureEnum {
        ARGUMENT,
        CLASSNAME,
        METHODNAME,
        OCCURRENCES,
        SIMPLECLASSNAME,
        THIS
    }
}
