import { Credentials } from './credentials';
export declare class CertificateCredentials extends Credentials {
    'certificate': string;
    'password': string;
    'certificateFormat': CertificateCredentials.CertificateFormatEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CertificateCredentials {
    enum CertificateFormatEnum {
        PEM,
        PKCS12,
        UNKNOWN
    }
}
