"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var credentials_1 = require("./credentials");
var CertificateCredentials = (function (_super) {
    __extends(CertificateCredentials, _super);
    function CertificateCredentials() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CertificateCredentials.getAttributeTypeMap = function () {
        return _super.getAttributeTypeMap.call(this).concat(CertificateCredentials.attributeTypeMap);
    };
    CertificateCredentials.discriminator = undefined;
    CertificateCredentials.attributeTypeMap = [
        {
            "name": "certificate",
            "baseName": "certificate",
            "type": "string"
        },
        {
            "name": "password",
            "baseName": "password",
            "type": "string"
        },
        {
            "name": "certificateFormat",
            "baseName": "certificateFormat",
            "type": "CertificateCredentials.CertificateFormatEnum"
        }
    ];
    return CertificateCredentials;
}(credentials_1.Credentials));
exports.CertificateCredentials = CertificateCredentials;
(function (CertificateCredentials) {
    var CertificateFormatEnum;
    (function (CertificateFormatEnum) {
        CertificateFormatEnum[CertificateFormatEnum["PEM"] = 'PEM'] = "PEM";
        CertificateFormatEnum[CertificateFormatEnum["PKCS12"] = 'PKCS12'] = "PKCS12";
        CertificateFormatEnum[CertificateFormatEnum["UNKNOWN"] = 'UNKNOWN'] = "UNKNOWN";
    })(CertificateFormatEnum = CertificateCredentials.CertificateFormatEnum || (CertificateCredentials.CertificateFormatEnum = {}));
})(CertificateCredentials = exports.CertificateCredentials || (exports.CertificateCredentials = {}));
exports.CertificateCredentials = CertificateCredentials;
//# sourceMappingURL=certificateCredentials.js.map