import { ComparisonBasic } from './comparisonBasic';
export declare class CloudTypeComparison extends ComparisonBasic {
    'operator': CloudTypeComparison.OperatorEnum;
    'value'?: CloudTypeComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CloudTypeComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        AZURE,
        EC2,
        GOOGLECLOUDPLATFORM,
        OPENSTACK,
        ORACLE
    }
}
