import { ComparisonInfo } from './comparisonInfo';
export declare class Condition {
    'attribute': Condition.AttributeEnum;
    'comparisonInfo': ComparisonInfo;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace Condition {
    enum AttributeEnum {
        ACTORSYSTEM,
        AKKAACTORCLASSNAME,
        AKKAACTORMESSAGETYPE,
        AKKAACTORPATH,
        AZUREFUNCTIONSFUNCTIONNAME,
        AZUREFUNCTIONSSITENAME,
        CICSPROGRAMNAME,
        CICSSYSTEMID,
        CICSTASKID,
        CICSTRANSACTIONID,
        CPUTIME,
        CTGGATEWAYURL,
        CTGPROGRAM,
        CTGSERVERNAME,
        CTGTRANSACTIONID,
        CUSTOMSERVICECLASS,
        CUSTOMSERVICEMETHOD,
        DATABASECHILDCALLCOUNT,
        DATABASECHILDCALLTIME,
        ERRORCOUNT,
        ESBAPPLICATIONNAME,
        ESBINPUTTYPE,
        ESBLIBRARYNAME,
        ESBMESSAGEFLOWNAME,
        EXCEPTIONCLASS,
        EXCEPTIONMESSAGE,
        FAILEDSTATE,
        FAILUREREASON,
        FLAWSTATE,
        HTTPREQUESTMETHOD,
        HTTPSTATUS,
        HTTPSTATUSCLASS,
        IMSPROGRAMNAME,
        IMSTRANSACTIONID,
        IOTIME,
        LOCKTIME,
        MESSAGINGDESTINATIONTYPE,
        MESSAGINGISTEMPORARYQUEUE,
        MESSAGINGQUEUENAME,
        MESSAGINGQUEUEVENDOR,
        NONDATABASECHILDCALLCOUNT,
        NONDATABASECHILDCALLTIME,
        PROCESSGROUPNAME,
        PROCESSGROUPTAG,
        REMOTEENDPOINT,
        REMOTEMETHOD,
        REMOTESERVICENAME,
        REQUESTNAME,
        REQUESTTYPE,
        RESPONSETIME,
        RESPONSETIMECLIENT,
        RMICLASS,
        RMIMETHOD,
        SERVICEDISPLAYNAME,
        SERVICENAME,
        SERVICEPORT,
        SERVICEPUBLICDOMAINNAME,
        SERVICEREQUESTATTRIBUTE,
        SERVICETAG,
        SERVICETYPE,
        SERVICEWEBAPPLICATIONID,
        SERVICEWEBCONTEXTROOT,
        SERVICEWEBSERVERNAME,
        SERVICEWEBSERVICENAME,
        SERVICEWEBSERVICENAMESPACE,
        SUSPENSIONTIME,
        TOTALPROCESSINGTIME,
        WAITTIME,
        WEBREQUESTQUERY,
        WEBREQUESTURL,
        WEBREQUESTURLHOST,
        WEBREQUESTURLPATH,
        WEBREQUESTURLPORT,
        WEBSERVICEENDPOINT,
        WEBSERVICEMETHOD,
        ZOSCALLTYPE
    }
}
