export declare class CredentialsResponseElement {
    'name': string;
    'id'?: string;
    'type': CredentialsResponseElement.TypeEnum;
    'description': string;
    'owner': string;
    'ownerAccessOnly': boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CredentialsResponseElement {
    enum TypeEnum {
        CERTIFICATE,
        TOKEN,
        UNKNOWN,
        USERNAMEPASSWORD
    }
}
