"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CustomFilterChartConfig = (function () {
    function CustomFilterChartConfig() {
    }
    CustomFilterChartConfig.getAttributeTypeMap = function () {
        return CustomFilterChartConfig.attributeTypeMap;
    };
    CustomFilterChartConfig.discriminator = undefined;
    CustomFilterChartConfig.attributeTypeMap = [
        {
            "name": "legendShown",
            "baseName": "legendShown",
            "type": "boolean"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "CustomFilterChartConfig.TypeEnum"
        },
        {
            "name": "series",
            "baseName": "series",
            "type": "Array<CustomFilterChartSeriesConfig>"
        },
        {
            "name": "resultMetadata",
            "baseName": "resultMetadata",
            "type": "{ [key: string]: CustomChartingItemMetadataConfig; }"
        },
        {
            "name": "axisLimits",
            "baseName": "axisLimits",
            "type": "{ [key: string]: number; }"
        },
        {
            "name": "leftAxisCustomUnit",
            "baseName": "leftAxisCustomUnit",
            "type": "CustomFilterChartConfig.LeftAxisCustomUnitEnum"
        },
        {
            "name": "rightAxisCustomUnit",
            "baseName": "rightAxisCustomUnit",
            "type": "CustomFilterChartConfig.RightAxisCustomUnitEnum"
        }
    ];
    return CustomFilterChartConfig;
}());
exports.CustomFilterChartConfig = CustomFilterChartConfig;
(function (CustomFilterChartConfig) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["PIE"] = 'PIE'] = "PIE";
        TypeEnum[TypeEnum["SINGLEVALUE"] = 'SINGLE_VALUE'] = "SINGLEVALUE";
        TypeEnum[TypeEnum["TIMESERIES"] = 'TIMESERIES'] = "TIMESERIES";
        TypeEnum[TypeEnum["TOPLIST"] = 'TOP_LIST'] = "TOPLIST";
    })(TypeEnum = CustomFilterChartConfig.TypeEnum || (CustomFilterChartConfig.TypeEnum = {}));
    var LeftAxisCustomUnitEnum;
    (function (LeftAxisCustomUnitEnum) {
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Bit"] = 'Bit'] = "Bit";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BitPerHour"] = 'BitPerHour'] = "BitPerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BitPerMinute"] = 'BitPerMinute'] = "BitPerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BitPerSecond"] = 'BitPerSecond'] = "BitPerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Byte"] = 'Byte'] = "Byte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BytePerHour"] = 'BytePerHour'] = "BytePerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BytePerMinute"] = 'BytePerMinute'] = "BytePerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["BytePerSecond"] = 'BytePerSecond'] = "BytePerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Cores"] = 'Cores'] = "Cores";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Count"] = 'Count'] = "Count";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Day"] = 'Day'] = "Day";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["GibiByte"] = 'GibiByte'] = "GibiByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Giga"] = 'Giga'] = "Giga";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["GigaByte"] = 'GigaByte'] = "GigaByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Hour"] = 'Hour'] = "Hour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KibiByte"] = 'KibiByte'] = "KibiByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KibiBytePerHour"] = 'KibiBytePerHour'] = "KibiBytePerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KibiBytePerMinute"] = 'KibiBytePerMinute'] = "KibiBytePerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KibiBytePerSecond"] = 'KibiBytePerSecond'] = "KibiBytePerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Kilo"] = 'Kilo'] = "Kilo";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KiloByte"] = 'KiloByte'] = "KiloByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KiloBytePerHour"] = 'KiloBytePerHour'] = "KiloBytePerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KiloBytePerMinute"] = 'KiloBytePerMinute'] = "KiloBytePerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["KiloBytePerSecond"] = 'KiloBytePerSecond'] = "KiloBytePerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MebiByte"] = 'MebiByte'] = "MebiByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MebiBytePerHour"] = 'MebiBytePerHour'] = "MebiBytePerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MebiBytePerMinute"] = 'MebiBytePerMinute'] = "MebiBytePerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MebiBytePerSecond"] = 'MebiBytePerSecond'] = "MebiBytePerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Mega"] = 'Mega'] = "Mega";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MegaByte"] = 'MegaByte'] = "MegaByte";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MegaBytePerHour"] = 'MegaBytePerHour'] = "MegaBytePerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MegaBytePerMinute"] = 'MegaBytePerMinute'] = "MegaBytePerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MegaBytePerSecond"] = 'MegaBytePerSecond'] = "MegaBytePerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MicroSecond"] = 'MicroSecond'] = "MicroSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MilliCores"] = 'MilliCores'] = "MilliCores";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MilliSecond"] = 'MilliSecond'] = "MilliSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["MilliSecondPerMinute"] = 'MilliSecondPerMinute'] = "MilliSecondPerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Minute"] = 'Minute'] = "Minute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Month"] = 'Month'] = "Month";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["NanoSecond"] = 'NanoSecond'] = "NanoSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["NanoSecondPerMinute"] = 'NanoSecondPerMinute'] = "NanoSecondPerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["NotApplicable"] = 'NotApplicable'] = "NotApplicable";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["PerHour"] = 'PerHour'] = "PerHour";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["PerMinute"] = 'PerMinute'] = "PerMinute";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["PerSecond"] = 'PerSecond'] = "PerSecond";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Percent"] = 'Percent'] = "Percent";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Pixel"] = 'Pixel'] = "Pixel";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Promille"] = 'Promille'] = "Promille";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Ratio"] = 'Ratio'] = "Ratio";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Second"] = 'Second'] = "Second";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["State"] = 'State'] = "State";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Unspecified"] = 'Unspecified'] = "Unspecified";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Week"] = 'Week'] = "Week";
        LeftAxisCustomUnitEnum[LeftAxisCustomUnitEnum["Year"] = 'Year'] = "Year";
    })(LeftAxisCustomUnitEnum = CustomFilterChartConfig.LeftAxisCustomUnitEnum || (CustomFilterChartConfig.LeftAxisCustomUnitEnum = {}));
    var RightAxisCustomUnitEnum;
    (function (RightAxisCustomUnitEnum) {
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Bit"] = 'Bit'] = "Bit";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BitPerHour"] = 'BitPerHour'] = "BitPerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BitPerMinute"] = 'BitPerMinute'] = "BitPerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BitPerSecond"] = 'BitPerSecond'] = "BitPerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Byte"] = 'Byte'] = "Byte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BytePerHour"] = 'BytePerHour'] = "BytePerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BytePerMinute"] = 'BytePerMinute'] = "BytePerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["BytePerSecond"] = 'BytePerSecond'] = "BytePerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Cores"] = 'Cores'] = "Cores";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Count"] = 'Count'] = "Count";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Day"] = 'Day'] = "Day";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["GibiByte"] = 'GibiByte'] = "GibiByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Giga"] = 'Giga'] = "Giga";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["GigaByte"] = 'GigaByte'] = "GigaByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Hour"] = 'Hour'] = "Hour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KibiByte"] = 'KibiByte'] = "KibiByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KibiBytePerHour"] = 'KibiBytePerHour'] = "KibiBytePerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KibiBytePerMinute"] = 'KibiBytePerMinute'] = "KibiBytePerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KibiBytePerSecond"] = 'KibiBytePerSecond'] = "KibiBytePerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Kilo"] = 'Kilo'] = "Kilo";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KiloByte"] = 'KiloByte'] = "KiloByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KiloBytePerHour"] = 'KiloBytePerHour'] = "KiloBytePerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KiloBytePerMinute"] = 'KiloBytePerMinute'] = "KiloBytePerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["KiloBytePerSecond"] = 'KiloBytePerSecond'] = "KiloBytePerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MebiByte"] = 'MebiByte'] = "MebiByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MebiBytePerHour"] = 'MebiBytePerHour'] = "MebiBytePerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MebiBytePerMinute"] = 'MebiBytePerMinute'] = "MebiBytePerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MebiBytePerSecond"] = 'MebiBytePerSecond'] = "MebiBytePerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Mega"] = 'Mega'] = "Mega";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MegaByte"] = 'MegaByte'] = "MegaByte";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MegaBytePerHour"] = 'MegaBytePerHour'] = "MegaBytePerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MegaBytePerMinute"] = 'MegaBytePerMinute'] = "MegaBytePerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MegaBytePerSecond"] = 'MegaBytePerSecond'] = "MegaBytePerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MicroSecond"] = 'MicroSecond'] = "MicroSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MilliCores"] = 'MilliCores'] = "MilliCores";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MilliSecond"] = 'MilliSecond'] = "MilliSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["MilliSecondPerMinute"] = 'MilliSecondPerMinute'] = "MilliSecondPerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Minute"] = 'Minute'] = "Minute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Month"] = 'Month'] = "Month";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["NanoSecond"] = 'NanoSecond'] = "NanoSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["NanoSecondPerMinute"] = 'NanoSecondPerMinute'] = "NanoSecondPerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["NotApplicable"] = 'NotApplicable'] = "NotApplicable";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["PerHour"] = 'PerHour'] = "PerHour";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["PerMinute"] = 'PerMinute'] = "PerMinute";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["PerSecond"] = 'PerSecond'] = "PerSecond";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Percent"] = 'Percent'] = "Percent";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Pixel"] = 'Pixel'] = "Pixel";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Promille"] = 'Promille'] = "Promille";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Ratio"] = 'Ratio'] = "Ratio";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Second"] = 'Second'] = "Second";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["State"] = 'State'] = "State";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Unspecified"] = 'Unspecified'] = "Unspecified";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Week"] = 'Week'] = "Week";
        RightAxisCustomUnitEnum[RightAxisCustomUnitEnum["Year"] = 'Year'] = "Year";
    })(RightAxisCustomUnitEnum = CustomFilterChartConfig.RightAxisCustomUnitEnum || (CustomFilterChartConfig.RightAxisCustomUnitEnum = {}));
})(CustomFilterChartConfig = exports.CustomFilterChartConfig || (exports.CustomFilterChartConfig = {}));
exports.CustomFilterChartConfig = CustomFilterChartConfig;
//# sourceMappingURL=customFilterChartConfig.js.map