import { CustomFilterChartSeriesDimensionConfig } from './customFilterChartSeriesDimensionConfig';
export declare class CustomFilterChartSeriesConfig {
    'metric': string;
    'aggregation': CustomFilterChartSeriesConfig.AggregationEnum;
    'percentile'?: number;
    'type': CustomFilterChartSeriesConfig.TypeEnum;
    'entityType': string;
    'dimensions': Array<CustomFilterChartSeriesDimensionConfig>;
    'sortAscending'?: boolean;
    'aggregationRate'?: CustomFilterChartSeriesConfig.AggregationRateEnum;
    'sortColumn'?: boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CustomFilterChartSeriesConfig {
    enum AggregationEnum {
        AVG,
        COUNT,
        DISTINCT,
        FASTEST10PERCENT,
        MAX,
        MEDIAN,
        MIN,
        NONE,
        OFINTERESTRATIO,
        OTHERRATIO,
        PERCENTILE,
        PERMIN,
        SLOWEST10PERCENT,
        SLOWEST5PERCENT,
        SUM,
        SUMDIMENSIONS
    }
    enum TypeEnum {
        AREA,
        BAR,
        LINE
    }
    enum AggregationRateEnum {
        HOUR,
        MINUTE,
        SECOND,
        TOTAL
    }
}
