import { CustomFilterChartConfig } from './customFilterChartConfig';
export declare class CustomFilterConfig {
    'type': CustomFilterConfig.TypeEnum;
    'customName': string;
    'defaultName': string;
    'chartConfig': CustomFilterChartConfig;
    'filtersPerEntityType': {
        [key: string]: {
            [key: string]: Array<string>;
        };
    };
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CustomFilterConfig {
    enum TypeEnum {
        ALB,
        APPLICATION,
        APPLICATIONMETHOD,
        APPMON,
        ASG,
        AWSCREDENTIALS,
        AWSCUSTOMSERVICE,
        AWSLAMBDAFUNCTION,
        CLOUDAPPLICATION,
        CLOUDAPPLICATIONNAMESPACE,
        CONTAINERGROUPINSTANCE,
        CUSTOMAPPLICATION,
        CUSTOMDEVICES,
        CUSTOMSERVICES,
        DATABASE,
        DATABASEKEYREQUEST,
        DCRUMAPPLICATION,
        DCRUMENTITY,
        DYNAMODB,
        EBS,
        EC2,
        ELB,
        ENVIRONMENT,
        ESXI,
        EXTERNALSYNTHETICTEST,
        GLOBALBACKGROUNDACTIVITY,
        HOST,
        IOT,
        KUBERNETESCLUSTER,
        KUBERNETESNODE,
        MDASERVICE,
        MIXED,
        MOBILEAPPLICATION,
        MONITOREDENTITY,
        NLB,
        PGBACKGROUNDACTIVITY,
        PROBLEM,
        PROCESSGROUPINSTANCE,
        RDS,
        REMOTEPLUGIN,
        SERVICE,
        SERVICEKEYREQUEST,
        SYNTHETICBROWSERMONITOR,
        SYNTHETICHTTPCHECK,
        SYNTHETICHTTPCHECKSTEP,
        SYNTHETICLOCATION,
        SYNTHETICTEST,
        SYNTHETICTESTSTEP,
        UIENTITY,
        VIRTUALMACHINE,
        WEBCHECK
    }
}
