"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CustomFilterConfig = (function () {
    function CustomFilterConfig() {
    }
    CustomFilterConfig.getAttributeTypeMap = function () {
        return CustomFilterConfig.attributeTypeMap;
    };
    CustomFilterConfig.discriminator = undefined;
    CustomFilterConfig.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "CustomFilterConfig.TypeEnum"
        },
        {
            "name": "customName",
            "baseName": "customName",
            "type": "string"
        },
        {
            "name": "defaultName",
            "baseName": "defaultName",
            "type": "string"
        },
        {
            "name": "chartConfig",
            "baseName": "chartConfig",
            "type": "CustomFilterChartConfig"
        },
        {
            "name": "filtersPerEntityType",
            "baseName": "filtersPerEntityType",
            "type": "{ [key: string]: { [key: string]: Array<string>; }; }"
        }
    ];
    return CustomFilterConfig;
}());
exports.CustomFilterConfig = CustomFilterConfig;
(function (CustomFilterConfig) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["ALB"] = 'ALB'] = "ALB";
        TypeEnum[TypeEnum["APPLICATION"] = 'APPLICATION'] = "APPLICATION";
        TypeEnum[TypeEnum["APPLICATIONMETHOD"] = 'APPLICATION_METHOD'] = "APPLICATIONMETHOD";
        TypeEnum[TypeEnum["APPMON"] = 'APPMON'] = "APPMON";
        TypeEnum[TypeEnum["ASG"] = 'ASG'] = "ASG";
        TypeEnum[TypeEnum["AWSCREDENTIALS"] = 'AWS_CREDENTIALS'] = "AWSCREDENTIALS";
        TypeEnum[TypeEnum["AWSCUSTOMSERVICE"] = 'AWS_CUSTOM_SERVICE'] = "AWSCUSTOMSERVICE";
        TypeEnum[TypeEnum["AWSLAMBDAFUNCTION"] = 'AWS_LAMBDA_FUNCTION'] = "AWSLAMBDAFUNCTION";
        TypeEnum[TypeEnum["CLOUDAPPLICATION"] = 'CLOUD_APPLICATION'] = "CLOUDAPPLICATION";
        TypeEnum[TypeEnum["CLOUDAPPLICATIONNAMESPACE"] = 'CLOUD_APPLICATION_NAMESPACE'] = "CLOUDAPPLICATIONNAMESPACE";
        TypeEnum[TypeEnum["CONTAINERGROUPINSTANCE"] = 'CONTAINER_GROUP_INSTANCE'] = "CONTAINERGROUPINSTANCE";
        TypeEnum[TypeEnum["CUSTOMAPPLICATION"] = 'CUSTOM_APPLICATION'] = "CUSTOMAPPLICATION";
        TypeEnum[TypeEnum["CUSTOMDEVICES"] = 'CUSTOM_DEVICES'] = "CUSTOMDEVICES";
        TypeEnum[TypeEnum["CUSTOMSERVICES"] = 'CUSTOM_SERVICES'] = "CUSTOMSERVICES";
        TypeEnum[TypeEnum["DATABASE"] = 'DATABASE'] = "DATABASE";
        TypeEnum[TypeEnum["DATABASEKEYREQUEST"] = 'DATABASE_KEY_REQUEST'] = "DATABASEKEYREQUEST";
        TypeEnum[TypeEnum["DCRUMAPPLICATION"] = 'DCRUM_APPLICATION'] = "DCRUMAPPLICATION";
        TypeEnum[TypeEnum["DCRUMENTITY"] = 'DCRUM_ENTITY'] = "DCRUMENTITY";
        TypeEnum[TypeEnum["DYNAMODB"] = 'DYNAMO_DB'] = "DYNAMODB";
        TypeEnum[TypeEnum["EBS"] = 'EBS'] = "EBS";
        TypeEnum[TypeEnum["EC2"] = 'EC2'] = "EC2";
        TypeEnum[TypeEnum["ELB"] = 'ELB'] = "ELB";
        TypeEnum[TypeEnum["ENVIRONMENT"] = 'ENVIRONMENT'] = "ENVIRONMENT";
        TypeEnum[TypeEnum["ESXI"] = 'ESXI'] = "ESXI";
        TypeEnum[TypeEnum["EXTERNALSYNTHETICTEST"] = 'EXTERNAL_SYNTHETIC_TEST'] = "EXTERNALSYNTHETICTEST";
        TypeEnum[TypeEnum["GLOBALBACKGROUNDACTIVITY"] = 'GLOBAL_BACKGROUND_ACTIVITY'] = "GLOBALBACKGROUNDACTIVITY";
        TypeEnum[TypeEnum["HOST"] = 'HOST'] = "HOST";
        TypeEnum[TypeEnum["IOT"] = 'IOT'] = "IOT";
        TypeEnum[TypeEnum["KUBERNETESCLUSTER"] = 'KUBERNETES_CLUSTER'] = "KUBERNETESCLUSTER";
        TypeEnum[TypeEnum["KUBERNETESNODE"] = 'KUBERNETES_NODE'] = "KUBERNETESNODE";
        TypeEnum[TypeEnum["MDASERVICE"] = 'MDA_SERVICE'] = "MDASERVICE";
        TypeEnum[TypeEnum["MIXED"] = 'MIXED'] = "MIXED";
        TypeEnum[TypeEnum["MOBILEAPPLICATION"] = 'MOBILE_APPLICATION'] = "MOBILEAPPLICATION";
        TypeEnum[TypeEnum["MONITOREDENTITY"] = 'MONITORED_ENTITY'] = "MONITOREDENTITY";
        TypeEnum[TypeEnum["NLB"] = 'NLB'] = "NLB";
        TypeEnum[TypeEnum["PGBACKGROUNDACTIVITY"] = 'PG_BACKGROUND_ACTIVITY'] = "PGBACKGROUNDACTIVITY";
        TypeEnum[TypeEnum["PROBLEM"] = 'PROBLEM'] = "PROBLEM";
        TypeEnum[TypeEnum["PROCESSGROUPINSTANCE"] = 'PROCESS_GROUP_INSTANCE'] = "PROCESSGROUPINSTANCE";
        TypeEnum[TypeEnum["RDS"] = 'RDS'] = "RDS";
        TypeEnum[TypeEnum["REMOTEPLUGIN"] = 'REMOTE_PLUGIN'] = "REMOTEPLUGIN";
        TypeEnum[TypeEnum["SERVICE"] = 'SERVICE'] = "SERVICE";
        TypeEnum[TypeEnum["SERVICEKEYREQUEST"] = 'SERVICE_KEY_REQUEST'] = "SERVICEKEYREQUEST";
        TypeEnum[TypeEnum["SYNTHETICBROWSERMONITOR"] = 'SYNTHETIC_BROWSER_MONITOR'] = "SYNTHETICBROWSERMONITOR";
        TypeEnum[TypeEnum["SYNTHETICHTTPCHECK"] = 'SYNTHETIC_HTTPCHECK'] = "SYNTHETICHTTPCHECK";
        TypeEnum[TypeEnum["SYNTHETICHTTPCHECKSTEP"] = 'SYNTHETIC_HTTPCHECK_STEP'] = "SYNTHETICHTTPCHECKSTEP";
        TypeEnum[TypeEnum["SYNTHETICLOCATION"] = 'SYNTHETIC_LOCATION'] = "SYNTHETICLOCATION";
        TypeEnum[TypeEnum["SYNTHETICTEST"] = 'SYNTHETIC_TEST'] = "SYNTHETICTEST";
        TypeEnum[TypeEnum["SYNTHETICTESTSTEP"] = 'SYNTHETIC_TEST_STEP'] = "SYNTHETICTESTSTEP";
        TypeEnum[TypeEnum["UIENTITY"] = 'UI_ENTITY'] = "UIENTITY";
        TypeEnum[TypeEnum["VIRTUALMACHINE"] = 'VIRTUAL_MACHINE'] = "VIRTUALMACHINE";
        TypeEnum[TypeEnum["WEBCHECK"] = 'WEB_CHECK'] = "WEBCHECK";
    })(TypeEnum = CustomFilterConfig.TypeEnum || (CustomFilterConfig.TypeEnum = {}));
})(CustomFilterConfig = exports.CustomFilterConfig || (exports.CustomFilterConfig = {}));
exports.CustomFilterConfig = CustomFilterConfig;
//# sourceMappingURL=customFilterConfig.js.map