import { ConfigurationMetadata } from './configurationMetadata';
import { DetectionRule } from './detectionRule';
export declare class CustomService {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'name': string;
    'order'?: string;
    'enabled': boolean;
    'rules': Array<DetectionRule>;
    'queueEntryPoint': boolean;
    'queueEntryPointType'?: CustomService.QueueEntryPointTypeEnum;
    'processGroups'?: Array<string>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace CustomService {
    enum QueueEntryPointTypeEnum {
        IBMMQ,
        JMS,
        KAFKA,
        MSMQ,
        RABBITMQ
    }
}
