import { ConfigurationMetadata } from './configurationMetadata';
import { DashboardMetadata } from './dashboardMetadata';
import { Tile } from './tile';
export declare class Dashboard {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'dashboardMetadata': DashboardMetadata;
    'tiles': Array<Tile>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
