import { ConfigurationMetadata } from './configurationMetadata';
import { DatabaseConnectionFailureDetectionConfig } from './databaseConnectionFailureDetectionConfig';
import { FailureRateIncreaseDetectionConfig } from './failureRateIncreaseDetectionConfig';
import { LoadDropDetectionConfig } from './loadDropDetectionConfig';
import { LoadSpikeDetectionConfig } from './loadSpikeDetectionConfig';
import { ResponseTimeDegradationDetectionConfig } from './responseTimeDegradationDetectionConfig';
export declare class DatabaseAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'responseTimeDegradation': ResponseTimeDegradationDetectionConfig;
    'loadDrop'?: LoadDropDetectionConfig;
    'loadSpike'?: LoadSpikeDetectionConfig;
    'failureRateIncrease': FailureRateIncreaseDetectionConfig;
    'databaseConnectionFailureCount': DatabaseConnectionFailureDetectionConfig;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
