"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DatabaseAnomalyDetectionConfig = (function () {
    function DatabaseAnomalyDetectionConfig() {
    }
    DatabaseAnomalyDetectionConfig.getAttributeTypeMap = function () {
        return DatabaseAnomalyDetectionConfig.attributeTypeMap;
    };
    DatabaseAnomalyDetectionConfig.discriminator = undefined;
    DatabaseAnomalyDetectionConfig.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "responseTimeDegradation",
            "baseName": "responseTimeDegradation",
            "type": "ResponseTimeDegradationDetectionConfig"
        },
        {
            "name": "loadDrop",
            "baseName": "loadDrop",
            "type": "LoadDropDetectionConfig"
        },
        {
            "name": "loadSpike",
            "baseName": "loadSpike",
            "type": "LoadSpikeDetectionConfig"
        },
        {
            "name": "failureRateIncrease",
            "baseName": "failureRateIncrease",
            "type": "FailureRateIncreaseDetectionConfig"
        },
        {
            "name": "databaseConnectionFailureCount",
            "baseName": "databaseConnectionFailureCount",
            "type": "DatabaseConnectionFailureDetectionConfig"
        }
    ];
    return DatabaseAnomalyDetectionConfig;
}());
exports.DatabaseAnomalyDetectionConfig = DatabaseAnomalyDetectionConfig;
//# sourceMappingURL=databaseAnomalyDetectionConfig.js.map