import { ComparisonBasic } from './comparisonBasic';
export declare class DatabaseTopologyComparison extends ComparisonBasic {
    'operator': DatabaseTopologyComparison.OperatorEnum;
    'value'?: DatabaseTopologyComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace DatabaseTopologyComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        CLUSTER,
        EMBEDDED,
        FAILOVER,
        IPC,
        LOADBALANCING,
        SINGLESERVER,
        UNSPECIFIED
    }
}
