import { MethodRule } from './methodRule';
export declare class DetectionRule {
    'id'?: string;
    'enabled': boolean;
    'fileName'?: string;
    'fileNameMatcher'?: DetectionRule.FileNameMatcherEnum;
    'className'?: string;
    'matcher'?: DetectionRule.MatcherEnum;
    'methodRules': Array<MethodRule>;
    'annotations'?: Array<string>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace DetectionRule {
    enum FileNameMatcherEnum {
        ENDSWITH,
        EQUALS,
        STARTSWITH
    }
    enum MatcherEnum {
        ENDSWITH,
        EQUALS,
        STARTSWITH
    }
}
