"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DetectionRule = (function () {
    function DetectionRule() {
    }
    DetectionRule.getAttributeTypeMap = function () {
        return DetectionRule.attributeTypeMap;
    };
    DetectionRule.discriminator = undefined;
    DetectionRule.attributeTypeMap = [
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "fileName",
            "baseName": "fileName",
            "type": "string"
        },
        {
            "name": "fileNameMatcher",
            "baseName": "fileNameMatcher",
            "type": "DetectionRule.FileNameMatcherEnum"
        },
        {
            "name": "className",
            "baseName": "className",
            "type": "string"
        },
        {
            "name": "matcher",
            "baseName": "matcher",
            "type": "DetectionRule.MatcherEnum"
        },
        {
            "name": "methodRules",
            "baseName": "methodRules",
            "type": "Array<MethodRule>"
        },
        {
            "name": "annotations",
            "baseName": "annotations",
            "type": "Array<string>"
        }
    ];
    return DetectionRule;
}());
exports.DetectionRule = DetectionRule;
(function (DetectionRule) {
    var FileNameMatcherEnum;
    (function (FileNameMatcherEnum) {
        FileNameMatcherEnum[FileNameMatcherEnum["ENDSWITH"] = 'ENDS_WITH'] = "ENDSWITH";
        FileNameMatcherEnum[FileNameMatcherEnum["EQUALS"] = 'EQUALS'] = "EQUALS";
        FileNameMatcherEnum[FileNameMatcherEnum["STARTSWITH"] = 'STARTS_WITH'] = "STARTSWITH";
    })(FileNameMatcherEnum = DetectionRule.FileNameMatcherEnum || (DetectionRule.FileNameMatcherEnum = {}));
    var MatcherEnum;
    (function (MatcherEnum) {
        MatcherEnum[MatcherEnum["ENDSWITH"] = 'ENDS_WITH'] = "ENDSWITH";
        MatcherEnum[MatcherEnum["EQUALS"] = 'EQUALS'] = "EQUALS";
        MatcherEnum[MatcherEnum["STARTSWITH"] = 'STARTS_WITH'] = "STARTSWITH";
    })(MatcherEnum = DetectionRule.MatcherEnum || (DetectionRule.MatcherEnum = {}));
})(DetectionRule = exports.DetectionRule || (exports.DetectionRule = {}));
exports.DetectionRule = DetectionRule;
//# sourceMappingURL=detectionRule.js.map