"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DimensionDefinition = (function () {
    function DimensionDefinition() {
    }
    DimensionDefinition.getAttributeTypeMap = function () {
        return DimensionDefinition.attributeTypeMap;
    };
    DimensionDefinition.discriminator = undefined;
    DimensionDefinition.attributeTypeMap = [
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "dimension",
            "baseName": "dimension",
            "type": "string"
        },
        {
            "name": "placeholders",
            "baseName": "placeholders",
            "type": "Array<Placeholder>"
        },
        {
            "name": "topX",
            "baseName": "topX",
            "type": "number"
        },
        {
            "name": "topXDirection",
            "baseName": "topXDirection",
            "type": "DimensionDefinition.TopXDirectionEnum"
        },
        {
            "name": "topXAggregation",
            "baseName": "topXAggregation",
            "type": "DimensionDefinition.TopXAggregationEnum"
        }
    ];
    return DimensionDefinition;
}());
exports.DimensionDefinition = DimensionDefinition;
(function (DimensionDefinition) {
    var TopXDirectionEnum;
    (function (TopXDirectionEnum) {
        TopXDirectionEnum[TopXDirectionEnum["ASCENDING"] = 'ASCENDING'] = "ASCENDING";
        TopXDirectionEnum[TopXDirectionEnum["DESCENDING"] = 'DESCENDING'] = "DESCENDING";
    })(TopXDirectionEnum = DimensionDefinition.TopXDirectionEnum || (DimensionDefinition.TopXDirectionEnum = {}));
    var TopXAggregationEnum;
    (function (TopXAggregationEnum) {
        TopXAggregationEnum[TopXAggregationEnum["AVERAGE"] = 'AVERAGE'] = "AVERAGE";
        TopXAggregationEnum[TopXAggregationEnum["COUNT"] = 'COUNT'] = "COUNT";
        TopXAggregationEnum[TopXAggregationEnum["MAX"] = 'MAX'] = "MAX";
        TopXAggregationEnum[TopXAggregationEnum["MIN"] = 'MIN'] = "MIN";
        TopXAggregationEnum[TopXAggregationEnum["OFINTERESTRATIO"] = 'OF_INTEREST_RATIO'] = "OFINTERESTRATIO";
        TopXAggregationEnum[TopXAggregationEnum["OTHERRATIO"] = 'OTHER_RATIO'] = "OTHERRATIO";
        TopXAggregationEnum[TopXAggregationEnum["SINGLEVALUE"] = 'SINGLE_VALUE'] = "SINGLEVALUE";
        TopXAggregationEnum[TopXAggregationEnum["SUM"] = 'SUM'] = "SUM";
    })(TopXAggregationEnum = DimensionDefinition.TopXAggregationEnum || (DimensionDefinition.TopXAggregationEnum = {}));
})(DimensionDefinition = exports.DimensionDefinition || (exports.DimensionDefinition = {}));
exports.DimensionDefinition = DimensionDefinition;
//# sourceMappingURL=dimensionDefinition.js.map