import { ConfigurationMetadata } from './configurationMetadata';
import { DiskNameFilter } from './diskNameFilter';
import { TagFilter } from './tagFilter';
export declare class DiskEventAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'name': string;
    'enabled': boolean;
    'metric': DiskEventAnomalyDetectionConfig.MetricEnum;
    'threshold': number;
    'samples': number;
    'violatingSamples': number;
    'diskNameFilter'?: DiskNameFilter;
    'tagFilters'?: Array<TagFilter>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace DiskEventAnomalyDetectionConfig {
    enum MetricEnum {
        LOWDISKSPACE,
        LOWINODES,
        READTIMEEXCEEDING,
        WRITETIMEEXCEEDING
    }
}
