"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var notificationConfig_1 = require("./notificationConfig");
var EmailNotificationConfig = (function (_super) {
    __extends(EmailNotificationConfig, _super);
    function EmailNotificationConfig() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    EmailNotificationConfig.getAttributeTypeMap = function () {
        return _super.getAttributeTypeMap.call(this).concat(EmailNotificationConfig.attributeTypeMap);
    };
    EmailNotificationConfig.discriminator = undefined;
    EmailNotificationConfig.attributeTypeMap = [
        {
            "name": "subject",
            "baseName": "subject",
            "type": "string"
        },
        {
            "name": "body",
            "baseName": "body",
            "type": "string"
        },
        {
            "name": "receivers",
            "baseName": "receivers",
            "type": "Array<string>"
        },
        {
            "name": "ccReceivers",
            "baseName": "ccReceivers",
            "type": "Array<string>"
        },
        {
            "name": "shouldSendForResolvedProblems",
            "baseName": "shouldSendForResolvedProblems",
            "type": "boolean"
        }
    ];
    return EmailNotificationConfig;
}(notificationConfig_1.NotificationConfig));
exports.EmailNotificationConfig = EmailNotificationConfig;
//# sourceMappingURL=emailNotificationConfig.js.map