import { ConfigurationMetadata } from './configurationMetadata';
import { ExtensionProperty } from './extensionProperty';
export declare class Extension {
    'id'?: string;
    'name'?: string;
    'version'?: string;
    'type'?: Extension.TypeEnum;
    'metricGroup'?: string;
    'metadata'?: ConfigurationMetadata;
    'properties'?: Array<ExtensionProperty>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace Extension {
    enum TypeEnum {
        ACTIVEGATE,
        CODEMODULE,
        JMX,
        ONEAGENT,
        PMI,
        UNKNOWN
    }
}
