import { ApplicationId } from './applicationId';
import { ConditionsFullWebRequestAttributeTypeDto } from './conditionsFullWebRequestAttributeTypeDto';
import { ConfigurationMetadata } from './configurationMetadata';
import { ContextRoot } from './contextRoot';
import { ServerName } from './serverName';
export declare class FullWebRequestRule {
    'type': string;
    'metadata'?: ConfigurationMetadata;
    'managementZones'?: Array<string>;
    'id'?: string;
    'order'?: string;
    'name': string;
    'description'?: string;
    'enabled': boolean;
    'conditions'?: Array<ConditionsFullWebRequestAttributeTypeDto>;
    'applicationId'?: ApplicationId;
    'contextRoot'?: ContextRoot;
    'serverName'?: ServerName;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
