import { ApplicationId } from './applicationId';
import { ConditionsFullWebServiceAttributeTypeDto } from './conditionsFullWebServiceAttributeTypeDto';
import { ConfigurationMetadata } from './configurationMetadata';
import { ContextRoot } from './contextRoot';
import { ServerName } from './serverName';
import { WebServiceName } from './webServiceName';
import { WebServiceNameSpace } from './webServiceNameSpace';
export declare class FullWebServiceRule {
    'type': string;
    'metadata'?: ConfigurationMetadata;
    'managementZones'?: Array<string>;
    'id'?: string;
    'order'?: string;
    'name': string;
    'description'?: string;
    'enabled': boolean;
    'conditions'?: Array<ConditionsFullWebServiceAttributeTypeDto>;
    'detectAsWebRequestService'?: boolean;
    'webServiceName'?: WebServiceName;
    'webServiceNameSpace'?: WebServiceNameSpace;
    'applicationId'?: ApplicationId;
    'contextRoot'?: ContextRoot;
    'serverName'?: ServerName;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
