"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FullWebServiceRule = (function () {
    function FullWebServiceRule() {
    }
    FullWebServiceRule.getAttributeTypeMap = function () {
        return FullWebServiceRule.attributeTypeMap;
    };
    FullWebServiceRule.discriminator = undefined;
    FullWebServiceRule.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "string"
        },
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "managementZones",
            "baseName": "managementZones",
            "type": "Array<string>"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "order",
            "baseName": "order",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "description",
            "baseName": "description",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "conditions",
            "baseName": "conditions",
            "type": "Array<ConditionsFullWebServiceAttributeTypeDto>"
        },
        {
            "name": "detectAsWebRequestService",
            "baseName": "detectAsWebRequestService",
            "type": "boolean"
        },
        {
            "name": "webServiceName",
            "baseName": "webServiceName",
            "type": "WebServiceName"
        },
        {
            "name": "webServiceNameSpace",
            "baseName": "webServiceNameSpace",
            "type": "WebServiceNameSpace"
        },
        {
            "name": "applicationId",
            "baseName": "applicationId",
            "type": "ApplicationId"
        },
        {
            "name": "contextRoot",
            "baseName": "contextRoot",
            "type": "ContextRoot"
        },
        {
            "name": "serverName",
            "baseName": "serverName",
            "type": "ServerName"
        }
    ];
    return FullWebServiceRule;
}());
exports.FullWebServiceRule = FullWebServiceRule;
//# sourceMappingURL=fullWebServiceRule.js.map