import { EntityShortRepresentation } from './entityShortRepresentation';
import { HostGroup } from './hostGroup';
import { TagInfo } from './tagInfo';
export declare class Host {
    'name'?: string;
    'id'?: string;
    'hostGroup'?: HostGroup;
    'tags'?: Array<TagInfo>;
    'managementZones'?: Array<EntityShortRepresentation>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
