"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HostsAnomalyDetectionConfig = (function () {
    function HostsAnomalyDetectionConfig() {
    }
    HostsAnomalyDetectionConfig.getAttributeTypeMap = function () {
        return HostsAnomalyDetectionConfig.attributeTypeMap;
    };
    HostsAnomalyDetectionConfig.discriminator = undefined;
    HostsAnomalyDetectionConfig.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "connectionLostDetection",
            "baseName": "connectionLostDetection",
            "type": "ConnectionLostDetectionConfig"
        },
        {
            "name": "highCpuSaturationDetection",
            "baseName": "highCpuSaturationDetection",
            "type": "HighCpuSaturationDetectionConfig"
        },
        {
            "name": "highMemoryDetection",
            "baseName": "highMemoryDetection",
            "type": "HighMemoryDetectionConfig"
        },
        {
            "name": "highGcActivityDetection",
            "baseName": "highGcActivityDetection",
            "type": "HighGcActivityDetectionConfig"
        },
        {
            "name": "outOfMemoryDetection",
            "baseName": "outOfMemoryDetection",
            "type": "OutOfMemoryDetectionConfig"
        },
        {
            "name": "outOfThreadsDetection",
            "baseName": "outOfThreadsDetection",
            "type": "OutOfThreadsDetectionConfig"
        },
        {
            "name": "networkDroppedPacketsDetection",
            "baseName": "networkDroppedPacketsDetection",
            "type": "NetworkDroppedPacketsDetectionConfig"
        },
        {
            "name": "networkErrorsDetection",
            "baseName": "networkErrorsDetection",
            "type": "NetworkErrorsDetectionConfig"
        },
        {
            "name": "highNetworkDetection",
            "baseName": "highNetworkDetection",
            "type": "HighNetworkDetectionConfig"
        },
        {
            "name": "networkTcpProblemsDetection",
            "baseName": "networkTcpProblemsDetection",
            "type": "NetworkTcpProblemsDetectionConfig"
        },
        {
            "name": "networkHighRetransmissionDetection",
            "baseName": "networkHighRetransmissionDetection",
            "type": "NetworkHighRetransmissionDetectionConfig"
        },
        {
            "name": "diskLowSpaceDetection",
            "baseName": "diskLowSpaceDetection",
            "type": "DiskLowSpaceDetectionConfig"
        },
        {
            "name": "diskSlowWritesAndReadsDetection",
            "baseName": "diskSlowWritesAndReadsDetection",
            "type": "DiskSlowWritesAndReadsDetectionConfig"
        },
        {
            "name": "diskLowInodesDetection",
            "baseName": "diskLowInodesDetection",
            "type": "DiskLowInodesDetectionConfig"
        }
    ];
    return HostsAnomalyDetectionConfig;
}());
exports.HostsAnomalyDetectionConfig = HostsAnomalyDetectionConfig;
//# sourceMappingURL=hostsAnomalyDetectionConfig.js.map