import { ComparisonInfo } from './comparisonInfo';
export declare class HttpMethodComparisonInfo extends ComparisonInfo {
    'comparison': HttpMethodComparisonInfo.ComparisonEnum;
    'value'?: HttpMethodComparisonInfo.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace HttpMethodComparisonInfo {
    enum ComparisonEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        CONNECT,
        DELETE,
        GET,
        HEAD,
        OPTIONS,
        PATCH,
        POST,
        PUT,
        TRACE
    }
}
