import { ComparisonBasic } from './comparisonBasic';
export declare class HypervisorTypeComparision extends ComparisonBasic {
    'operator': HypervisorTypeComparision.OperatorEnum;
    'value'?: HypervisorTypeComparision.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace HypervisorTypeComparision {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        HYPERV,
        KVM,
        LPAR,
        QEMU,
        VIRTUALBOX,
        VMWARE,
        WPAR,
        XEN
    }
}
