import { PathDefinition } from './pathDefinition';
export declare class LogSourceFilter {
    'pathDefinitions'?: Array<PathDefinition>;
    'sourceEntities'?: Array<string>;
    'hostFilters'?: Array<string>;
    'osTypes'?: Array<LogSourceFilter.OsTypesEnum>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace LogSourceFilter {
    enum OsTypesEnum {
        AIX,
        DARWIN,
        HPUX,
        LINUX,
        SOLARIS,
        WINDOWS,
        ZOS
    }
}
