"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LogSourceFilter = (function () {
    function LogSourceFilter() {
    }
    LogSourceFilter.getAttributeTypeMap = function () {
        return LogSourceFilter.attributeTypeMap;
    };
    LogSourceFilter.discriminator = undefined;
    LogSourceFilter.attributeTypeMap = [
        {
            "name": "pathDefinitions",
            "baseName": "pathDefinitions",
            "type": "Array<PathDefinition>"
        },
        {
            "name": "sourceEntities",
            "baseName": "sourceEntities",
            "type": "Array<string>"
        },
        {
            "name": "hostFilters",
            "baseName": "hostFilters",
            "type": "Array<string>"
        },
        {
            "name": "osTypes",
            "baseName": "osTypes",
            "type": "Array<LogSourceFilter.OsTypesEnum>"
        }
    ];
    return LogSourceFilter;
}());
exports.LogSourceFilter = LogSourceFilter;
(function (LogSourceFilter) {
    var OsTypesEnum;
    (function (OsTypesEnum) {
        OsTypesEnum[OsTypesEnum["AIX"] = 'AIX'] = "AIX";
        OsTypesEnum[OsTypesEnum["DARWIN"] = 'DARWIN'] = "DARWIN";
        OsTypesEnum[OsTypesEnum["HPUX"] = 'HPUX'] = "HPUX";
        OsTypesEnum[OsTypesEnum["LINUX"] = 'LINUX'] = "LINUX";
        OsTypesEnum[OsTypesEnum["SOLARIS"] = 'SOLARIS'] = "SOLARIS";
        OsTypesEnum[OsTypesEnum["WINDOWS"] = 'WINDOWS'] = "WINDOWS";
        OsTypesEnum[OsTypesEnum["ZOS"] = 'ZOS'] = "ZOS";
    })(OsTypesEnum = LogSourceFilter.OsTypesEnum || (LogSourceFilter.OsTypesEnum = {}));
})(LogSourceFilter = exports.LogSourceFilter || (exports.LogSourceFilter = {}));
exports.LogSourceFilter = LogSourceFilter;
//# sourceMappingURL=logSourceFilter.js.map