import { MaskingRule } from './maskingRule';
export declare class MaskingSettings {
    'recordingMaskingSettings': MaskingSettings.RecordingMaskingSettingsEnum;
    'maskingRules'?: Array<MaskingRule>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MaskingSettings {
    enum RecordingMaskingSettingsEnum {
        BLACKLIST,
        SAFE,
        SUPERSAFE,
        WHITELIST
    }
}
