"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MetricEvent = (function () {
    function MetricEvent() {
    }
    MetricEvent.getAttributeTypeMap = function () {
        return MetricEvent.attributeTypeMap;
    };
    MetricEvent.discriminator = undefined;
    MetricEvent.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "metricId",
            "baseName": "metricId",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "description",
            "baseName": "description",
            "type": "string"
        },
        {
            "name": "aggregationType",
            "baseName": "aggregationType",
            "type": "MetricEvent.AggregationTypeEnum"
        },
        {
            "name": "severity",
            "baseName": "severity",
            "type": "MetricEvent.SeverityEnum"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "disabledReason",
            "baseName": "disabledReason",
            "type": "MetricEvent.DisabledReasonEnum"
        },
        {
            "name": "alertingScope",
            "baseName": "alertingScope",
            "type": "Array<MetricEventAlertingScope>"
        },
        {
            "name": "metricDimensions",
            "baseName": "metricDimensions",
            "type": "Array<MetricEventDimensions>"
        },
        {
            "name": "monitoringStrategy",
            "baseName": "monitoringStrategy",
            "type": "MetricEventMonitoringStrategy"
        }
    ];
    return MetricEvent;
}());
exports.MetricEvent = MetricEvent;
(function (MetricEvent) {
    var AggregationTypeEnum;
    (function (AggregationTypeEnum) {
        AggregationTypeEnum[AggregationTypeEnum["AVG"] = 'AVG'] = "AVG";
        AggregationTypeEnum[AggregationTypeEnum["COUNT"] = 'COUNT'] = "COUNT";
        AggregationTypeEnum[AggregationTypeEnum["MAX"] = 'MAX'] = "MAX";
        AggregationTypeEnum[AggregationTypeEnum["MEDIAN"] = 'MEDIAN'] = "MEDIAN";
        AggregationTypeEnum[AggregationTypeEnum["MIN"] = 'MIN'] = "MIN";
        AggregationTypeEnum[AggregationTypeEnum["OFINTEREST"] = 'OF_INTEREST'] = "OFINTEREST";
        AggregationTypeEnum[AggregationTypeEnum["OFINTERESTRATIO"] = 'OF_INTEREST_RATIO'] = "OFINTERESTRATIO";
        AggregationTypeEnum[AggregationTypeEnum["OTHER"] = 'OTHER'] = "OTHER";
        AggregationTypeEnum[AggregationTypeEnum["OTHERRATIO"] = 'OTHER_RATIO'] = "OTHERRATIO";
        AggregationTypeEnum[AggregationTypeEnum["P90"] = 'P90'] = "P90";
        AggregationTypeEnum[AggregationTypeEnum["SUM"] = 'SUM'] = "SUM";
        AggregationTypeEnum[AggregationTypeEnum["VALUE"] = 'VALUE'] = "VALUE";
    })(AggregationTypeEnum = MetricEvent.AggregationTypeEnum || (MetricEvent.AggregationTypeEnum = {}));
    var SeverityEnum;
    (function (SeverityEnum) {
        SeverityEnum[SeverityEnum["AVAILABILITY"] = 'AVAILABILITY'] = "AVAILABILITY";
        SeverityEnum[SeverityEnum["CUSTOMALERT"] = 'CUSTOM_ALERT'] = "CUSTOMALERT";
        SeverityEnum[SeverityEnum["ERROR"] = 'ERROR'] = "ERROR";
        SeverityEnum[SeverityEnum["INFO"] = 'INFO'] = "INFO";
        SeverityEnum[SeverityEnum["PERFORMANCE"] = 'PERFORMANCE'] = "PERFORMANCE";
        SeverityEnum[SeverityEnum["RESOURCECONTENTION"] = 'RESOURCE_CONTENTION'] = "RESOURCECONTENTION";
    })(SeverityEnum = MetricEvent.SeverityEnum || (MetricEvent.SeverityEnum = {}));
    var DisabledReasonEnum;
    (function (DisabledReasonEnum) {
        DisabledReasonEnum[DisabledReasonEnum["NONE"] = 'NONE'] = "NONE";
        DisabledReasonEnum[DisabledReasonEnum["TOOMANYDIMS"] = 'TOO_MANY_DIMS'] = "TOOMANYDIMS";
    })(DisabledReasonEnum = MetricEvent.DisabledReasonEnum || (MetricEvent.DisabledReasonEnum = {}));
})(MetricEvent = exports.MetricEvent || (exports.MetricEvent = {}));
exports.MetricEvent = MetricEvent;
//# sourceMappingURL=metricEvent.js.map