import { MetricEventMonitoringStrategy } from './metricEventMonitoringStrategy';
export declare class MetricEventStaticThresholdMonitoringStrategy extends MetricEventMonitoringStrategy {
    'samples': number;
    'violatingSamples': number;
    'dealertingSamples': number;
    'alertCondition': MetricEventStaticThresholdMonitoringStrategy.AlertConditionEnum;
    'threshold': number;
    'unit': MetricEventStaticThresholdMonitoringStrategy.UnitEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace MetricEventStaticThresholdMonitoringStrategy {
    enum AlertConditionEnum {
        ABOVE,
        BELOW
    }
    enum UnitEnum {
        BIT,
        BITPERHOUR,
        BITPERMINUTE,
        BITPERSECOND,
        BYTE,
        BYTEPERHOUR,
        BYTEPERMINUTE,
        BYTEPERSECOND,
        CORES,
        COUNT,
        DAY,
        GIBIBYTE,
        GIGA,
        GIGABYTE,
        HOUR,
        KIBIBYTE,
        KIBIBYTEPERHOUR,
        KIBIBYTEPERMINUTE,
        KIBIBYTEPERSECOND,
        KILO,
        KILOBYTE,
        KILOBYTEPERHOUR,
        KILOBYTEPERMINUTE,
        KILOBYTEPERSECOND,
        MEBIBYTE,
        MEBIBYTEPERHOUR,
        MEBIBYTEPERMINUTE,
        MEBIBYTEPERSECOND,
        MEGA,
        MEGABYTE,
        MEGABYTEPERHOUR,
        MEGABYTEPERMINUTE,
        MEGABYTEPERSECOND,
        MICROSECOND,
        MILLICORES,
        MILLISECOND,
        MILLISECONDPERMINUTE,
        MINUTE,
        MONTH,
        NANOSECOND,
        NANOSECONDPERMINUTE,
        NOTAPPLICABLE,
        PERCENT,
        PERHOUR,
        PERMINUTE,
        PERSECOND,
        PIXEL,
        PROMILLE,
        RATIO,
        SECOND,
        STATE,
        UNSPECIFIED,
        WEEK,
        YEAR
    }
}
