"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MetricEventStaticThresholdMonitoringStrategyAllOf = (function () {
    function MetricEventStaticThresholdMonitoringStrategyAllOf() {
    }
    MetricEventStaticThresholdMonitoringStrategyAllOf.getAttributeTypeMap = function () {
        return MetricEventStaticThresholdMonitoringStrategyAllOf.attributeTypeMap;
    };
    MetricEventStaticThresholdMonitoringStrategyAllOf.discriminator = undefined;
    MetricEventStaticThresholdMonitoringStrategyAllOf.attributeTypeMap = [
        {
            "name": "samples",
            "baseName": "samples",
            "type": "number"
        },
        {
            "name": "violatingSamples",
            "baseName": "violatingSamples",
            "type": "number"
        },
        {
            "name": "dealertingSamples",
            "baseName": "dealertingSamples",
            "type": "number"
        },
        {
            "name": "alertCondition",
            "baseName": "alertCondition",
            "type": "MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum"
        },
        {
            "name": "threshold",
            "baseName": "threshold",
            "type": "number"
        },
        {
            "name": "unit",
            "baseName": "unit",
            "type": "MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum"
        }
    ];
    return MetricEventStaticThresholdMonitoringStrategyAllOf;
}());
exports.MetricEventStaticThresholdMonitoringStrategyAllOf = MetricEventStaticThresholdMonitoringStrategyAllOf;
(function (MetricEventStaticThresholdMonitoringStrategyAllOf) {
    var AlertConditionEnum;
    (function (AlertConditionEnum) {
        AlertConditionEnum[AlertConditionEnum["ABOVE"] = 'ABOVE'] = "ABOVE";
        AlertConditionEnum[AlertConditionEnum["BELOW"] = 'BELOW'] = "BELOW";
    })(AlertConditionEnum = MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum || (MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum = {}));
    var UnitEnum;
    (function (UnitEnum) {
        UnitEnum[UnitEnum["BIT"] = 'BIT'] = "BIT";
        UnitEnum[UnitEnum["BITPERHOUR"] = 'BIT_PER_HOUR'] = "BITPERHOUR";
        UnitEnum[UnitEnum["BITPERMINUTE"] = 'BIT_PER_MINUTE'] = "BITPERMINUTE";
        UnitEnum[UnitEnum["BITPERSECOND"] = 'BIT_PER_SECOND'] = "BITPERSECOND";
        UnitEnum[UnitEnum["BYTE"] = 'BYTE'] = "BYTE";
        UnitEnum[UnitEnum["BYTEPERHOUR"] = 'BYTE_PER_HOUR'] = "BYTEPERHOUR";
        UnitEnum[UnitEnum["BYTEPERMINUTE"] = 'BYTE_PER_MINUTE'] = "BYTEPERMINUTE";
        UnitEnum[UnitEnum["BYTEPERSECOND"] = 'BYTE_PER_SECOND'] = "BYTEPERSECOND";
        UnitEnum[UnitEnum["CORES"] = 'CORES'] = "CORES";
        UnitEnum[UnitEnum["COUNT"] = 'COUNT'] = "COUNT";
        UnitEnum[UnitEnum["DAY"] = 'DAY'] = "DAY";
        UnitEnum[UnitEnum["GIBIBYTE"] = 'GIBI_BYTE'] = "GIBIBYTE";
        UnitEnum[UnitEnum["GIGA"] = 'GIGA'] = "GIGA";
        UnitEnum[UnitEnum["GIGABYTE"] = 'GIGA_BYTE'] = "GIGABYTE";
        UnitEnum[UnitEnum["HOUR"] = 'HOUR'] = "HOUR";
        UnitEnum[UnitEnum["KIBIBYTE"] = 'KIBI_BYTE'] = "KIBIBYTE";
        UnitEnum[UnitEnum["KIBIBYTEPERHOUR"] = 'KIBI_BYTE_PER_HOUR'] = "KIBIBYTEPERHOUR";
        UnitEnum[UnitEnum["KIBIBYTEPERMINUTE"] = 'KIBI_BYTE_PER_MINUTE'] = "KIBIBYTEPERMINUTE";
        UnitEnum[UnitEnum["KIBIBYTEPERSECOND"] = 'KIBI_BYTE_PER_SECOND'] = "KIBIBYTEPERSECOND";
        UnitEnum[UnitEnum["KILO"] = 'KILO'] = "KILO";
        UnitEnum[UnitEnum["KILOBYTE"] = 'KILO_BYTE'] = "KILOBYTE";
        UnitEnum[UnitEnum["KILOBYTEPERHOUR"] = 'KILO_BYTE_PER_HOUR'] = "KILOBYTEPERHOUR";
        UnitEnum[UnitEnum["KILOBYTEPERMINUTE"] = 'KILO_BYTE_PER_MINUTE'] = "KILOBYTEPERMINUTE";
        UnitEnum[UnitEnum["KILOBYTEPERSECOND"] = 'KILO_BYTE_PER_SECOND'] = "KILOBYTEPERSECOND";
        UnitEnum[UnitEnum["MEBIBYTE"] = 'MEBI_BYTE'] = "MEBIBYTE";
        UnitEnum[UnitEnum["MEBIBYTEPERHOUR"] = 'MEBI_BYTE_PER_HOUR'] = "MEBIBYTEPERHOUR";
        UnitEnum[UnitEnum["MEBIBYTEPERMINUTE"] = 'MEBI_BYTE_PER_MINUTE'] = "MEBIBYTEPERMINUTE";
        UnitEnum[UnitEnum["MEBIBYTEPERSECOND"] = 'MEBI_BYTE_PER_SECOND'] = "MEBIBYTEPERSECOND";
        UnitEnum[UnitEnum["MEGA"] = 'MEGA'] = "MEGA";
        UnitEnum[UnitEnum["MEGABYTE"] = 'MEGA_BYTE'] = "MEGABYTE";
        UnitEnum[UnitEnum["MEGABYTEPERHOUR"] = 'MEGA_BYTE_PER_HOUR'] = "MEGABYTEPERHOUR";
        UnitEnum[UnitEnum["MEGABYTEPERMINUTE"] = 'MEGA_BYTE_PER_MINUTE'] = "MEGABYTEPERMINUTE";
        UnitEnum[UnitEnum["MEGABYTEPERSECOND"] = 'MEGA_BYTE_PER_SECOND'] = "MEGABYTEPERSECOND";
        UnitEnum[UnitEnum["MICROSECOND"] = 'MICRO_SECOND'] = "MICROSECOND";
        UnitEnum[UnitEnum["MILLICORES"] = 'MILLI_CORES'] = "MILLICORES";
        UnitEnum[UnitEnum["MILLISECOND"] = 'MILLI_SECOND'] = "MILLISECOND";
        UnitEnum[UnitEnum["MILLISECONDPERMINUTE"] = 'MILLI_SECOND_PER_MINUTE'] = "MILLISECONDPERMINUTE";
        UnitEnum[UnitEnum["MINUTE"] = 'MINUTE'] = "MINUTE";
        UnitEnum[UnitEnum["MONTH"] = 'MONTH'] = "MONTH";
        UnitEnum[UnitEnum["NANOSECOND"] = 'NANO_SECOND'] = "NANOSECOND";
        UnitEnum[UnitEnum["NANOSECONDPERMINUTE"] = 'NANO_SECOND_PER_MINUTE'] = "NANOSECONDPERMINUTE";
        UnitEnum[UnitEnum["NOTAPPLICABLE"] = 'NOT_APPLICABLE'] = "NOTAPPLICABLE";
        UnitEnum[UnitEnum["PERCENT"] = 'PERCENT'] = "PERCENT";
        UnitEnum[UnitEnum["PERHOUR"] = 'PER_HOUR'] = "PERHOUR";
        UnitEnum[UnitEnum["PERMINUTE"] = 'PER_MINUTE'] = "PERMINUTE";
        UnitEnum[UnitEnum["PERSECOND"] = 'PER_SECOND'] = "PERSECOND";
        UnitEnum[UnitEnum["PIXEL"] = 'PIXEL'] = "PIXEL";
        UnitEnum[UnitEnum["PROMILLE"] = 'PROMILLE'] = "PROMILLE";
        UnitEnum[UnitEnum["RATIO"] = 'RATIO'] = "RATIO";
        UnitEnum[UnitEnum["SECOND"] = 'SECOND'] = "SECOND";
        UnitEnum[UnitEnum["STATE"] = 'STATE'] = "STATE";
        UnitEnum[UnitEnum["UNSPECIFIED"] = 'UNSPECIFIED'] = "UNSPECIFIED";
        UnitEnum[UnitEnum["WEEK"] = 'WEEK'] = "WEEK";
        UnitEnum[UnitEnum["YEAR"] = 'YEAR'] = "YEAR";
    })(UnitEnum = MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum || (MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum = {}));
})(MetricEventStaticThresholdMonitoringStrategyAllOf = exports.MetricEventStaticThresholdMonitoringStrategyAllOf || (exports.MetricEventStaticThresholdMonitoringStrategyAllOf = {}));
exports.MetricEventStaticThresholdMonitoringStrategyAllOf = MetricEventStaticThresholdMonitoringStrategyAllOf;
//# sourceMappingURL=metricEventStaticThresholdMonitoringStrategyAllOf.js.map