"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./additionalEventHandlers"));
__export(require("./advancedJavaScriptTagSettings"));
__export(require("./afterTransformation"));
__export(require("./afterTransformationAllOf"));
__export(require("./alertingCustomEventFilter"));
__export(require("./alertingCustomTextFilter"));
__export(require("./alertingEventTypeFilter"));
__export(require("./alertingPredefinedEventFilter"));
__export(require("./alertingProfile"));
__export(require("./alertingProfileSeverityRule"));
__export(require("./alertingProfileTagFilter"));
__export(require("./aliasQueue"));
__export(require("./anomalyDetectionPG"));
__export(require("./ansibleTowerNotificationConfig"));
__export(require("./ansibleTowerNotificationConfigAllOf"));
__export(require("./apdex"));
__export(require("./appIdentifier"));
__export(require("./applicationAnomalyDetectionConfig"));
__export(require("./applicationDataPrivacy"));
__export(require("./applicationDataPrivacyList"));
__export(require("./applicationDetectionRuleConfig"));
__export(require("./applicationFilter"));
__export(require("./applicationId"));
__export(require("./applicationTypeComparison"));
__export(require("./applicationTypeComparisonAllOf"));
__export(require("./assignedEntitiesTile"));
__export(require("./assignedEntitiesTileAllOf"));
__export(require("./assignedEntitiesWithMetricTile"));
__export(require("./assignedEntitiesWithMetricTileAllOf"));
__export(require("./autoTag"));
__export(require("./autoTagRule"));
__export(require("./availabilityMonitoringPG"));
__export(require("./awsAnomalyDetectionConfig"));
__export(require("./awsAuthenticationData"));
__export(require("./awsConfigTag"));
__export(require("./awsCredentialsConfig"));
__export(require("./awsIamToken"));
__export(require("./awsSupportingServiceConfig"));
__export(require("./awsSupportingServiceMetric"));
__export(require("./azureComputeModeComparison"));
__export(require("./azureComputeModeComparisonAllOf"));
__export(require("./azureCredentials"));
__export(require("./azureMonitoredMetric"));
__export(require("./azureSkuComparision"));
__export(require("./azureSkuComparisionAllOf"));
__export(require("./azureSupportingService"));
__export(require("./beforeTransformation"));
__export(require("./beforeTransformationAllOf"));
__export(require("./betweenTransformation"));
__export(require("./betweenTransformationAllOf"));
__export(require("./bitnessComparision"));
__export(require("./bitnessComparisionAllOf"));
__export(require("./booleanComparisonInfo"));
__export(require("./booleanComparisonInfoAllOf"));
__export(require("./calculatedMetricDefinition"));
__export(require("./calculatedMobileMetric"));
__export(require("./calculatedMobileMetricDimension"));
__export(require("./calculatedMobileMetricUpdate"));
__export(require("./calculatedMobileMetricUserActionFilter"));
__export(require("./calculatedServiceMetric"));
__export(require("./calculatedSyntheticMetric"));
__export(require("./capturedMethod"));
__export(require("./certificateCredentials"));
__export(require("./certificateCredentialsAllOf"));
__export(require("./cloudFoundryCredentials"));
__export(require("./cloudTag"));
__export(require("./cloudTypeComparison"));
__export(require("./cloudTypeComparisonAllOf"));
__export(require("./clusterQueue"));
__export(require("./columnDefinition"));
__export(require("./compareOperation"));
__export(require("./comparisonBasic"));
__export(require("./comparisonInfo"));
__export(require("./condition"));
__export(require("./conditionKey"));
__export(require("./conditionalNamingRule"));
__export(require("./conditionsFullWebRequestAttributeTypeDto"));
__export(require("./conditionsFullWebServiceAttributeTypeDto"));
__export(require("./conditionsOpaqueAndExternalWebRequestAttributeTypeDto"));
__export(require("./configurationMetadata"));
__export(require("./configurationMetadataDtoImpl"));
__export(require("./connectionLostDetectionConfig"));
__export(require("./constraintViolation"));
__export(require("./contentCapture"));
__export(require("./contextRoot"));
__export(require("./contextRootTransformation"));
__export(require("./conversionGoal"));
__export(require("./credentials"));
__export(require("./credentialsList"));
__export(require("./credentialsResponseElement"));
__export(require("./customApplicationTypeComparison"));
__export(require("./customApplicationTypeComparisonAllOf"));
__export(require("./customChartingItemMetadataConfig"));
__export(require("./customChartingTile"));
__export(require("./customChartingTileAllOf"));
__export(require("./customColumnDefinition"));
__export(require("./customColumnDefinitionAllOf"));
__export(require("./customDeviceGroupNameAlertingScope"));
__export(require("./customDeviceGroupNameAlertingScopeAllOf"));
__export(require("./customFilterChartConfig"));
__export(require("./customFilterChartSeriesConfig"));
__export(require("./customFilterChartSeriesDimensionConfig"));
__export(require("./customFilterConfig"));
__export(require("./customHostMetadataConditionKey"));
__export(require("./customHostMetadataConditionKeyAllOf"));
__export(require("./customHostMetadataKey"));
__export(require("./customProcessMetadataConditionKey"));
__export(require("./customProcessMetadataConditionKeyAllOf"));
__export(require("./customProcessMetadataKey"));
__export(require("./customService"));
__export(require("./dashboard"));
__export(require("./dashboardFilter"));
__export(require("./dashboardList"));
__export(require("./dashboardMetadata"));
__export(require("./dashboardReport"));
__export(require("./dashboardReportStub"));
__export(require("./dashboardReportSubscription"));
__export(require("./dashboardStub"));
__export(require("./dataPrivacyAndSecurity"));
__export(require("./dataSource"));
__export(require("./databaseAnomalyDetectionConfig"));
__export(require("./databaseConnectionFailureDetectionConfig"));
__export(require("./databaseTopologyComparison"));
__export(require("./databaseTopologyComparisonAllOf"));
__export(require("./dcrumDecoderComparison"));
__export(require("./dcrumDecoderComparisonAllOf"));
__export(require("./destinationDetails"));
__export(require("./detectionRule"));
__export(require("./dimensionDefinition"));
__export(require("./diskEventAnomalyDetectionConfig"));
__export(require("./diskLowInodesDetectionConfig"));
__export(require("./diskLowInodesThresholds"));
__export(require("./diskLowSpaceDetectionConfig"));
__export(require("./diskLowSpaceThresholds"));
__export(require("./diskNameFilter"));
__export(require("./diskSlowWriteAndReadsThresholds"));
__export(require("./diskSlowWritesAndReadsDetectionConfig"));
__export(require("./droppedPacketsDetectionConfig"));
__export(require("./droppedPacketsThresholds"));
__export(require("./eSBInputNodeTypeComparisonInfo"));
__export(require("./eSBInputNodeTypeComparisonInfoAllOf"));
__export(require("./ec2CandidateCpuSaturationDetectionConfig"));
__export(require("./ec2CandidateCpuSaturationThresholds"));
__export(require("./elbHighConnectionErrorsDetectionConfig"));
__export(require("./elbHighConnectionErrorsThresholds"));
__export(require("./emailNotificationConfig"));
__export(require("./emailNotificationConfigAllOf"));
__export(require("./endsWithCompareOperation"));
__export(require("./endsWithCompareOperationAllOf"));
__export(require("./entityIdAlertingScope"));
__export(require("./entityIdAlertingScopeAllOf"));
__export(require("./entityIdComparison"));
__export(require("./entityIdComparisonAllOf"));
__export(require("./entityRuleEngineCondition"));
__export(require("./entityShortRepresentation"));
__export(require("./equalsCompareOperation"));
__export(require("./equalsCompareOperationAllOf"));
__export(require("./errorEnvelope"));
__export(require("./esxiHighCpuSaturationConfig"));
__export(require("./esxiHighCpuThresholds"));
__export(require("./esxiHighMemoryDetectionConfig"));
__export(require("./esxiHighMemoryThresholds"));
__export(require("./eventWrapperSettings"));
__export(require("./existsCompareOperation"));
__export(require("./existsCompareOperationAllOf"));
__export(require("./extension"));
__export(require("./extensionConfigurationDto"));
__export(require("./extensionConfigurationList"));
__export(require("./extensionDto"));
__export(require("./extensionListDto"));
__export(require("./extensionProperty"));
__export(require("./extensionState"));
__export(require("./extensionStateList"));
__export(require("./extractSubstring"));
__export(require("./failedStateComparisonInfo"));
__export(require("./failedStateComparisonInfoAllOf"));
__export(require("./failureRateIncreaseAutodetectionConfig"));
__export(require("./failureRateIncreaseDetectionConfig"));
__export(require("./failureRateIncreaseThresholdConfig"));
__export(require("./failureReasonComparisonInfo"));
__export(require("./failureReasonComparisonInfoAllOf"));
__export(require("./fastStringComparisonInfo"));
__export(require("./fastStringComparisonInfoAllOf"));
__export(require("./filterableEntityTile"));
__export(require("./filterableEntityTileAllOf"));
__export(require("./flawStateComparisonInfo"));
__export(require("./flawStateComparisonInfoAllOf"));
__export(require("./frequentIssueDetectionConfig"));
__export(require("./fullWebRequestRule"));
__export(require("./fullWebServiceRule"));
__export(require("./globalEventCaptureSettings"));
__export(require("./globalExtensionConfiguration"));
__export(require("./greaterThanCompareOperation"));
__export(require("./greaterThanCompareOperationAllOf"));
__export(require("./guestCPULimitReachedConfig"));
__export(require("./guestCPULimitThresholds"));
__export(require("./highCpuSaturationDetectionConfig"));
__export(require("./highCpuSaturationThresholds"));
__export(require("./highGcActivityDetectionConfig"));
__export(require("./highGcActivityThresholds"));
__export(require("./highMemoryDetectionConfig"));
__export(require("./highMemoryThresholds"));
__export(require("./highNetworkDetectionConfig"));
__export(require("./highNetworkThresholds"));
__export(require("./hipChatNotificationConfig"));
__export(require("./hipChatNotificationConfigAllOf"));
__export(require("./host"));
__export(require("./hostGroup"));
__export(require("./hostGroupNameAlertingScope"));
__export(require("./hostList"));
__export(require("./hostNameAlertingScope"));
__export(require("./hostsAnomalyDetectionConfig"));
__export(require("./httpHeader"));
__export(require("./httpMethodComparisonInfo"));
__export(require("./httpMethodComparisonInfoAllOf"));
__export(require("./httpStatusClassComparisonInfo"));
__export(require("./httpStatusClassComparisonInfoAllOf"));
__export(require("./hypervisorTypeComparision"));
__export(require("./hypervisorTypeComparisionAllOf"));
__export(require("./iIBInputNodeTypeComparisonInfo"));
__export(require("./ibmMQImsEntryQueue"));
__export(require("./indexedNameComparison"));
__export(require("./indexedNameComparisonAllOf"));
__export(require("./indexedStringComparison"));
__export(require("./indexedStringComparisonAllOf"));
__export(require("./indexedTagComparison"));
__export(require("./indexedTagComparisonAllOf"));
__export(require("./inlineObject"));
__export(require("./inlineObject1"));
__export(require("./inlineObject2"));
__export(require("./inlineObject3"));
__export(require("./intEqualsCompareOperation"));
__export(require("./intEqualsCompareOperationAllOf"));
__export(require("./integerComparison"));
__export(require("./integerComparisonAllOf"));
__export(require("./ipAddressComparison"));
__export(require("./ipAddressComparisonAllOf"));
__export(require("./ipAddressRange"));
__export(require("./ipInRangeCompareOperation"));
__export(require("./ipInRangeCompareOperationAllOf"));
__export(require("./javaScriptFrameworkSupport"));
__export(require("./javaScriptInjectionRules"));
__export(require("./jiraNotificationConfig"));
__export(require("./jiraNotificationConfigAllOf"));
__export(require("./jsonColumnDefinition"));
__export(require("./keyBasedAuthentication"));
__export(require("./kubernetesCredentials"));
__export(require("./kubernetesEventPattern"));
__export(require("./lambdaHighErrorRateDetectionConfig"));
__export(require("./lambdaHighErrorRateThresholds"));
__export(require("./lessThanCompareOperation"));
__export(require("./loadDropDetectionConfig"));
__export(require("./loadSpikeDetectionConfig"));
__export(require("./logMetricConfig"));
__export(require("./logSourceFilter"));
__export(require("./lowDatastoreSpaceDetectionConfig"));
__export(require("./lowDatastoreSpaceThresholds"));
__export(require("./maintenanceWindow"));
__export(require("./managementZone"));
__export(require("./managementZoneAlertingScope"));
__export(require("./managementZoneAlertingScopeAllOf"));
__export(require("./managementZoneRule"));
__export(require("./markdownTile"));
__export(require("./markdownTileAllOf"));
__export(require("./maskingRule"));
__export(require("./maskingSettings"));
__export(require("./metaDataCapturing"));
__export(require("./methodReference"));
__export(require("./methodRule"));
__export(require("./metricEvent"));
__export(require("./metricEventAlertingScope"));
__export(require("./metricEventAutoAdaptiveBaselineMonitoringStrategy"));
__export(require("./metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf"));
__export(require("./metricEventDimensions"));
__export(require("./metricEventEntityDimensions"));
__export(require("./metricEventEntityDimensionsAllOf"));
__export(require("./metricEventMonitoringStrategy"));
__export(require("./metricEventStaticThresholdMonitoringStrategy"));
__export(require("./metricEventStaticThresholdMonitoringStrategyAllOf"));
__export(require("./metricEventStringDimensions"));
__export(require("./metricEventStringDimensionsAllOf"));
__export(require("./metricEventTextFilterMetricEventDimensionsFilterOperatorDto"));
__export(require("./metricEventTextFilterMetricEventTextFilterOperatorDto"));
__export(require("./mobilePlatformComparison"));
__export(require("./mobilePlatformComparisonAllOf"));
__export(require("./modelError"));
__export(require("./monitoredEntityFilter"));
__export(require("./monitoringSettings"));
__export(require("./nameAlertingScope"));
__export(require("./networkDroppedPacketsDetectionConfig"));
__export(require("./networkDroppedPacketsThresholds"));
__export(require("./networkErrorsDetectionConfig"));
__export(require("./networkErrorsThresholds"));
__export(require("./networkHighRetransmissionDetectionConfig"));
__export(require("./networkHighRetransmissionThresholds"));
__export(require("./networkTcpProblemsDetectionConfig"));
__export(require("./networkTcpProblemsThresholds"));
__export(require("./notificationConfig"));
__export(require("./notificationConfigStub"));
__export(require("./notificationConfigStubListDto"));
__export(require("./numberComparisonInfo"));
__export(require("./numberComparisonInfoAllOf"));
__export(require("./numberRequestAttributeComparisonInfo"));
__export(require("./numberRequestAttributeComparisonInfoAllOf"));
__export(require("./opaqueAndExternalWebRequestRule"));
__export(require("./opsGenieNotificationConfig"));
__export(require("./opsGenieNotificationConfigAllOf"));
__export(require("./osArchitectureComparison"));
__export(require("./osArchitectureComparisonAllOf"));
__export(require("./osTypeComparison"));
__export(require("./osTypeComparisonAllOf"));
__export(require("./outOfMemoryDetectionConfig"));
__export(require("./outOfMemoryThresholds"));
__export(require("./outOfThreadsDetectionConfig"));
__export(require("./outOfThreadsThresholds"));
__export(require("./overloadedStorageDetectionConfig"));
__export(require("./overloadedStorageThresholds"));
__export(require("./paasTypeComparison"));
__export(require("./paasTypeComparisonAllOf"));
__export(require("./pagerDutyNotificationConfig"));
__export(require("./pagerDutyNotificationConfigAllOf"));
__export(require("./pathDefinition"));
__export(require("./placeholder"));
__export(require("./plugin"));
__export(require("./pluginProperty"));
__export(require("./pluginState"));
__export(require("./pluginStateList"));
__export(require("./port"));
__export(require("./processGroupIdAlertingScope"));
__export(require("./processGroupIdAlertingScopeAllOf"));
__export(require("./processGroupNameAlertingScope"));
__export(require("./processMetadataConditionKey"));
__export(require("./processMetadataConditionKeyAllOf"));
__export(require("./propagationSource"));
__export(require("./publicDomainName"));
__export(require("./queueManager"));
__export(require("./rdsHighCpuDetectionConfig"));
__export(require("./rdsHighCpuThresholds"));
__export(require("./rdsHighLatencyThresholds"));
__export(require("./rdsHighMemoryDetectionConfig"));
__export(require("./rdsHighMemoryThresholds"));
__export(require("./rdsHighWriteReadLatencyDetectionConfig"));
__export(require("./rdsLowStorageDetectionConfig"));
__export(require("./rdsLowStorageThresholds"));
__export(require("./rdsRestartsSequenceDetectionConfig"));
__export(require("./rdsRestartsThresholds"));
__export(require("./recurrence"));
__export(require("./remoteEnvironmentConfigDto"));
__export(require("./remoteEnvironmentConfigListDto"));
__export(require("./remoteEnvironmentConfigStub"));
__export(require("./remotePluginEndpoint"));
__export(require("./remoteQueue"));
__export(require("./removeCreditCardNumbersTransformation"));
__export(require("./removeIBANsTransformation"));
__export(require("./removeIPsTransformation"));
__export(require("./removeNumbersTransformation"));
__export(require("./removeNumbersTransformationAllOf"));
__export(require("./replaceBetweenTransformation"));
__export(require("./replaceBetweenTransformationAllOf"));
__export(require("./reportStubList"));
__export(require("./reportSubscriptions"));
__export(require("./requestAttribute"));
__export(require("./requestNaming"));
__export(require("./resourceNaming"));
__export(require("./resourceTimingSettings"));
__export(require("./responseTimeDegradationAutodetectionConfig"));
__export(require("./responseTimeDegradationDetectionConfig"));
__export(require("./responseTimeDegradationThresholdConfig"));
__export(require("./roleBasedAuthentication"));
__export(require("./rumDimensionDefinition"));
__export(require("./rumMetric"));
__export(require("./rumMetricDefinition"));
__export(require("./rumMetricUpdate"));
__export(require("./schedule"));
__export(require("./scope"));
__export(require("./scopeConditions"));
__export(require("./serverName"));
__export(require("./serviceAnomalyDetectionConfig"));
__export(require("./serviceNowNotificationConfig"));
__export(require("./serviceNowNotificationConfigAllOf"));
__export(require("./serviceTopologyComparison"));
__export(require("./serviceTopologyComparisonAllOf"));
__export(require("./serviceTypeComparison"));
__export(require("./serviceTypeComparisonAllOf"));
__export(require("./serviceTypeComparisonInfo"));
__export(require("./serviceTypeComparisonInfoAllOf"));
__export(require("./sessionReplaySetting"));
__export(require("./sessionReplaySettingWithDataPrivacy"));
__export(require("./sharingInfo"));
__export(require("./simpleHostTech"));
__export(require("./simpleHostTechComparison"));
__export(require("./simpleHostTechComparisonAllOf"));
__export(require("./simpleTech"));
__export(require("./simpleTechComparison"));
__export(require("./simpleTechComparisonAllOf"));
__export(require("./slackNotificationConfig"));
__export(require("./slackNotificationConfigAllOf"));
__export(require("./slowPhysicalStorageDetectionConfig"));
__export(require("./slowPhysicalStorageThresholds"));
__export(require("./splitSelectTransformation"));
__export(require("./splitSelectTransformationAllOf"));
__export(require("./startsWithCompareOperation"));
__export(require("./startsWithCompareOperationAllOf"));
__export(require("./stringComparison"));
__export(require("./stringComparisonAllOf"));
__export(require("./stringComparisonInfo"));
__export(require("./stringComparisonInfoAllOf"));
__export(require("./stringConditionKey"));
__export(require("./stringConditionKeyAllOf"));
__export(require("./stringContainsCompareOperation"));
__export(require("./stringContainsCompareOperationAllOf"));
__export(require("./stringEqualsCompareOperation"));
__export(require("./stringEqualsCompareOperationAllOf"));
__export(require("./stringRequestAttributeComparisonInfo"));
__export(require("./stringRequestAttributeComparisonInfoAllOf"));
__export(require("./stubList"));
__export(require("./supportedVersion"));
__export(require("./symbolFile"));
__export(require("./symbolFileClientLinkDto"));
__export(require("./symbolFileList"));
__export(require("./symbolFilePinning"));
__export(require("./symbolFileStorageInfo"));
__export(require("./syntheticEngineTypeComparison"));
__export(require("./syntheticEngineTypeComparisonAllOf"));
__export(require("./syntheticMetricDimension"));
__export(require("./syntheticMetricFilter"));
__export(require("./syntheticMetricUpdate"));
__export(require("./syntheticSingleWebcheckTile"));
__export(require("./syntheticSingleWebcheckTileAllOf"));
__export(require("./tagCompareOperation"));
__export(require("./tagCompareOperationAllOf"));
__export(require("./tagComparison"));
__export(require("./tagComparisonAllOf"));
__export(require("./tagComparisonInfo"));
__export(require("./tagComparisonInfoAllOf"));
__export(require("./tagFilter"));
__export(require("./tagFilterAlertingScope"));
__export(require("./tagFilterAlertingScopeAllOf"));
__export(require("./tagInfo"));
__export(require("./takeSegmentsTransformation"));
__export(require("./takeSegmentsTransformationAllOf"));
__export(require("./tile"));
__export(require("./tileBounds"));
__export(require("./tileFilter"));
__export(require("./timeoutSettings"));
__export(require("./tokenCredentials"));
__export(require("./tokenCredentialsAllOf"));
__export(require("./trafficDropDetectionConfig"));
__export(require("./trafficSpikeDetectionConfig"));
__export(require("./transformationBase"));
__export(require("./trelloNotificationConfig"));
__export(require("./trelloNotificationConfigAllOf"));
__export(require("./undersizedStorageDetectionConfig"));
__export(require("./undersizedStorageThresholds"));
__export(require("./universalTag"));
__export(require("./universalTagKey"));
__export(require("./userActionAndSessionProperties"));
__export(require("./userActionDetails"));
__export(require("./userActionFilter"));
__export(require("./userActionNamingPlaceholder"));
__export(require("./userActionNamingPlaceholderProcessingStep"));
__export(require("./userActionNamingRule"));
__export(require("./userActionNamingRuleCondition"));
__export(require("./userActionNamingSettings"));
__export(require("./userActionPropertyFilter"));
__export(require("./userPasswordCredentials"));
__export(require("./userPasswordCredentialsAllOf"));
__export(require("./userSessionQueryTile"));
__export(require("./userSessionQueryTileAllOf"));
__export(require("./userSessionQueryTileConfiguration"));
__export(require("./userTag"));
__export(require("./vMwareAnomalyDetectionConfig"));
__export(require("./valueCondition"));
__export(require("./valueProcessing"));
__export(require("./victorOpsNotificationConfig"));
__export(require("./victorOpsNotificationConfigAllOf"));
__export(require("./visitDurationDetails"));
__export(require("./visitNumActionDetails"));
__export(require("./visuallyComplete2Settings"));
__export(require("./waterfallSettings"));
__export(require("./webApplicationConfig"));
__export(require("./webApplicationConfigBrowserRestriction"));
__export(require("./webApplicationConfigBrowserRestrictionSettings"));
__export(require("./webApplicationConfigIpAddressRestrictionSettings"));
__export(require("./webHookNotificationConfig"));
__export(require("./webHookNotificationConfigAllOf"));
__export(require("./webServiceName"));
__export(require("./webServiceNameSpace"));
__export(require("./xMattersNotificationConfig"));
__export(require("./xMattersNotificationConfigAllOf"));
__export(require("./zosComparisonInfo"));
__export(require("./zosComparisonInfoAllOf"));
var additionalEventHandlers_1 = require("./additionalEventHandlers");
var advancedJavaScriptTagSettings_1 = require("./advancedJavaScriptTagSettings");
var afterTransformation_1 = require("./afterTransformation");
var afterTransformationAllOf_1 = require("./afterTransformationAllOf");
var alertingCustomEventFilter_1 = require("./alertingCustomEventFilter");
var alertingCustomTextFilter_1 = require("./alertingCustomTextFilter");
var alertingEventTypeFilter_1 = require("./alertingEventTypeFilter");
var alertingPredefinedEventFilter_1 = require("./alertingPredefinedEventFilter");
var alertingProfile_1 = require("./alertingProfile");
var alertingProfileSeverityRule_1 = require("./alertingProfileSeverityRule");
var alertingProfileTagFilter_1 = require("./alertingProfileTagFilter");
var aliasQueue_1 = require("./aliasQueue");
var anomalyDetectionPG_1 = require("./anomalyDetectionPG");
var ansibleTowerNotificationConfig_1 = require("./ansibleTowerNotificationConfig");
var ansibleTowerNotificationConfigAllOf_1 = require("./ansibleTowerNotificationConfigAllOf");
var apdex_1 = require("./apdex");
var appIdentifier_1 = require("./appIdentifier");
var applicationAnomalyDetectionConfig_1 = require("./applicationAnomalyDetectionConfig");
var applicationDataPrivacy_1 = require("./applicationDataPrivacy");
var applicationDataPrivacyList_1 = require("./applicationDataPrivacyList");
var applicationDetectionRuleConfig_1 = require("./applicationDetectionRuleConfig");
var applicationFilter_1 = require("./applicationFilter");
var applicationId_1 = require("./applicationId");
var applicationTypeComparison_1 = require("./applicationTypeComparison");
var applicationTypeComparisonAllOf_1 = require("./applicationTypeComparisonAllOf");
var assignedEntitiesTile_1 = require("./assignedEntitiesTile");
var assignedEntitiesTileAllOf_1 = require("./assignedEntitiesTileAllOf");
var assignedEntitiesWithMetricTile_1 = require("./assignedEntitiesWithMetricTile");
var assignedEntitiesWithMetricTileAllOf_1 = require("./assignedEntitiesWithMetricTileAllOf");
var autoTag_1 = require("./autoTag");
var autoTagRule_1 = require("./autoTagRule");
var availabilityMonitoringPG_1 = require("./availabilityMonitoringPG");
var awsAnomalyDetectionConfig_1 = require("./awsAnomalyDetectionConfig");
var awsAuthenticationData_1 = require("./awsAuthenticationData");
var awsConfigTag_1 = require("./awsConfigTag");
var awsCredentialsConfig_1 = require("./awsCredentialsConfig");
var awsIamToken_1 = require("./awsIamToken");
var awsSupportingServiceConfig_1 = require("./awsSupportingServiceConfig");
var awsSupportingServiceMetric_1 = require("./awsSupportingServiceMetric");
var azureComputeModeComparison_1 = require("./azureComputeModeComparison");
var azureComputeModeComparisonAllOf_1 = require("./azureComputeModeComparisonAllOf");
var azureCredentials_1 = require("./azureCredentials");
var azureMonitoredMetric_1 = require("./azureMonitoredMetric");
var azureSkuComparision_1 = require("./azureSkuComparision");
var azureSkuComparisionAllOf_1 = require("./azureSkuComparisionAllOf");
var azureSupportingService_1 = require("./azureSupportingService");
var beforeTransformation_1 = require("./beforeTransformation");
var beforeTransformationAllOf_1 = require("./beforeTransformationAllOf");
var betweenTransformation_1 = require("./betweenTransformation");
var betweenTransformationAllOf_1 = require("./betweenTransformationAllOf");
var bitnessComparision_1 = require("./bitnessComparision");
var bitnessComparisionAllOf_1 = require("./bitnessComparisionAllOf");
var booleanComparisonInfo_1 = require("./booleanComparisonInfo");
var booleanComparisonInfoAllOf_1 = require("./booleanComparisonInfoAllOf");
var calculatedMetricDefinition_1 = require("./calculatedMetricDefinition");
var calculatedMobileMetric_1 = require("./calculatedMobileMetric");
var calculatedMobileMetricDimension_1 = require("./calculatedMobileMetricDimension");
var calculatedMobileMetricUpdate_1 = require("./calculatedMobileMetricUpdate");
var calculatedMobileMetricUserActionFilter_1 = require("./calculatedMobileMetricUserActionFilter");
var calculatedServiceMetric_1 = require("./calculatedServiceMetric");
var calculatedSyntheticMetric_1 = require("./calculatedSyntheticMetric");
var capturedMethod_1 = require("./capturedMethod");
var certificateCredentials_1 = require("./certificateCredentials");
var certificateCredentialsAllOf_1 = require("./certificateCredentialsAllOf");
var cloudFoundryCredentials_1 = require("./cloudFoundryCredentials");
var cloudTag_1 = require("./cloudTag");
var cloudTypeComparison_1 = require("./cloudTypeComparison");
var cloudTypeComparisonAllOf_1 = require("./cloudTypeComparisonAllOf");
var clusterQueue_1 = require("./clusterQueue");
var columnDefinition_1 = require("./columnDefinition");
var compareOperation_1 = require("./compareOperation");
var comparisonBasic_1 = require("./comparisonBasic");
var comparisonInfo_1 = require("./comparisonInfo");
var condition_1 = require("./condition");
var conditionKey_1 = require("./conditionKey");
var conditionalNamingRule_1 = require("./conditionalNamingRule");
var conditionsFullWebRequestAttributeTypeDto_1 = require("./conditionsFullWebRequestAttributeTypeDto");
var conditionsFullWebServiceAttributeTypeDto_1 = require("./conditionsFullWebServiceAttributeTypeDto");
var conditionsOpaqueAndExternalWebRequestAttributeTypeDto_1 = require("./conditionsOpaqueAndExternalWebRequestAttributeTypeDto");
var configurationMetadata_1 = require("./configurationMetadata");
var configurationMetadataDtoImpl_1 = require("./configurationMetadataDtoImpl");
var connectionLostDetectionConfig_1 = require("./connectionLostDetectionConfig");
var constraintViolation_1 = require("./constraintViolation");
var contentCapture_1 = require("./contentCapture");
var contextRoot_1 = require("./contextRoot");
var contextRootTransformation_1 = require("./contextRootTransformation");
var conversionGoal_1 = require("./conversionGoal");
var credentials_1 = require("./credentials");
var credentialsList_1 = require("./credentialsList");
var credentialsResponseElement_1 = require("./credentialsResponseElement");
var customApplicationTypeComparison_1 = require("./customApplicationTypeComparison");
var customApplicationTypeComparisonAllOf_1 = require("./customApplicationTypeComparisonAllOf");
var customChartingItemMetadataConfig_1 = require("./customChartingItemMetadataConfig");
var customChartingTile_1 = require("./customChartingTile");
var customChartingTileAllOf_1 = require("./customChartingTileAllOf");
var customColumnDefinition_1 = require("./customColumnDefinition");
var customColumnDefinitionAllOf_1 = require("./customColumnDefinitionAllOf");
var customDeviceGroupNameAlertingScope_1 = require("./customDeviceGroupNameAlertingScope");
var customDeviceGroupNameAlertingScopeAllOf_1 = require("./customDeviceGroupNameAlertingScopeAllOf");
var customFilterChartConfig_1 = require("./customFilterChartConfig");
var customFilterChartSeriesConfig_1 = require("./customFilterChartSeriesConfig");
var customFilterChartSeriesDimensionConfig_1 = require("./customFilterChartSeriesDimensionConfig");
var customFilterConfig_1 = require("./customFilterConfig");
var customHostMetadataConditionKey_1 = require("./customHostMetadataConditionKey");
var customHostMetadataConditionKeyAllOf_1 = require("./customHostMetadataConditionKeyAllOf");
var customHostMetadataKey_1 = require("./customHostMetadataKey");
var customProcessMetadataConditionKey_1 = require("./customProcessMetadataConditionKey");
var customProcessMetadataConditionKeyAllOf_1 = require("./customProcessMetadataConditionKeyAllOf");
var customProcessMetadataKey_1 = require("./customProcessMetadataKey");
var customService_1 = require("./customService");
var dashboard_1 = require("./dashboard");
var dashboardFilter_1 = require("./dashboardFilter");
var dashboardList_1 = require("./dashboardList");
var dashboardMetadata_1 = require("./dashboardMetadata");
var dashboardReport_1 = require("./dashboardReport");
var dashboardReportStub_1 = require("./dashboardReportStub");
var dashboardReportSubscription_1 = require("./dashboardReportSubscription");
var dashboardStub_1 = require("./dashboardStub");
var dataPrivacyAndSecurity_1 = require("./dataPrivacyAndSecurity");
var dataSource_1 = require("./dataSource");
var databaseAnomalyDetectionConfig_1 = require("./databaseAnomalyDetectionConfig");
var databaseConnectionFailureDetectionConfig_1 = require("./databaseConnectionFailureDetectionConfig");
var databaseTopologyComparison_1 = require("./databaseTopologyComparison");
var databaseTopologyComparisonAllOf_1 = require("./databaseTopologyComparisonAllOf");
var dcrumDecoderComparison_1 = require("./dcrumDecoderComparison");
var dcrumDecoderComparisonAllOf_1 = require("./dcrumDecoderComparisonAllOf");
var destinationDetails_1 = require("./destinationDetails");
var detectionRule_1 = require("./detectionRule");
var dimensionDefinition_1 = require("./dimensionDefinition");
var diskEventAnomalyDetectionConfig_1 = require("./diskEventAnomalyDetectionConfig");
var diskLowInodesDetectionConfig_1 = require("./diskLowInodesDetectionConfig");
var diskLowInodesThresholds_1 = require("./diskLowInodesThresholds");
var diskLowSpaceDetectionConfig_1 = require("./diskLowSpaceDetectionConfig");
var diskLowSpaceThresholds_1 = require("./diskLowSpaceThresholds");
var diskNameFilter_1 = require("./diskNameFilter");
var diskSlowWriteAndReadsThresholds_1 = require("./diskSlowWriteAndReadsThresholds");
var diskSlowWritesAndReadsDetectionConfig_1 = require("./diskSlowWritesAndReadsDetectionConfig");
var droppedPacketsDetectionConfig_1 = require("./droppedPacketsDetectionConfig");
var droppedPacketsThresholds_1 = require("./droppedPacketsThresholds");
var eSBInputNodeTypeComparisonInfo_1 = require("./eSBInputNodeTypeComparisonInfo");
var eSBInputNodeTypeComparisonInfoAllOf_1 = require("./eSBInputNodeTypeComparisonInfoAllOf");
var ec2CandidateCpuSaturationDetectionConfig_1 = require("./ec2CandidateCpuSaturationDetectionConfig");
var ec2CandidateCpuSaturationThresholds_1 = require("./ec2CandidateCpuSaturationThresholds");
var elbHighConnectionErrorsDetectionConfig_1 = require("./elbHighConnectionErrorsDetectionConfig");
var elbHighConnectionErrorsThresholds_1 = require("./elbHighConnectionErrorsThresholds");
var emailNotificationConfig_1 = require("./emailNotificationConfig");
var emailNotificationConfigAllOf_1 = require("./emailNotificationConfigAllOf");
var endsWithCompareOperation_1 = require("./endsWithCompareOperation");
var endsWithCompareOperationAllOf_1 = require("./endsWithCompareOperationAllOf");
var entityIdAlertingScope_1 = require("./entityIdAlertingScope");
var entityIdAlertingScopeAllOf_1 = require("./entityIdAlertingScopeAllOf");
var entityIdComparison_1 = require("./entityIdComparison");
var entityIdComparisonAllOf_1 = require("./entityIdComparisonAllOf");
var entityRuleEngineCondition_1 = require("./entityRuleEngineCondition");
var entityShortRepresentation_1 = require("./entityShortRepresentation");
var equalsCompareOperation_1 = require("./equalsCompareOperation");
var equalsCompareOperationAllOf_1 = require("./equalsCompareOperationAllOf");
var errorEnvelope_1 = require("./errorEnvelope");
var esxiHighCpuSaturationConfig_1 = require("./esxiHighCpuSaturationConfig");
var esxiHighCpuThresholds_1 = require("./esxiHighCpuThresholds");
var esxiHighMemoryDetectionConfig_1 = require("./esxiHighMemoryDetectionConfig");
var esxiHighMemoryThresholds_1 = require("./esxiHighMemoryThresholds");
var eventWrapperSettings_1 = require("./eventWrapperSettings");
var existsCompareOperation_1 = require("./existsCompareOperation");
var existsCompareOperationAllOf_1 = require("./existsCompareOperationAllOf");
var extension_1 = require("./extension");
var extensionConfigurationDto_1 = require("./extensionConfigurationDto");
var extensionConfigurationList_1 = require("./extensionConfigurationList");
var extensionDto_1 = require("./extensionDto");
var extensionListDto_1 = require("./extensionListDto");
var extensionProperty_1 = require("./extensionProperty");
var extensionState_1 = require("./extensionState");
var extensionStateList_1 = require("./extensionStateList");
var extractSubstring_1 = require("./extractSubstring");
var failedStateComparisonInfo_1 = require("./failedStateComparisonInfo");
var failedStateComparisonInfoAllOf_1 = require("./failedStateComparisonInfoAllOf");
var failureRateIncreaseAutodetectionConfig_1 = require("./failureRateIncreaseAutodetectionConfig");
var failureRateIncreaseDetectionConfig_1 = require("./failureRateIncreaseDetectionConfig");
var failureRateIncreaseThresholdConfig_1 = require("./failureRateIncreaseThresholdConfig");
var failureReasonComparisonInfo_1 = require("./failureReasonComparisonInfo");
var failureReasonComparisonInfoAllOf_1 = require("./failureReasonComparisonInfoAllOf");
var fastStringComparisonInfo_1 = require("./fastStringComparisonInfo");
var fastStringComparisonInfoAllOf_1 = require("./fastStringComparisonInfoAllOf");
var filterableEntityTile_1 = require("./filterableEntityTile");
var filterableEntityTileAllOf_1 = require("./filterableEntityTileAllOf");
var flawStateComparisonInfo_1 = require("./flawStateComparisonInfo");
var flawStateComparisonInfoAllOf_1 = require("./flawStateComparisonInfoAllOf");
var frequentIssueDetectionConfig_1 = require("./frequentIssueDetectionConfig");
var fullWebRequestRule_1 = require("./fullWebRequestRule");
var fullWebServiceRule_1 = require("./fullWebServiceRule");
var globalEventCaptureSettings_1 = require("./globalEventCaptureSettings");
var globalExtensionConfiguration_1 = require("./globalExtensionConfiguration");
var greaterThanCompareOperation_1 = require("./greaterThanCompareOperation");
var greaterThanCompareOperationAllOf_1 = require("./greaterThanCompareOperationAllOf");
var guestCPULimitReachedConfig_1 = require("./guestCPULimitReachedConfig");
var guestCPULimitThresholds_1 = require("./guestCPULimitThresholds");
var highCpuSaturationDetectionConfig_1 = require("./highCpuSaturationDetectionConfig");
var highCpuSaturationThresholds_1 = require("./highCpuSaturationThresholds");
var highGcActivityDetectionConfig_1 = require("./highGcActivityDetectionConfig");
var highGcActivityThresholds_1 = require("./highGcActivityThresholds");
var highMemoryDetectionConfig_1 = require("./highMemoryDetectionConfig");
var highMemoryThresholds_1 = require("./highMemoryThresholds");
var highNetworkDetectionConfig_1 = require("./highNetworkDetectionConfig");
var highNetworkThresholds_1 = require("./highNetworkThresholds");
var hipChatNotificationConfig_1 = require("./hipChatNotificationConfig");
var hipChatNotificationConfigAllOf_1 = require("./hipChatNotificationConfigAllOf");
var host_1 = require("./host");
var hostGroup_1 = require("./hostGroup");
var hostGroupNameAlertingScope_1 = require("./hostGroupNameAlertingScope");
var hostList_1 = require("./hostList");
var hostNameAlertingScope_1 = require("./hostNameAlertingScope");
var hostsAnomalyDetectionConfig_1 = require("./hostsAnomalyDetectionConfig");
var httpHeader_1 = require("./httpHeader");
var httpMethodComparisonInfo_1 = require("./httpMethodComparisonInfo");
var httpMethodComparisonInfoAllOf_1 = require("./httpMethodComparisonInfoAllOf");
var httpStatusClassComparisonInfo_1 = require("./httpStatusClassComparisonInfo");
var httpStatusClassComparisonInfoAllOf_1 = require("./httpStatusClassComparisonInfoAllOf");
var hypervisorTypeComparision_1 = require("./hypervisorTypeComparision");
var hypervisorTypeComparisionAllOf_1 = require("./hypervisorTypeComparisionAllOf");
var iIBInputNodeTypeComparisonInfo_1 = require("./iIBInputNodeTypeComparisonInfo");
var ibmMQImsEntryQueue_1 = require("./ibmMQImsEntryQueue");
var indexedNameComparison_1 = require("./indexedNameComparison");
var indexedNameComparisonAllOf_1 = require("./indexedNameComparisonAllOf");
var indexedStringComparison_1 = require("./indexedStringComparison");
var indexedStringComparisonAllOf_1 = require("./indexedStringComparisonAllOf");
var indexedTagComparison_1 = require("./indexedTagComparison");
var indexedTagComparisonAllOf_1 = require("./indexedTagComparisonAllOf");
var inlineObject_1 = require("./inlineObject");
var inlineObject1_1 = require("./inlineObject1");
var inlineObject2_1 = require("./inlineObject2");
var inlineObject3_1 = require("./inlineObject3");
var intEqualsCompareOperation_1 = require("./intEqualsCompareOperation");
var intEqualsCompareOperationAllOf_1 = require("./intEqualsCompareOperationAllOf");
var integerComparison_1 = require("./integerComparison");
var integerComparisonAllOf_1 = require("./integerComparisonAllOf");
var ipAddressComparison_1 = require("./ipAddressComparison");
var ipAddressComparisonAllOf_1 = require("./ipAddressComparisonAllOf");
var ipAddressRange_1 = require("./ipAddressRange");
var ipInRangeCompareOperation_1 = require("./ipInRangeCompareOperation");
var ipInRangeCompareOperationAllOf_1 = require("./ipInRangeCompareOperationAllOf");
var javaScriptFrameworkSupport_1 = require("./javaScriptFrameworkSupport");
var javaScriptInjectionRules_1 = require("./javaScriptInjectionRules");
var jiraNotificationConfig_1 = require("./jiraNotificationConfig");
var jiraNotificationConfigAllOf_1 = require("./jiraNotificationConfigAllOf");
var jsonColumnDefinition_1 = require("./jsonColumnDefinition");
var keyBasedAuthentication_1 = require("./keyBasedAuthentication");
var kubernetesCredentials_1 = require("./kubernetesCredentials");
var kubernetesEventPattern_1 = require("./kubernetesEventPattern");
var lambdaHighErrorRateDetectionConfig_1 = require("./lambdaHighErrorRateDetectionConfig");
var lambdaHighErrorRateThresholds_1 = require("./lambdaHighErrorRateThresholds");
var lessThanCompareOperation_1 = require("./lessThanCompareOperation");
var loadDropDetectionConfig_1 = require("./loadDropDetectionConfig");
var loadSpikeDetectionConfig_1 = require("./loadSpikeDetectionConfig");
var logMetricConfig_1 = require("./logMetricConfig");
var logSourceFilter_1 = require("./logSourceFilter");
var lowDatastoreSpaceDetectionConfig_1 = require("./lowDatastoreSpaceDetectionConfig");
var lowDatastoreSpaceThresholds_1 = require("./lowDatastoreSpaceThresholds");
var maintenanceWindow_1 = require("./maintenanceWindow");
var managementZone_1 = require("./managementZone");
var managementZoneAlertingScope_1 = require("./managementZoneAlertingScope");
var managementZoneAlertingScopeAllOf_1 = require("./managementZoneAlertingScopeAllOf");
var managementZoneRule_1 = require("./managementZoneRule");
var markdownTile_1 = require("./markdownTile");
var markdownTileAllOf_1 = require("./markdownTileAllOf");
var maskingRule_1 = require("./maskingRule");
var maskingSettings_1 = require("./maskingSettings");
var metaDataCapturing_1 = require("./metaDataCapturing");
var methodReference_1 = require("./methodReference");
var methodRule_1 = require("./methodRule");
var metricEvent_1 = require("./metricEvent");
var metricEventAlertingScope_1 = require("./metricEventAlertingScope");
var metricEventAutoAdaptiveBaselineMonitoringStrategy_1 = require("./metricEventAutoAdaptiveBaselineMonitoringStrategy");
var metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf_1 = require("./metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf");
var metricEventDimensions_1 = require("./metricEventDimensions");
var metricEventEntityDimensions_1 = require("./metricEventEntityDimensions");
var metricEventEntityDimensionsAllOf_1 = require("./metricEventEntityDimensionsAllOf");
var metricEventMonitoringStrategy_1 = require("./metricEventMonitoringStrategy");
var metricEventStaticThresholdMonitoringStrategy_1 = require("./metricEventStaticThresholdMonitoringStrategy");
var metricEventStaticThresholdMonitoringStrategyAllOf_1 = require("./metricEventStaticThresholdMonitoringStrategyAllOf");
var metricEventStringDimensions_1 = require("./metricEventStringDimensions");
var metricEventStringDimensionsAllOf_1 = require("./metricEventStringDimensionsAllOf");
var metricEventTextFilterMetricEventDimensionsFilterOperatorDto_1 = require("./metricEventTextFilterMetricEventDimensionsFilterOperatorDto");
var metricEventTextFilterMetricEventTextFilterOperatorDto_1 = require("./metricEventTextFilterMetricEventTextFilterOperatorDto");
var mobilePlatformComparison_1 = require("./mobilePlatformComparison");
var mobilePlatformComparisonAllOf_1 = require("./mobilePlatformComparisonAllOf");
var modelError_1 = require("./modelError");
var monitoredEntityFilter_1 = require("./monitoredEntityFilter");
var monitoringSettings_1 = require("./monitoringSettings");
var nameAlertingScope_1 = require("./nameAlertingScope");
var networkDroppedPacketsDetectionConfig_1 = require("./networkDroppedPacketsDetectionConfig");
var networkDroppedPacketsThresholds_1 = require("./networkDroppedPacketsThresholds");
var networkErrorsDetectionConfig_1 = require("./networkErrorsDetectionConfig");
var networkErrorsThresholds_1 = require("./networkErrorsThresholds");
var networkHighRetransmissionDetectionConfig_1 = require("./networkHighRetransmissionDetectionConfig");
var networkHighRetransmissionThresholds_1 = require("./networkHighRetransmissionThresholds");
var networkTcpProblemsDetectionConfig_1 = require("./networkTcpProblemsDetectionConfig");
var networkTcpProblemsThresholds_1 = require("./networkTcpProblemsThresholds");
var notificationConfig_1 = require("./notificationConfig");
var notificationConfigStub_1 = require("./notificationConfigStub");
var notificationConfigStubListDto_1 = require("./notificationConfigStubListDto");
var numberComparisonInfo_1 = require("./numberComparisonInfo");
var numberComparisonInfoAllOf_1 = require("./numberComparisonInfoAllOf");
var numberRequestAttributeComparisonInfo_1 = require("./numberRequestAttributeComparisonInfo");
var numberRequestAttributeComparisonInfoAllOf_1 = require("./numberRequestAttributeComparisonInfoAllOf");
var opaqueAndExternalWebRequestRule_1 = require("./opaqueAndExternalWebRequestRule");
var opsGenieNotificationConfig_1 = require("./opsGenieNotificationConfig");
var opsGenieNotificationConfigAllOf_1 = require("./opsGenieNotificationConfigAllOf");
var osArchitectureComparison_1 = require("./osArchitectureComparison");
var osArchitectureComparisonAllOf_1 = require("./osArchitectureComparisonAllOf");
var osTypeComparison_1 = require("./osTypeComparison");
var osTypeComparisonAllOf_1 = require("./osTypeComparisonAllOf");
var outOfMemoryDetectionConfig_1 = require("./outOfMemoryDetectionConfig");
var outOfMemoryThresholds_1 = require("./outOfMemoryThresholds");
var outOfThreadsDetectionConfig_1 = require("./outOfThreadsDetectionConfig");
var outOfThreadsThresholds_1 = require("./outOfThreadsThresholds");
var overloadedStorageDetectionConfig_1 = require("./overloadedStorageDetectionConfig");
var overloadedStorageThresholds_1 = require("./overloadedStorageThresholds");
var paasTypeComparison_1 = require("./paasTypeComparison");
var paasTypeComparisonAllOf_1 = require("./paasTypeComparisonAllOf");
var pagerDutyNotificationConfig_1 = require("./pagerDutyNotificationConfig");
var pagerDutyNotificationConfigAllOf_1 = require("./pagerDutyNotificationConfigAllOf");
var pathDefinition_1 = require("./pathDefinition");
var placeholder_1 = require("./placeholder");
var plugin_1 = require("./plugin");
var pluginProperty_1 = require("./pluginProperty");
var pluginState_1 = require("./pluginState");
var pluginStateList_1 = require("./pluginStateList");
var port_1 = require("./port");
var processGroupIdAlertingScope_1 = require("./processGroupIdAlertingScope");
var processGroupIdAlertingScopeAllOf_1 = require("./processGroupIdAlertingScopeAllOf");
var processGroupNameAlertingScope_1 = require("./processGroupNameAlertingScope");
var processMetadataConditionKey_1 = require("./processMetadataConditionKey");
var processMetadataConditionKeyAllOf_1 = require("./processMetadataConditionKeyAllOf");
var propagationSource_1 = require("./propagationSource");
var publicDomainName_1 = require("./publicDomainName");
var queueManager_1 = require("./queueManager");
var rdsHighCpuDetectionConfig_1 = require("./rdsHighCpuDetectionConfig");
var rdsHighCpuThresholds_1 = require("./rdsHighCpuThresholds");
var rdsHighLatencyThresholds_1 = require("./rdsHighLatencyThresholds");
var rdsHighMemoryDetectionConfig_1 = require("./rdsHighMemoryDetectionConfig");
var rdsHighMemoryThresholds_1 = require("./rdsHighMemoryThresholds");
var rdsHighWriteReadLatencyDetectionConfig_1 = require("./rdsHighWriteReadLatencyDetectionConfig");
var rdsLowStorageDetectionConfig_1 = require("./rdsLowStorageDetectionConfig");
var rdsLowStorageThresholds_1 = require("./rdsLowStorageThresholds");
var rdsRestartsSequenceDetectionConfig_1 = require("./rdsRestartsSequenceDetectionConfig");
var rdsRestartsThresholds_1 = require("./rdsRestartsThresholds");
var recurrence_1 = require("./recurrence");
var remoteEnvironmentConfigDto_1 = require("./remoteEnvironmentConfigDto");
var remoteEnvironmentConfigListDto_1 = require("./remoteEnvironmentConfigListDto");
var remoteEnvironmentConfigStub_1 = require("./remoteEnvironmentConfigStub");
var remotePluginEndpoint_1 = require("./remotePluginEndpoint");
var remoteQueue_1 = require("./remoteQueue");
var removeCreditCardNumbersTransformation_1 = require("./removeCreditCardNumbersTransformation");
var removeIBANsTransformation_1 = require("./removeIBANsTransformation");
var removeIPsTransformation_1 = require("./removeIPsTransformation");
var removeNumbersTransformation_1 = require("./removeNumbersTransformation");
var removeNumbersTransformationAllOf_1 = require("./removeNumbersTransformationAllOf");
var replaceBetweenTransformation_1 = require("./replaceBetweenTransformation");
var replaceBetweenTransformationAllOf_1 = require("./replaceBetweenTransformationAllOf");
var reportStubList_1 = require("./reportStubList");
var reportSubscriptions_1 = require("./reportSubscriptions");
var requestAttribute_1 = require("./requestAttribute");
var requestNaming_1 = require("./requestNaming");
var resourceNaming_1 = require("./resourceNaming");
var resourceTimingSettings_1 = require("./resourceTimingSettings");
var responseTimeDegradationAutodetectionConfig_1 = require("./responseTimeDegradationAutodetectionConfig");
var responseTimeDegradationDetectionConfig_1 = require("./responseTimeDegradationDetectionConfig");
var responseTimeDegradationThresholdConfig_1 = require("./responseTimeDegradationThresholdConfig");
var roleBasedAuthentication_1 = require("./roleBasedAuthentication");
var rumDimensionDefinition_1 = require("./rumDimensionDefinition");
var rumMetric_1 = require("./rumMetric");
var rumMetricDefinition_1 = require("./rumMetricDefinition");
var rumMetricUpdate_1 = require("./rumMetricUpdate");
var schedule_1 = require("./schedule");
var scope_1 = require("./scope");
var scopeConditions_1 = require("./scopeConditions");
var serverName_1 = require("./serverName");
var serviceAnomalyDetectionConfig_1 = require("./serviceAnomalyDetectionConfig");
var serviceNowNotificationConfig_1 = require("./serviceNowNotificationConfig");
var serviceNowNotificationConfigAllOf_1 = require("./serviceNowNotificationConfigAllOf");
var serviceTopologyComparison_1 = require("./serviceTopologyComparison");
var serviceTopologyComparisonAllOf_1 = require("./serviceTopologyComparisonAllOf");
var serviceTypeComparison_1 = require("./serviceTypeComparison");
var serviceTypeComparisonAllOf_1 = require("./serviceTypeComparisonAllOf");
var serviceTypeComparisonInfo_1 = require("./serviceTypeComparisonInfo");
var serviceTypeComparisonInfoAllOf_1 = require("./serviceTypeComparisonInfoAllOf");
var sessionReplaySetting_1 = require("./sessionReplaySetting");
var sessionReplaySettingWithDataPrivacy_1 = require("./sessionReplaySettingWithDataPrivacy");
var sharingInfo_1 = require("./sharingInfo");
var simpleHostTech_1 = require("./simpleHostTech");
var simpleHostTechComparison_1 = require("./simpleHostTechComparison");
var simpleHostTechComparisonAllOf_1 = require("./simpleHostTechComparisonAllOf");
var simpleTech_1 = require("./simpleTech");
var simpleTechComparison_1 = require("./simpleTechComparison");
var simpleTechComparisonAllOf_1 = require("./simpleTechComparisonAllOf");
var slackNotificationConfig_1 = require("./slackNotificationConfig");
var slackNotificationConfigAllOf_1 = require("./slackNotificationConfigAllOf");
var slowPhysicalStorageDetectionConfig_1 = require("./slowPhysicalStorageDetectionConfig");
var slowPhysicalStorageThresholds_1 = require("./slowPhysicalStorageThresholds");
var splitSelectTransformation_1 = require("./splitSelectTransformation");
var splitSelectTransformationAllOf_1 = require("./splitSelectTransformationAllOf");
var startsWithCompareOperation_1 = require("./startsWithCompareOperation");
var startsWithCompareOperationAllOf_1 = require("./startsWithCompareOperationAllOf");
var stringComparison_1 = require("./stringComparison");
var stringComparisonAllOf_1 = require("./stringComparisonAllOf");
var stringComparisonInfo_1 = require("./stringComparisonInfo");
var stringComparisonInfoAllOf_1 = require("./stringComparisonInfoAllOf");
var stringConditionKey_1 = require("./stringConditionKey");
var stringConditionKeyAllOf_1 = require("./stringConditionKeyAllOf");
var stringContainsCompareOperation_1 = require("./stringContainsCompareOperation");
var stringContainsCompareOperationAllOf_1 = require("./stringContainsCompareOperationAllOf");
var stringEqualsCompareOperation_1 = require("./stringEqualsCompareOperation");
var stringEqualsCompareOperationAllOf_1 = require("./stringEqualsCompareOperationAllOf");
var stringRequestAttributeComparisonInfo_1 = require("./stringRequestAttributeComparisonInfo");
var stringRequestAttributeComparisonInfoAllOf_1 = require("./stringRequestAttributeComparisonInfoAllOf");
var stubList_1 = require("./stubList");
var supportedVersion_1 = require("./supportedVersion");
var symbolFile_1 = require("./symbolFile");
var symbolFileClientLinkDto_1 = require("./symbolFileClientLinkDto");
var symbolFileList_1 = require("./symbolFileList");
var symbolFilePinning_1 = require("./symbolFilePinning");
var symbolFileStorageInfo_1 = require("./symbolFileStorageInfo");
var syntheticEngineTypeComparison_1 = require("./syntheticEngineTypeComparison");
var syntheticEngineTypeComparisonAllOf_1 = require("./syntheticEngineTypeComparisonAllOf");
var syntheticMetricDimension_1 = require("./syntheticMetricDimension");
var syntheticMetricFilter_1 = require("./syntheticMetricFilter");
var syntheticMetricUpdate_1 = require("./syntheticMetricUpdate");
var syntheticSingleWebcheckTile_1 = require("./syntheticSingleWebcheckTile");
var syntheticSingleWebcheckTileAllOf_1 = require("./syntheticSingleWebcheckTileAllOf");
var tagCompareOperation_1 = require("./tagCompareOperation");
var tagCompareOperationAllOf_1 = require("./tagCompareOperationAllOf");
var tagComparison_1 = require("./tagComparison");
var tagComparisonAllOf_1 = require("./tagComparisonAllOf");
var tagComparisonInfo_1 = require("./tagComparisonInfo");
var tagComparisonInfoAllOf_1 = require("./tagComparisonInfoAllOf");
var tagFilter_1 = require("./tagFilter");
var tagFilterAlertingScope_1 = require("./tagFilterAlertingScope");
var tagFilterAlertingScopeAllOf_1 = require("./tagFilterAlertingScopeAllOf");
var tagInfo_1 = require("./tagInfo");
var takeSegmentsTransformation_1 = require("./takeSegmentsTransformation");
var takeSegmentsTransformationAllOf_1 = require("./takeSegmentsTransformationAllOf");
var tile_1 = require("./tile");
var tileBounds_1 = require("./tileBounds");
var tileFilter_1 = require("./tileFilter");
var timeoutSettings_1 = require("./timeoutSettings");
var tokenCredentials_1 = require("./tokenCredentials");
var tokenCredentialsAllOf_1 = require("./tokenCredentialsAllOf");
var trafficDropDetectionConfig_1 = require("./trafficDropDetectionConfig");
var trafficSpikeDetectionConfig_1 = require("./trafficSpikeDetectionConfig");
var transformationBase_1 = require("./transformationBase");
var trelloNotificationConfig_1 = require("./trelloNotificationConfig");
var trelloNotificationConfigAllOf_1 = require("./trelloNotificationConfigAllOf");
var undersizedStorageDetectionConfig_1 = require("./undersizedStorageDetectionConfig");
var undersizedStorageThresholds_1 = require("./undersizedStorageThresholds");
var universalTag_1 = require("./universalTag");
var universalTagKey_1 = require("./universalTagKey");
var userActionAndSessionProperties_1 = require("./userActionAndSessionProperties");
var userActionDetails_1 = require("./userActionDetails");
var userActionFilter_1 = require("./userActionFilter");
var userActionNamingPlaceholder_1 = require("./userActionNamingPlaceholder");
var userActionNamingPlaceholderProcessingStep_1 = require("./userActionNamingPlaceholderProcessingStep");
var userActionNamingRule_1 = require("./userActionNamingRule");
var userActionNamingRuleCondition_1 = require("./userActionNamingRuleCondition");
var userActionNamingSettings_1 = require("./userActionNamingSettings");
var userActionPropertyFilter_1 = require("./userActionPropertyFilter");
var userPasswordCredentials_1 = require("./userPasswordCredentials");
var userPasswordCredentialsAllOf_1 = require("./userPasswordCredentialsAllOf");
var userSessionQueryTile_1 = require("./userSessionQueryTile");
var userSessionQueryTileAllOf_1 = require("./userSessionQueryTileAllOf");
var userSessionQueryTileConfiguration_1 = require("./userSessionQueryTileConfiguration");
var userTag_1 = require("./userTag");
var vMwareAnomalyDetectionConfig_1 = require("./vMwareAnomalyDetectionConfig");
var valueCondition_1 = require("./valueCondition");
var valueProcessing_1 = require("./valueProcessing");
var victorOpsNotificationConfig_1 = require("./victorOpsNotificationConfig");
var victorOpsNotificationConfigAllOf_1 = require("./victorOpsNotificationConfigAllOf");
var visitDurationDetails_1 = require("./visitDurationDetails");
var visitNumActionDetails_1 = require("./visitNumActionDetails");
var visuallyComplete2Settings_1 = require("./visuallyComplete2Settings");
var waterfallSettings_1 = require("./waterfallSettings");
var webApplicationConfig_1 = require("./webApplicationConfig");
var webApplicationConfigBrowserRestriction_1 = require("./webApplicationConfigBrowserRestriction");
var webApplicationConfigBrowserRestrictionSettings_1 = require("./webApplicationConfigBrowserRestrictionSettings");
var webApplicationConfigIpAddressRestrictionSettings_1 = require("./webApplicationConfigIpAddressRestrictionSettings");
var webHookNotificationConfig_1 = require("./webHookNotificationConfig");
var webHookNotificationConfigAllOf_1 = require("./webHookNotificationConfigAllOf");
var webServiceName_1 = require("./webServiceName");
var webServiceNameSpace_1 = require("./webServiceNameSpace");
var xMattersNotificationConfig_1 = require("./xMattersNotificationConfig");
var xMattersNotificationConfigAllOf_1 = require("./xMattersNotificationConfigAllOf");
var zosComparisonInfo_1 = require("./zosComparisonInfo");
var zosComparisonInfoAllOf_1 = require("./zosComparisonInfoAllOf");
var primitives = [
    "string",
    "boolean",
    "double",
    "integer",
    "long",
    "float",
    "number",
    "any"
];
var enumsMap = {
    "AlertingCustomTextFilter.OperatorEnum": alertingCustomTextFilter_1.AlertingCustomTextFilter.OperatorEnum,
    "AlertingPredefinedEventFilter.EventTypeEnum": alertingPredefinedEventFilter_1.AlertingPredefinedEventFilter.EventTypeEnum,
    "AlertingProfileSeverityRule.SeverityLevelEnum": alertingProfileSeverityRule_1.AlertingProfileSeverityRule.SeverityLevelEnum,
    "AlertingProfileTagFilter.IncludeModeEnum": alertingProfileTagFilter_1.AlertingProfileTagFilter.IncludeModeEnum,
    "AppIdentifier.OsEnum": appIdentifier_1.AppIdentifier.OsEnum,
    "ApplicationDataPrivacy.DoNotTrackBehaviourEnum": applicationDataPrivacy_1.ApplicationDataPrivacy.DoNotTrackBehaviourEnum,
    "ApplicationFilter.ApplicationMatchTypeEnum": applicationFilter_1.ApplicationFilter.ApplicationMatchTypeEnum,
    "ApplicationFilter.ApplicationMatchTargetEnum": applicationFilter_1.ApplicationFilter.ApplicationMatchTargetEnum,
    "ApplicationTypeComparison.OperatorEnum": applicationTypeComparison_1.ApplicationTypeComparison.OperatorEnum,
    "ApplicationTypeComparison.ValueEnum": applicationTypeComparison_1.ApplicationTypeComparison.ValueEnum,
    "ApplicationTypeComparisonAllOf.OperatorEnum": applicationTypeComparisonAllOf_1.ApplicationTypeComparisonAllOf.OperatorEnum,
    "ApplicationTypeComparisonAllOf.ValueEnum": applicationTypeComparisonAllOf_1.ApplicationTypeComparisonAllOf.ValueEnum,
    "AutoTagRule.TypeEnum": autoTagRule_1.AutoTagRule.TypeEnum,
    "AutoTagRule.PropagationTypesEnum": autoTagRule_1.AutoTagRule.PropagationTypesEnum,
    "AvailabilityMonitoringPG.MethodEnum": availabilityMonitoringPG_1.AvailabilityMonitoringPG.MethodEnum,
    "AwsAuthenticationData.TypeEnum": awsAuthenticationData_1.AwsAuthenticationData.TypeEnum,
    "AwsCredentialsConfig.ConnectionStatusEnum": awsCredentialsConfig_1.AwsCredentialsConfig.ConnectionStatusEnum,
    "AwsCredentialsConfig.PartitionTypeEnum": awsCredentialsConfig_1.AwsCredentialsConfig.PartitionTypeEnum,
    "AwsSupportingServiceMetric.StatisticEnum": awsSupportingServiceMetric_1.AwsSupportingServiceMetric.StatisticEnum,
    "AzureComputeModeComparison.OperatorEnum": azureComputeModeComparison_1.AzureComputeModeComparison.OperatorEnum,
    "AzureComputeModeComparison.ValueEnum": azureComputeModeComparison_1.AzureComputeModeComparison.ValueEnum,
    "AzureComputeModeComparisonAllOf.OperatorEnum": azureComputeModeComparisonAllOf_1.AzureComputeModeComparisonAllOf.OperatorEnum,
    "AzureComputeModeComparisonAllOf.ValueEnum": azureComputeModeComparisonAllOf_1.AzureComputeModeComparisonAllOf.ValueEnum,
    "AzureSkuComparision.OperatorEnum": azureSkuComparision_1.AzureSkuComparision.OperatorEnum,
    "AzureSkuComparision.ValueEnum": azureSkuComparision_1.AzureSkuComparision.ValueEnum,
    "AzureSkuComparisionAllOf.OperatorEnum": azureSkuComparisionAllOf_1.AzureSkuComparisionAllOf.OperatorEnum,
    "AzureSkuComparisionAllOf.ValueEnum": azureSkuComparisionAllOf_1.AzureSkuComparisionAllOf.ValueEnum,
    "BitnessComparision.OperatorEnum": bitnessComparision_1.BitnessComparision.OperatorEnum,
    "BitnessComparision.ValueEnum": bitnessComparision_1.BitnessComparision.ValueEnum,
    "BitnessComparisionAllOf.OperatorEnum": bitnessComparisionAllOf_1.BitnessComparisionAllOf.OperatorEnum,
    "BitnessComparisionAllOf.ValueEnum": bitnessComparisionAllOf_1.BitnessComparisionAllOf.ValueEnum,
    "BooleanComparisonInfo.ComparisonEnum": booleanComparisonInfo_1.BooleanComparisonInfo.ComparisonEnum,
    "BooleanComparisonInfoAllOf.ComparisonEnum": booleanComparisonInfoAllOf_1.BooleanComparisonInfoAllOf.ComparisonEnum,
    "CalculatedMetricDefinition.MetricEnum": calculatedMetricDefinition_1.CalculatedMetricDefinition.MetricEnum,
    "CalculatedMobileMetric.MetricTypeEnum": calculatedMobileMetric_1.CalculatedMobileMetric.MetricTypeEnum,
    "CalculatedMobileMetricDimension.DimensionEnum": calculatedMobileMetricDimension_1.CalculatedMobileMetricDimension.DimensionEnum,
    "CalculatedMobileMetricUserActionFilter.ApdexEnum": calculatedMobileMetricUserActionFilter_1.CalculatedMobileMetricUserActionFilter.ApdexEnum,
    "CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum": calculatedMobileMetricUserActionFilter_1.CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum,
    "CalculatedMobileMetricUserActionFilter.OrientationEnum": calculatedMobileMetricUserActionFilter_1.CalculatedMobileMetricUserActionFilter.OrientationEnum,
    "CalculatedMobileMetricUserActionFilter.ResolutionEnum": calculatedMobileMetricUserActionFilter_1.CalculatedMobileMetricUserActionFilter.ResolutionEnum,
    "CalculatedServiceMetric.UnitEnum": calculatedServiceMetric_1.CalculatedServiceMetric.UnitEnum,
    "CalculatedSyntheticMetric.MetricEnum": calculatedSyntheticMetric_1.CalculatedSyntheticMetric.MetricEnum,
    "CapturedMethod.CaptureEnum": capturedMethod_1.CapturedMethod.CaptureEnum,
    "CertificateCredentials.CertificateFormatEnum": certificateCredentials_1.CertificateCredentials.CertificateFormatEnum,
    "CertificateCredentialsAllOf.CertificateFormatEnum": certificateCredentialsAllOf_1.CertificateCredentialsAllOf.CertificateFormatEnum,
    "CloudFoundryCredentials.EndpointStatusEnum": cloudFoundryCredentials_1.CloudFoundryCredentials.EndpointStatusEnum,
    "CloudTypeComparison.OperatorEnum": cloudTypeComparison_1.CloudTypeComparison.OperatorEnum,
    "CloudTypeComparison.ValueEnum": cloudTypeComparison_1.CloudTypeComparison.ValueEnum,
    "CloudTypeComparisonAllOf.OperatorEnum": cloudTypeComparisonAllOf_1.CloudTypeComparisonAllOf.OperatorEnum,
    "CloudTypeComparisonAllOf.ValueEnum": cloudTypeComparisonAllOf_1.CloudTypeComparisonAllOf.ValueEnum,
    "ColumnDefinition.TypeEnum": columnDefinition_1.ColumnDefinition.TypeEnum,
    "CompareOperation.TypeEnum": compareOperation_1.CompareOperation.TypeEnum,
    "ComparisonBasic.TypeEnum": comparisonBasic_1.ComparisonBasic.TypeEnum,
    "ComparisonInfo.TypeEnum": comparisonInfo_1.ComparisonInfo.TypeEnum,
    "Condition.AttributeEnum": condition_1.Condition.AttributeEnum,
    "ConditionKey.AttributeEnum": conditionKey_1.ConditionKey.AttributeEnum,
    "ConditionKey.TypeEnum": conditionKey_1.ConditionKey.TypeEnum,
    "ConditionalNamingRule.TypeEnum": conditionalNamingRule_1.ConditionalNamingRule.TypeEnum,
    "ConditionsFullWebRequestAttributeTypeDto.AttributeTypeEnum": conditionsFullWebRequestAttributeTypeDto_1.ConditionsFullWebRequestAttributeTypeDto.AttributeTypeEnum,
    "ConditionsFullWebServiceAttributeTypeDto.AttributeTypeEnum": conditionsFullWebServiceAttributeTypeDto_1.ConditionsFullWebServiceAttributeTypeDto.AttributeTypeEnum,
    "ConditionsOpaqueAndExternalWebRequestAttributeTypeDto.AttributeTypeEnum": conditionsOpaqueAndExternalWebRequestAttributeTypeDto_1.ConditionsOpaqueAndExternalWebRequestAttributeTypeDto.AttributeTypeEnum,
    "ConstraintViolation.ParameterLocationEnum": constraintViolation_1.ConstraintViolation.ParameterLocationEnum,
    "ContextRootTransformation.TypeEnum": contextRootTransformation_1.ContextRootTransformation.TypeEnum,
    "ConversionGoal.TypeEnum": conversionGoal_1.ConversionGoal.TypeEnum,
    "Credentials.TypeEnum": credentials_1.Credentials.TypeEnum,
    "CredentialsResponseElement.TypeEnum": credentialsResponseElement_1.CredentialsResponseElement.TypeEnum,
    "CustomApplicationTypeComparison.OperatorEnum": customApplicationTypeComparison_1.CustomApplicationTypeComparison.OperatorEnum,
    "CustomApplicationTypeComparison.ValueEnum": customApplicationTypeComparison_1.CustomApplicationTypeComparison.ValueEnum,
    "CustomApplicationTypeComparisonAllOf.OperatorEnum": customApplicationTypeComparisonAllOf_1.CustomApplicationTypeComparisonAllOf.OperatorEnum,
    "CustomApplicationTypeComparisonAllOf.ValueEnum": customApplicationTypeComparisonAllOf_1.CustomApplicationTypeComparisonAllOf.ValueEnum,
    "CustomFilterChartConfig.TypeEnum": customFilterChartConfig_1.CustomFilterChartConfig.TypeEnum,
    "CustomFilterChartConfig.LeftAxisCustomUnitEnum": customFilterChartConfig_1.CustomFilterChartConfig.LeftAxisCustomUnitEnum,
    "CustomFilterChartConfig.RightAxisCustomUnitEnum": customFilterChartConfig_1.CustomFilterChartConfig.RightAxisCustomUnitEnum,
    "CustomFilterChartSeriesConfig.AggregationEnum": customFilterChartSeriesConfig_1.CustomFilterChartSeriesConfig.AggregationEnum,
    "CustomFilterChartSeriesConfig.TypeEnum": customFilterChartSeriesConfig_1.CustomFilterChartSeriesConfig.TypeEnum,
    "CustomFilterChartSeriesConfig.AggregationRateEnum": customFilterChartSeriesConfig_1.CustomFilterChartSeriesConfig.AggregationRateEnum,
    "CustomFilterConfig.TypeEnum": customFilterConfig_1.CustomFilterConfig.TypeEnum,
    "CustomHostMetadataKey.SourceEnum": customHostMetadataKey_1.CustomHostMetadataKey.SourceEnum,
    "CustomProcessMetadataKey.SourceEnum": customProcessMetadataKey_1.CustomProcessMetadataKey.SourceEnum,
    "CustomService.QueueEntryPointTypeEnum": customService_1.CustomService.QueueEntryPointTypeEnum,
    "DashboardReport.TypeEnum": dashboardReport_1.DashboardReport.TypeEnum,
    "DashboardReportStub.TypeEnum": dashboardReportStub_1.DashboardReportStub.TypeEnum,
    "DataSource.SourceEnum": dataSource_1.DataSource.SourceEnum,
    "DataSource.TechnologyEnum": dataSource_1.DataSource.TechnologyEnum,
    "DataSource.SessionAttributeTechnologyEnum": dataSource_1.DataSource.SessionAttributeTechnologyEnum,
    "DataSource.CapturingAndStorageLocationEnum": dataSource_1.DataSource.CapturingAndStorageLocationEnum,
    "DataSource.IibNodeTypeEnum": dataSource_1.DataSource.IibNodeTypeEnum,
    "DatabaseTopologyComparison.OperatorEnum": databaseTopologyComparison_1.DatabaseTopologyComparison.OperatorEnum,
    "DatabaseTopologyComparison.ValueEnum": databaseTopologyComparison_1.DatabaseTopologyComparison.ValueEnum,
    "DatabaseTopologyComparisonAllOf.OperatorEnum": databaseTopologyComparisonAllOf_1.DatabaseTopologyComparisonAllOf.OperatorEnum,
    "DatabaseTopologyComparisonAllOf.ValueEnum": databaseTopologyComparisonAllOf_1.DatabaseTopologyComparisonAllOf.ValueEnum,
    "DcrumDecoderComparison.OperatorEnum": dcrumDecoderComparison_1.DcrumDecoderComparison.OperatorEnum,
    "DcrumDecoderComparison.ValueEnum": dcrumDecoderComparison_1.DcrumDecoderComparison.ValueEnum,
    "DcrumDecoderComparisonAllOf.OperatorEnum": dcrumDecoderComparisonAllOf_1.DcrumDecoderComparisonAllOf.OperatorEnum,
    "DcrumDecoderComparisonAllOf.ValueEnum": dcrumDecoderComparisonAllOf_1.DcrumDecoderComparisonAllOf.ValueEnum,
    "DestinationDetails.MatchTypeEnum": destinationDetails_1.DestinationDetails.MatchTypeEnum,
    "DetectionRule.FileNameMatcherEnum": detectionRule_1.DetectionRule.FileNameMatcherEnum,
    "DetectionRule.MatcherEnum": detectionRule_1.DetectionRule.MatcherEnum,
    "DimensionDefinition.TopXDirectionEnum": dimensionDefinition_1.DimensionDefinition.TopXDirectionEnum,
    "DimensionDefinition.TopXAggregationEnum": dimensionDefinition_1.DimensionDefinition.TopXAggregationEnum,
    "DiskEventAnomalyDetectionConfig.MetricEnum": diskEventAnomalyDetectionConfig_1.DiskEventAnomalyDetectionConfig.MetricEnum,
    "DiskNameFilter.OperatorEnum": diskNameFilter_1.DiskNameFilter.OperatorEnum,
    "ESBInputNodeTypeComparisonInfo.ComparisonEnum": eSBInputNodeTypeComparisonInfo_1.ESBInputNodeTypeComparisonInfo.ComparisonEnum,
    "ESBInputNodeTypeComparisonInfo.ValueEnum": eSBInputNodeTypeComparisonInfo_1.ESBInputNodeTypeComparisonInfo.ValueEnum,
    "ESBInputNodeTypeComparisonInfoAllOf.ComparisonEnum": eSBInputNodeTypeComparisonInfoAllOf_1.ESBInputNodeTypeComparisonInfoAllOf.ComparisonEnum,
    "ESBInputNodeTypeComparisonInfoAllOf.ValueEnum": eSBInputNodeTypeComparisonInfoAllOf_1.ESBInputNodeTypeComparisonInfoAllOf.ValueEnum,
    "EntityIdComparison.OperatorEnum": entityIdComparison_1.EntityIdComparison.OperatorEnum,
    "EntityIdComparisonAllOf.OperatorEnum": entityIdComparisonAllOf_1.EntityIdComparisonAllOf.OperatorEnum,
    "Extension.TypeEnum": extension_1.Extension.TypeEnum,
    "ExtensionDto.TypeEnum": extensionDto_1.ExtensionDto.TypeEnum,
    "ExtensionState.StateEnum": extensionState_1.ExtensionState.StateEnum,
    "ExtractSubstring.PositionEnum": extractSubstring_1.ExtractSubstring.PositionEnum,
    "FailedStateComparisonInfo.ComparisonEnum": failedStateComparisonInfo_1.FailedStateComparisonInfo.ComparisonEnum,
    "FailedStateComparisonInfo.ValueEnum": failedStateComparisonInfo_1.FailedStateComparisonInfo.ValueEnum,
    "FailedStateComparisonInfoAllOf.ComparisonEnum": failedStateComparisonInfoAllOf_1.FailedStateComparisonInfoAllOf.ComparisonEnum,
    "FailedStateComparisonInfoAllOf.ValueEnum": failedStateComparisonInfoAllOf_1.FailedStateComparisonInfoAllOf.ValueEnum,
    "FailureRateIncreaseDetectionConfig.DetectionModeEnum": failureRateIncreaseDetectionConfig_1.FailureRateIncreaseDetectionConfig.DetectionModeEnum,
    "FailureRateIncreaseThresholdConfig.SensitivityEnum": failureRateIncreaseThresholdConfig_1.FailureRateIncreaseThresholdConfig.SensitivityEnum,
    "FailureReasonComparisonInfo.ComparisonEnum": failureReasonComparisonInfo_1.FailureReasonComparisonInfo.ComparisonEnum,
    "FailureReasonComparisonInfo.ValueEnum": failureReasonComparisonInfo_1.FailureReasonComparisonInfo.ValueEnum,
    "FailureReasonComparisonInfoAllOf.ComparisonEnum": failureReasonComparisonInfoAllOf_1.FailureReasonComparisonInfoAllOf.ComparisonEnum,
    "FailureReasonComparisonInfoAllOf.ValueEnum": failureReasonComparisonInfoAllOf_1.FailureReasonComparisonInfoAllOf.ValueEnum,
    "FastStringComparisonInfo.ComparisonEnum": fastStringComparisonInfo_1.FastStringComparisonInfo.ComparisonEnum,
    "FastStringComparisonInfoAllOf.ComparisonEnum": fastStringComparisonInfoAllOf_1.FastStringComparisonInfoAllOf.ComparisonEnum,
    "FlawStateComparisonInfo.ComparisonEnum": flawStateComparisonInfo_1.FlawStateComparisonInfo.ComparisonEnum,
    "FlawStateComparisonInfo.ValueEnum": flawStateComparisonInfo_1.FlawStateComparisonInfo.ValueEnum,
    "FlawStateComparisonInfoAllOf.ComparisonEnum": flawStateComparisonInfoAllOf_1.FlawStateComparisonInfoAllOf.ComparisonEnum,
    "FlawStateComparisonInfoAllOf.ValueEnum": flawStateComparisonInfoAllOf_1.FlawStateComparisonInfoAllOf.ValueEnum,
    "HttpMethodComparisonInfo.ComparisonEnum": httpMethodComparisonInfo_1.HttpMethodComparisonInfo.ComparisonEnum,
    "HttpMethodComparisonInfo.ValueEnum": httpMethodComparisonInfo_1.HttpMethodComparisonInfo.ValueEnum,
    "HttpMethodComparisonInfoAllOf.ComparisonEnum": httpMethodComparisonInfoAllOf_1.HttpMethodComparisonInfoAllOf.ComparisonEnum,
    "HttpMethodComparisonInfoAllOf.ValueEnum": httpMethodComparisonInfoAllOf_1.HttpMethodComparisonInfoAllOf.ValueEnum,
    "HttpStatusClassComparisonInfo.ComparisonEnum": httpStatusClassComparisonInfo_1.HttpStatusClassComparisonInfo.ComparisonEnum,
    "HttpStatusClassComparisonInfo.ValueEnum": httpStatusClassComparisonInfo_1.HttpStatusClassComparisonInfo.ValueEnum,
    "HttpStatusClassComparisonInfoAllOf.ComparisonEnum": httpStatusClassComparisonInfoAllOf_1.HttpStatusClassComparisonInfoAllOf.ComparisonEnum,
    "HttpStatusClassComparisonInfoAllOf.ValueEnum": httpStatusClassComparisonInfoAllOf_1.HttpStatusClassComparisonInfoAllOf.ValueEnum,
    "HypervisorTypeComparision.OperatorEnum": hypervisorTypeComparision_1.HypervisorTypeComparision.OperatorEnum,
    "HypervisorTypeComparision.ValueEnum": hypervisorTypeComparision_1.HypervisorTypeComparision.ValueEnum,
    "HypervisorTypeComparisionAllOf.OperatorEnum": hypervisorTypeComparisionAllOf_1.HypervisorTypeComparisionAllOf.OperatorEnum,
    "HypervisorTypeComparisionAllOf.ValueEnum": hypervisorTypeComparisionAllOf_1.HypervisorTypeComparisionAllOf.ValueEnum,
    "IIBInputNodeTypeComparisonInfo.ComparisonEnum": iIBInputNodeTypeComparisonInfo_1.IIBInputNodeTypeComparisonInfo.ComparisonEnum,
    "IIBInputNodeTypeComparisonInfo.ValueEnum": iIBInputNodeTypeComparisonInfo_1.IIBInputNodeTypeComparisonInfo.ValueEnum,
    "IndexedNameComparison.OperatorEnum": indexedNameComparison_1.IndexedNameComparison.OperatorEnum,
    "IndexedNameComparisonAllOf.OperatorEnum": indexedNameComparisonAllOf_1.IndexedNameComparisonAllOf.OperatorEnum,
    "IndexedStringComparison.OperatorEnum": indexedStringComparison_1.IndexedStringComparison.OperatorEnum,
    "IndexedStringComparisonAllOf.OperatorEnum": indexedStringComparisonAllOf_1.IndexedStringComparisonAllOf.OperatorEnum,
    "IndexedTagComparison.OperatorEnum": indexedTagComparison_1.IndexedTagComparison.OperatorEnum,
    "IndexedTagComparisonAllOf.OperatorEnum": indexedTagComparisonAllOf_1.IndexedTagComparisonAllOf.OperatorEnum,
    "IntegerComparison.OperatorEnum": integerComparison_1.IntegerComparison.OperatorEnum,
    "IntegerComparisonAllOf.OperatorEnum": integerComparisonAllOf_1.IntegerComparisonAllOf.OperatorEnum,
    "IpAddressComparison.OperatorEnum": ipAddressComparison_1.IpAddressComparison.OperatorEnum,
    "IpAddressComparisonAllOf.OperatorEnum": ipAddressComparisonAllOf_1.IpAddressComparisonAllOf.OperatorEnum,
    "JavaScriptInjectionRules.UrlOperatorEnum": javaScriptInjectionRules_1.JavaScriptInjectionRules.UrlOperatorEnum,
    "JavaScriptInjectionRules.RuleEnum": javaScriptInjectionRules_1.JavaScriptInjectionRules.RuleEnum,
    "KubernetesCredentials.EndpointStatusEnum": kubernetesCredentials_1.KubernetesCredentials.EndpointStatusEnum,
    "LogMetricConfig.UnitEnum": logMetricConfig_1.LogMetricConfig.UnitEnum,
    "LogMetricConfig.MetricValueTypeEnum": logMetricConfig_1.LogMetricConfig.MetricValueTypeEnum,
    "LogSourceFilter.OsTypesEnum": logSourceFilter_1.LogSourceFilter.OsTypesEnum,
    "MaintenanceWindow.TypeEnum": maintenanceWindow_1.MaintenanceWindow.TypeEnum,
    "MaintenanceWindow.SuppressionEnum": maintenanceWindow_1.MaintenanceWindow.SuppressionEnum,
    "ManagementZoneRule.TypeEnum": managementZoneRule_1.ManagementZoneRule.TypeEnum,
    "ManagementZoneRule.PropagationTypesEnum": managementZoneRule_1.ManagementZoneRule.PropagationTypesEnum,
    "MaskingRule.MaskingRuleTypeEnum": maskingRule_1.MaskingRule.MaskingRuleTypeEnum,
    "MaskingSettings.RecordingMaskingSettingsEnum": maskingSettings_1.MaskingSettings.RecordingMaskingSettingsEnum,
    "MetaDataCapturing.TypeEnum": metaDataCapturing_1.MetaDataCapturing.TypeEnum,
    "MethodReference.VisibilityEnum": methodReference_1.MethodReference.VisibilityEnum,
    "MethodReference.ModifiersEnum": methodReference_1.MethodReference.ModifiersEnum,
    "MethodReference.FileNameMatcherEnum": methodReference_1.MethodReference.FileNameMatcherEnum,
    "MetricEvent.AggregationTypeEnum": metricEvent_1.MetricEvent.AggregationTypeEnum,
    "MetricEvent.SeverityEnum": metricEvent_1.MetricEvent.SeverityEnum,
    "MetricEvent.DisabledReasonEnum": metricEvent_1.MetricEvent.DisabledReasonEnum,
    "MetricEventAlertingScope.FilterTypeEnum": metricEventAlertingScope_1.MetricEventAlertingScope.FilterTypeEnum,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum": metricEventAutoAdaptiveBaselineMonitoringStrategy_1.MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf.AlertConditionEnum": metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf_1.MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf.AlertConditionEnum,
    "MetricEventDimensions.FilterTypeEnum": metricEventDimensions_1.MetricEventDimensions.FilterTypeEnum,
    "MetricEventMonitoringStrategy.TypeEnum": metricEventMonitoringStrategy_1.MetricEventMonitoringStrategy.TypeEnum,
    "MetricEventStaticThresholdMonitoringStrategy.AlertConditionEnum": metricEventStaticThresholdMonitoringStrategy_1.MetricEventStaticThresholdMonitoringStrategy.AlertConditionEnum,
    "MetricEventStaticThresholdMonitoringStrategy.UnitEnum": metricEventStaticThresholdMonitoringStrategy_1.MetricEventStaticThresholdMonitoringStrategy.UnitEnum,
    "MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum": metricEventStaticThresholdMonitoringStrategyAllOf_1.MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum,
    "MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum": metricEventStaticThresholdMonitoringStrategyAllOf_1.MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum,
    "MetricEventTextFilterMetricEventDimensionsFilterOperatorDto.OperatorEnum": metricEventTextFilterMetricEventDimensionsFilterOperatorDto_1.MetricEventTextFilterMetricEventDimensionsFilterOperatorDto.OperatorEnum,
    "MetricEventTextFilterMetricEventTextFilterOperatorDto.OperatorEnum": metricEventTextFilterMetricEventTextFilterOperatorDto_1.MetricEventTextFilterMetricEventTextFilterOperatorDto.OperatorEnum,
    "MobilePlatformComparison.OperatorEnum": mobilePlatformComparison_1.MobilePlatformComparison.OperatorEnum,
    "MobilePlatformComparison.ValueEnum": mobilePlatformComparison_1.MobilePlatformComparison.ValueEnum,
    "MobilePlatformComparisonAllOf.OperatorEnum": mobilePlatformComparisonAllOf_1.MobilePlatformComparisonAllOf.OperatorEnum,
    "MobilePlatformComparisonAllOf.ValueEnum": mobilePlatformComparisonAllOf_1.MobilePlatformComparisonAllOf.ValueEnum,
    "MonitoredEntityFilter.TypeEnum": monitoredEntityFilter_1.MonitoredEntityFilter.TypeEnum,
    "MonitoredEntityFilter.TagCombinationEnum": monitoredEntityFilter_1.MonitoredEntityFilter.TagCombinationEnum,
    "MonitoringSettings.InjectionModeEnum": monitoringSettings_1.MonitoringSettings.InjectionModeEnum,
    "NotificationConfig.TypeEnum": notificationConfig_1.NotificationConfig.TypeEnum,
    "NotificationConfigStub.TypeEnum": notificationConfigStub_1.NotificationConfigStub.TypeEnum,
    "NumberComparisonInfo.ComparisonEnum": numberComparisonInfo_1.NumberComparisonInfo.ComparisonEnum,
    "NumberComparisonInfoAllOf.ComparisonEnum": numberComparisonInfoAllOf_1.NumberComparisonInfoAllOf.ComparisonEnum,
    "NumberRequestAttributeComparisonInfo.ComparisonEnum": numberRequestAttributeComparisonInfo_1.NumberRequestAttributeComparisonInfo.ComparisonEnum,
    "NumberRequestAttributeComparisonInfoAllOf.ComparisonEnum": numberRequestAttributeComparisonInfoAllOf_1.NumberRequestAttributeComparisonInfoAllOf.ComparisonEnum,
    "OsArchitectureComparison.OperatorEnum": osArchitectureComparison_1.OsArchitectureComparison.OperatorEnum,
    "OsArchitectureComparison.ValueEnum": osArchitectureComparison_1.OsArchitectureComparison.ValueEnum,
    "OsArchitectureComparisonAllOf.OperatorEnum": osArchitectureComparisonAllOf_1.OsArchitectureComparisonAllOf.OperatorEnum,
    "OsArchitectureComparisonAllOf.ValueEnum": osArchitectureComparisonAllOf_1.OsArchitectureComparisonAllOf.ValueEnum,
    "OsTypeComparison.OperatorEnum": osTypeComparison_1.OsTypeComparison.OperatorEnum,
    "OsTypeComparison.ValueEnum": osTypeComparison_1.OsTypeComparison.ValueEnum,
    "OsTypeComparisonAllOf.OperatorEnum": osTypeComparisonAllOf_1.OsTypeComparisonAllOf.OperatorEnum,
    "OsTypeComparisonAllOf.ValueEnum": osTypeComparisonAllOf_1.OsTypeComparisonAllOf.ValueEnum,
    "PaasTypeComparison.OperatorEnum": paasTypeComparison_1.PaasTypeComparison.OperatorEnum,
    "PaasTypeComparison.ValueEnum": paasTypeComparison_1.PaasTypeComparison.ValueEnum,
    "PaasTypeComparisonAllOf.OperatorEnum": paasTypeComparisonAllOf_1.PaasTypeComparisonAllOf.OperatorEnum,
    "PaasTypeComparisonAllOf.ValueEnum": paasTypeComparisonAllOf_1.PaasTypeComparisonAllOf.ValueEnum,
    "PathDefinition.TypeEnum": pathDefinition_1.PathDefinition.TypeEnum,
    "Placeholder.AttributeEnum": placeholder_1.Placeholder.AttributeEnum,
    "Placeholder.KindEnum": placeholder_1.Placeholder.KindEnum,
    "Placeholder.NormalizationEnum": placeholder_1.Placeholder.NormalizationEnum,
    "Placeholder.AggregationEnum": placeholder_1.Placeholder.AggregationEnum,
    "Plugin.TypeEnum": plugin_1.Plugin.TypeEnum,
    "PluginState.StateEnum": pluginState_1.PluginState.StateEnum,
    "ProcessMetadataConditionKey.DynamicKeyEnum": processMetadataConditionKey_1.ProcessMetadataConditionKey.DynamicKeyEnum,
    "ProcessMetadataConditionKeyAllOf.DynamicKeyEnum": processMetadataConditionKeyAllOf_1.ProcessMetadataConditionKeyAllOf.DynamicKeyEnum,
    "Recurrence.DayOfWeekEnum": recurrence_1.Recurrence.DayOfWeekEnum,
    "RemoteEnvironmentConfigDto.NetworkScopeEnum": remoteEnvironmentConfigDto_1.RemoteEnvironmentConfigDto.NetworkScopeEnum,
    "RemoteEnvironmentConfigStub.NetworkScopeEnum": remoteEnvironmentConfigStub_1.RemoteEnvironmentConfigStub.NetworkScopeEnum,
    "ReportSubscriptions.ScheduleEnum": reportSubscriptions_1.ReportSubscriptions.ScheduleEnum,
    "RequestAttribute.DataTypeEnum": requestAttribute_1.RequestAttribute.DataTypeEnum,
    "RequestAttribute.NormalizationEnum": requestAttribute_1.RequestAttribute.NormalizationEnum,
    "RequestAttribute.AggregationEnum": requestAttribute_1.RequestAttribute.AggregationEnum,
    "ResourceTimingSettings.ResourceTimingCaptureTypeEnum": resourceTimingSettings_1.ResourceTimingSettings.ResourceTimingCaptureTypeEnum,
    "ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum": responseTimeDegradationAutodetectionConfig_1.ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum,
    "ResponseTimeDegradationDetectionConfig.DetectionModeEnum": responseTimeDegradationDetectionConfig_1.ResponseTimeDegradationDetectionConfig.DetectionModeEnum,
    "ResponseTimeDegradationThresholdConfig.LoadThresholdEnum": responseTimeDegradationThresholdConfig_1.ResponseTimeDegradationThresholdConfig.LoadThresholdEnum,
    "ResponseTimeDegradationThresholdConfig.SensitivityEnum": responseTimeDegradationThresholdConfig_1.ResponseTimeDegradationThresholdConfig.SensitivityEnum,
    "RumDimensionDefinition.DimensionEnum": rumDimensionDefinition_1.RumDimensionDefinition.DimensionEnum,
    "RumMetricDefinition.MetricEnum": rumMetricDefinition_1.RumMetricDefinition.MetricEnum,
    "Schedule.RecurrenceTypeEnum": schedule_1.Schedule.RecurrenceTypeEnum,
    "ScopeConditions.ServiceTechnologyEnum": scopeConditions_1.ScopeConditions.ServiceTechnologyEnum,
    "ServiceTopologyComparison.OperatorEnum": serviceTopologyComparison_1.ServiceTopologyComparison.OperatorEnum,
    "ServiceTopologyComparison.ValueEnum": serviceTopologyComparison_1.ServiceTopologyComparison.ValueEnum,
    "ServiceTopologyComparisonAllOf.OperatorEnum": serviceTopologyComparisonAllOf_1.ServiceTopologyComparisonAllOf.OperatorEnum,
    "ServiceTopologyComparisonAllOf.ValueEnum": serviceTopologyComparisonAllOf_1.ServiceTopologyComparisonAllOf.ValueEnum,
    "ServiceTypeComparison.OperatorEnum": serviceTypeComparison_1.ServiceTypeComparison.OperatorEnum,
    "ServiceTypeComparison.ValueEnum": serviceTypeComparison_1.ServiceTypeComparison.ValueEnum,
    "ServiceTypeComparisonAllOf.OperatorEnum": serviceTypeComparisonAllOf_1.ServiceTypeComparisonAllOf.OperatorEnum,
    "ServiceTypeComparisonAllOf.ValueEnum": serviceTypeComparisonAllOf_1.ServiceTypeComparisonAllOf.ValueEnum,
    "ServiceTypeComparisonInfo.ComparisonEnum": serviceTypeComparisonInfo_1.ServiceTypeComparisonInfo.ComparisonEnum,
    "ServiceTypeComparisonInfo.ValueEnum": serviceTypeComparisonInfo_1.ServiceTypeComparisonInfo.ValueEnum,
    "ServiceTypeComparisonInfoAllOf.ComparisonEnum": serviceTypeComparisonInfoAllOf_1.ServiceTypeComparisonInfoAllOf.ComparisonEnum,
    "ServiceTypeComparisonInfoAllOf.ValueEnum": serviceTypeComparisonInfoAllOf_1.ServiceTypeComparisonInfoAllOf.ValueEnum,
    "SimpleHostTech.TypeEnum": simpleHostTech_1.SimpleHostTech.TypeEnum,
    "SimpleHostTechComparison.OperatorEnum": simpleHostTechComparison_1.SimpleHostTechComparison.OperatorEnum,
    "SimpleHostTechComparisonAllOf.OperatorEnum": simpleHostTechComparisonAllOf_1.SimpleHostTechComparisonAllOf.OperatorEnum,
    "SimpleTech.TypeEnum": simpleTech_1.SimpleTech.TypeEnum,
    "SimpleTechComparison.OperatorEnum": simpleTechComparison_1.SimpleTechComparison.OperatorEnum,
    "SimpleTechComparisonAllOf.OperatorEnum": simpleTechComparisonAllOf_1.SimpleTechComparisonAllOf.OperatorEnum,
    "StringComparison.OperatorEnum": stringComparison_1.StringComparison.OperatorEnum,
    "StringComparisonAllOf.OperatorEnum": stringComparisonAllOf_1.StringComparisonAllOf.OperatorEnum,
    "StringComparisonInfo.ComparisonEnum": stringComparisonInfo_1.StringComparisonInfo.ComparisonEnum,
    "StringComparisonInfoAllOf.ComparisonEnum": stringComparisonInfoAllOf_1.StringComparisonInfoAllOf.ComparisonEnum,
    "StringRequestAttributeComparisonInfo.ComparisonEnum": stringRequestAttributeComparisonInfo_1.StringRequestAttributeComparisonInfo.ComparisonEnum,
    "StringRequestAttributeComparisonInfoAllOf.ComparisonEnum": stringRequestAttributeComparisonInfoAllOf_1.StringRequestAttributeComparisonInfoAllOf.ComparisonEnum,
    "SyntheticEngineTypeComparison.OperatorEnum": syntheticEngineTypeComparison_1.SyntheticEngineTypeComparison.OperatorEnum,
    "SyntheticEngineTypeComparison.ValueEnum": syntheticEngineTypeComparison_1.SyntheticEngineTypeComparison.ValueEnum,
    "SyntheticEngineTypeComparisonAllOf.OperatorEnum": syntheticEngineTypeComparisonAllOf_1.SyntheticEngineTypeComparisonAllOf.OperatorEnum,
    "SyntheticEngineTypeComparisonAllOf.ValueEnum": syntheticEngineTypeComparisonAllOf_1.SyntheticEngineTypeComparisonAllOf.ValueEnum,
    "SyntheticMetricDimension.DimensionEnum": syntheticMetricDimension_1.SyntheticMetricDimension.DimensionEnum,
    "SyntheticMetricFilter.ActionTypeEnum": syntheticMetricFilter_1.SyntheticMetricFilter.ActionTypeEnum,
    "TagComparison.OperatorEnum": tagComparison_1.TagComparison.OperatorEnum,
    "TagComparisonAllOf.OperatorEnum": tagComparisonAllOf_1.TagComparisonAllOf.OperatorEnum,
    "TagComparisonInfo.ComparisonEnum": tagComparisonInfo_1.TagComparisonInfo.ComparisonEnum,
    "TagComparisonInfoAllOf.ComparisonEnum": tagComparisonInfoAllOf_1.TagComparisonInfoAllOf.ComparisonEnum,
    "TagFilter.ContextEnum": tagFilter_1.TagFilter.ContextEnum,
    "TagInfo.ContextEnum": tagInfo_1.TagInfo.ContextEnum,
    "Tile.TileTypeEnum": tile_1.Tile.TileTypeEnum,
    "TransformationBase.TypeEnum": transformationBase_1.TransformationBase.TypeEnum,
    "UniversalTag.ContextEnum": universalTag_1.UniversalTag.ContextEnum,
    "UniversalTagKey.ContextEnum": universalTagKey_1.UniversalTagKey.ContextEnum,
    "UserActionAndSessionProperties.TypeEnum": userActionAndSessionProperties_1.UserActionAndSessionProperties.TypeEnum,
    "UserActionAndSessionProperties.OriginEnum": userActionAndSessionProperties_1.UserActionAndSessionProperties.OriginEnum,
    "UserActionAndSessionProperties.AggregationEnum": userActionAndSessionProperties_1.UserActionAndSessionProperties.AggregationEnum,
    "UserActionDetails.MatchTypeEnum": userActionDetails_1.UserActionDetails.MatchTypeEnum,
    "UserActionDetails.MatchEntityEnum": userActionDetails_1.UserActionDetails.MatchEntityEnum,
    "UserActionDetails.ActionTypeEnum": userActionDetails_1.UserActionDetails.ActionTypeEnum,
    "UserActionFilter.ApdexEnum": userActionFilter_1.UserActionFilter.ApdexEnum,
    "UserActionNamingPlaceholder.InputEnum": userActionNamingPlaceholder_1.UserActionNamingPlaceholder.InputEnum,
    "UserActionNamingPlaceholder.ProcessingPartEnum": userActionNamingPlaceholder_1.UserActionNamingPlaceholder.ProcessingPartEnum,
    "UserActionNamingPlaceholderProcessingStep.TypeEnum": userActionNamingPlaceholderProcessingStep_1.UserActionNamingPlaceholderProcessingStep.TypeEnum,
    "UserActionNamingPlaceholderProcessingStep.PatternBeforeSearchTypeEnum": userActionNamingPlaceholderProcessingStep_1.UserActionNamingPlaceholderProcessingStep.PatternBeforeSearchTypeEnum,
    "UserActionNamingPlaceholderProcessingStep.PatternAfterSearchTypeEnum": userActionNamingPlaceholderProcessingStep_1.UserActionNamingPlaceholderProcessingStep.PatternAfterSearchTypeEnum,
    "UserActionNamingRuleCondition.OperatorEnum": userActionNamingRuleCondition_1.UserActionNamingRuleCondition.OperatorEnum,
    "UserSessionQueryTile.TypeEnum": userSessionQueryTile_1.UserSessionQueryTile.TypeEnum,
    "UserSessionQueryTileAllOf.TypeEnum": userSessionQueryTileAllOf_1.UserSessionQueryTileAllOf.TypeEnum,
    "ValueCondition.OperatorEnum": valueCondition_1.ValueCondition.OperatorEnum,
    "WebApplicationConfig.TypeEnum": webApplicationConfig_1.WebApplicationConfig.TypeEnum,
    "WebApplicationConfig.LoadActionKeyPerformanceMetricEnum": webApplicationConfig_1.WebApplicationConfig.LoadActionKeyPerformanceMetricEnum,
    "WebApplicationConfig.XhrActionKeyPerformanceMetricEnum": webApplicationConfig_1.WebApplicationConfig.XhrActionKeyPerformanceMetricEnum,
    "WebApplicationConfigBrowserRestriction.BrowserTypeEnum": webApplicationConfigBrowserRestriction_1.WebApplicationConfigBrowserRestriction.BrowserTypeEnum,
    "WebApplicationConfigBrowserRestriction.PlatformEnum": webApplicationConfigBrowserRestriction_1.WebApplicationConfigBrowserRestriction.PlatformEnum,
    "WebApplicationConfigBrowserRestriction.ComparatorEnum": webApplicationConfigBrowserRestriction_1.WebApplicationConfigBrowserRestriction.ComparatorEnum,
    "WebApplicationConfigBrowserRestrictionSettings.ModeEnum": webApplicationConfigBrowserRestrictionSettings_1.WebApplicationConfigBrowserRestrictionSettings.ModeEnum,
    "WebApplicationConfigIpAddressRestrictionSettings.ModeEnum": webApplicationConfigIpAddressRestrictionSettings_1.WebApplicationConfigIpAddressRestrictionSettings.ModeEnum,
    "ZosComparisonInfo.ComparisonEnum": zosComparisonInfo_1.ZosComparisonInfo.ComparisonEnum,
    "ZosComparisonInfo.ValueEnum": zosComparisonInfo_1.ZosComparisonInfo.ValueEnum,
    "ZosComparisonInfoAllOf.ComparisonEnum": zosComparisonInfoAllOf_1.ZosComparisonInfoAllOf.ComparisonEnum,
    "ZosComparisonInfoAllOf.ValueEnum": zosComparisonInfoAllOf_1.ZosComparisonInfoAllOf.ValueEnum,
};
var typeMap = {
    "AdditionalEventHandlers": additionalEventHandlers_1.AdditionalEventHandlers,
    "AdvancedJavaScriptTagSettings": advancedJavaScriptTagSettings_1.AdvancedJavaScriptTagSettings,
    "AfterTransformation": afterTransformation_1.AfterTransformation,
    "AfterTransformationAllOf": afterTransformationAllOf_1.AfterTransformationAllOf,
    "AlertingCustomEventFilter": alertingCustomEventFilter_1.AlertingCustomEventFilter,
    "AlertingCustomTextFilter": alertingCustomTextFilter_1.AlertingCustomTextFilter,
    "AlertingEventTypeFilter": alertingEventTypeFilter_1.AlertingEventTypeFilter,
    "AlertingPredefinedEventFilter": alertingPredefinedEventFilter_1.AlertingPredefinedEventFilter,
    "AlertingProfile": alertingProfile_1.AlertingProfile,
    "AlertingProfileSeverityRule": alertingProfileSeverityRule_1.AlertingProfileSeverityRule,
    "AlertingProfileTagFilter": alertingProfileTagFilter_1.AlertingProfileTagFilter,
    "AliasQueue": aliasQueue_1.AliasQueue,
    "AnomalyDetectionPG": anomalyDetectionPG_1.AnomalyDetectionPG,
    "AnsibleTowerNotificationConfig": ansibleTowerNotificationConfig_1.AnsibleTowerNotificationConfig,
    "AnsibleTowerNotificationConfigAllOf": ansibleTowerNotificationConfigAllOf_1.AnsibleTowerNotificationConfigAllOf,
    "Apdex": apdex_1.Apdex,
    "AppIdentifier": appIdentifier_1.AppIdentifier,
    "ApplicationAnomalyDetectionConfig": applicationAnomalyDetectionConfig_1.ApplicationAnomalyDetectionConfig,
    "ApplicationDataPrivacy": applicationDataPrivacy_1.ApplicationDataPrivacy,
    "ApplicationDataPrivacyList": applicationDataPrivacyList_1.ApplicationDataPrivacyList,
    "ApplicationDetectionRuleConfig": applicationDetectionRuleConfig_1.ApplicationDetectionRuleConfig,
    "ApplicationFilter": applicationFilter_1.ApplicationFilter,
    "ApplicationId": applicationId_1.ApplicationId,
    "ApplicationTypeComparison": applicationTypeComparison_1.ApplicationTypeComparison,
    "ApplicationTypeComparisonAllOf": applicationTypeComparisonAllOf_1.ApplicationTypeComparisonAllOf,
    "AssignedEntitiesTile": assignedEntitiesTile_1.AssignedEntitiesTile,
    "AssignedEntitiesTileAllOf": assignedEntitiesTileAllOf_1.AssignedEntitiesTileAllOf,
    "AssignedEntitiesWithMetricTile": assignedEntitiesWithMetricTile_1.AssignedEntitiesWithMetricTile,
    "AssignedEntitiesWithMetricTileAllOf": assignedEntitiesWithMetricTileAllOf_1.AssignedEntitiesWithMetricTileAllOf,
    "AutoTag": autoTag_1.AutoTag,
    "AutoTagRule": autoTagRule_1.AutoTagRule,
    "AvailabilityMonitoringPG": availabilityMonitoringPG_1.AvailabilityMonitoringPG,
    "AwsAnomalyDetectionConfig": awsAnomalyDetectionConfig_1.AwsAnomalyDetectionConfig,
    "AwsAuthenticationData": awsAuthenticationData_1.AwsAuthenticationData,
    "AwsConfigTag": awsConfigTag_1.AwsConfigTag,
    "AwsCredentialsConfig": awsCredentialsConfig_1.AwsCredentialsConfig,
    "AwsIamToken": awsIamToken_1.AwsIamToken,
    "AwsSupportingServiceConfig": awsSupportingServiceConfig_1.AwsSupportingServiceConfig,
    "AwsSupportingServiceMetric": awsSupportingServiceMetric_1.AwsSupportingServiceMetric,
    "AzureComputeModeComparison": azureComputeModeComparison_1.AzureComputeModeComparison,
    "AzureComputeModeComparisonAllOf": azureComputeModeComparisonAllOf_1.AzureComputeModeComparisonAllOf,
    "AzureCredentials": azureCredentials_1.AzureCredentials,
    "AzureMonitoredMetric": azureMonitoredMetric_1.AzureMonitoredMetric,
    "AzureSkuComparision": azureSkuComparision_1.AzureSkuComparision,
    "AzureSkuComparisionAllOf": azureSkuComparisionAllOf_1.AzureSkuComparisionAllOf,
    "AzureSupportingService": azureSupportingService_1.AzureSupportingService,
    "BeforeTransformation": beforeTransformation_1.BeforeTransformation,
    "BeforeTransformationAllOf": beforeTransformationAllOf_1.BeforeTransformationAllOf,
    "BetweenTransformation": betweenTransformation_1.BetweenTransformation,
    "BetweenTransformationAllOf": betweenTransformationAllOf_1.BetweenTransformationAllOf,
    "BitnessComparision": bitnessComparision_1.BitnessComparision,
    "BitnessComparisionAllOf": bitnessComparisionAllOf_1.BitnessComparisionAllOf,
    "BooleanComparisonInfo": booleanComparisonInfo_1.BooleanComparisonInfo,
    "BooleanComparisonInfoAllOf": booleanComparisonInfoAllOf_1.BooleanComparisonInfoAllOf,
    "CalculatedMetricDefinition": calculatedMetricDefinition_1.CalculatedMetricDefinition,
    "CalculatedMobileMetric": calculatedMobileMetric_1.CalculatedMobileMetric,
    "CalculatedMobileMetricDimension": calculatedMobileMetricDimension_1.CalculatedMobileMetricDimension,
    "CalculatedMobileMetricUpdate": calculatedMobileMetricUpdate_1.CalculatedMobileMetricUpdate,
    "CalculatedMobileMetricUserActionFilter": calculatedMobileMetricUserActionFilter_1.CalculatedMobileMetricUserActionFilter,
    "CalculatedServiceMetric": calculatedServiceMetric_1.CalculatedServiceMetric,
    "CalculatedSyntheticMetric": calculatedSyntheticMetric_1.CalculatedSyntheticMetric,
    "CapturedMethod": capturedMethod_1.CapturedMethod,
    "CertificateCredentials": certificateCredentials_1.CertificateCredentials,
    "CertificateCredentialsAllOf": certificateCredentialsAllOf_1.CertificateCredentialsAllOf,
    "CloudFoundryCredentials": cloudFoundryCredentials_1.CloudFoundryCredentials,
    "CloudTag": cloudTag_1.CloudTag,
    "CloudTypeComparison": cloudTypeComparison_1.CloudTypeComparison,
    "CloudTypeComparisonAllOf": cloudTypeComparisonAllOf_1.CloudTypeComparisonAllOf,
    "ClusterQueue": clusterQueue_1.ClusterQueue,
    "ColumnDefinition": columnDefinition_1.ColumnDefinition,
    "CompareOperation": compareOperation_1.CompareOperation,
    "ComparisonBasic": comparisonBasic_1.ComparisonBasic,
    "ComparisonInfo": comparisonInfo_1.ComparisonInfo,
    "Condition": condition_1.Condition,
    "ConditionKey": conditionKey_1.ConditionKey,
    "ConditionalNamingRule": conditionalNamingRule_1.ConditionalNamingRule,
    "ConditionsFullWebRequestAttributeTypeDto": conditionsFullWebRequestAttributeTypeDto_1.ConditionsFullWebRequestAttributeTypeDto,
    "ConditionsFullWebServiceAttributeTypeDto": conditionsFullWebServiceAttributeTypeDto_1.ConditionsFullWebServiceAttributeTypeDto,
    "ConditionsOpaqueAndExternalWebRequestAttributeTypeDto": conditionsOpaqueAndExternalWebRequestAttributeTypeDto_1.ConditionsOpaqueAndExternalWebRequestAttributeTypeDto,
    "ConfigurationMetadata": configurationMetadata_1.ConfigurationMetadata,
    "ConfigurationMetadataDtoImpl": configurationMetadataDtoImpl_1.ConfigurationMetadataDtoImpl,
    "ConnectionLostDetectionConfig": connectionLostDetectionConfig_1.ConnectionLostDetectionConfig,
    "ConstraintViolation": constraintViolation_1.ConstraintViolation,
    "ContentCapture": contentCapture_1.ContentCapture,
    "ContextRoot": contextRoot_1.ContextRoot,
    "ContextRootTransformation": contextRootTransformation_1.ContextRootTransformation,
    "ConversionGoal": conversionGoal_1.ConversionGoal,
    "Credentials": credentials_1.Credentials,
    "CredentialsList": credentialsList_1.CredentialsList,
    "CredentialsResponseElement": credentialsResponseElement_1.CredentialsResponseElement,
    "CustomApplicationTypeComparison": customApplicationTypeComparison_1.CustomApplicationTypeComparison,
    "CustomApplicationTypeComparisonAllOf": customApplicationTypeComparisonAllOf_1.CustomApplicationTypeComparisonAllOf,
    "CustomChartingItemMetadataConfig": customChartingItemMetadataConfig_1.CustomChartingItemMetadataConfig,
    "CustomChartingTile": customChartingTile_1.CustomChartingTile,
    "CustomChartingTileAllOf": customChartingTileAllOf_1.CustomChartingTileAllOf,
    "CustomColumnDefinition": customColumnDefinition_1.CustomColumnDefinition,
    "CustomColumnDefinitionAllOf": customColumnDefinitionAllOf_1.CustomColumnDefinitionAllOf,
    "CustomDeviceGroupNameAlertingScope": customDeviceGroupNameAlertingScope_1.CustomDeviceGroupNameAlertingScope,
    "CustomDeviceGroupNameAlertingScopeAllOf": customDeviceGroupNameAlertingScopeAllOf_1.CustomDeviceGroupNameAlertingScopeAllOf,
    "CustomFilterChartConfig": customFilterChartConfig_1.CustomFilterChartConfig,
    "CustomFilterChartSeriesConfig": customFilterChartSeriesConfig_1.CustomFilterChartSeriesConfig,
    "CustomFilterChartSeriesDimensionConfig": customFilterChartSeriesDimensionConfig_1.CustomFilterChartSeriesDimensionConfig,
    "CustomFilterConfig": customFilterConfig_1.CustomFilterConfig,
    "CustomHostMetadataConditionKey": customHostMetadataConditionKey_1.CustomHostMetadataConditionKey,
    "CustomHostMetadataConditionKeyAllOf": customHostMetadataConditionKeyAllOf_1.CustomHostMetadataConditionKeyAllOf,
    "CustomHostMetadataKey": customHostMetadataKey_1.CustomHostMetadataKey,
    "CustomProcessMetadataConditionKey": customProcessMetadataConditionKey_1.CustomProcessMetadataConditionKey,
    "CustomProcessMetadataConditionKeyAllOf": customProcessMetadataConditionKeyAllOf_1.CustomProcessMetadataConditionKeyAllOf,
    "CustomProcessMetadataKey": customProcessMetadataKey_1.CustomProcessMetadataKey,
    "CustomService": customService_1.CustomService,
    "Dashboard": dashboard_1.Dashboard,
    "DashboardFilter": dashboardFilter_1.DashboardFilter,
    "DashboardList": dashboardList_1.DashboardList,
    "DashboardMetadata": dashboardMetadata_1.DashboardMetadata,
    "DashboardReport": dashboardReport_1.DashboardReport,
    "DashboardReportStub": dashboardReportStub_1.DashboardReportStub,
    "DashboardReportSubscription": dashboardReportSubscription_1.DashboardReportSubscription,
    "DashboardStub": dashboardStub_1.DashboardStub,
    "DataPrivacyAndSecurity": dataPrivacyAndSecurity_1.DataPrivacyAndSecurity,
    "DataSource": dataSource_1.DataSource,
    "DatabaseAnomalyDetectionConfig": databaseAnomalyDetectionConfig_1.DatabaseAnomalyDetectionConfig,
    "DatabaseConnectionFailureDetectionConfig": databaseConnectionFailureDetectionConfig_1.DatabaseConnectionFailureDetectionConfig,
    "DatabaseTopologyComparison": databaseTopologyComparison_1.DatabaseTopologyComparison,
    "DatabaseTopologyComparisonAllOf": databaseTopologyComparisonAllOf_1.DatabaseTopologyComparisonAllOf,
    "DcrumDecoderComparison": dcrumDecoderComparison_1.DcrumDecoderComparison,
    "DcrumDecoderComparisonAllOf": dcrumDecoderComparisonAllOf_1.DcrumDecoderComparisonAllOf,
    "DestinationDetails": destinationDetails_1.DestinationDetails,
    "DetectionRule": detectionRule_1.DetectionRule,
    "DimensionDefinition": dimensionDefinition_1.DimensionDefinition,
    "DiskEventAnomalyDetectionConfig": diskEventAnomalyDetectionConfig_1.DiskEventAnomalyDetectionConfig,
    "DiskLowInodesDetectionConfig": diskLowInodesDetectionConfig_1.DiskLowInodesDetectionConfig,
    "DiskLowInodesThresholds": diskLowInodesThresholds_1.DiskLowInodesThresholds,
    "DiskLowSpaceDetectionConfig": diskLowSpaceDetectionConfig_1.DiskLowSpaceDetectionConfig,
    "DiskLowSpaceThresholds": diskLowSpaceThresholds_1.DiskLowSpaceThresholds,
    "DiskNameFilter": diskNameFilter_1.DiskNameFilter,
    "DiskSlowWriteAndReadsThresholds": diskSlowWriteAndReadsThresholds_1.DiskSlowWriteAndReadsThresholds,
    "DiskSlowWritesAndReadsDetectionConfig": diskSlowWritesAndReadsDetectionConfig_1.DiskSlowWritesAndReadsDetectionConfig,
    "DroppedPacketsDetectionConfig": droppedPacketsDetectionConfig_1.DroppedPacketsDetectionConfig,
    "DroppedPacketsThresholds": droppedPacketsThresholds_1.DroppedPacketsThresholds,
    "ESBInputNodeTypeComparisonInfo": eSBInputNodeTypeComparisonInfo_1.ESBInputNodeTypeComparisonInfo,
    "ESBInputNodeTypeComparisonInfoAllOf": eSBInputNodeTypeComparisonInfoAllOf_1.ESBInputNodeTypeComparisonInfoAllOf,
    "Ec2CandidateCpuSaturationDetectionConfig": ec2CandidateCpuSaturationDetectionConfig_1.Ec2CandidateCpuSaturationDetectionConfig,
    "Ec2CandidateCpuSaturationThresholds": ec2CandidateCpuSaturationThresholds_1.Ec2CandidateCpuSaturationThresholds,
    "ElbHighConnectionErrorsDetectionConfig": elbHighConnectionErrorsDetectionConfig_1.ElbHighConnectionErrorsDetectionConfig,
    "ElbHighConnectionErrorsThresholds": elbHighConnectionErrorsThresholds_1.ElbHighConnectionErrorsThresholds,
    "EmailNotificationConfig": emailNotificationConfig_1.EmailNotificationConfig,
    "EmailNotificationConfigAllOf": emailNotificationConfigAllOf_1.EmailNotificationConfigAllOf,
    "EndsWithCompareOperation": endsWithCompareOperation_1.EndsWithCompareOperation,
    "EndsWithCompareOperationAllOf": endsWithCompareOperationAllOf_1.EndsWithCompareOperationAllOf,
    "EntityIdAlertingScope": entityIdAlertingScope_1.EntityIdAlertingScope,
    "EntityIdAlertingScopeAllOf": entityIdAlertingScopeAllOf_1.EntityIdAlertingScopeAllOf,
    "EntityIdComparison": entityIdComparison_1.EntityIdComparison,
    "EntityIdComparisonAllOf": entityIdComparisonAllOf_1.EntityIdComparisonAllOf,
    "EntityRuleEngineCondition": entityRuleEngineCondition_1.EntityRuleEngineCondition,
    "EntityShortRepresentation": entityShortRepresentation_1.EntityShortRepresentation,
    "EqualsCompareOperation": equalsCompareOperation_1.EqualsCompareOperation,
    "EqualsCompareOperationAllOf": equalsCompareOperationAllOf_1.EqualsCompareOperationAllOf,
    "ErrorEnvelope": errorEnvelope_1.ErrorEnvelope,
    "EsxiHighCpuSaturationConfig": esxiHighCpuSaturationConfig_1.EsxiHighCpuSaturationConfig,
    "EsxiHighCpuThresholds": esxiHighCpuThresholds_1.EsxiHighCpuThresholds,
    "EsxiHighMemoryDetectionConfig": esxiHighMemoryDetectionConfig_1.EsxiHighMemoryDetectionConfig,
    "EsxiHighMemoryThresholds": esxiHighMemoryThresholds_1.EsxiHighMemoryThresholds,
    "EventWrapperSettings": eventWrapperSettings_1.EventWrapperSettings,
    "ExistsCompareOperation": existsCompareOperation_1.ExistsCompareOperation,
    "ExistsCompareOperationAllOf": existsCompareOperationAllOf_1.ExistsCompareOperationAllOf,
    "Extension": extension_1.Extension,
    "ExtensionConfigurationDto": extensionConfigurationDto_1.ExtensionConfigurationDto,
    "ExtensionConfigurationList": extensionConfigurationList_1.ExtensionConfigurationList,
    "ExtensionDto": extensionDto_1.ExtensionDto,
    "ExtensionListDto": extensionListDto_1.ExtensionListDto,
    "ExtensionProperty": extensionProperty_1.ExtensionProperty,
    "ExtensionState": extensionState_1.ExtensionState,
    "ExtensionStateList": extensionStateList_1.ExtensionStateList,
    "ExtractSubstring": extractSubstring_1.ExtractSubstring,
    "FailedStateComparisonInfo": failedStateComparisonInfo_1.FailedStateComparisonInfo,
    "FailedStateComparisonInfoAllOf": failedStateComparisonInfoAllOf_1.FailedStateComparisonInfoAllOf,
    "FailureRateIncreaseAutodetectionConfig": failureRateIncreaseAutodetectionConfig_1.FailureRateIncreaseAutodetectionConfig,
    "FailureRateIncreaseDetectionConfig": failureRateIncreaseDetectionConfig_1.FailureRateIncreaseDetectionConfig,
    "FailureRateIncreaseThresholdConfig": failureRateIncreaseThresholdConfig_1.FailureRateIncreaseThresholdConfig,
    "FailureReasonComparisonInfo": failureReasonComparisonInfo_1.FailureReasonComparisonInfo,
    "FailureReasonComparisonInfoAllOf": failureReasonComparisonInfoAllOf_1.FailureReasonComparisonInfoAllOf,
    "FastStringComparisonInfo": fastStringComparisonInfo_1.FastStringComparisonInfo,
    "FastStringComparisonInfoAllOf": fastStringComparisonInfoAllOf_1.FastStringComparisonInfoAllOf,
    "FilterableEntityTile": filterableEntityTile_1.FilterableEntityTile,
    "FilterableEntityTileAllOf": filterableEntityTileAllOf_1.FilterableEntityTileAllOf,
    "FlawStateComparisonInfo": flawStateComparisonInfo_1.FlawStateComparisonInfo,
    "FlawStateComparisonInfoAllOf": flawStateComparisonInfoAllOf_1.FlawStateComparisonInfoAllOf,
    "FrequentIssueDetectionConfig": frequentIssueDetectionConfig_1.FrequentIssueDetectionConfig,
    "FullWebRequestRule": fullWebRequestRule_1.FullWebRequestRule,
    "FullWebServiceRule": fullWebServiceRule_1.FullWebServiceRule,
    "GlobalEventCaptureSettings": globalEventCaptureSettings_1.GlobalEventCaptureSettings,
    "GlobalExtensionConfiguration": globalExtensionConfiguration_1.GlobalExtensionConfiguration,
    "GreaterThanCompareOperation": greaterThanCompareOperation_1.GreaterThanCompareOperation,
    "GreaterThanCompareOperationAllOf": greaterThanCompareOperationAllOf_1.GreaterThanCompareOperationAllOf,
    "GuestCPULimitReachedConfig": guestCPULimitReachedConfig_1.GuestCPULimitReachedConfig,
    "GuestCPULimitThresholds": guestCPULimitThresholds_1.GuestCPULimitThresholds,
    "HighCpuSaturationDetectionConfig": highCpuSaturationDetectionConfig_1.HighCpuSaturationDetectionConfig,
    "HighCpuSaturationThresholds": highCpuSaturationThresholds_1.HighCpuSaturationThresholds,
    "HighGcActivityDetectionConfig": highGcActivityDetectionConfig_1.HighGcActivityDetectionConfig,
    "HighGcActivityThresholds": highGcActivityThresholds_1.HighGcActivityThresholds,
    "HighMemoryDetectionConfig": highMemoryDetectionConfig_1.HighMemoryDetectionConfig,
    "HighMemoryThresholds": highMemoryThresholds_1.HighMemoryThresholds,
    "HighNetworkDetectionConfig": highNetworkDetectionConfig_1.HighNetworkDetectionConfig,
    "HighNetworkThresholds": highNetworkThresholds_1.HighNetworkThresholds,
    "HipChatNotificationConfig": hipChatNotificationConfig_1.HipChatNotificationConfig,
    "HipChatNotificationConfigAllOf": hipChatNotificationConfigAllOf_1.HipChatNotificationConfigAllOf,
    "Host": host_1.Host,
    "HostGroup": hostGroup_1.HostGroup,
    "HostGroupNameAlertingScope": hostGroupNameAlertingScope_1.HostGroupNameAlertingScope,
    "HostList": hostList_1.HostList,
    "HostNameAlertingScope": hostNameAlertingScope_1.HostNameAlertingScope,
    "HostsAnomalyDetectionConfig": hostsAnomalyDetectionConfig_1.HostsAnomalyDetectionConfig,
    "HttpHeader": httpHeader_1.HttpHeader,
    "HttpMethodComparisonInfo": httpMethodComparisonInfo_1.HttpMethodComparisonInfo,
    "HttpMethodComparisonInfoAllOf": httpMethodComparisonInfoAllOf_1.HttpMethodComparisonInfoAllOf,
    "HttpStatusClassComparisonInfo": httpStatusClassComparisonInfo_1.HttpStatusClassComparisonInfo,
    "HttpStatusClassComparisonInfoAllOf": httpStatusClassComparisonInfoAllOf_1.HttpStatusClassComparisonInfoAllOf,
    "HypervisorTypeComparision": hypervisorTypeComparision_1.HypervisorTypeComparision,
    "HypervisorTypeComparisionAllOf": hypervisorTypeComparisionAllOf_1.HypervisorTypeComparisionAllOf,
    "IIBInputNodeTypeComparisonInfo": iIBInputNodeTypeComparisonInfo_1.IIBInputNodeTypeComparisonInfo,
    "IbmMQImsEntryQueue": ibmMQImsEntryQueue_1.IbmMQImsEntryQueue,
    "IndexedNameComparison": indexedNameComparison_1.IndexedNameComparison,
    "IndexedNameComparisonAllOf": indexedNameComparisonAllOf_1.IndexedNameComparisonAllOf,
    "IndexedStringComparison": indexedStringComparison_1.IndexedStringComparison,
    "IndexedStringComparisonAllOf": indexedStringComparisonAllOf_1.IndexedStringComparisonAllOf,
    "IndexedTagComparison": indexedTagComparison_1.IndexedTagComparison,
    "IndexedTagComparisonAllOf": indexedTagComparisonAllOf_1.IndexedTagComparisonAllOf,
    "InlineObject": inlineObject_1.InlineObject,
    "InlineObject1": inlineObject1_1.InlineObject1,
    "InlineObject2": inlineObject2_1.InlineObject2,
    "InlineObject3": inlineObject3_1.InlineObject3,
    "IntEqualsCompareOperation": intEqualsCompareOperation_1.IntEqualsCompareOperation,
    "IntEqualsCompareOperationAllOf": intEqualsCompareOperationAllOf_1.IntEqualsCompareOperationAllOf,
    "IntegerComparison": integerComparison_1.IntegerComparison,
    "IntegerComparisonAllOf": integerComparisonAllOf_1.IntegerComparisonAllOf,
    "IpAddressComparison": ipAddressComparison_1.IpAddressComparison,
    "IpAddressComparisonAllOf": ipAddressComparisonAllOf_1.IpAddressComparisonAllOf,
    "IpAddressRange": ipAddressRange_1.IpAddressRange,
    "IpInRangeCompareOperation": ipInRangeCompareOperation_1.IpInRangeCompareOperation,
    "IpInRangeCompareOperationAllOf": ipInRangeCompareOperationAllOf_1.IpInRangeCompareOperationAllOf,
    "JavaScriptFrameworkSupport": javaScriptFrameworkSupport_1.JavaScriptFrameworkSupport,
    "JavaScriptInjectionRules": javaScriptInjectionRules_1.JavaScriptInjectionRules,
    "JiraNotificationConfig": jiraNotificationConfig_1.JiraNotificationConfig,
    "JiraNotificationConfigAllOf": jiraNotificationConfigAllOf_1.JiraNotificationConfigAllOf,
    "JsonColumnDefinition": jsonColumnDefinition_1.JsonColumnDefinition,
    "KeyBasedAuthentication": keyBasedAuthentication_1.KeyBasedAuthentication,
    "KubernetesCredentials": kubernetesCredentials_1.KubernetesCredentials,
    "KubernetesEventPattern": kubernetesEventPattern_1.KubernetesEventPattern,
    "LambdaHighErrorRateDetectionConfig": lambdaHighErrorRateDetectionConfig_1.LambdaHighErrorRateDetectionConfig,
    "LambdaHighErrorRateThresholds": lambdaHighErrorRateThresholds_1.LambdaHighErrorRateThresholds,
    "LessThanCompareOperation": lessThanCompareOperation_1.LessThanCompareOperation,
    "LoadDropDetectionConfig": loadDropDetectionConfig_1.LoadDropDetectionConfig,
    "LoadSpikeDetectionConfig": loadSpikeDetectionConfig_1.LoadSpikeDetectionConfig,
    "LogMetricConfig": logMetricConfig_1.LogMetricConfig,
    "LogSourceFilter": logSourceFilter_1.LogSourceFilter,
    "LowDatastoreSpaceDetectionConfig": lowDatastoreSpaceDetectionConfig_1.LowDatastoreSpaceDetectionConfig,
    "LowDatastoreSpaceThresholds": lowDatastoreSpaceThresholds_1.LowDatastoreSpaceThresholds,
    "MaintenanceWindow": maintenanceWindow_1.MaintenanceWindow,
    "ManagementZone": managementZone_1.ManagementZone,
    "ManagementZoneAlertingScope": managementZoneAlertingScope_1.ManagementZoneAlertingScope,
    "ManagementZoneAlertingScopeAllOf": managementZoneAlertingScopeAllOf_1.ManagementZoneAlertingScopeAllOf,
    "ManagementZoneRule": managementZoneRule_1.ManagementZoneRule,
    "MarkdownTile": markdownTile_1.MarkdownTile,
    "MarkdownTileAllOf": markdownTileAllOf_1.MarkdownTileAllOf,
    "MaskingRule": maskingRule_1.MaskingRule,
    "MaskingSettings": maskingSettings_1.MaskingSettings,
    "MetaDataCapturing": metaDataCapturing_1.MetaDataCapturing,
    "MethodReference": methodReference_1.MethodReference,
    "MethodRule": methodRule_1.MethodRule,
    "MetricEvent": metricEvent_1.MetricEvent,
    "MetricEventAlertingScope": metricEventAlertingScope_1.MetricEventAlertingScope,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategy": metricEventAutoAdaptiveBaselineMonitoringStrategy_1.MetricEventAutoAdaptiveBaselineMonitoringStrategy,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf": metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf_1.MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf,
    "MetricEventDimensions": metricEventDimensions_1.MetricEventDimensions,
    "MetricEventEntityDimensions": metricEventEntityDimensions_1.MetricEventEntityDimensions,
    "MetricEventEntityDimensionsAllOf": metricEventEntityDimensionsAllOf_1.MetricEventEntityDimensionsAllOf,
    "MetricEventMonitoringStrategy": metricEventMonitoringStrategy_1.MetricEventMonitoringStrategy,
    "MetricEventStaticThresholdMonitoringStrategy": metricEventStaticThresholdMonitoringStrategy_1.MetricEventStaticThresholdMonitoringStrategy,
    "MetricEventStaticThresholdMonitoringStrategyAllOf": metricEventStaticThresholdMonitoringStrategyAllOf_1.MetricEventStaticThresholdMonitoringStrategyAllOf,
    "MetricEventStringDimensions": metricEventStringDimensions_1.MetricEventStringDimensions,
    "MetricEventStringDimensionsAllOf": metricEventStringDimensionsAllOf_1.MetricEventStringDimensionsAllOf,
    "MetricEventTextFilterMetricEventDimensionsFilterOperatorDto": metricEventTextFilterMetricEventDimensionsFilterOperatorDto_1.MetricEventTextFilterMetricEventDimensionsFilterOperatorDto,
    "MetricEventTextFilterMetricEventTextFilterOperatorDto": metricEventTextFilterMetricEventTextFilterOperatorDto_1.MetricEventTextFilterMetricEventTextFilterOperatorDto,
    "MobilePlatformComparison": mobilePlatformComparison_1.MobilePlatformComparison,
    "MobilePlatformComparisonAllOf": mobilePlatformComparisonAllOf_1.MobilePlatformComparisonAllOf,
    "ModelError": modelError_1.ModelError,
    "MonitoredEntityFilter": monitoredEntityFilter_1.MonitoredEntityFilter,
    "MonitoringSettings": monitoringSettings_1.MonitoringSettings,
    "NameAlertingScope": nameAlertingScope_1.NameAlertingScope,
    "NetworkDroppedPacketsDetectionConfig": networkDroppedPacketsDetectionConfig_1.NetworkDroppedPacketsDetectionConfig,
    "NetworkDroppedPacketsThresholds": networkDroppedPacketsThresholds_1.NetworkDroppedPacketsThresholds,
    "NetworkErrorsDetectionConfig": networkErrorsDetectionConfig_1.NetworkErrorsDetectionConfig,
    "NetworkErrorsThresholds": networkErrorsThresholds_1.NetworkErrorsThresholds,
    "NetworkHighRetransmissionDetectionConfig": networkHighRetransmissionDetectionConfig_1.NetworkHighRetransmissionDetectionConfig,
    "NetworkHighRetransmissionThresholds": networkHighRetransmissionThresholds_1.NetworkHighRetransmissionThresholds,
    "NetworkTcpProblemsDetectionConfig": networkTcpProblemsDetectionConfig_1.NetworkTcpProblemsDetectionConfig,
    "NetworkTcpProblemsThresholds": networkTcpProblemsThresholds_1.NetworkTcpProblemsThresholds,
    "NotificationConfig": notificationConfig_1.NotificationConfig,
    "NotificationConfigStub": notificationConfigStub_1.NotificationConfigStub,
    "NotificationConfigStubListDto": notificationConfigStubListDto_1.NotificationConfigStubListDto,
    "NumberComparisonInfo": numberComparisonInfo_1.NumberComparisonInfo,
    "NumberComparisonInfoAllOf": numberComparisonInfoAllOf_1.NumberComparisonInfoAllOf,
    "NumberRequestAttributeComparisonInfo": numberRequestAttributeComparisonInfo_1.NumberRequestAttributeComparisonInfo,
    "NumberRequestAttributeComparisonInfoAllOf": numberRequestAttributeComparisonInfoAllOf_1.NumberRequestAttributeComparisonInfoAllOf,
    "OpaqueAndExternalWebRequestRule": opaqueAndExternalWebRequestRule_1.OpaqueAndExternalWebRequestRule,
    "OpsGenieNotificationConfig": opsGenieNotificationConfig_1.OpsGenieNotificationConfig,
    "OpsGenieNotificationConfigAllOf": opsGenieNotificationConfigAllOf_1.OpsGenieNotificationConfigAllOf,
    "OsArchitectureComparison": osArchitectureComparison_1.OsArchitectureComparison,
    "OsArchitectureComparisonAllOf": osArchitectureComparisonAllOf_1.OsArchitectureComparisonAllOf,
    "OsTypeComparison": osTypeComparison_1.OsTypeComparison,
    "OsTypeComparisonAllOf": osTypeComparisonAllOf_1.OsTypeComparisonAllOf,
    "OutOfMemoryDetectionConfig": outOfMemoryDetectionConfig_1.OutOfMemoryDetectionConfig,
    "OutOfMemoryThresholds": outOfMemoryThresholds_1.OutOfMemoryThresholds,
    "OutOfThreadsDetectionConfig": outOfThreadsDetectionConfig_1.OutOfThreadsDetectionConfig,
    "OutOfThreadsThresholds": outOfThreadsThresholds_1.OutOfThreadsThresholds,
    "OverloadedStorageDetectionConfig": overloadedStorageDetectionConfig_1.OverloadedStorageDetectionConfig,
    "OverloadedStorageThresholds": overloadedStorageThresholds_1.OverloadedStorageThresholds,
    "PaasTypeComparison": paasTypeComparison_1.PaasTypeComparison,
    "PaasTypeComparisonAllOf": paasTypeComparisonAllOf_1.PaasTypeComparisonAllOf,
    "PagerDutyNotificationConfig": pagerDutyNotificationConfig_1.PagerDutyNotificationConfig,
    "PagerDutyNotificationConfigAllOf": pagerDutyNotificationConfigAllOf_1.PagerDutyNotificationConfigAllOf,
    "PathDefinition": pathDefinition_1.PathDefinition,
    "Placeholder": placeholder_1.Placeholder,
    "Plugin": plugin_1.Plugin,
    "PluginProperty": pluginProperty_1.PluginProperty,
    "PluginState": pluginState_1.PluginState,
    "PluginStateList": pluginStateList_1.PluginStateList,
    "Port": port_1.Port,
    "ProcessGroupIdAlertingScope": processGroupIdAlertingScope_1.ProcessGroupIdAlertingScope,
    "ProcessGroupIdAlertingScopeAllOf": processGroupIdAlertingScopeAllOf_1.ProcessGroupIdAlertingScopeAllOf,
    "ProcessGroupNameAlertingScope": processGroupNameAlertingScope_1.ProcessGroupNameAlertingScope,
    "ProcessMetadataConditionKey": processMetadataConditionKey_1.ProcessMetadataConditionKey,
    "ProcessMetadataConditionKeyAllOf": processMetadataConditionKeyAllOf_1.ProcessMetadataConditionKeyAllOf,
    "PropagationSource": propagationSource_1.PropagationSource,
    "PublicDomainName": publicDomainName_1.PublicDomainName,
    "QueueManager": queueManager_1.QueueManager,
    "RdsHighCpuDetectionConfig": rdsHighCpuDetectionConfig_1.RdsHighCpuDetectionConfig,
    "RdsHighCpuThresholds": rdsHighCpuThresholds_1.RdsHighCpuThresholds,
    "RdsHighLatencyThresholds": rdsHighLatencyThresholds_1.RdsHighLatencyThresholds,
    "RdsHighMemoryDetectionConfig": rdsHighMemoryDetectionConfig_1.RdsHighMemoryDetectionConfig,
    "RdsHighMemoryThresholds": rdsHighMemoryThresholds_1.RdsHighMemoryThresholds,
    "RdsHighWriteReadLatencyDetectionConfig": rdsHighWriteReadLatencyDetectionConfig_1.RdsHighWriteReadLatencyDetectionConfig,
    "RdsLowStorageDetectionConfig": rdsLowStorageDetectionConfig_1.RdsLowStorageDetectionConfig,
    "RdsLowStorageThresholds": rdsLowStorageThresholds_1.RdsLowStorageThresholds,
    "RdsRestartsSequenceDetectionConfig": rdsRestartsSequenceDetectionConfig_1.RdsRestartsSequenceDetectionConfig,
    "RdsRestartsThresholds": rdsRestartsThresholds_1.RdsRestartsThresholds,
    "Recurrence": recurrence_1.Recurrence,
    "RemoteEnvironmentConfigDto": remoteEnvironmentConfigDto_1.RemoteEnvironmentConfigDto,
    "RemoteEnvironmentConfigListDto": remoteEnvironmentConfigListDto_1.RemoteEnvironmentConfigListDto,
    "RemoteEnvironmentConfigStub": remoteEnvironmentConfigStub_1.RemoteEnvironmentConfigStub,
    "RemotePluginEndpoint": remotePluginEndpoint_1.RemotePluginEndpoint,
    "RemoteQueue": remoteQueue_1.RemoteQueue,
    "RemoveCreditCardNumbersTransformation": removeCreditCardNumbersTransformation_1.RemoveCreditCardNumbersTransformation,
    "RemoveIBANsTransformation": removeIBANsTransformation_1.RemoveIBANsTransformation,
    "RemoveIPsTransformation": removeIPsTransformation_1.RemoveIPsTransformation,
    "RemoveNumbersTransformation": removeNumbersTransformation_1.RemoveNumbersTransformation,
    "RemoveNumbersTransformationAllOf": removeNumbersTransformationAllOf_1.RemoveNumbersTransformationAllOf,
    "ReplaceBetweenTransformation": replaceBetweenTransformation_1.ReplaceBetweenTransformation,
    "ReplaceBetweenTransformationAllOf": replaceBetweenTransformationAllOf_1.ReplaceBetweenTransformationAllOf,
    "ReportStubList": reportStubList_1.ReportStubList,
    "ReportSubscriptions": reportSubscriptions_1.ReportSubscriptions,
    "RequestAttribute": requestAttribute_1.RequestAttribute,
    "RequestNaming": requestNaming_1.RequestNaming,
    "ResourceNaming": resourceNaming_1.ResourceNaming,
    "ResourceTimingSettings": resourceTimingSettings_1.ResourceTimingSettings,
    "ResponseTimeDegradationAutodetectionConfig": responseTimeDegradationAutodetectionConfig_1.ResponseTimeDegradationAutodetectionConfig,
    "ResponseTimeDegradationDetectionConfig": responseTimeDegradationDetectionConfig_1.ResponseTimeDegradationDetectionConfig,
    "ResponseTimeDegradationThresholdConfig": responseTimeDegradationThresholdConfig_1.ResponseTimeDegradationThresholdConfig,
    "RoleBasedAuthentication": roleBasedAuthentication_1.RoleBasedAuthentication,
    "RumDimensionDefinition": rumDimensionDefinition_1.RumDimensionDefinition,
    "RumMetric": rumMetric_1.RumMetric,
    "RumMetricDefinition": rumMetricDefinition_1.RumMetricDefinition,
    "RumMetricUpdate": rumMetricUpdate_1.RumMetricUpdate,
    "Schedule": schedule_1.Schedule,
    "Scope": scope_1.Scope,
    "ScopeConditions": scopeConditions_1.ScopeConditions,
    "ServerName": serverName_1.ServerName,
    "ServiceAnomalyDetectionConfig": serviceAnomalyDetectionConfig_1.ServiceAnomalyDetectionConfig,
    "ServiceNowNotificationConfig": serviceNowNotificationConfig_1.ServiceNowNotificationConfig,
    "ServiceNowNotificationConfigAllOf": serviceNowNotificationConfigAllOf_1.ServiceNowNotificationConfigAllOf,
    "ServiceTopologyComparison": serviceTopologyComparison_1.ServiceTopologyComparison,
    "ServiceTopologyComparisonAllOf": serviceTopologyComparisonAllOf_1.ServiceTopologyComparisonAllOf,
    "ServiceTypeComparison": serviceTypeComparison_1.ServiceTypeComparison,
    "ServiceTypeComparisonAllOf": serviceTypeComparisonAllOf_1.ServiceTypeComparisonAllOf,
    "ServiceTypeComparisonInfo": serviceTypeComparisonInfo_1.ServiceTypeComparisonInfo,
    "ServiceTypeComparisonInfoAllOf": serviceTypeComparisonInfoAllOf_1.ServiceTypeComparisonInfoAllOf,
    "SessionReplaySetting": sessionReplaySetting_1.SessionReplaySetting,
    "SessionReplaySettingWithDataPrivacy": sessionReplaySettingWithDataPrivacy_1.SessionReplaySettingWithDataPrivacy,
    "SharingInfo": sharingInfo_1.SharingInfo,
    "SimpleHostTech": simpleHostTech_1.SimpleHostTech,
    "SimpleHostTechComparison": simpleHostTechComparison_1.SimpleHostTechComparison,
    "SimpleHostTechComparisonAllOf": simpleHostTechComparisonAllOf_1.SimpleHostTechComparisonAllOf,
    "SimpleTech": simpleTech_1.SimpleTech,
    "SimpleTechComparison": simpleTechComparison_1.SimpleTechComparison,
    "SimpleTechComparisonAllOf": simpleTechComparisonAllOf_1.SimpleTechComparisonAllOf,
    "SlackNotificationConfig": slackNotificationConfig_1.SlackNotificationConfig,
    "SlackNotificationConfigAllOf": slackNotificationConfigAllOf_1.SlackNotificationConfigAllOf,
    "SlowPhysicalStorageDetectionConfig": slowPhysicalStorageDetectionConfig_1.SlowPhysicalStorageDetectionConfig,
    "SlowPhysicalStorageThresholds": slowPhysicalStorageThresholds_1.SlowPhysicalStorageThresholds,
    "SplitSelectTransformation": splitSelectTransformation_1.SplitSelectTransformation,
    "SplitSelectTransformationAllOf": splitSelectTransformationAllOf_1.SplitSelectTransformationAllOf,
    "StartsWithCompareOperation": startsWithCompareOperation_1.StartsWithCompareOperation,
    "StartsWithCompareOperationAllOf": startsWithCompareOperationAllOf_1.StartsWithCompareOperationAllOf,
    "StringComparison": stringComparison_1.StringComparison,
    "StringComparisonAllOf": stringComparisonAllOf_1.StringComparisonAllOf,
    "StringComparisonInfo": stringComparisonInfo_1.StringComparisonInfo,
    "StringComparisonInfoAllOf": stringComparisonInfoAllOf_1.StringComparisonInfoAllOf,
    "StringConditionKey": stringConditionKey_1.StringConditionKey,
    "StringConditionKeyAllOf": stringConditionKeyAllOf_1.StringConditionKeyAllOf,
    "StringContainsCompareOperation": stringContainsCompareOperation_1.StringContainsCompareOperation,
    "StringContainsCompareOperationAllOf": stringContainsCompareOperationAllOf_1.StringContainsCompareOperationAllOf,
    "StringEqualsCompareOperation": stringEqualsCompareOperation_1.StringEqualsCompareOperation,
    "StringEqualsCompareOperationAllOf": stringEqualsCompareOperationAllOf_1.StringEqualsCompareOperationAllOf,
    "StringRequestAttributeComparisonInfo": stringRequestAttributeComparisonInfo_1.StringRequestAttributeComparisonInfo,
    "StringRequestAttributeComparisonInfoAllOf": stringRequestAttributeComparisonInfoAllOf_1.StringRequestAttributeComparisonInfoAllOf,
    "StubList": stubList_1.StubList,
    "SupportedVersion": supportedVersion_1.SupportedVersion,
    "SymbolFile": symbolFile_1.SymbolFile,
    "SymbolFileClientLinkDto": symbolFileClientLinkDto_1.SymbolFileClientLinkDto,
    "SymbolFileList": symbolFileList_1.SymbolFileList,
    "SymbolFilePinning": symbolFilePinning_1.SymbolFilePinning,
    "SymbolFileStorageInfo": symbolFileStorageInfo_1.SymbolFileStorageInfo,
    "SyntheticEngineTypeComparison": syntheticEngineTypeComparison_1.SyntheticEngineTypeComparison,
    "SyntheticEngineTypeComparisonAllOf": syntheticEngineTypeComparisonAllOf_1.SyntheticEngineTypeComparisonAllOf,
    "SyntheticMetricDimension": syntheticMetricDimension_1.SyntheticMetricDimension,
    "SyntheticMetricFilter": syntheticMetricFilter_1.SyntheticMetricFilter,
    "SyntheticMetricUpdate": syntheticMetricUpdate_1.SyntheticMetricUpdate,
    "SyntheticSingleWebcheckTile": syntheticSingleWebcheckTile_1.SyntheticSingleWebcheckTile,
    "SyntheticSingleWebcheckTileAllOf": syntheticSingleWebcheckTileAllOf_1.SyntheticSingleWebcheckTileAllOf,
    "TagCompareOperation": tagCompareOperation_1.TagCompareOperation,
    "TagCompareOperationAllOf": tagCompareOperationAllOf_1.TagCompareOperationAllOf,
    "TagComparison": tagComparison_1.TagComparison,
    "TagComparisonAllOf": tagComparisonAllOf_1.TagComparisonAllOf,
    "TagComparisonInfo": tagComparisonInfo_1.TagComparisonInfo,
    "TagComparisonInfoAllOf": tagComparisonInfoAllOf_1.TagComparisonInfoAllOf,
    "TagFilter": tagFilter_1.TagFilter,
    "TagFilterAlertingScope": tagFilterAlertingScope_1.TagFilterAlertingScope,
    "TagFilterAlertingScopeAllOf": tagFilterAlertingScopeAllOf_1.TagFilterAlertingScopeAllOf,
    "TagInfo": tagInfo_1.TagInfo,
    "TakeSegmentsTransformation": takeSegmentsTransformation_1.TakeSegmentsTransformation,
    "TakeSegmentsTransformationAllOf": takeSegmentsTransformationAllOf_1.TakeSegmentsTransformationAllOf,
    "Tile": tile_1.Tile,
    "TileBounds": tileBounds_1.TileBounds,
    "TileFilter": tileFilter_1.TileFilter,
    "TimeoutSettings": timeoutSettings_1.TimeoutSettings,
    "TokenCredentials": tokenCredentials_1.TokenCredentials,
    "TokenCredentialsAllOf": tokenCredentialsAllOf_1.TokenCredentialsAllOf,
    "TrafficDropDetectionConfig": trafficDropDetectionConfig_1.TrafficDropDetectionConfig,
    "TrafficSpikeDetectionConfig": trafficSpikeDetectionConfig_1.TrafficSpikeDetectionConfig,
    "TransformationBase": transformationBase_1.TransformationBase,
    "TrelloNotificationConfig": trelloNotificationConfig_1.TrelloNotificationConfig,
    "TrelloNotificationConfigAllOf": trelloNotificationConfigAllOf_1.TrelloNotificationConfigAllOf,
    "UndersizedStorageDetectionConfig": undersizedStorageDetectionConfig_1.UndersizedStorageDetectionConfig,
    "UndersizedStorageThresholds": undersizedStorageThresholds_1.UndersizedStorageThresholds,
    "UniversalTag": universalTag_1.UniversalTag,
    "UniversalTagKey": universalTagKey_1.UniversalTagKey,
    "UserActionAndSessionProperties": userActionAndSessionProperties_1.UserActionAndSessionProperties,
    "UserActionDetails": userActionDetails_1.UserActionDetails,
    "UserActionFilter": userActionFilter_1.UserActionFilter,
    "UserActionNamingPlaceholder": userActionNamingPlaceholder_1.UserActionNamingPlaceholder,
    "UserActionNamingPlaceholderProcessingStep": userActionNamingPlaceholderProcessingStep_1.UserActionNamingPlaceholderProcessingStep,
    "UserActionNamingRule": userActionNamingRule_1.UserActionNamingRule,
    "UserActionNamingRuleCondition": userActionNamingRuleCondition_1.UserActionNamingRuleCondition,
    "UserActionNamingSettings": userActionNamingSettings_1.UserActionNamingSettings,
    "UserActionPropertyFilter": userActionPropertyFilter_1.UserActionPropertyFilter,
    "UserPasswordCredentials": userPasswordCredentials_1.UserPasswordCredentials,
    "UserPasswordCredentialsAllOf": userPasswordCredentialsAllOf_1.UserPasswordCredentialsAllOf,
    "UserSessionQueryTile": userSessionQueryTile_1.UserSessionQueryTile,
    "UserSessionQueryTileAllOf": userSessionQueryTileAllOf_1.UserSessionQueryTileAllOf,
    "UserSessionQueryTileConfiguration": userSessionQueryTileConfiguration_1.UserSessionQueryTileConfiguration,
    "UserTag": userTag_1.UserTag,
    "VMwareAnomalyDetectionConfig": vMwareAnomalyDetectionConfig_1.VMwareAnomalyDetectionConfig,
    "ValueCondition": valueCondition_1.ValueCondition,
    "ValueProcessing": valueProcessing_1.ValueProcessing,
    "VictorOpsNotificationConfig": victorOpsNotificationConfig_1.VictorOpsNotificationConfig,
    "VictorOpsNotificationConfigAllOf": victorOpsNotificationConfigAllOf_1.VictorOpsNotificationConfigAllOf,
    "VisitDurationDetails": visitDurationDetails_1.VisitDurationDetails,
    "VisitNumActionDetails": visitNumActionDetails_1.VisitNumActionDetails,
    "VisuallyComplete2Settings": visuallyComplete2Settings_1.VisuallyComplete2Settings,
    "WaterfallSettings": waterfallSettings_1.WaterfallSettings,
    "WebApplicationConfig": webApplicationConfig_1.WebApplicationConfig,
    "WebApplicationConfigBrowserRestriction": webApplicationConfigBrowserRestriction_1.WebApplicationConfigBrowserRestriction,
    "WebApplicationConfigBrowserRestrictionSettings": webApplicationConfigBrowserRestrictionSettings_1.WebApplicationConfigBrowserRestrictionSettings,
    "WebApplicationConfigIpAddressRestrictionSettings": webApplicationConfigIpAddressRestrictionSettings_1.WebApplicationConfigIpAddressRestrictionSettings,
    "WebHookNotificationConfig": webHookNotificationConfig_1.WebHookNotificationConfig,
    "WebHookNotificationConfigAllOf": webHookNotificationConfigAllOf_1.WebHookNotificationConfigAllOf,
    "WebServiceName": webServiceName_1.WebServiceName,
    "WebServiceNameSpace": webServiceNameSpace_1.WebServiceNameSpace,
    "XMattersNotificationConfig": xMattersNotificationConfig_1.XMattersNotificationConfig,
    "XMattersNotificationConfigAllOf": xMattersNotificationConfigAllOf_1.XMattersNotificationConfigAllOf,
    "ZosComparisonInfo": zosComparisonInfo_1.ZosComparisonInfo,
    "ZosComparisonInfoAllOf": zosComparisonInfoAllOf_1.ZosComparisonInfoAllOf,
};
var ObjectSerializer = (function () {
    function ObjectSerializer() {
    }
    ObjectSerializer.findCorrectType = function (data, expectedType) {
        if (data == undefined) {
            return expectedType;
        }
        else if (primitives.indexOf(expectedType.toLowerCase()) !== -1) {
            return expectedType;
        }
        else if (expectedType === "Date") {
            return expectedType;
        }
        else {
            if (enumsMap[expectedType]) {
                return expectedType;
            }
            if (!typeMap[expectedType]) {
                return expectedType;
            }
            var discriminatorProperty = typeMap[expectedType].discriminator;
            if (discriminatorProperty == null) {
                return expectedType;
            }
            else {
                if (data[discriminatorProperty]) {
                    var discriminatorType = data[discriminatorProperty];
                    if (typeMap[discriminatorType]) {
                        return discriminatorType;
                    }
                    else {
                        return expectedType;
                    }
                }
                else {
                    return expectedType;
                }
            }
        }
    };
    ObjectSerializer.serialize = function (data, type) {
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var index in data) {
                var date = data[index];
                transformedData.push(ObjectSerializer.serialize(date, subType));
            }
            return transformedData;
        }
        else if (type === "Date") {
            return data.toISOString();
        }
        else {
            if (enumsMap[type]) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            type = this.findCorrectType(data, type);
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            var instance = {};
            for (var index in attributeTypes) {
                var attributeType = attributeTypes[index];
                instance[attributeType.baseName] = ObjectSerializer.serialize(data[attributeType.name], attributeType.type);
            }
            return instance;
        }
    };
    ObjectSerializer.deserialize = function (data, type) {
        type = ObjectSerializer.findCorrectType(data, type);
        if (data == undefined) {
            return data;
        }
        else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        }
        else if (type.lastIndexOf("Array<", 0) === 0) {
            var subType = type.replace("Array<", "");
            subType = subType.substring(0, subType.length - 1);
            var transformedData = [];
            for (var index in data) {
                var date = data[index];
                transformedData.push(ObjectSerializer.deserialize(date, subType));
            }
            return transformedData;
        }
        else if (type === "Date") {
            return new Date(data);
        }
        else {
            if (enumsMap[type]) {
                return data;
            }
            if (!typeMap[type]) {
                return data;
            }
            var instance = new typeMap[type]();
            var attributeTypes = typeMap[type].getAttributeTypeMap();
            for (var index in attributeTypes) {
                var attributeType = attributeTypes[index];
                instance[attributeType.name] = ObjectSerializer.deserialize(data[attributeType.baseName], attributeType.type);
            }
            return instance;
        }
    };
    return ObjectSerializer;
}());
exports.ObjectSerializer = ObjectSerializer;
var HttpBasicAuth = (function () {
    function HttpBasicAuth() {
        this.username = '';
        this.password = '';
    }
    HttpBasicAuth.prototype.applyToRequest = function (requestOptions) {
        requestOptions.auth = {
            username: this.username, password: this.password
        };
    };
    return HttpBasicAuth;
}());
exports.HttpBasicAuth = HttpBasicAuth;
var HttpBearerAuth = (function () {
    function HttpBearerAuth() {
        this.accessToken = '';
    }
    HttpBearerAuth.prototype.applyToRequest = function (requestOptions) {
        if (requestOptions && requestOptions.headers) {
            var accessToken = typeof this.accessToken === 'function'
                ? this.accessToken()
                : this.accessToken;
            requestOptions.headers["Authorization"] = "Bearer " + accessToken;
        }
    };
    return HttpBearerAuth;
}());
exports.HttpBearerAuth = HttpBearerAuth;
var ApiKeyAuth = (function () {
    function ApiKeyAuth(location, paramName) {
        this.location = location;
        this.paramName = paramName;
        this.apiKey = '';
    }
    ApiKeyAuth.prototype.applyToRequest = function (requestOptions) {
        if (this.location == "query") {
            requestOptions.qs[this.paramName] = this.apiKey;
        }
        else if (this.location == "header" && requestOptions && requestOptions.headers) {
            requestOptions.headers[this.paramName] = this.apiKey;
        }
        else if (this.location == 'cookie' && requestOptions && requestOptions.headers) {
            if (requestOptions.headers['Cookie']) {
                requestOptions.headers['Cookie'] += '; ' + this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
            else {
                requestOptions.headers['Cookie'] = this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
        }
    };
    return ApiKeyAuth;
}());
exports.ApiKeyAuth = ApiKeyAuth;
var OAuth = (function () {
    function OAuth() {
        this.accessToken = '';
    }
    OAuth.prototype.applyToRequest = function (requestOptions) {
        if (requestOptions && requestOptions.headers) {
            requestOptions.headers["Authorization"] = "Bearer " + this.accessToken;
        }
    };
    return OAuth;
}());
exports.OAuth = OAuth;
var VoidAuth = (function () {
    function VoidAuth() {
        this.username = '';
        this.password = '';
    }
    VoidAuth.prototype.applyToRequest = function (_) {
    };
    return VoidAuth;
}());
exports.VoidAuth = VoidAuth;
//# sourceMappingURL=models.js.map