import { ComparisonBasic } from './comparisonBasic';
export declare class OsTypeComparison extends ComparisonBasic {
    'operator': OsTypeComparison.OperatorEnum;
    'value'?: OsTypeComparison.ValueEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace OsTypeComparison {
    enum OperatorEnum {
        EQUALS,
        EXISTS
    }
    enum ValueEnum {
        AIX,
        DARWIN,
        HPUX,
        LINUX,
        SOLARIS,
        WINDOWS,
        ZOS
    }
}
