import { ConfigurationMetadata } from './configurationMetadata';
import { PluginProperty } from './pluginProperty';
export declare class Plugin {
    'metadata'?: ConfigurationMetadata;
    'id'?: string;
    'name'?: string;
    'version'?: string;
    'type'?: Plugin.TypeEnum;
    'metricGroup'?: string;
    'properties'?: Array<PluginProperty>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace Plugin {
    enum TypeEnum {
        ActiveGate,
        JMX,
        OneAgent,
        PMI
    }
}
