import { ConditionKey } from './conditionKey';
export declare class ProcessMetadataConditionKey extends ConditionKey {
    'dynamicKey': ProcessMetadataConditionKey.DynamicKeyEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ProcessMetadataConditionKey {
    enum DynamicKeyEnum {
        AMAZONECRIMAGEACCOUNTID,
        AMAZONECRIMAGEREGION,
        AMAZONLAMBDAFUNCTIONNAME,
        AMAZONREGION,
        APACHECONFIGPATH,
        APACHESPARKMASTERIPADDRESS,
        ASPDOTNETCOREAPPLICATIONPATH,
        AWSECSCLUSTER,
        AWSECSCONTAINERNAME,
        AWSECSFAMILY,
        AWSECSREVISION,
        CASSANDRACLUSTERNAME,
        CATALINABASE,
        CATALINAHOME,
        CLOUDFOUNDRYAPPID,
        CLOUDFOUNDRYAPPNAME,
        CLOUDFOUNDRYINSTANCEINDEX,
        CLOUDFOUNDRYSPACEID,
        CLOUDFOUNDRYSPACENAME,
        COLDFUSIONJVMCONFIGFILE,
        COLDFUSIONSERVICENAME,
        COMMANDLINEARGS,
        DOTNETCOMMAND,
        DOTNETCOMMANDPATH,
        DYNATRACECLUSTERID,
        DYNATRACENODEID,
        ELASTICSEARCHCLUSTERNAME,
        ELASTICSEARCHNODENAME,
        EQUINOXCONFIGPATH,
        EXENAME,
        EXEPATH,
        GLASSFISHDOMAINNAME,
        GLASSFISHINSTANCENAME,
        GOOGLEAPPENGINEINSTANCE,
        GOOGLEAPPENGINESERVICE,
        GOOGLECLOUDPROJECT,
        HYBRISBINDIRECTORY,
        HYBRISCONFIGDIRECTORY,
        HYBRISDATADIRECTORY,
        IBMCICSREGION,
        IBMCTGNAME,
        IBMIMSCONNECTREGION,
        IBMIMSCONTROLREGION,
        IBMIMSMESSAGEPROCESSINGREGION,
        IBMIMSSOAPGWNAME,
        IBMINTEGRATIONNODENAME,
        IBMINTEGRATIONSERVERNAME,
        IISAPPPOOL,
        IISROLENAME,
        JAVAJARFILE,
        JAVAJARPATH,
        JAVAMAINCLASS,
        JAVAMAINMODULE,
        JBOSSHOME,
        JBOSSMODE,
        JBOSSSERVERNAME,
        KUBERNETESBASEPODNAME,
        KUBERNETESCONTAINERNAME,
        KUBERNETESFULLPODNAME,
        KUBERNETESNAMESPACE,
        KUBERNETESPODUID,
        MSSQLINSTANCENAME,
        NODEJSAPPBASEDIRECTORY,
        NODEJSAPPNAME,
        NODEJSSCRIPTNAME,
        ORACLESID,
        PGIDCALCINPUTKEYLINKAGE,
        PHPSCRIPTPATH,
        PHPWORKINGDIRECTORY,
        RUBYAPPROOTPATH,
        RUBYSCRIPTPATH,
        RULERESULT,
        SOFTWAREAGINSTALLROOT,
        SOFTWAREAGPRODUCTPROPNAME,
        SPRINGBOOTAPPNAME,
        SPRINGBOOTPROFILENAME,
        SPRINGBOOTSTARTUPCLASS,
        TIBCOBUSINESSWORKSCEAPPNAME,
        TIBCOBUSINESSWORKSCEVERSION,
        TIBCOBUSINESSWORKSAPPNODENAME,
        TIBCOBUSINESSWORKSAPPSPACENAME,
        TIBCOBUSINESSWORKSDOMAINNAME,
        TIBCOBUSINESSWORKSENGINEPROPERTYFILE,
        TIBCOBUSINESSWORKSENGINEPROPERTYFILEPATH,
        TIBCOBUSINESSWORKSHOME,
        VARNISHINSTANCENAME,
        WEBLOGICCLUSTERNAME,
        WEBLOGICDOMAINNAME,
        WEBLOGICHOME,
        WEBLOGICNAME,
        WEBSPHERECELLNAME,
        WEBSPHERECLUSTERNAME,
        WEBSPHERENODENAME,
        WEBSPHERESERVERNAME
    }
}
