"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RequestAttribute = (function () {
    function RequestAttribute() {
    }
    RequestAttribute.getAttributeTypeMap = function () {
        return RequestAttribute.attributeTypeMap;
    };
    RequestAttribute.discriminator = undefined;
    RequestAttribute.attributeTypeMap = [
        {
            "name": "metadata",
            "baseName": "metadata",
            "type": "ConfigurationMetadata"
        },
        {
            "name": "id",
            "baseName": "id",
            "type": "string"
        },
        {
            "name": "name",
            "baseName": "name",
            "type": "string"
        },
        {
            "name": "enabled",
            "baseName": "enabled",
            "type": "boolean"
        },
        {
            "name": "dataType",
            "baseName": "dataType",
            "type": "RequestAttribute.DataTypeEnum"
        },
        {
            "name": "dataSources",
            "baseName": "dataSources",
            "type": "Array<DataSource>"
        },
        {
            "name": "normalization",
            "baseName": "normalization",
            "type": "RequestAttribute.NormalizationEnum"
        },
        {
            "name": "aggregation",
            "baseName": "aggregation",
            "type": "RequestAttribute.AggregationEnum"
        },
        {
            "name": "confidential",
            "baseName": "confidential",
            "type": "boolean"
        },
        {
            "name": "skipPersonalDataMasking",
            "baseName": "skipPersonalDataMasking",
            "type": "boolean"
        }
    ];
    return RequestAttribute;
}());
exports.RequestAttribute = RequestAttribute;
(function (RequestAttribute) {
    var DataTypeEnum;
    (function (DataTypeEnum) {
        DataTypeEnum[DataTypeEnum["DOUBLE"] = 'DOUBLE'] = "DOUBLE";
        DataTypeEnum[DataTypeEnum["INTEGER"] = 'INTEGER'] = "INTEGER";
        DataTypeEnum[DataTypeEnum["STRING"] = 'STRING'] = "STRING";
    })(DataTypeEnum = RequestAttribute.DataTypeEnum || (RequestAttribute.DataTypeEnum = {}));
    var NormalizationEnum;
    (function (NormalizationEnum) {
        NormalizationEnum[NormalizationEnum["ORIGINAL"] = 'ORIGINAL'] = "ORIGINAL";
        NormalizationEnum[NormalizationEnum["TOLOWERCASE"] = 'TO_LOWER_CASE'] = "TOLOWERCASE";
        NormalizationEnum[NormalizationEnum["TOUPPERCASE"] = 'TO_UPPER_CASE'] = "TOUPPERCASE";
    })(NormalizationEnum = RequestAttribute.NormalizationEnum || (RequestAttribute.NormalizationEnum = {}));
    var AggregationEnum;
    (function (AggregationEnum) {
        AggregationEnum[AggregationEnum["ALLDISTINCTVALUES"] = 'ALL_DISTINCT_VALUES'] = "ALLDISTINCTVALUES";
        AggregationEnum[AggregationEnum["AVERAGE"] = 'AVERAGE'] = "AVERAGE";
        AggregationEnum[AggregationEnum["COUNTDISTINCTVALUES"] = 'COUNT_DISTINCT_VALUES'] = "COUNTDISTINCTVALUES";
        AggregationEnum[AggregationEnum["COUNTVALUES"] = 'COUNT_VALUES'] = "COUNTVALUES";
        AggregationEnum[AggregationEnum["FIRST"] = 'FIRST'] = "FIRST";
        AggregationEnum[AggregationEnum["LAST"] = 'LAST'] = "LAST";
        AggregationEnum[AggregationEnum["MAXIMUM"] = 'MAXIMUM'] = "MAXIMUM";
        AggregationEnum[AggregationEnum["MINIMUM"] = 'MINIMUM'] = "MINIMUM";
        AggregationEnum[AggregationEnum["SUM"] = 'SUM'] = "SUM";
    })(AggregationEnum = RequestAttribute.AggregationEnum || (RequestAttribute.AggregationEnum = {}));
})(RequestAttribute = exports.RequestAttribute || (exports.RequestAttribute = {}));
exports.RequestAttribute = RequestAttribute;
//# sourceMappingURL=requestAttribute.js.map