export declare class ResourceTimingSettings {
    'w3cResourceTimings': boolean;
    'nonW3cResourceTimings': boolean;
    'nonW3cResourceTimingsInstrumentationDelay': number;
    'resourceTimingCaptureType': ResourceTimingSettings.ResourceTimingCaptureTypeEnum;
    'resourceTimingsDomainLimit': number;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace ResourceTimingSettings {
    enum ResourceTimingCaptureTypeEnum {
        ALLSUMMARIES,
        FULLDETAILS,
        LIMITEDSUMMARIES
    }
}
