import { Recurrence } from './recurrence';
export declare class Schedule {
    'recurrenceType': Schedule.RecurrenceTypeEnum;
    'recurrence'?: Recurrence;
    'start': string;
    'end': string;
    'zoneId': string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace Schedule {
    enum RecurrenceTypeEnum {
        DAILY,
        MONTHLY,
        ONCE,
        WEEKLY
    }
}
