"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SimpleTech = (function () {
    function SimpleTech() {
    }
    SimpleTech.getAttributeTypeMap = function () {
        return SimpleTech.attributeTypeMap;
    };
    SimpleTech.discriminator = undefined;
    SimpleTech.attributeTypeMap = [
        {
            "name": "type",
            "baseName": "type",
            "type": "SimpleTech.TypeEnum"
        },
        {
            "name": "verbatimType",
            "baseName": "verbatimType",
            "type": "string"
        }
    ];
    return SimpleTech;
}());
exports.SimpleTech = SimpleTech;
(function (SimpleTech) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["ACTIVEMQ"] = 'ACTIVE_MQ'] = "ACTIVEMQ";
        TypeEnum[TypeEnum["ACTIVEMQARTEMIS"] = 'ACTIVE_MQ_ARTEMIS'] = "ACTIVEMQARTEMIS";
        TypeEnum[TypeEnum["ADONET"] = 'ADO_NET'] = "ADONET";
        TypeEnum[TypeEnum["AIX"] = 'AIX'] = "AIX";
        TypeEnum[TypeEnum["AKKA"] = 'AKKA'] = "AKKA";
        TypeEnum[TypeEnum["AMAZONREDSHIFT"] = 'AMAZON_REDSHIFT'] = "AMAZONREDSHIFT";
        TypeEnum[TypeEnum["AMQP"] = 'AMQP'] = "AMQP";
        TypeEnum[TypeEnum["APACHECAMEL"] = 'APACHE_CAMEL'] = "APACHECAMEL";
        TypeEnum[TypeEnum["APACHECASSANDRA"] = 'APACHE_CASSANDRA'] = "APACHECASSANDRA";
        TypeEnum[TypeEnum["APACHECOUCHDB"] = 'APACHE_COUCH_DB'] = "APACHECOUCHDB";
        TypeEnum[TypeEnum["APACHEDERBY"] = 'APACHE_DERBY'] = "APACHEDERBY";
        TypeEnum[TypeEnum["APACHEHTTPCLIENTASYNC"] = 'APACHE_HTTP_CLIENT_ASYNC'] = "APACHEHTTPCLIENTASYNC";
        TypeEnum[TypeEnum["APACHEHTTPCLIENTSYNC"] = 'APACHE_HTTP_CLIENT_SYNC'] = "APACHEHTTPCLIENTSYNC";
        TypeEnum[TypeEnum["APACHEHTTPSERVER"] = 'APACHE_HTTP_SERVER'] = "APACHEHTTPSERVER";
        TypeEnum[TypeEnum["APACHEKAFKA"] = 'APACHE_KAFKA'] = "APACHEKAFKA";
        TypeEnum[TypeEnum["APACHESOLR"] = 'APACHE_SOLR'] = "APACHESOLR";
        TypeEnum[TypeEnum["APACHESTORM"] = 'APACHE_STORM'] = "APACHESTORM";
        TypeEnum[TypeEnum["APACHESYNAPSE"] = 'APACHE_SYNAPSE'] = "APACHESYNAPSE";
        TypeEnum[TypeEnum["APACHETOMCAT"] = 'APACHE_TOMCAT'] = "APACHETOMCAT";
        TypeEnum[TypeEnum["APPARMOR"] = 'APPARMOR'] = "APPARMOR";
        TypeEnum[TypeEnum["APPLICATIONINSIGHTSSDK"] = 'APPLICATION_INSIGHTS_SDK'] = "APPLICATIONINSIGHTSSDK";
        TypeEnum[TypeEnum["ASPDOTNET"] = 'ASP_DOTNET'] = "ASPDOTNET";
        TypeEnum[TypeEnum["ASPDOTNETCORE"] = 'ASP_DOTNET_CORE'] = "ASPDOTNETCORE";
        TypeEnum[TypeEnum["ASPDOTNETCORESIGNALR"] = 'ASP_DOTNET_CORE_SIGNALR'] = "ASPDOTNETCORESIGNALR";
        TypeEnum[TypeEnum["ASPDOTNETSIGNALR"] = 'ASP_DOTNET_SIGNALR'] = "ASPDOTNETSIGNALR";
        TypeEnum[TypeEnum["AWSLAMBDA"] = 'AWS_LAMBDA'] = "AWSLAMBDA";
        TypeEnum[TypeEnum["AWSRDS"] = 'AWS_RDS'] = "AWSRDS";
        TypeEnum[TypeEnum["AWSSERVICE"] = 'AWS_SERVICE'] = "AWSSERVICE";
        TypeEnum[TypeEnum["AXIS"] = 'AXIS'] = "AXIS";
        TypeEnum[TypeEnum["AZUREFUNCTIONS"] = 'AZURE_FUNCTIONS'] = "AZUREFUNCTIONS";
        TypeEnum[TypeEnum["AZURESERVICEBUS"] = 'AZURE_SERVICE_BUS'] = "AZURESERVICEBUS";
        TypeEnum[TypeEnum["AZURESERVICEFABRIC"] = 'AZURE_SERVICE_FABRIC'] = "AZURESERVICEFABRIC";
        TypeEnum[TypeEnum["AZURESTORAGE"] = 'AZURE_STORAGE'] = "AZURESTORAGE";
        TypeEnum[TypeEnum["BOSHBPM"] = 'BOSHBPM'] = "BOSHBPM";
        TypeEnum[TypeEnum["CITRIX"] = 'CITRIX'] = "CITRIX";
        TypeEnum[TypeEnum["CITRIXCOMMON"] = 'CITRIX_COMMON'] = "CITRIXCOMMON";
        TypeEnum[TypeEnum["CITRIXDESKTOPDELIVERYCONTROLLERS"] = 'CITRIX_DESKTOP_DELIVERY_CONTROLLERS'] = "CITRIXDESKTOPDELIVERYCONTROLLERS";
        TypeEnum[TypeEnum["CITRIXDIRECTOR"] = 'CITRIX_DIRECTOR'] = "CITRIXDIRECTOR";
        TypeEnum[TypeEnum["CITRIXLICENSESERVER"] = 'CITRIX_LICENSE_SERVER'] = "CITRIXLICENSESERVER";
        TypeEnum[TypeEnum["CITRIXPROVISIONINGSERVICES"] = 'CITRIX_PROVISIONING_SERVICES'] = "CITRIXPROVISIONINGSERVICES";
        TypeEnum[TypeEnum["CITRIXSTOREFRONT"] = 'CITRIX_STOREFRONT'] = "CITRIXSTOREFRONT";
        TypeEnum[TypeEnum["CITRIXVIRTUALDELIVERYAGENT"] = 'CITRIX_VIRTUAL_DELIVERY_AGENT'] = "CITRIXVIRTUALDELIVERYAGENT";
        TypeEnum[TypeEnum["CITRIXWORKSPACEENVIRONMENTMANAGEMENT"] = 'CITRIX_WORKSPACE_ENVIRONMENT_MANAGEMENT'] = "CITRIXWORKSPACEENVIRONMENTMANAGEMENT";
        TypeEnum[TypeEnum["CLOUDFOUNDRY"] = 'CLOUDFOUNDRY'] = "CLOUDFOUNDRY";
        TypeEnum[TypeEnum["CLOUDFOUNDRYAUCTIONEER"] = 'CLOUDFOUNDRY_AUCTIONEER'] = "CLOUDFOUNDRYAUCTIONEER";
        TypeEnum[TypeEnum["CLOUDFOUNDRYBOSH"] = 'CLOUDFOUNDRY_BOSH'] = "CLOUDFOUNDRYBOSH";
        TypeEnum[TypeEnum["CLOUDFOUNDRYGOROUTER"] = 'CLOUDFOUNDRY_GOROUTER'] = "CLOUDFOUNDRYGOROUTER";
        TypeEnum[TypeEnum["COLDFUSION"] = 'COLDFUSION'] = "COLDFUSION";
        TypeEnum[TypeEnum["CONTAINERD"] = 'CONTAINERD'] = "CONTAINERD";
        TypeEnum[TypeEnum["COREDNS"] = 'CORE_DNS'] = "COREDNS";
        TypeEnum[TypeEnum["COUCHBASE"] = 'COUCHBASE'] = "COUCHBASE";
        TypeEnum[TypeEnum["CRIO"] = 'CRIO'] = "CRIO";
        TypeEnum[TypeEnum["CXF"] = 'CXF'] = "CXF";
        TypeEnum[TypeEnum["DATASTAX"] = 'DATASTAX'] = "DATASTAX";
        TypeEnum[TypeEnum["DB2"] = 'DB2'] = "DB2";
        TypeEnum[TypeEnum["DIEGOCELL"] = 'DIEGO_CELL'] = "DIEGOCELL";
        TypeEnum[TypeEnum["DOCKER"] = 'DOCKER'] = "DOCKER";
        TypeEnum[TypeEnum["DOTNET"] = 'DOTNET'] = "DOTNET";
        TypeEnum[TypeEnum["DOTNETREMOTING"] = 'DOTNET_REMOTING'] = "DOTNETREMOTING";
        TypeEnum[TypeEnum["ELASTICSEARCH"] = 'ELASTIC_SEARCH'] = "ELASTICSEARCH";
        TypeEnum[TypeEnum["ENVOY"] = 'ENVOY'] = "ENVOY";
        TypeEnum[TypeEnum["ERLANG"] = 'ERLANG'] = "ERLANG";
        TypeEnum[TypeEnum["ETCD"] = 'ETCD'] = "ETCD";
        TypeEnum[TypeEnum["F5LTM"] = 'F5_LTM'] = "F5LTM";
        TypeEnum[TypeEnum["FSHARP"] = 'FSHARP'] = "FSHARP";
        TypeEnum[TypeEnum["GARDEN"] = 'GARDEN'] = "GARDEN";
        TypeEnum[TypeEnum["GLASSFISH"] = 'GLASSFISH'] = "GLASSFISH";
        TypeEnum[TypeEnum["GO"] = 'GO'] = "GO";
        TypeEnum[TypeEnum["GRPC"] = 'GRPC'] = "GRPC";
        TypeEnum[TypeEnum["GRSECURITY"] = 'GRSECURITY'] = "GRSECURITY";
        TypeEnum[TypeEnum["HADOOP"] = 'HADOOP'] = "HADOOP";
        TypeEnum[TypeEnum["HADOOPHDFS"] = 'HADOOP_HDFS'] = "HADOOPHDFS";
        TypeEnum[TypeEnum["HADOOPYARN"] = 'HADOOP_YARN'] = "HADOOPYARN";
        TypeEnum[TypeEnum["HAPROXY"] = 'HAPROXY'] = "HAPROXY";
        TypeEnum[TypeEnum["HEAT"] = 'HEAT'] = "HEAT";
        TypeEnum[TypeEnum["HESSIAN"] = 'HESSIAN'] = "HESSIAN";
        TypeEnum[TypeEnum["HORNETQ"] = 'HORNET_Q'] = "HORNETQ";
        TypeEnum[TypeEnum["IBMCICSREGION"] = 'IBM_CICS_REGION'] = "IBMCICSREGION";
        TypeEnum[TypeEnum["IBMCICSTRANSACTIONGATEWAY"] = 'IBM_CICS_TRANSACTION_GATEWAY'] = "IBMCICSTRANSACTIONGATEWAY";
        TypeEnum[TypeEnum["IBMIMSCONNECTREGION"] = 'IBM_IMS_CONNECT_REGION'] = "IBMIMSCONNECTREGION";
        TypeEnum[TypeEnum["IBMIMSCONTROLREGION"] = 'IBM_IMS_CONTROL_REGION'] = "IBMIMSCONTROLREGION";
        TypeEnum[TypeEnum["IBMIMSMESSAGEPROCESSINGREGION"] = 'IBM_IMS_MESSAGE_PROCESSING_REGION'] = "IBMIMSMESSAGEPROCESSINGREGION";
        TypeEnum[TypeEnum["IBMIMSSOAPGATEWAY"] = 'IBM_IMS_SOAP_GATEWAY'] = "IBMIMSSOAPGATEWAY";
        TypeEnum[TypeEnum["IBMINTEGRATIONBUS"] = 'IBM_INTEGRATION_BUS'] = "IBMINTEGRATIONBUS";
        TypeEnum[TypeEnum["IBMMQ"] = 'IBM_MQ'] = "IBMMQ";
        TypeEnum[TypeEnum["IBMMQCLIENT"] = 'IBM_MQ_CLIENT'] = "IBMMQCLIENT";
        TypeEnum[TypeEnum["IBMWEBSHPREREAPPLICATIONSERVER"] = 'IBM_WEBSHPRERE_APPLICATION_SERVER'] = "IBMWEBSHPREREAPPLICATIONSERVER";
        TypeEnum[TypeEnum["IBMWEBSHPRERELIBERTY"] = 'IBM_WEBSHPRERE_LIBERTY'] = "IBMWEBSHPRERELIBERTY";
        TypeEnum[TypeEnum["IIS"] = 'IIS'] = "IIS";
        TypeEnum[TypeEnum["IISAPPPOOL"] = 'IIS_APP_POOL'] = "IISAPPPOOL";
        TypeEnum[TypeEnum["ISTIO"] = 'ISTIO'] = "ISTIO";
        TypeEnum[TypeEnum["JAVA"] = 'JAVA'] = "JAVA";
        TypeEnum[TypeEnum["JAXWS"] = 'JAX_WS'] = "JAXWS";
        TypeEnum[TypeEnum["JBOSS"] = 'JBOSS'] = "JBOSS";
        TypeEnum[TypeEnum["JBOSSEAP"] = 'JBOSS_EAP'] = "JBOSSEAP";
        TypeEnum[TypeEnum["JDKHTTPSERVER"] = 'JDK_HTTP_SERVER'] = "JDKHTTPSERVER";
        TypeEnum[TypeEnum["JERSEY"] = 'JERSEY'] = "JERSEY";
        TypeEnum[TypeEnum["JETTY"] = 'JETTY'] = "JETTY";
        TypeEnum[TypeEnum["JRUBY"] = 'JRUBY'] = "JRUBY";
        TypeEnum[TypeEnum["JYTHON"] = 'JYTHON'] = "JYTHON";
        TypeEnum[TypeEnum["KUBERNETES"] = 'KUBERNETES'] = "KUBERNETES";
        TypeEnum[TypeEnum["LIBVIRT"] = 'LIBVIRT'] = "LIBVIRT";
        TypeEnum[TypeEnum["LINKERD"] = 'LINKERD'] = "LINKERD";
        TypeEnum[TypeEnum["MARIADB"] = 'MARIADB'] = "MARIADB";
        TypeEnum[TypeEnum["MEMCACHED"] = 'MEMCACHED'] = "MEMCACHED";
        TypeEnum[TypeEnum["MICROSOFTSQLSERVER"] = 'MICROSOFT_SQL_SERVER'] = "MICROSOFTSQLSERVER";
        TypeEnum[TypeEnum["MONGODB"] = 'MONGODB'] = "MONGODB";
        TypeEnum[TypeEnum["MSSQLCLIENT"] = 'MSSQL_CLIENT'] = "MSSQLCLIENT";
        TypeEnum[TypeEnum["MULEESB"] = 'MULE_ESB'] = "MULEESB";
        TypeEnum[TypeEnum["MYSQL"] = 'MYSQL'] = "MYSQL";
        TypeEnum[TypeEnum["MYSQLCONNECTOR"] = 'MYSQL_CONNECTOR'] = "MYSQLCONNECTOR";
        TypeEnum[TypeEnum["NETFLIXSERVO"] = 'NETFLIX_SERVO'] = "NETFLIXSERVO";
        TypeEnum[TypeEnum["NETTY"] = 'NETTY'] = "NETTY";
        TypeEnum[TypeEnum["NGINX"] = 'NGINX'] = "NGINX";
        TypeEnum[TypeEnum["NODEJS"] = 'NODE_JS'] = "NODEJS";
        TypeEnum[TypeEnum["ONEAGENTSDK"] = 'ONEAGENT_SDK'] = "ONEAGENTSDK";
        TypeEnum[TypeEnum["OPENCENSUS"] = 'OPENCENSUS'] = "OPENCENSUS";
        TypeEnum[TypeEnum["OPENSHIFT"] = 'OPENSHIFT'] = "OPENSHIFT";
        TypeEnum[TypeEnum["OPENSTACKCOMPUTE"] = 'OPENSTACK_COMPUTE'] = "OPENSTACKCOMPUTE";
        TypeEnum[TypeEnum["OPENSTACKCONTROLLER"] = 'OPENSTACK_CONTROLLER'] = "OPENSTACKCONTROLLER";
        TypeEnum[TypeEnum["OPENTELEMETRY"] = 'OPENTELEMETRY'] = "OPENTELEMETRY";
        TypeEnum[TypeEnum["OPENTRACING"] = 'OPENTRACING'] = "OPENTRACING";
        TypeEnum[TypeEnum["OPENLIBERTY"] = 'OPEN_LIBERTY'] = "OPENLIBERTY";
        TypeEnum[TypeEnum["ORACLEDATABASE"] = 'ORACLE_DATABASE'] = "ORACLEDATABASE";
        TypeEnum[TypeEnum["ORACLEWEBLOGIC"] = 'ORACLE_WEBLOGIC'] = "ORACLEWEBLOGIC";
        TypeEnum[TypeEnum["OWIN"] = 'OWIN'] = "OWIN";
        TypeEnum[TypeEnum["PERL"] = 'PERL'] = "PERL";
        TypeEnum[TypeEnum["PHP"] = 'PHP'] = "PHP";
        TypeEnum[TypeEnum["PHPFPM"] = 'PHP_FPM'] = "PHPFPM";
        TypeEnum[TypeEnum["PLAY"] = 'PLAY'] = "PLAY";
        TypeEnum[TypeEnum["POSTGRESQL"] = 'POSTGRE_SQL'] = "POSTGRESQL";
        TypeEnum[TypeEnum["POSTGRESQLDOTNETDATAPROVIDER"] = 'POSTGRE_SQL_DOTNET_DATA_PROVIDER'] = "POSTGRESQLDOTNETDATAPROVIDER";
        TypeEnum[TypeEnum["POWERDNS"] = 'POWER_DNS'] = "POWERDNS";
        TypeEnum[TypeEnum["PROGRESS"] = 'PROGRESS'] = "PROGRESS";
        TypeEnum[TypeEnum["PYTHON"] = 'PYTHON'] = "PYTHON";
        TypeEnum[TypeEnum["RABBITMQ"] = 'RABBIT_MQ'] = "RABBITMQ";
        TypeEnum[TypeEnum["REDIS"] = 'REDIS'] = "REDIS";
        TypeEnum[TypeEnum["RESTEASY"] = 'RESTEASY'] = "RESTEASY";
        TypeEnum[TypeEnum["RESTLET"] = 'RESTLET'] = "RESTLET";
        TypeEnum[TypeEnum["RIAK"] = 'RIAK'] = "RIAK";
        TypeEnum[TypeEnum["RUBY"] = 'RUBY'] = "RUBY";
        TypeEnum[TypeEnum["SAGWEBMETHODSIS"] = 'SAG_WEBMETHODS_IS'] = "SAGWEBMETHODSIS";
        TypeEnum[TypeEnum["SAP"] = 'SAP'] = "SAP";
        TypeEnum[TypeEnum["SAPHANADB"] = 'SAP_HANADB'] = "SAPHANADB";
        TypeEnum[TypeEnum["SAPHYBRIS"] = 'SAP_HYBRIS'] = "SAPHYBRIS";
        TypeEnum[TypeEnum["SAPMAXDB"] = 'SAP_MAXDB'] = "SAPMAXDB";
        TypeEnum[TypeEnum["SAPSYBASE"] = 'SAP_SYBASE'] = "SAPSYBASE";
        TypeEnum[TypeEnum["SCALA"] = 'SCALA'] = "SCALA";
        TypeEnum[TypeEnum["SELINUX"] = 'SELINUX'] = "SELINUX";
        TypeEnum[TypeEnum["SHAREPOINT"] = 'SHAREPOINT'] = "SHAREPOINT";
        TypeEnum[TypeEnum["SPARK"] = 'SPARK'] = "SPARK";
        TypeEnum[TypeEnum["SPRING"] = 'SPRING'] = "SPRING";
        TypeEnum[TypeEnum["SQLITE"] = 'SQLITE'] = "SQLITE";
        TypeEnum[TypeEnum["THRIFT"] = 'THRIFT'] = "THRIFT";
        TypeEnum[TypeEnum["TIBCO"] = 'TIBCO'] = "TIBCO";
        TypeEnum[TypeEnum["TIBCOBUSINESSWORKS"] = 'TIBCO_BUSINESS_WORKS'] = "TIBCOBUSINESSWORKS";
        TypeEnum[TypeEnum["TIBCOEMS"] = 'TIBCO_EMS'] = "TIBCOEMS";
        TypeEnum[TypeEnum["VARNISHCACHE"] = 'VARNISH_CACHE'] = "VARNISHCACHE";
        TypeEnum[TypeEnum["VIM2"] = 'VIM2'] = "VIM2";
        TypeEnum[TypeEnum["VIRTUALMACHINEKVM"] = 'VIRTUAL_MACHINE_KVM'] = "VIRTUALMACHINEKVM";
        TypeEnum[TypeEnum["VIRTUALMACHINEQEMU"] = 'VIRTUAL_MACHINE_QEMU'] = "VIRTUALMACHINEQEMU";
        TypeEnum[TypeEnum["WILDFLY"] = 'WILDFLY'] = "WILDFLY";
        TypeEnum[TypeEnum["WINDOWSCONTAINERS"] = 'WINDOWS_CONTAINERS'] = "WINDOWSCONTAINERS";
        TypeEnum[TypeEnum["WINK"] = 'WINK'] = "WINK";
        TypeEnum[TypeEnum["ZEROMQ"] = 'ZERO_MQ'] = "ZEROMQ";
    })(TypeEnum = SimpleTech.TypeEnum || (SimpleTech.TypeEnum = {}));
})(SimpleTech = exports.SimpleTech || (exports.SimpleTech = {}));
exports.SimpleTech = SimpleTech;
//# sourceMappingURL=simpleTech.js.map