import { UniversalTagKey } from './universalTagKey';
export declare class UniversalTag {
    'tagKey'?: UniversalTagKey;
    'value'?: string;
    'key': string;
    'context'?: UniversalTag.ContextEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UniversalTag {
    enum ContextEnum {
        AWS,
        AWSGENERIC,
        AZURE,
        CLOUDFOUNDRY,
        CONTEXTLESS,
        ENVIRONMENT,
        GOOGLECOMPUTEENGINE,
        KUBERNETES
    }
}
