export declare class UserActionAndSessionProperties {
    'uniqueId': number;
    'key': string;
    'displayName'?: string;
    'type': UserActionAndSessionProperties.TypeEnum;
    'origin': UserActionAndSessionProperties.OriginEnum;
    'metadataId'?: number;
    'serverSideRequestAttribute'?: string;
    'aggregation'?: UserActionAndSessionProperties.AggregationEnum;
    'storeAsUserActionProperty'?: boolean;
    'storeAsSessionProperty'?: boolean;
    'cleanupRule'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UserActionAndSessionProperties {
    enum TypeEnum {
        DATE,
        DOUBLE,
        LONG,
        LONGSTRING,
        STRING
    }
    enum OriginEnum {
        JAVASCRIPTAPI,
        METADATA,
        SERVERSIDEREQUESTATTRIBUTE
    }
    enum AggregationEnum {
        FIRST,
        LAST
    }
}
