"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UserActionAndSessionProperties = (function () {
    function UserActionAndSessionProperties() {
    }
    UserActionAndSessionProperties.getAttributeTypeMap = function () {
        return UserActionAndSessionProperties.attributeTypeMap;
    };
    UserActionAndSessionProperties.discriminator = undefined;
    UserActionAndSessionProperties.attributeTypeMap = [
        {
            "name": "uniqueId",
            "baseName": "uniqueId",
            "type": "number"
        },
        {
            "name": "key",
            "baseName": "key",
            "type": "string"
        },
        {
            "name": "displayName",
            "baseName": "displayName",
            "type": "string"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "UserActionAndSessionProperties.TypeEnum"
        },
        {
            "name": "origin",
            "baseName": "origin",
            "type": "UserActionAndSessionProperties.OriginEnum"
        },
        {
            "name": "metadataId",
            "baseName": "metadataId",
            "type": "number"
        },
        {
            "name": "serverSideRequestAttribute",
            "baseName": "serverSideRequestAttribute",
            "type": "string"
        },
        {
            "name": "aggregation",
            "baseName": "aggregation",
            "type": "UserActionAndSessionProperties.AggregationEnum"
        },
        {
            "name": "storeAsUserActionProperty",
            "baseName": "storeAsUserActionProperty",
            "type": "boolean"
        },
        {
            "name": "storeAsSessionProperty",
            "baseName": "storeAsSessionProperty",
            "type": "boolean"
        },
        {
            "name": "cleanupRule",
            "baseName": "cleanupRule",
            "type": "string"
        }
    ];
    return UserActionAndSessionProperties;
}());
exports.UserActionAndSessionProperties = UserActionAndSessionProperties;
(function (UserActionAndSessionProperties) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["DATE"] = 'DATE'] = "DATE";
        TypeEnum[TypeEnum["DOUBLE"] = 'DOUBLE'] = "DOUBLE";
        TypeEnum[TypeEnum["LONG"] = 'LONG'] = "LONG";
        TypeEnum[TypeEnum["LONGSTRING"] = 'LONG_STRING'] = "LONGSTRING";
        TypeEnum[TypeEnum["STRING"] = 'STRING'] = "STRING";
    })(TypeEnum = UserActionAndSessionProperties.TypeEnum || (UserActionAndSessionProperties.TypeEnum = {}));
    var OriginEnum;
    (function (OriginEnum) {
        OriginEnum[OriginEnum["JAVASCRIPTAPI"] = 'JAVASCRIPT_API'] = "JAVASCRIPTAPI";
        OriginEnum[OriginEnum["METADATA"] = 'META_DATA'] = "METADATA";
        OriginEnum[OriginEnum["SERVERSIDEREQUESTATTRIBUTE"] = 'SERVER_SIDE_REQUEST_ATTRIBUTE'] = "SERVERSIDEREQUESTATTRIBUTE";
    })(OriginEnum = UserActionAndSessionProperties.OriginEnum || (UserActionAndSessionProperties.OriginEnum = {}));
    var AggregationEnum;
    (function (AggregationEnum) {
        AggregationEnum[AggregationEnum["FIRST"] = 'FIRST'] = "FIRST";
        AggregationEnum[AggregationEnum["LAST"] = 'LAST'] = "LAST";
    })(AggregationEnum = UserActionAndSessionProperties.AggregationEnum || (UserActionAndSessionProperties.AggregationEnum = {}));
})(UserActionAndSessionProperties = exports.UserActionAndSessionProperties || (exports.UserActionAndSessionProperties = {}));
exports.UserActionAndSessionProperties = UserActionAndSessionProperties;
//# sourceMappingURL=userActionAndSessionProperties.js.map