export declare class UserActionDetails {
    'value'?: string;
    'caseSensitive'?: boolean;
    'matchType'?: UserActionDetails.MatchTypeEnum;
    'matchEntity'?: UserActionDetails.MatchEntityEnum;
    'actionType'?: UserActionDetails.ActionTypeEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UserActionDetails {
    enum MatchTypeEnum {
        Begins,
        Contains,
        Ends
    }
    enum MatchEntityEnum {
        ActionName,
        CssSelector,
        JavaScriptVariable,
        MetaTag,
        PagePath,
        PageTitle,
        PageUrl,
        UrlAnchor,
        XhrUrl
    }
    enum ActionTypeEnum {
        Custom,
        Load,
        Xhr
    }
}
