"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UserActionDetails = (function () {
    function UserActionDetails() {
    }
    UserActionDetails.getAttributeTypeMap = function () {
        return UserActionDetails.attributeTypeMap;
    };
    UserActionDetails.discriminator = undefined;
    UserActionDetails.attributeTypeMap = [
        {
            "name": "value",
            "baseName": "value",
            "type": "string"
        },
        {
            "name": "caseSensitive",
            "baseName": "caseSensitive",
            "type": "boolean"
        },
        {
            "name": "matchType",
            "baseName": "matchType",
            "type": "UserActionDetails.MatchTypeEnum"
        },
        {
            "name": "matchEntity",
            "baseName": "matchEntity",
            "type": "UserActionDetails.MatchEntityEnum"
        },
        {
            "name": "actionType",
            "baseName": "actionType",
            "type": "UserActionDetails.ActionTypeEnum"
        }
    ];
    return UserActionDetails;
}());
exports.UserActionDetails = UserActionDetails;
(function (UserActionDetails) {
    var MatchTypeEnum;
    (function (MatchTypeEnum) {
        MatchTypeEnum[MatchTypeEnum["Begins"] = 'Begins'] = "Begins";
        MatchTypeEnum[MatchTypeEnum["Contains"] = 'Contains'] = "Contains";
        MatchTypeEnum[MatchTypeEnum["Ends"] = 'Ends'] = "Ends";
    })(MatchTypeEnum = UserActionDetails.MatchTypeEnum || (UserActionDetails.MatchTypeEnum = {}));
    var MatchEntityEnum;
    (function (MatchEntityEnum) {
        MatchEntityEnum[MatchEntityEnum["ActionName"] = 'ActionName'] = "ActionName";
        MatchEntityEnum[MatchEntityEnum["CssSelector"] = 'CssSelector'] = "CssSelector";
        MatchEntityEnum[MatchEntityEnum["JavaScriptVariable"] = 'JavaScriptVariable'] = "JavaScriptVariable";
        MatchEntityEnum[MatchEntityEnum["MetaTag"] = 'MetaTag'] = "MetaTag";
        MatchEntityEnum[MatchEntityEnum["PagePath"] = 'PagePath'] = "PagePath";
        MatchEntityEnum[MatchEntityEnum["PageTitle"] = 'PageTitle'] = "PageTitle";
        MatchEntityEnum[MatchEntityEnum["PageUrl"] = 'PageUrl'] = "PageUrl";
        MatchEntityEnum[MatchEntityEnum["UrlAnchor"] = 'UrlAnchor'] = "UrlAnchor";
        MatchEntityEnum[MatchEntityEnum["XhrUrl"] = 'XhrUrl'] = "XhrUrl";
    })(MatchEntityEnum = UserActionDetails.MatchEntityEnum || (UserActionDetails.MatchEntityEnum = {}));
    var ActionTypeEnum;
    (function (ActionTypeEnum) {
        ActionTypeEnum[ActionTypeEnum["Custom"] = 'Custom'] = "Custom";
        ActionTypeEnum[ActionTypeEnum["Load"] = 'Load'] = "Load";
        ActionTypeEnum[ActionTypeEnum["Xhr"] = 'Xhr'] = "Xhr";
    })(ActionTypeEnum = UserActionDetails.ActionTypeEnum || (UserActionDetails.ActionTypeEnum = {}));
})(UserActionDetails = exports.UserActionDetails || (exports.UserActionDetails = {}));
exports.UserActionDetails = UserActionDetails;
//# sourceMappingURL=userActionDetails.js.map