"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UserActionFilter = (function () {
    function UserActionFilter() {
    }
    UserActionFilter.getAttributeTypeMap = function () {
        return UserActionFilter.attributeTypeMap;
    };
    UserActionFilter.discriminator = undefined;
    UserActionFilter.attributeTypeMap = [
        {
            "name": "actionDurationFromMilliseconds",
            "baseName": "actionDurationFromMilliseconds",
            "type": "number"
        },
        {
            "name": "actionDurationToMilliseconds",
            "baseName": "actionDurationToMilliseconds",
            "type": "number"
        },
        {
            "name": "loadAction",
            "baseName": "loadAction",
            "type": "boolean"
        },
        {
            "name": "xhrAction",
            "baseName": "xhrAction",
            "type": "boolean"
        },
        {
            "name": "customAction",
            "baseName": "customAction",
            "type": "boolean"
        },
        {
            "name": "apdex",
            "baseName": "apdex",
            "type": "UserActionFilter.ApdexEnum"
        },
        {
            "name": "domain",
            "baseName": "domain",
            "type": "string"
        },
        {
            "name": "userActionName",
            "baseName": "userActionName",
            "type": "string"
        },
        {
            "name": "realUser",
            "baseName": "realUser",
            "type": "boolean"
        },
        {
            "name": "robot",
            "baseName": "robot",
            "type": "boolean"
        },
        {
            "name": "synthetic",
            "baseName": "synthetic",
            "type": "boolean"
        },
        {
            "name": "browserFamily",
            "baseName": "browserFamily",
            "type": "string"
        },
        {
            "name": "browserType",
            "baseName": "browserType",
            "type": "string"
        },
        {
            "name": "browserVersion",
            "baseName": "browserVersion",
            "type": "string"
        },
        {
            "name": "hasCustomErrors",
            "baseName": "hasCustomErrors",
            "type": "boolean"
        },
        {
            "name": "hasAnyError",
            "baseName": "hasAnyError",
            "type": "boolean"
        },
        {
            "name": "hasHttpErrors",
            "baseName": "hasHttpErrors",
            "type": "boolean"
        },
        {
            "name": "hasJavascriptErrors",
            "baseName": "hasJavascriptErrors",
            "type": "boolean"
        },
        {
            "name": "city",
            "baseName": "city",
            "type": "string"
        },
        {
            "name": "continent",
            "baseName": "continent",
            "type": "string"
        },
        {
            "name": "country",
            "baseName": "country",
            "type": "string"
        },
        {
            "name": "region",
            "baseName": "region",
            "type": "string"
        },
        {
            "name": "ip",
            "baseName": "ip",
            "type": "string"
        },
        {
            "name": "ipV6Traffic",
            "baseName": "ipV6Traffic",
            "type": "boolean"
        },
        {
            "name": "osFamily",
            "baseName": "osFamily",
            "type": "string"
        },
        {
            "name": "osVersion",
            "baseName": "osVersion",
            "type": "string"
        },
        {
            "name": "userActionProperties",
            "baseName": "userActionProperties",
            "type": "Array<UserActionPropertyFilter>"
        }
    ];
    return UserActionFilter;
}());
exports.UserActionFilter = UserActionFilter;
(function (UserActionFilter) {
    var ApdexEnum;
    (function (ApdexEnum) {
        ApdexEnum[ApdexEnum["Frustrated"] = 'Frustrated'] = "Frustrated";
        ApdexEnum[ApdexEnum["Satisfied"] = 'Satisfied'] = "Satisfied";
        ApdexEnum[ApdexEnum["Tolerating"] = 'Tolerating'] = "Tolerating";
        ApdexEnum[ApdexEnum["Unknown"] = 'Unknown'] = "Unknown";
    })(ApdexEnum = UserActionFilter.ApdexEnum || (UserActionFilter.ApdexEnum = {}));
})(UserActionFilter = exports.UserActionFilter || (exports.UserActionFilter = {}));
exports.UserActionFilter = UserActionFilter;
//# sourceMappingURL=userActionFilter.js.map