import { UserActionNamingPlaceholderProcessingStep } from './userActionNamingPlaceholderProcessingStep';
export declare class UserActionNamingPlaceholder {
    'name': string;
    'input': UserActionNamingPlaceholder.InputEnum;
    'processingPart': UserActionNamingPlaceholder.ProcessingPartEnum;
    'processingSteps'?: Array<UserActionNamingPlaceholderProcessingStep>;
    'metadataId'?: number;
    'useGuessedElementIdentifier': boolean;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UserActionNamingPlaceholder {
    enum InputEnum {
        ELEMENTIDENTIFIER,
        INPUTTYPE,
        METADATA,
        PAGETITLE,
        PAGEURL,
        SOURCEURL,
        TOPXHRURL,
        XHRURL
    }
    enum ProcessingPartEnum {
        ALL,
        ANCHOR,
        PATH
    }
}
