"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var tile_1 = require("./tile");
var UserSessionQueryTile = (function (_super) {
    __extends(UserSessionQueryTile, _super);
    function UserSessionQueryTile() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UserSessionQueryTile.getAttributeTypeMap = function () {
        return _super.getAttributeTypeMap.call(this).concat(UserSessionQueryTile.attributeTypeMap);
    };
    UserSessionQueryTile.discriminator = undefined;
    UserSessionQueryTile.attributeTypeMap = [
        {
            "name": "customName",
            "baseName": "customName",
            "type": "string"
        },
        {
            "name": "query",
            "baseName": "query",
            "type": "string"
        },
        {
            "name": "type",
            "baseName": "type",
            "type": "UserSessionQueryTile.TypeEnum"
        },
        {
            "name": "timeFrameShift",
            "baseName": "timeFrameShift",
            "type": "string"
        },
        {
            "name": "visualizationConfig",
            "baseName": "visualizationConfig",
            "type": "UserSessionQueryTileConfiguration"
        },
        {
            "name": "limit",
            "baseName": "limit",
            "type": "number"
        }
    ];
    return UserSessionQueryTile;
}(tile_1.Tile));
exports.UserSessionQueryTile = UserSessionQueryTile;
(function (UserSessionQueryTile) {
    var TypeEnum;
    (function (TypeEnum) {
        TypeEnum[TypeEnum["COLUMNCHART"] = 'COLUMN_CHART'] = "COLUMNCHART";
        TypeEnum[TypeEnum["FUNNEL"] = 'FUNNEL'] = "FUNNEL";
        TypeEnum[TypeEnum["LINECHART"] = 'LINE_CHART'] = "LINECHART";
        TypeEnum[TypeEnum["PIECHART"] = 'PIE_CHART'] = "PIECHART";
        TypeEnum[TypeEnum["SINGLEVALUE"] = 'SINGLE_VALUE'] = "SINGLEVALUE";
        TypeEnum[TypeEnum["TABLE"] = 'TABLE'] = "TABLE";
    })(TypeEnum = UserSessionQueryTile.TypeEnum || (UserSessionQueryTile.TypeEnum = {}));
})(UserSessionQueryTile = exports.UserSessionQueryTile || (exports.UserSessionQueryTile = {}));
exports.UserSessionQueryTile = UserSessionQueryTile;
//# sourceMappingURL=userSessionQueryTile.js.map