import { ConfigurationMetadata } from './configurationMetadata';
import { DroppedPacketsDetectionConfig } from './droppedPacketsDetectionConfig';
import { EsxiHighCpuSaturationConfig } from './esxiHighCpuSaturationConfig';
import { EsxiHighMemoryDetectionConfig } from './esxiHighMemoryDetectionConfig';
import { GuestCPULimitReachedConfig } from './guestCPULimitReachedConfig';
import { LowDatastoreSpaceDetectionConfig } from './lowDatastoreSpaceDetectionConfig';
import { OverloadedStorageDetectionConfig } from './overloadedStorageDetectionConfig';
import { SlowPhysicalStorageDetectionConfig } from './slowPhysicalStorageDetectionConfig';
import { UndersizedStorageDetectionConfig } from './undersizedStorageDetectionConfig';
export declare class VMwareAnomalyDetectionConfig {
    'metadata'?: ConfigurationMetadata;
    'esxiHighCpuSaturation': EsxiHighCpuSaturationConfig;
    'guestCpuLimitReached'?: GuestCPULimitReachedConfig;
    'esxiHighMemoryDetection': EsxiHighMemoryDetectionConfig;
    'overloadedStorageDetection': OverloadedStorageDetectionConfig;
    'undersizedStorageDetection': UndersizedStorageDetectionConfig;
    'slowPhysicalStorageDetection': SlowPhysicalStorageDetectionConfig;
    'droppedPacketsDetection': DroppedPacketsDetectionConfig;
    'lowDatastoreSpaceDetection': LowDatastoreSpaceDetectionConfig;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
