export declare class WebApplicationConfigBrowserRestriction {
    'browserVersion'?: string;
    'browserType': WebApplicationConfigBrowserRestriction.BrowserTypeEnum;
    'platform'?: WebApplicationConfigBrowserRestriction.PlatformEnum;
    'comparator'?: WebApplicationConfigBrowserRestriction.ComparatorEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace WebApplicationConfigBrowserRestriction {
    enum BrowserTypeEnum {
        ANDROIDWEBKIT,
        BOTSSPIDERS,
        CHROME,
        EDGE,
        FIREFOX,
        INTERNETEXPLORER,
        OPERA,
        SAFARI
    }
    enum PlatformEnum {
        ALL,
        DESKTOP,
        MOBILE
    }
    enum ComparatorEnum {
        EQUALS,
        GREATERTHANOREQUAL,
        LOWERTHANOREQUAL
    }
}
