import { HttpHeader } from './httpHeader';
import { NotificationConfig } from './notificationConfig';
export declare class WebHookNotificationConfig extends NotificationConfig {
    'url': string;
    'acceptAnyCertificate': boolean;
    'payload': string;
    'headers'?: Array<HttpHeader>;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace WebHookNotificationConfig {
}
