export * from './additionalEventHandlers';
export * from './advancedJavaScriptTagSettings';
export * from './afterTransformation';
export * from './afterTransformationAllOf';
export * from './alertingCustomEventFilter';
export * from './alertingCustomTextFilter';
export * from './alertingEventTypeFilter';
export * from './alertingPredefinedEventFilter';
export * from './alertingProfile';
export * from './alertingProfileSeverityRule';
export * from './alertingProfileTagFilter';
export * from './aliasQueue';
export * from './anomalyDetectionPG';
export * from './ansibleTowerNotificationConfig';
export * from './ansibleTowerNotificationConfigAllOf';
export * from './apdex';
export * from './appIdentifier';
export * from './applicationAnomalyDetectionConfig';
export * from './applicationDataPrivacy';
export * from './applicationDataPrivacyList';
export * from './applicationDetectionRuleConfig';
export * from './applicationFilter';
export * from './applicationId';
export * from './applicationTypeComparison';
export * from './applicationTypeComparisonAllOf';
export * from './assignedEntitiesTile';
export * from './assignedEntitiesTileAllOf';
export * from './assignedEntitiesWithMetricTile';
export * from './assignedEntitiesWithMetricTileAllOf';
export * from './autoTag';
export * from './autoTagRule';
export * from './availabilityMonitoringPG';
export * from './awsAnomalyDetectionConfig';
export * from './awsAuthenticationData';
export * from './awsConfigTag';
export * from './awsCredentialsConfig';
export * from './awsIamToken';
export * from './awsSupportingServiceConfig';
export * from './awsSupportingServiceMetric';
export * from './azureComputeModeComparison';
export * from './azureComputeModeComparisonAllOf';
export * from './azureCredentials';
export * from './azureMonitoredMetric';
export * from './azureSkuComparision';
export * from './azureSkuComparisionAllOf';
export * from './azureSupportingService';
export * from './beforeTransformation';
export * from './beforeTransformationAllOf';
export * from './betweenTransformation';
export * from './betweenTransformationAllOf';
export * from './bitnessComparision';
export * from './bitnessComparisionAllOf';
export * from './booleanComparisonInfo';
export * from './booleanComparisonInfoAllOf';
export * from './calculatedMetricDefinition';
export * from './calculatedMobileMetric';
export * from './calculatedMobileMetricDimension';
export * from './calculatedMobileMetricUpdate';
export * from './calculatedMobileMetricUserActionFilter';
export * from './calculatedServiceMetric';
export * from './calculatedSyntheticMetric';
export * from './capturedMethod';
export * from './certificateCredentials';
export * from './certificateCredentialsAllOf';
export * from './cloudFoundryCredentials';
export * from './cloudTag';
export * from './cloudTypeComparison';
export * from './cloudTypeComparisonAllOf';
export * from './clusterQueue';
export * from './columnDefinition';
export * from './compareOperation';
export * from './comparisonBasic';
export * from './comparisonInfo';
export * from './condition';
export * from './conditionKey';
export * from './conditionalNamingRule';
export * from './conditionsFullWebRequestAttributeTypeDto';
export * from './conditionsFullWebServiceAttributeTypeDto';
export * from './conditionsOpaqueAndExternalWebRequestAttributeTypeDto';
export * from './configurationMetadata';
export * from './configurationMetadataDtoImpl';
export * from './connectionLostDetectionConfig';
export * from './constraintViolation';
export * from './contentCapture';
export * from './contextRoot';
export * from './contextRootTransformation';
export * from './conversionGoal';
export * from './credentials';
export * from './credentialsList';
export * from './credentialsResponseElement';
export * from './customApplicationTypeComparison';
export * from './customApplicationTypeComparisonAllOf';
export * from './customChartingItemMetadataConfig';
export * from './customChartingTile';
export * from './customChartingTileAllOf';
export * from './customColumnDefinition';
export * from './customColumnDefinitionAllOf';
export * from './customDeviceGroupNameAlertingScope';
export * from './customDeviceGroupNameAlertingScopeAllOf';
export * from './customFilterChartConfig';
export * from './customFilterChartSeriesConfig';
export * from './customFilterChartSeriesDimensionConfig';
export * from './customFilterConfig';
export * from './customHostMetadataConditionKey';
export * from './customHostMetadataConditionKeyAllOf';
export * from './customHostMetadataKey';
export * from './customProcessMetadataConditionKey';
export * from './customProcessMetadataConditionKeyAllOf';
export * from './customProcessMetadataKey';
export * from './customService';
export * from './dashboard';
export * from './dashboardFilter';
export * from './dashboardList';
export * from './dashboardMetadata';
export * from './dashboardReport';
export * from './dashboardReportStub';
export * from './dashboardReportSubscription';
export * from './dashboardStub';
export * from './dataPrivacyAndSecurity';
export * from './dataSource';
export * from './databaseAnomalyDetectionConfig';
export * from './databaseConnectionFailureDetectionConfig';
export * from './databaseTopologyComparison';
export * from './databaseTopologyComparisonAllOf';
export * from './dcrumDecoderComparison';
export * from './dcrumDecoderComparisonAllOf';
export * from './destinationDetails';
export * from './detectionRule';
export * from './dimensionDefinition';
export * from './diskEventAnomalyDetectionConfig';
export * from './diskLowInodesDetectionConfig';
export * from './diskLowInodesThresholds';
export * from './diskLowSpaceDetectionConfig';
export * from './diskLowSpaceThresholds';
export * from './diskNameFilter';
export * from './diskSlowWriteAndReadsThresholds';
export * from './diskSlowWritesAndReadsDetectionConfig';
export * from './droppedPacketsDetectionConfig';
export * from './droppedPacketsThresholds';
export * from './eSBInputNodeTypeComparisonInfo';
export * from './eSBInputNodeTypeComparisonInfoAllOf';
export * from './ec2CandidateCpuSaturationDetectionConfig';
export * from './ec2CandidateCpuSaturationThresholds';
export * from './elbHighConnectionErrorsDetectionConfig';
export * from './elbHighConnectionErrorsThresholds';
export * from './emailNotificationConfig';
export * from './emailNotificationConfigAllOf';
export * from './endsWithCompareOperation';
export * from './endsWithCompareOperationAllOf';
export * from './entityIdAlertingScope';
export * from './entityIdAlertingScopeAllOf';
export * from './entityIdComparison';
export * from './entityIdComparisonAllOf';
export * from './entityRuleEngineCondition';
export * from './entityShortRepresentation';
export * from './equalsCompareOperation';
export * from './equalsCompareOperationAllOf';
export * from './errorEnvelope';
export * from './esxiHighCpuSaturationConfig';
export * from './esxiHighCpuThresholds';
export * from './esxiHighMemoryDetectionConfig';
export * from './esxiHighMemoryThresholds';
export * from './eventWrapperSettings';
export * from './existsCompareOperation';
export * from './existsCompareOperationAllOf';
export * from './extension';
export * from './extensionConfigurationDto';
export * from './extensionConfigurationList';
export * from './extensionDto';
export * from './extensionListDto';
export * from './extensionProperty';
export * from './extensionState';
export * from './extensionStateList';
export * from './extractSubstring';
export * from './failedStateComparisonInfo';
export * from './failedStateComparisonInfoAllOf';
export * from './failureRateIncreaseAutodetectionConfig';
export * from './failureRateIncreaseDetectionConfig';
export * from './failureRateIncreaseThresholdConfig';
export * from './failureReasonComparisonInfo';
export * from './failureReasonComparisonInfoAllOf';
export * from './fastStringComparisonInfo';
export * from './fastStringComparisonInfoAllOf';
export * from './filterableEntityTile';
export * from './filterableEntityTileAllOf';
export * from './flawStateComparisonInfo';
export * from './flawStateComparisonInfoAllOf';
export * from './frequentIssueDetectionConfig';
export * from './fullWebRequestRule';
export * from './fullWebServiceRule';
export * from './globalEventCaptureSettings';
export * from './globalExtensionConfiguration';
export * from './greaterThanCompareOperation';
export * from './greaterThanCompareOperationAllOf';
export * from './guestCPULimitReachedConfig';
export * from './guestCPULimitThresholds';
export * from './highCpuSaturationDetectionConfig';
export * from './highCpuSaturationThresholds';
export * from './highGcActivityDetectionConfig';
export * from './highGcActivityThresholds';
export * from './highMemoryDetectionConfig';
export * from './highMemoryThresholds';
export * from './highNetworkDetectionConfig';
export * from './highNetworkThresholds';
export * from './hipChatNotificationConfig';
export * from './hipChatNotificationConfigAllOf';
export * from './host';
export * from './hostGroup';
export * from './hostGroupNameAlertingScope';
export * from './hostList';
export * from './hostNameAlertingScope';
export * from './hostsAnomalyDetectionConfig';
export * from './httpHeader';
export * from './httpMethodComparisonInfo';
export * from './httpMethodComparisonInfoAllOf';
export * from './httpStatusClassComparisonInfo';
export * from './httpStatusClassComparisonInfoAllOf';
export * from './hypervisorTypeComparision';
export * from './hypervisorTypeComparisionAllOf';
export * from './iIBInputNodeTypeComparisonInfo';
export * from './ibmMQImsEntryQueue';
export * from './indexedNameComparison';
export * from './indexedNameComparisonAllOf';
export * from './indexedStringComparison';
export * from './indexedStringComparisonAllOf';
export * from './indexedTagComparison';
export * from './indexedTagComparisonAllOf';
export * from './inlineObject';
export * from './inlineObject1';
export * from './inlineObject2';
export * from './inlineObject3';
export * from './intEqualsCompareOperation';
export * from './intEqualsCompareOperationAllOf';
export * from './integerComparison';
export * from './integerComparisonAllOf';
export * from './ipAddressComparison';
export * from './ipAddressComparisonAllOf';
export * from './ipAddressRange';
export * from './ipInRangeCompareOperation';
export * from './ipInRangeCompareOperationAllOf';
export * from './javaScriptFrameworkSupport';
export * from './javaScriptInjectionRules';
export * from './jiraNotificationConfig';
export * from './jiraNotificationConfigAllOf';
export * from './jsonColumnDefinition';
export * from './keyBasedAuthentication';
export * from './kubernetesCredentials';
export * from './kubernetesEventPattern';
export * from './lambdaHighErrorRateDetectionConfig';
export * from './lambdaHighErrorRateThresholds';
export * from './lessThanCompareOperation';
export * from './loadDropDetectionConfig';
export * from './loadSpikeDetectionConfig';
export * from './logMetricConfig';
export * from './logSourceFilter';
export * from './lowDatastoreSpaceDetectionConfig';
export * from './lowDatastoreSpaceThresholds';
export * from './maintenanceWindow';
export * from './managementZone';
export * from './managementZoneAlertingScope';
export * from './managementZoneAlertingScopeAllOf';
export * from './managementZoneRule';
export * from './markdownTile';
export * from './markdownTileAllOf';
export * from './maskingRule';
export * from './maskingSettings';
export * from './metaDataCapturing';
export * from './methodReference';
export * from './methodRule';
export * from './metricEvent';
export * from './metricEventAlertingScope';
export * from './metricEventAutoAdaptiveBaselineMonitoringStrategy';
export * from './metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf';
export * from './metricEventDimensions';
export * from './metricEventEntityDimensions';
export * from './metricEventEntityDimensionsAllOf';
export * from './metricEventMonitoringStrategy';
export * from './metricEventStaticThresholdMonitoringStrategy';
export * from './metricEventStaticThresholdMonitoringStrategyAllOf';
export * from './metricEventStringDimensions';
export * from './metricEventStringDimensionsAllOf';
export * from './metricEventTextFilterMetricEventDimensionsFilterOperatorDto';
export * from './metricEventTextFilterMetricEventTextFilterOperatorDto';
export * from './mobilePlatformComparison';
export * from './mobilePlatformComparisonAllOf';
export * from './modelError';
export * from './monitoredEntityFilter';
export * from './monitoringSettings';
export * from './nameAlertingScope';
export * from './networkDroppedPacketsDetectionConfig';
export * from './networkDroppedPacketsThresholds';
export * from './networkErrorsDetectionConfig';
export * from './networkErrorsThresholds';
export * from './networkHighRetransmissionDetectionConfig';
export * from './networkHighRetransmissionThresholds';
export * from './networkTcpProblemsDetectionConfig';
export * from './networkTcpProblemsThresholds';
export * from './notificationConfig';
export * from './notificationConfigStub';
export * from './notificationConfigStubListDto';
export * from './numberComparisonInfo';
export * from './numberComparisonInfoAllOf';
export * from './numberRequestAttributeComparisonInfo';
export * from './numberRequestAttributeComparisonInfoAllOf';
export * from './opaqueAndExternalWebRequestRule';
export * from './opsGenieNotificationConfig';
export * from './opsGenieNotificationConfigAllOf';
export * from './osArchitectureComparison';
export * from './osArchitectureComparisonAllOf';
export * from './osTypeComparison';
export * from './osTypeComparisonAllOf';
export * from './outOfMemoryDetectionConfig';
export * from './outOfMemoryThresholds';
export * from './outOfThreadsDetectionConfig';
export * from './outOfThreadsThresholds';
export * from './overloadedStorageDetectionConfig';
export * from './overloadedStorageThresholds';
export * from './paasTypeComparison';
export * from './paasTypeComparisonAllOf';
export * from './pagerDutyNotificationConfig';
export * from './pagerDutyNotificationConfigAllOf';
export * from './pathDefinition';
export * from './placeholder';
export * from './plugin';
export * from './pluginProperty';
export * from './pluginState';
export * from './pluginStateList';
export * from './port';
export * from './processGroupIdAlertingScope';
export * from './processGroupIdAlertingScopeAllOf';
export * from './processGroupNameAlertingScope';
export * from './processMetadataConditionKey';
export * from './processMetadataConditionKeyAllOf';
export * from './propagationSource';
export * from './publicDomainName';
export * from './queueManager';
export * from './rdsHighCpuDetectionConfig';
export * from './rdsHighCpuThresholds';
export * from './rdsHighLatencyThresholds';
export * from './rdsHighMemoryDetectionConfig';
export * from './rdsHighMemoryThresholds';
export * from './rdsHighWriteReadLatencyDetectionConfig';
export * from './rdsLowStorageDetectionConfig';
export * from './rdsLowStorageThresholds';
export * from './rdsRestartsSequenceDetectionConfig';
export * from './rdsRestartsThresholds';
export * from './recurrence';
export * from './remoteEnvironmentConfigDto';
export * from './remoteEnvironmentConfigListDto';
export * from './remoteEnvironmentConfigStub';
export * from './remotePluginEndpoint';
export * from './remoteQueue';
export * from './removeCreditCardNumbersTransformation';
export * from './removeIBANsTransformation';
export * from './removeIPsTransformation';
export * from './removeNumbersTransformation';
export * from './removeNumbersTransformationAllOf';
export * from './replaceBetweenTransformation';
export * from './replaceBetweenTransformationAllOf';
export * from './reportStubList';
export * from './reportSubscriptions';
export * from './requestAttribute';
export * from './requestNaming';
export * from './resourceNaming';
export * from './resourceTimingSettings';
export * from './responseTimeDegradationAutodetectionConfig';
export * from './responseTimeDegradationDetectionConfig';
export * from './responseTimeDegradationThresholdConfig';
export * from './roleBasedAuthentication';
export * from './rumDimensionDefinition';
export * from './rumMetric';
export * from './rumMetricDefinition';
export * from './rumMetricUpdate';
export * from './schedule';
export * from './scope';
export * from './scopeConditions';
export * from './serverName';
export * from './serviceAnomalyDetectionConfig';
export * from './serviceNowNotificationConfig';
export * from './serviceNowNotificationConfigAllOf';
export * from './serviceTopologyComparison';
export * from './serviceTopologyComparisonAllOf';
export * from './serviceTypeComparison';
export * from './serviceTypeComparisonAllOf';
export * from './serviceTypeComparisonInfo';
export * from './serviceTypeComparisonInfoAllOf';
export * from './sessionReplaySetting';
export * from './sessionReplaySettingWithDataPrivacy';
export * from './sharingInfo';
export * from './simpleHostTech';
export * from './simpleHostTechComparison';
export * from './simpleHostTechComparisonAllOf';
export * from './simpleTech';
export * from './simpleTechComparison';
export * from './simpleTechComparisonAllOf';
export * from './slackNotificationConfig';
export * from './slackNotificationConfigAllOf';
export * from './slowPhysicalStorageDetectionConfig';
export * from './slowPhysicalStorageThresholds';
export * from './splitSelectTransformation';
export * from './splitSelectTransformationAllOf';
export * from './startsWithCompareOperation';
export * from './startsWithCompareOperationAllOf';
export * from './stringComparison';
export * from './stringComparisonAllOf';
export * from './stringComparisonInfo';
export * from './stringComparisonInfoAllOf';
export * from './stringConditionKey';
export * from './stringConditionKeyAllOf';
export * from './stringContainsCompareOperation';
export * from './stringContainsCompareOperationAllOf';
export * from './stringEqualsCompareOperation';
export * from './stringEqualsCompareOperationAllOf';
export * from './stringRequestAttributeComparisonInfo';
export * from './stringRequestAttributeComparisonInfoAllOf';
export * from './stubList';
export * from './supportedVersion';
export * from './symbolFile';
export * from './symbolFileClientLinkDto';
export * from './symbolFileList';
export * from './symbolFilePinning';
export * from './symbolFileStorageInfo';
export * from './syntheticEngineTypeComparison';
export * from './syntheticEngineTypeComparisonAllOf';
export * from './syntheticMetricDimension';
export * from './syntheticMetricFilter';
export * from './syntheticMetricUpdate';
export * from './syntheticSingleWebcheckTile';
export * from './syntheticSingleWebcheckTileAllOf';
export * from './tagCompareOperation';
export * from './tagCompareOperationAllOf';
export * from './tagComparison';
export * from './tagComparisonAllOf';
export * from './tagComparisonInfo';
export * from './tagComparisonInfoAllOf';
export * from './tagFilter';
export * from './tagFilterAlertingScope';
export * from './tagFilterAlertingScopeAllOf';
export * from './tagInfo';
export * from './takeSegmentsTransformation';
export * from './takeSegmentsTransformationAllOf';
export * from './tile';
export * from './tileBounds';
export * from './tileFilter';
export * from './timeoutSettings';
export * from './tokenCredentials';
export * from './tokenCredentialsAllOf';
export * from './trafficDropDetectionConfig';
export * from './trafficSpikeDetectionConfig';
export * from './transformationBase';
export * from './trelloNotificationConfig';
export * from './trelloNotificationConfigAllOf';
export * from './undersizedStorageDetectionConfig';
export * from './undersizedStorageThresholds';
export * from './universalTag';
export * from './universalTagKey';
export * from './userActionAndSessionProperties';
export * from './userActionDetails';
export * from './userActionFilter';
export * from './userActionNamingPlaceholder';
export * from './userActionNamingPlaceholderProcessingStep';
export * from './userActionNamingRule';
export * from './userActionNamingRuleCondition';
export * from './userActionNamingSettings';
export * from './userActionPropertyFilter';
export * from './userPasswordCredentials';
export * from './userPasswordCredentialsAllOf';
export * from './userSessionQueryTile';
export * from './userSessionQueryTileAllOf';
export * from './userSessionQueryTileConfiguration';
export * from './userTag';
export * from './vMwareAnomalyDetectionConfig';
export * from './valueCondition';
export * from './valueProcessing';
export * from './victorOpsNotificationConfig';
export * from './victorOpsNotificationConfigAllOf';
export * from './visitDurationDetails';
export * from './visitNumActionDetails';
export * from './visuallyComplete2Settings';
export * from './waterfallSettings';
export * from './webApplicationConfig';
export * from './webApplicationConfigBrowserRestriction';
export * from './webApplicationConfigBrowserRestrictionSettings';
export * from './webApplicationConfigIpAddressRestrictionSettings';
export * from './webHookNotificationConfig';
export * from './webHookNotificationConfigAllOf';
export * from './webServiceName';
export * from './webServiceNameSpace';
export * from './xMattersNotificationConfig';
export * from './xMattersNotificationConfigAllOf';
export * from './zosComparisonInfo';
export * from './zosComparisonInfoAllOf';

import localVarRequest = require('request');

import { AdditionalEventHandlers } from './additionalEventHandlers';
import { AdvancedJavaScriptTagSettings } from './advancedJavaScriptTagSettings';
import { AfterTransformation } from './afterTransformation';
import { AfterTransformationAllOf } from './afterTransformationAllOf';
import { AlertingCustomEventFilter } from './alertingCustomEventFilter';
import { AlertingCustomTextFilter } from './alertingCustomTextFilter';
import { AlertingEventTypeFilter } from './alertingEventTypeFilter';
import { AlertingPredefinedEventFilter } from './alertingPredefinedEventFilter';
import { AlertingProfile } from './alertingProfile';
import { AlertingProfileSeverityRule } from './alertingProfileSeverityRule';
import { AlertingProfileTagFilter } from './alertingProfileTagFilter';
import { AliasQueue } from './aliasQueue';
import { AnomalyDetectionPG } from './anomalyDetectionPG';
import { AnsibleTowerNotificationConfig } from './ansibleTowerNotificationConfig';
import { AnsibleTowerNotificationConfigAllOf } from './ansibleTowerNotificationConfigAllOf';
import { Apdex } from './apdex';
import { AppIdentifier } from './appIdentifier';
import { ApplicationAnomalyDetectionConfig } from './applicationAnomalyDetectionConfig';
import { ApplicationDataPrivacy } from './applicationDataPrivacy';
import { ApplicationDataPrivacyList } from './applicationDataPrivacyList';
import { ApplicationDetectionRuleConfig } from './applicationDetectionRuleConfig';
import { ApplicationFilter } from './applicationFilter';
import { ApplicationId } from './applicationId';
import { ApplicationTypeComparison } from './applicationTypeComparison';
import { ApplicationTypeComparisonAllOf } from './applicationTypeComparisonAllOf';
import { AssignedEntitiesTile } from './assignedEntitiesTile';
import { AssignedEntitiesTileAllOf } from './assignedEntitiesTileAllOf';
import { AssignedEntitiesWithMetricTile } from './assignedEntitiesWithMetricTile';
import { AssignedEntitiesWithMetricTileAllOf } from './assignedEntitiesWithMetricTileAllOf';
import { AutoTag } from './autoTag';
import { AutoTagRule } from './autoTagRule';
import { AvailabilityMonitoringPG } from './availabilityMonitoringPG';
import { AwsAnomalyDetectionConfig } from './awsAnomalyDetectionConfig';
import { AwsAuthenticationData } from './awsAuthenticationData';
import { AwsConfigTag } from './awsConfigTag';
import { AwsCredentialsConfig } from './awsCredentialsConfig';
import { AwsIamToken } from './awsIamToken';
import { AwsSupportingServiceConfig } from './awsSupportingServiceConfig';
import { AwsSupportingServiceMetric } from './awsSupportingServiceMetric';
import { AzureComputeModeComparison } from './azureComputeModeComparison';
import { AzureComputeModeComparisonAllOf } from './azureComputeModeComparisonAllOf';
import { AzureCredentials } from './azureCredentials';
import { AzureMonitoredMetric } from './azureMonitoredMetric';
import { AzureSkuComparision } from './azureSkuComparision';
import { AzureSkuComparisionAllOf } from './azureSkuComparisionAllOf';
import { AzureSupportingService } from './azureSupportingService';
import { BeforeTransformation } from './beforeTransformation';
import { BeforeTransformationAllOf } from './beforeTransformationAllOf';
import { BetweenTransformation } from './betweenTransformation';
import { BetweenTransformationAllOf } from './betweenTransformationAllOf';
import { BitnessComparision } from './bitnessComparision';
import { BitnessComparisionAllOf } from './bitnessComparisionAllOf';
import { BooleanComparisonInfo } from './booleanComparisonInfo';
import { BooleanComparisonInfoAllOf } from './booleanComparisonInfoAllOf';
import { CalculatedMetricDefinition } from './calculatedMetricDefinition';
import { CalculatedMobileMetric } from './calculatedMobileMetric';
import { CalculatedMobileMetricDimension } from './calculatedMobileMetricDimension';
import { CalculatedMobileMetricUpdate } from './calculatedMobileMetricUpdate';
import { CalculatedMobileMetricUserActionFilter } from './calculatedMobileMetricUserActionFilter';
import { CalculatedServiceMetric } from './calculatedServiceMetric';
import { CalculatedSyntheticMetric } from './calculatedSyntheticMetric';
import { CapturedMethod } from './capturedMethod';
import { CertificateCredentials } from './certificateCredentials';
import { CertificateCredentialsAllOf } from './certificateCredentialsAllOf';
import { CloudFoundryCredentials } from './cloudFoundryCredentials';
import { CloudTag } from './cloudTag';
import { CloudTypeComparison } from './cloudTypeComparison';
import { CloudTypeComparisonAllOf } from './cloudTypeComparisonAllOf';
import { ClusterQueue } from './clusterQueue';
import { ColumnDefinition } from './columnDefinition';
import { CompareOperation } from './compareOperation';
import { ComparisonBasic } from './comparisonBasic';
import { ComparisonInfo } from './comparisonInfo';
import { Condition } from './condition';
import { ConditionKey } from './conditionKey';
import { ConditionalNamingRule } from './conditionalNamingRule';
import { ConditionsFullWebRequestAttributeTypeDto } from './conditionsFullWebRequestAttributeTypeDto';
import { ConditionsFullWebServiceAttributeTypeDto } from './conditionsFullWebServiceAttributeTypeDto';
import { ConditionsOpaqueAndExternalWebRequestAttributeTypeDto } from './conditionsOpaqueAndExternalWebRequestAttributeTypeDto';
import { ConfigurationMetadata } from './configurationMetadata';
import { ConfigurationMetadataDtoImpl } from './configurationMetadataDtoImpl';
import { ConnectionLostDetectionConfig } from './connectionLostDetectionConfig';
import { ConstraintViolation } from './constraintViolation';
import { ContentCapture } from './contentCapture';
import { ContextRoot } from './contextRoot';
import { ContextRootTransformation } from './contextRootTransformation';
import { ConversionGoal } from './conversionGoal';
import { Credentials } from './credentials';
import { CredentialsList } from './credentialsList';
import { CredentialsResponseElement } from './credentialsResponseElement';
import { CustomApplicationTypeComparison } from './customApplicationTypeComparison';
import { CustomApplicationTypeComparisonAllOf } from './customApplicationTypeComparisonAllOf';
import { CustomChartingItemMetadataConfig } from './customChartingItemMetadataConfig';
import { CustomChartingTile } from './customChartingTile';
import { CustomChartingTileAllOf } from './customChartingTileAllOf';
import { CustomColumnDefinition } from './customColumnDefinition';
import { CustomColumnDefinitionAllOf } from './customColumnDefinitionAllOf';
import { CustomDeviceGroupNameAlertingScope } from './customDeviceGroupNameAlertingScope';
import { CustomDeviceGroupNameAlertingScopeAllOf } from './customDeviceGroupNameAlertingScopeAllOf';
import { CustomFilterChartConfig } from './customFilterChartConfig';
import { CustomFilterChartSeriesConfig } from './customFilterChartSeriesConfig';
import { CustomFilterChartSeriesDimensionConfig } from './customFilterChartSeriesDimensionConfig';
import { CustomFilterConfig } from './customFilterConfig';
import { CustomHostMetadataConditionKey } from './customHostMetadataConditionKey';
import { CustomHostMetadataConditionKeyAllOf } from './customHostMetadataConditionKeyAllOf';
import { CustomHostMetadataKey } from './customHostMetadataKey';
import { CustomProcessMetadataConditionKey } from './customProcessMetadataConditionKey';
import { CustomProcessMetadataConditionKeyAllOf } from './customProcessMetadataConditionKeyAllOf';
import { CustomProcessMetadataKey } from './customProcessMetadataKey';
import { CustomService } from './customService';
import { Dashboard } from './dashboard';
import { DashboardFilter } from './dashboardFilter';
import { DashboardList } from './dashboardList';
import { DashboardMetadata } from './dashboardMetadata';
import { DashboardReport } from './dashboardReport';
import { DashboardReportStub } from './dashboardReportStub';
import { DashboardReportSubscription } from './dashboardReportSubscription';
import { DashboardStub } from './dashboardStub';
import { DataPrivacyAndSecurity } from './dataPrivacyAndSecurity';
import { DataSource } from './dataSource';
import { DatabaseAnomalyDetectionConfig } from './databaseAnomalyDetectionConfig';
import { DatabaseConnectionFailureDetectionConfig } from './databaseConnectionFailureDetectionConfig';
import { DatabaseTopologyComparison } from './databaseTopologyComparison';
import { DatabaseTopologyComparisonAllOf } from './databaseTopologyComparisonAllOf';
import { DcrumDecoderComparison } from './dcrumDecoderComparison';
import { DcrumDecoderComparisonAllOf } from './dcrumDecoderComparisonAllOf';
import { DestinationDetails } from './destinationDetails';
import { DetectionRule } from './detectionRule';
import { DimensionDefinition } from './dimensionDefinition';
import { DiskEventAnomalyDetectionConfig } from './diskEventAnomalyDetectionConfig';
import { DiskLowInodesDetectionConfig } from './diskLowInodesDetectionConfig';
import { DiskLowInodesThresholds } from './diskLowInodesThresholds';
import { DiskLowSpaceDetectionConfig } from './diskLowSpaceDetectionConfig';
import { DiskLowSpaceThresholds } from './diskLowSpaceThresholds';
import { DiskNameFilter } from './diskNameFilter';
import { DiskSlowWriteAndReadsThresholds } from './diskSlowWriteAndReadsThresholds';
import { DiskSlowWritesAndReadsDetectionConfig } from './diskSlowWritesAndReadsDetectionConfig';
import { DroppedPacketsDetectionConfig } from './droppedPacketsDetectionConfig';
import { DroppedPacketsThresholds } from './droppedPacketsThresholds';
import { ESBInputNodeTypeComparisonInfo } from './eSBInputNodeTypeComparisonInfo';
import { ESBInputNodeTypeComparisonInfoAllOf } from './eSBInputNodeTypeComparisonInfoAllOf';
import { Ec2CandidateCpuSaturationDetectionConfig } from './ec2CandidateCpuSaturationDetectionConfig';
import { Ec2CandidateCpuSaturationThresholds } from './ec2CandidateCpuSaturationThresholds';
import { ElbHighConnectionErrorsDetectionConfig } from './elbHighConnectionErrorsDetectionConfig';
import { ElbHighConnectionErrorsThresholds } from './elbHighConnectionErrorsThresholds';
import { EmailNotificationConfig } from './emailNotificationConfig';
import { EmailNotificationConfigAllOf } from './emailNotificationConfigAllOf';
import { EndsWithCompareOperation } from './endsWithCompareOperation';
import { EndsWithCompareOperationAllOf } from './endsWithCompareOperationAllOf';
import { EntityIdAlertingScope } from './entityIdAlertingScope';
import { EntityIdAlertingScopeAllOf } from './entityIdAlertingScopeAllOf';
import { EntityIdComparison } from './entityIdComparison';
import { EntityIdComparisonAllOf } from './entityIdComparisonAllOf';
import { EntityRuleEngineCondition } from './entityRuleEngineCondition';
import { EntityShortRepresentation } from './entityShortRepresentation';
import { EqualsCompareOperation } from './equalsCompareOperation';
import { EqualsCompareOperationAllOf } from './equalsCompareOperationAllOf';
import { ErrorEnvelope } from './errorEnvelope';
import { EsxiHighCpuSaturationConfig } from './esxiHighCpuSaturationConfig';
import { EsxiHighCpuThresholds } from './esxiHighCpuThresholds';
import { EsxiHighMemoryDetectionConfig } from './esxiHighMemoryDetectionConfig';
import { EsxiHighMemoryThresholds } from './esxiHighMemoryThresholds';
import { EventWrapperSettings } from './eventWrapperSettings';
import { ExistsCompareOperation } from './existsCompareOperation';
import { ExistsCompareOperationAllOf } from './existsCompareOperationAllOf';
import { Extension } from './extension';
import { ExtensionConfigurationDto } from './extensionConfigurationDto';
import { ExtensionConfigurationList } from './extensionConfigurationList';
import { ExtensionDto } from './extensionDto';
import { ExtensionListDto } from './extensionListDto';
import { ExtensionProperty } from './extensionProperty';
import { ExtensionState } from './extensionState';
import { ExtensionStateList } from './extensionStateList';
import { ExtractSubstring } from './extractSubstring';
import { FailedStateComparisonInfo } from './failedStateComparisonInfo';
import { FailedStateComparisonInfoAllOf } from './failedStateComparisonInfoAllOf';
import { FailureRateIncreaseAutodetectionConfig } from './failureRateIncreaseAutodetectionConfig';
import { FailureRateIncreaseDetectionConfig } from './failureRateIncreaseDetectionConfig';
import { FailureRateIncreaseThresholdConfig } from './failureRateIncreaseThresholdConfig';
import { FailureReasonComparisonInfo } from './failureReasonComparisonInfo';
import { FailureReasonComparisonInfoAllOf } from './failureReasonComparisonInfoAllOf';
import { FastStringComparisonInfo } from './fastStringComparisonInfo';
import { FastStringComparisonInfoAllOf } from './fastStringComparisonInfoAllOf';
import { FilterableEntityTile } from './filterableEntityTile';
import { FilterableEntityTileAllOf } from './filterableEntityTileAllOf';
import { FlawStateComparisonInfo } from './flawStateComparisonInfo';
import { FlawStateComparisonInfoAllOf } from './flawStateComparisonInfoAllOf';
import { FrequentIssueDetectionConfig } from './frequentIssueDetectionConfig';
import { FullWebRequestRule } from './fullWebRequestRule';
import { FullWebServiceRule } from './fullWebServiceRule';
import { GlobalEventCaptureSettings } from './globalEventCaptureSettings';
import { GlobalExtensionConfiguration } from './globalExtensionConfiguration';
import { GreaterThanCompareOperation } from './greaterThanCompareOperation';
import { GreaterThanCompareOperationAllOf } from './greaterThanCompareOperationAllOf';
import { GuestCPULimitReachedConfig } from './guestCPULimitReachedConfig';
import { GuestCPULimitThresholds } from './guestCPULimitThresholds';
import { HighCpuSaturationDetectionConfig } from './highCpuSaturationDetectionConfig';
import { HighCpuSaturationThresholds } from './highCpuSaturationThresholds';
import { HighGcActivityDetectionConfig } from './highGcActivityDetectionConfig';
import { HighGcActivityThresholds } from './highGcActivityThresholds';
import { HighMemoryDetectionConfig } from './highMemoryDetectionConfig';
import { HighMemoryThresholds } from './highMemoryThresholds';
import { HighNetworkDetectionConfig } from './highNetworkDetectionConfig';
import { HighNetworkThresholds } from './highNetworkThresholds';
import { HipChatNotificationConfig } from './hipChatNotificationConfig';
import { HipChatNotificationConfigAllOf } from './hipChatNotificationConfigAllOf';
import { Host } from './host';
import { HostGroup } from './hostGroup';
import { HostGroupNameAlertingScope } from './hostGroupNameAlertingScope';
import { HostList } from './hostList';
import { HostNameAlertingScope } from './hostNameAlertingScope';
import { HostsAnomalyDetectionConfig } from './hostsAnomalyDetectionConfig';
import { HttpHeader } from './httpHeader';
import { HttpMethodComparisonInfo } from './httpMethodComparisonInfo';
import { HttpMethodComparisonInfoAllOf } from './httpMethodComparisonInfoAllOf';
import { HttpStatusClassComparisonInfo } from './httpStatusClassComparisonInfo';
import { HttpStatusClassComparisonInfoAllOf } from './httpStatusClassComparisonInfoAllOf';
import { HypervisorTypeComparision } from './hypervisorTypeComparision';
import { HypervisorTypeComparisionAllOf } from './hypervisorTypeComparisionAllOf';
import { IIBInputNodeTypeComparisonInfo } from './iIBInputNodeTypeComparisonInfo';
import { IbmMQImsEntryQueue } from './ibmMQImsEntryQueue';
import { IndexedNameComparison } from './indexedNameComparison';
import { IndexedNameComparisonAllOf } from './indexedNameComparisonAllOf';
import { IndexedStringComparison } from './indexedStringComparison';
import { IndexedStringComparisonAllOf } from './indexedStringComparisonAllOf';
import { IndexedTagComparison } from './indexedTagComparison';
import { IndexedTagComparisonAllOf } from './indexedTagComparisonAllOf';
import { InlineObject } from './inlineObject';
import { InlineObject1 } from './inlineObject1';
import { InlineObject2 } from './inlineObject2';
import { InlineObject3 } from './inlineObject3';
import { IntEqualsCompareOperation } from './intEqualsCompareOperation';
import { IntEqualsCompareOperationAllOf } from './intEqualsCompareOperationAllOf';
import { IntegerComparison } from './integerComparison';
import { IntegerComparisonAllOf } from './integerComparisonAllOf';
import { IpAddressComparison } from './ipAddressComparison';
import { IpAddressComparisonAllOf } from './ipAddressComparisonAllOf';
import { IpAddressRange } from './ipAddressRange';
import { IpInRangeCompareOperation } from './ipInRangeCompareOperation';
import { IpInRangeCompareOperationAllOf } from './ipInRangeCompareOperationAllOf';
import { JavaScriptFrameworkSupport } from './javaScriptFrameworkSupport';
import { JavaScriptInjectionRules } from './javaScriptInjectionRules';
import { JiraNotificationConfig } from './jiraNotificationConfig';
import { JiraNotificationConfigAllOf } from './jiraNotificationConfigAllOf';
import { JsonColumnDefinition } from './jsonColumnDefinition';
import { KeyBasedAuthentication } from './keyBasedAuthentication';
import { KubernetesCredentials } from './kubernetesCredentials';
import { KubernetesEventPattern } from './kubernetesEventPattern';
import { LambdaHighErrorRateDetectionConfig } from './lambdaHighErrorRateDetectionConfig';
import { LambdaHighErrorRateThresholds } from './lambdaHighErrorRateThresholds';
import { LessThanCompareOperation } from './lessThanCompareOperation';
import { LoadDropDetectionConfig } from './loadDropDetectionConfig';
import { LoadSpikeDetectionConfig } from './loadSpikeDetectionConfig';
import { LogMetricConfig } from './logMetricConfig';
import { LogSourceFilter } from './logSourceFilter';
import { LowDatastoreSpaceDetectionConfig } from './lowDatastoreSpaceDetectionConfig';
import { LowDatastoreSpaceThresholds } from './lowDatastoreSpaceThresholds';
import { MaintenanceWindow } from './maintenanceWindow';
import { ManagementZone } from './managementZone';
import { ManagementZoneAlertingScope } from './managementZoneAlertingScope';
import { ManagementZoneAlertingScopeAllOf } from './managementZoneAlertingScopeAllOf';
import { ManagementZoneRule } from './managementZoneRule';
import { MarkdownTile } from './markdownTile';
import { MarkdownTileAllOf } from './markdownTileAllOf';
import { MaskingRule } from './maskingRule';
import { MaskingSettings } from './maskingSettings';
import { MetaDataCapturing } from './metaDataCapturing';
import { MethodReference } from './methodReference';
import { MethodRule } from './methodRule';
import { MetricEvent } from './metricEvent';
import { MetricEventAlertingScope } from './metricEventAlertingScope';
import { MetricEventAutoAdaptiveBaselineMonitoringStrategy } from './metricEventAutoAdaptiveBaselineMonitoringStrategy';
import { MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf } from './metricEventAutoAdaptiveBaselineMonitoringStrategyAllOf';
import { MetricEventDimensions } from './metricEventDimensions';
import { MetricEventEntityDimensions } from './metricEventEntityDimensions';
import { MetricEventEntityDimensionsAllOf } from './metricEventEntityDimensionsAllOf';
import { MetricEventMonitoringStrategy } from './metricEventMonitoringStrategy';
import { MetricEventStaticThresholdMonitoringStrategy } from './metricEventStaticThresholdMonitoringStrategy';
import { MetricEventStaticThresholdMonitoringStrategyAllOf } from './metricEventStaticThresholdMonitoringStrategyAllOf';
import { MetricEventStringDimensions } from './metricEventStringDimensions';
import { MetricEventStringDimensionsAllOf } from './metricEventStringDimensionsAllOf';
import { MetricEventTextFilterMetricEventDimensionsFilterOperatorDto } from './metricEventTextFilterMetricEventDimensionsFilterOperatorDto';
import { MetricEventTextFilterMetricEventTextFilterOperatorDto } from './metricEventTextFilterMetricEventTextFilterOperatorDto';
import { MobilePlatformComparison } from './mobilePlatformComparison';
import { MobilePlatformComparisonAllOf } from './mobilePlatformComparisonAllOf';
import { ModelError } from './modelError';
import { MonitoredEntityFilter } from './monitoredEntityFilter';
import { MonitoringSettings } from './monitoringSettings';
import { NameAlertingScope } from './nameAlertingScope';
import { NetworkDroppedPacketsDetectionConfig } from './networkDroppedPacketsDetectionConfig';
import { NetworkDroppedPacketsThresholds } from './networkDroppedPacketsThresholds';
import { NetworkErrorsDetectionConfig } from './networkErrorsDetectionConfig';
import { NetworkErrorsThresholds } from './networkErrorsThresholds';
import { NetworkHighRetransmissionDetectionConfig } from './networkHighRetransmissionDetectionConfig';
import { NetworkHighRetransmissionThresholds } from './networkHighRetransmissionThresholds';
import { NetworkTcpProblemsDetectionConfig } from './networkTcpProblemsDetectionConfig';
import { NetworkTcpProblemsThresholds } from './networkTcpProblemsThresholds';
import { NotificationConfig } from './notificationConfig';
import { NotificationConfigStub } from './notificationConfigStub';
import { NotificationConfigStubListDto } from './notificationConfigStubListDto';
import { NumberComparisonInfo } from './numberComparisonInfo';
import { NumberComparisonInfoAllOf } from './numberComparisonInfoAllOf';
import { NumberRequestAttributeComparisonInfo } from './numberRequestAttributeComparisonInfo';
import { NumberRequestAttributeComparisonInfoAllOf } from './numberRequestAttributeComparisonInfoAllOf';
import { OpaqueAndExternalWebRequestRule } from './opaqueAndExternalWebRequestRule';
import { OpsGenieNotificationConfig } from './opsGenieNotificationConfig';
import { OpsGenieNotificationConfigAllOf } from './opsGenieNotificationConfigAllOf';
import { OsArchitectureComparison } from './osArchitectureComparison';
import { OsArchitectureComparisonAllOf } from './osArchitectureComparisonAllOf';
import { OsTypeComparison } from './osTypeComparison';
import { OsTypeComparisonAllOf } from './osTypeComparisonAllOf';
import { OutOfMemoryDetectionConfig } from './outOfMemoryDetectionConfig';
import { OutOfMemoryThresholds } from './outOfMemoryThresholds';
import { OutOfThreadsDetectionConfig } from './outOfThreadsDetectionConfig';
import { OutOfThreadsThresholds } from './outOfThreadsThresholds';
import { OverloadedStorageDetectionConfig } from './overloadedStorageDetectionConfig';
import { OverloadedStorageThresholds } from './overloadedStorageThresholds';
import { PaasTypeComparison } from './paasTypeComparison';
import { PaasTypeComparisonAllOf } from './paasTypeComparisonAllOf';
import { PagerDutyNotificationConfig } from './pagerDutyNotificationConfig';
import { PagerDutyNotificationConfigAllOf } from './pagerDutyNotificationConfigAllOf';
import { PathDefinition } from './pathDefinition';
import { Placeholder } from './placeholder';
import { Plugin } from './plugin';
import { PluginProperty } from './pluginProperty';
import { PluginState } from './pluginState';
import { PluginStateList } from './pluginStateList';
import { Port } from './port';
import { ProcessGroupIdAlertingScope } from './processGroupIdAlertingScope';
import { ProcessGroupIdAlertingScopeAllOf } from './processGroupIdAlertingScopeAllOf';
import { ProcessGroupNameAlertingScope } from './processGroupNameAlertingScope';
import { ProcessMetadataConditionKey } from './processMetadataConditionKey';
import { ProcessMetadataConditionKeyAllOf } from './processMetadataConditionKeyAllOf';
import { PropagationSource } from './propagationSource';
import { PublicDomainName } from './publicDomainName';
import { QueueManager } from './queueManager';
import { RdsHighCpuDetectionConfig } from './rdsHighCpuDetectionConfig';
import { RdsHighCpuThresholds } from './rdsHighCpuThresholds';
import { RdsHighLatencyThresholds } from './rdsHighLatencyThresholds';
import { RdsHighMemoryDetectionConfig } from './rdsHighMemoryDetectionConfig';
import { RdsHighMemoryThresholds } from './rdsHighMemoryThresholds';
import { RdsHighWriteReadLatencyDetectionConfig } from './rdsHighWriteReadLatencyDetectionConfig';
import { RdsLowStorageDetectionConfig } from './rdsLowStorageDetectionConfig';
import { RdsLowStorageThresholds } from './rdsLowStorageThresholds';
import { RdsRestartsSequenceDetectionConfig } from './rdsRestartsSequenceDetectionConfig';
import { RdsRestartsThresholds } from './rdsRestartsThresholds';
import { Recurrence } from './recurrence';
import { RemoteEnvironmentConfigDto } from './remoteEnvironmentConfigDto';
import { RemoteEnvironmentConfigListDto } from './remoteEnvironmentConfigListDto';
import { RemoteEnvironmentConfigStub } from './remoteEnvironmentConfigStub';
import { RemotePluginEndpoint } from './remotePluginEndpoint';
import { RemoteQueue } from './remoteQueue';
import { RemoveCreditCardNumbersTransformation } from './removeCreditCardNumbersTransformation';
import { RemoveIBANsTransformation } from './removeIBANsTransformation';
import { RemoveIPsTransformation } from './removeIPsTransformation';
import { RemoveNumbersTransformation } from './removeNumbersTransformation';
import { RemoveNumbersTransformationAllOf } from './removeNumbersTransformationAllOf';
import { ReplaceBetweenTransformation } from './replaceBetweenTransformation';
import { ReplaceBetweenTransformationAllOf } from './replaceBetweenTransformationAllOf';
import { ReportStubList } from './reportStubList';
import { ReportSubscriptions } from './reportSubscriptions';
import { RequestAttribute } from './requestAttribute';
import { RequestNaming } from './requestNaming';
import { ResourceNaming } from './resourceNaming';
import { ResourceTimingSettings } from './resourceTimingSettings';
import { ResponseTimeDegradationAutodetectionConfig } from './responseTimeDegradationAutodetectionConfig';
import { ResponseTimeDegradationDetectionConfig } from './responseTimeDegradationDetectionConfig';
import { ResponseTimeDegradationThresholdConfig } from './responseTimeDegradationThresholdConfig';
import { RoleBasedAuthentication } from './roleBasedAuthentication';
import { RumDimensionDefinition } from './rumDimensionDefinition';
import { RumMetric } from './rumMetric';
import { RumMetricDefinition } from './rumMetricDefinition';
import { RumMetricUpdate } from './rumMetricUpdate';
import { Schedule } from './schedule';
import { Scope } from './scope';
import { ScopeConditions } from './scopeConditions';
import { ServerName } from './serverName';
import { ServiceAnomalyDetectionConfig } from './serviceAnomalyDetectionConfig';
import { ServiceNowNotificationConfig } from './serviceNowNotificationConfig';
import { ServiceNowNotificationConfigAllOf } from './serviceNowNotificationConfigAllOf';
import { ServiceTopologyComparison } from './serviceTopologyComparison';
import { ServiceTopologyComparisonAllOf } from './serviceTopologyComparisonAllOf';
import { ServiceTypeComparison } from './serviceTypeComparison';
import { ServiceTypeComparisonAllOf } from './serviceTypeComparisonAllOf';
import { ServiceTypeComparisonInfo } from './serviceTypeComparisonInfo';
import { ServiceTypeComparisonInfoAllOf } from './serviceTypeComparisonInfoAllOf';
import { SessionReplaySetting } from './sessionReplaySetting';
import { SessionReplaySettingWithDataPrivacy } from './sessionReplaySettingWithDataPrivacy';
import { SharingInfo } from './sharingInfo';
import { SimpleHostTech } from './simpleHostTech';
import { SimpleHostTechComparison } from './simpleHostTechComparison';
import { SimpleHostTechComparisonAllOf } from './simpleHostTechComparisonAllOf';
import { SimpleTech } from './simpleTech';
import { SimpleTechComparison } from './simpleTechComparison';
import { SimpleTechComparisonAllOf } from './simpleTechComparisonAllOf';
import { SlackNotificationConfig } from './slackNotificationConfig';
import { SlackNotificationConfigAllOf } from './slackNotificationConfigAllOf';
import { SlowPhysicalStorageDetectionConfig } from './slowPhysicalStorageDetectionConfig';
import { SlowPhysicalStorageThresholds } from './slowPhysicalStorageThresholds';
import { SplitSelectTransformation } from './splitSelectTransformation';
import { SplitSelectTransformationAllOf } from './splitSelectTransformationAllOf';
import { StartsWithCompareOperation } from './startsWithCompareOperation';
import { StartsWithCompareOperationAllOf } from './startsWithCompareOperationAllOf';
import { StringComparison } from './stringComparison';
import { StringComparisonAllOf } from './stringComparisonAllOf';
import { StringComparisonInfo } from './stringComparisonInfo';
import { StringComparisonInfoAllOf } from './stringComparisonInfoAllOf';
import { StringConditionKey } from './stringConditionKey';
import { StringConditionKeyAllOf } from './stringConditionKeyAllOf';
import { StringContainsCompareOperation } from './stringContainsCompareOperation';
import { StringContainsCompareOperationAllOf } from './stringContainsCompareOperationAllOf';
import { StringEqualsCompareOperation } from './stringEqualsCompareOperation';
import { StringEqualsCompareOperationAllOf } from './stringEqualsCompareOperationAllOf';
import { StringRequestAttributeComparisonInfo } from './stringRequestAttributeComparisonInfo';
import { StringRequestAttributeComparisonInfoAllOf } from './stringRequestAttributeComparisonInfoAllOf';
import { StubList } from './stubList';
import { SupportedVersion } from './supportedVersion';
import { SymbolFile } from './symbolFile';
import { SymbolFileClientLinkDto } from './symbolFileClientLinkDto';
import { SymbolFileList } from './symbolFileList';
import { SymbolFilePinning } from './symbolFilePinning';
import { SymbolFileStorageInfo } from './symbolFileStorageInfo';
import { SyntheticEngineTypeComparison } from './syntheticEngineTypeComparison';
import { SyntheticEngineTypeComparisonAllOf } from './syntheticEngineTypeComparisonAllOf';
import { SyntheticMetricDimension } from './syntheticMetricDimension';
import { SyntheticMetricFilter } from './syntheticMetricFilter';
import { SyntheticMetricUpdate } from './syntheticMetricUpdate';
import { SyntheticSingleWebcheckTile } from './syntheticSingleWebcheckTile';
import { SyntheticSingleWebcheckTileAllOf } from './syntheticSingleWebcheckTileAllOf';
import { TagCompareOperation } from './tagCompareOperation';
import { TagCompareOperationAllOf } from './tagCompareOperationAllOf';
import { TagComparison } from './tagComparison';
import { TagComparisonAllOf } from './tagComparisonAllOf';
import { TagComparisonInfo } from './tagComparisonInfo';
import { TagComparisonInfoAllOf } from './tagComparisonInfoAllOf';
import { TagFilter } from './tagFilter';
import { TagFilterAlertingScope } from './tagFilterAlertingScope';
import { TagFilterAlertingScopeAllOf } from './tagFilterAlertingScopeAllOf';
import { TagInfo } from './tagInfo';
import { TakeSegmentsTransformation } from './takeSegmentsTransformation';
import { TakeSegmentsTransformationAllOf } from './takeSegmentsTransformationAllOf';
import { Tile } from './tile';
import { TileBounds } from './tileBounds';
import { TileFilter } from './tileFilter';
import { TimeoutSettings } from './timeoutSettings';
import { TokenCredentials } from './tokenCredentials';
import { TokenCredentialsAllOf } from './tokenCredentialsAllOf';
import { TrafficDropDetectionConfig } from './trafficDropDetectionConfig';
import { TrafficSpikeDetectionConfig } from './trafficSpikeDetectionConfig';
import { TransformationBase } from './transformationBase';
import { TrelloNotificationConfig } from './trelloNotificationConfig';
import { TrelloNotificationConfigAllOf } from './trelloNotificationConfigAllOf';
import { UndersizedStorageDetectionConfig } from './undersizedStorageDetectionConfig';
import { UndersizedStorageThresholds } from './undersizedStorageThresholds';
import { UniversalTag } from './universalTag';
import { UniversalTagKey } from './universalTagKey';
import { UserActionAndSessionProperties } from './userActionAndSessionProperties';
import { UserActionDetails } from './userActionDetails';
import { UserActionFilter } from './userActionFilter';
import { UserActionNamingPlaceholder } from './userActionNamingPlaceholder';
import { UserActionNamingPlaceholderProcessingStep } from './userActionNamingPlaceholderProcessingStep';
import { UserActionNamingRule } from './userActionNamingRule';
import { UserActionNamingRuleCondition } from './userActionNamingRuleCondition';
import { UserActionNamingSettings } from './userActionNamingSettings';
import { UserActionPropertyFilter } from './userActionPropertyFilter';
import { UserPasswordCredentials } from './userPasswordCredentials';
import { UserPasswordCredentialsAllOf } from './userPasswordCredentialsAllOf';
import { UserSessionQueryTile } from './userSessionQueryTile';
import { UserSessionQueryTileAllOf } from './userSessionQueryTileAllOf';
import { UserSessionQueryTileConfiguration } from './userSessionQueryTileConfiguration';
import { UserTag } from './userTag';
import { VMwareAnomalyDetectionConfig } from './vMwareAnomalyDetectionConfig';
import { ValueCondition } from './valueCondition';
import { ValueProcessing } from './valueProcessing';
import { VictorOpsNotificationConfig } from './victorOpsNotificationConfig';
import { VictorOpsNotificationConfigAllOf } from './victorOpsNotificationConfigAllOf';
import { VisitDurationDetails } from './visitDurationDetails';
import { VisitNumActionDetails } from './visitNumActionDetails';
import { VisuallyComplete2Settings } from './visuallyComplete2Settings';
import { WaterfallSettings } from './waterfallSettings';
import { WebApplicationConfig } from './webApplicationConfig';
import { WebApplicationConfigBrowserRestriction } from './webApplicationConfigBrowserRestriction';
import { WebApplicationConfigBrowserRestrictionSettings } from './webApplicationConfigBrowserRestrictionSettings';
import { WebApplicationConfigIpAddressRestrictionSettings } from './webApplicationConfigIpAddressRestrictionSettings';
import { WebHookNotificationConfig } from './webHookNotificationConfig';
import { WebHookNotificationConfigAllOf } from './webHookNotificationConfigAllOf';
import { WebServiceName } from './webServiceName';
import { WebServiceNameSpace } from './webServiceNameSpace';
import { XMattersNotificationConfig } from './xMattersNotificationConfig';
import { XMattersNotificationConfigAllOf } from './xMattersNotificationConfigAllOf';
import { ZosComparisonInfo } from './zosComparisonInfo';
import { ZosComparisonInfoAllOf } from './zosComparisonInfoAllOf';

/* tslint:disable:no-unused-variable */
let primitives = [
                    "string",
                    "boolean",
                    "double",
                    "integer",
                    "long",
                    "float",
                    "number",
                    "any"
                 ];

let enumsMap: {[index: string]: any} = {
        "AlertingCustomTextFilter.OperatorEnum": AlertingCustomTextFilter.OperatorEnum,
        "AlertingPredefinedEventFilter.EventTypeEnum": AlertingPredefinedEventFilter.EventTypeEnum,
        "AlertingProfileSeverityRule.SeverityLevelEnum": AlertingProfileSeverityRule.SeverityLevelEnum,
        "AlertingProfileTagFilter.IncludeModeEnum": AlertingProfileTagFilter.IncludeModeEnum,
        "AppIdentifier.OsEnum": AppIdentifier.OsEnum,
        "ApplicationDataPrivacy.DoNotTrackBehaviourEnum": ApplicationDataPrivacy.DoNotTrackBehaviourEnum,
        "ApplicationFilter.ApplicationMatchTypeEnum": ApplicationFilter.ApplicationMatchTypeEnum,
        "ApplicationFilter.ApplicationMatchTargetEnum": ApplicationFilter.ApplicationMatchTargetEnum,
        "ApplicationTypeComparison.OperatorEnum": ApplicationTypeComparison.OperatorEnum,
        "ApplicationTypeComparison.ValueEnum": ApplicationTypeComparison.ValueEnum,
        "ApplicationTypeComparisonAllOf.OperatorEnum": ApplicationTypeComparisonAllOf.OperatorEnum,
        "ApplicationTypeComparisonAllOf.ValueEnum": ApplicationTypeComparisonAllOf.ValueEnum,
        "AutoTagRule.TypeEnum": AutoTagRule.TypeEnum,
        "AutoTagRule.PropagationTypesEnum": AutoTagRule.PropagationTypesEnum,
        "AvailabilityMonitoringPG.MethodEnum": AvailabilityMonitoringPG.MethodEnum,
        "AwsAuthenticationData.TypeEnum": AwsAuthenticationData.TypeEnum,
        "AwsCredentialsConfig.ConnectionStatusEnum": AwsCredentialsConfig.ConnectionStatusEnum,
        "AwsCredentialsConfig.PartitionTypeEnum": AwsCredentialsConfig.PartitionTypeEnum,
        "AwsSupportingServiceMetric.StatisticEnum": AwsSupportingServiceMetric.StatisticEnum,
        "AzureComputeModeComparison.OperatorEnum": AzureComputeModeComparison.OperatorEnum,
        "AzureComputeModeComparison.ValueEnum": AzureComputeModeComparison.ValueEnum,
        "AzureComputeModeComparisonAllOf.OperatorEnum": AzureComputeModeComparisonAllOf.OperatorEnum,
        "AzureComputeModeComparisonAllOf.ValueEnum": AzureComputeModeComparisonAllOf.ValueEnum,
        "AzureSkuComparision.OperatorEnum": AzureSkuComparision.OperatorEnum,
        "AzureSkuComparision.ValueEnum": AzureSkuComparision.ValueEnum,
        "AzureSkuComparisionAllOf.OperatorEnum": AzureSkuComparisionAllOf.OperatorEnum,
        "AzureSkuComparisionAllOf.ValueEnum": AzureSkuComparisionAllOf.ValueEnum,
        "BitnessComparision.OperatorEnum": BitnessComparision.OperatorEnum,
        "BitnessComparision.ValueEnum": BitnessComparision.ValueEnum,
        "BitnessComparisionAllOf.OperatorEnum": BitnessComparisionAllOf.OperatorEnum,
        "BitnessComparisionAllOf.ValueEnum": BitnessComparisionAllOf.ValueEnum,
        "BooleanComparisonInfo.ComparisonEnum": BooleanComparisonInfo.ComparisonEnum,
        "BooleanComparisonInfoAllOf.ComparisonEnum": BooleanComparisonInfoAllOf.ComparisonEnum,
        "CalculatedMetricDefinition.MetricEnum": CalculatedMetricDefinition.MetricEnum,
        "CalculatedMobileMetric.MetricTypeEnum": CalculatedMobileMetric.MetricTypeEnum,
        "CalculatedMobileMetricDimension.DimensionEnum": CalculatedMobileMetricDimension.DimensionEnum,
        "CalculatedMobileMetricUserActionFilter.ApdexEnum": CalculatedMobileMetricUserActionFilter.ApdexEnum,
        "CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum": CalculatedMobileMetricUserActionFilter.ConnectionTypeEnum,
        "CalculatedMobileMetricUserActionFilter.OrientationEnum": CalculatedMobileMetricUserActionFilter.OrientationEnum,
        "CalculatedMobileMetricUserActionFilter.ResolutionEnum": CalculatedMobileMetricUserActionFilter.ResolutionEnum,
        "CalculatedServiceMetric.UnitEnum": CalculatedServiceMetric.UnitEnum,
        "CalculatedSyntheticMetric.MetricEnum": CalculatedSyntheticMetric.MetricEnum,
        "CapturedMethod.CaptureEnum": CapturedMethod.CaptureEnum,
        "CertificateCredentials.CertificateFormatEnum": CertificateCredentials.CertificateFormatEnum,
        "CertificateCredentialsAllOf.CertificateFormatEnum": CertificateCredentialsAllOf.CertificateFormatEnum,
        "CloudFoundryCredentials.EndpointStatusEnum": CloudFoundryCredentials.EndpointStatusEnum,
        "CloudTypeComparison.OperatorEnum": CloudTypeComparison.OperatorEnum,
        "CloudTypeComparison.ValueEnum": CloudTypeComparison.ValueEnum,
        "CloudTypeComparisonAllOf.OperatorEnum": CloudTypeComparisonAllOf.OperatorEnum,
        "CloudTypeComparisonAllOf.ValueEnum": CloudTypeComparisonAllOf.ValueEnum,
        "ColumnDefinition.TypeEnum": ColumnDefinition.TypeEnum,
        "CompareOperation.TypeEnum": CompareOperation.TypeEnum,
        "ComparisonBasic.TypeEnum": ComparisonBasic.TypeEnum,
        "ComparisonInfo.TypeEnum": ComparisonInfo.TypeEnum,
        "Condition.AttributeEnum": Condition.AttributeEnum,
        "ConditionKey.AttributeEnum": ConditionKey.AttributeEnum,
        "ConditionKey.TypeEnum": ConditionKey.TypeEnum,
        "ConditionalNamingRule.TypeEnum": ConditionalNamingRule.TypeEnum,
        "ConditionsFullWebRequestAttributeTypeDto.AttributeTypeEnum": ConditionsFullWebRequestAttributeTypeDto.AttributeTypeEnum,
        "ConditionsFullWebServiceAttributeTypeDto.AttributeTypeEnum": ConditionsFullWebServiceAttributeTypeDto.AttributeTypeEnum,
        "ConditionsOpaqueAndExternalWebRequestAttributeTypeDto.AttributeTypeEnum": ConditionsOpaqueAndExternalWebRequestAttributeTypeDto.AttributeTypeEnum,
        "ConstraintViolation.ParameterLocationEnum": ConstraintViolation.ParameterLocationEnum,
        "ContextRootTransformation.TypeEnum": ContextRootTransformation.TypeEnum,
        "ConversionGoal.TypeEnum": ConversionGoal.TypeEnum,
        "Credentials.TypeEnum": Credentials.TypeEnum,
        "CredentialsResponseElement.TypeEnum": CredentialsResponseElement.TypeEnum,
        "CustomApplicationTypeComparison.OperatorEnum": CustomApplicationTypeComparison.OperatorEnum,
        "CustomApplicationTypeComparison.ValueEnum": CustomApplicationTypeComparison.ValueEnum,
        "CustomApplicationTypeComparisonAllOf.OperatorEnum": CustomApplicationTypeComparisonAllOf.OperatorEnum,
        "CustomApplicationTypeComparisonAllOf.ValueEnum": CustomApplicationTypeComparisonAllOf.ValueEnum,
        "CustomFilterChartConfig.TypeEnum": CustomFilterChartConfig.TypeEnum,
        "CustomFilterChartConfig.LeftAxisCustomUnitEnum": CustomFilterChartConfig.LeftAxisCustomUnitEnum,
        "CustomFilterChartConfig.RightAxisCustomUnitEnum": CustomFilterChartConfig.RightAxisCustomUnitEnum,
        "CustomFilterChartSeriesConfig.AggregationEnum": CustomFilterChartSeriesConfig.AggregationEnum,
        "CustomFilterChartSeriesConfig.TypeEnum": CustomFilterChartSeriesConfig.TypeEnum,
        "CustomFilterChartSeriesConfig.AggregationRateEnum": CustomFilterChartSeriesConfig.AggregationRateEnum,
        "CustomFilterConfig.TypeEnum": CustomFilterConfig.TypeEnum,
        "CustomHostMetadataKey.SourceEnum": CustomHostMetadataKey.SourceEnum,
        "CustomProcessMetadataKey.SourceEnum": CustomProcessMetadataKey.SourceEnum,
        "CustomService.QueueEntryPointTypeEnum": CustomService.QueueEntryPointTypeEnum,
        "DashboardReport.TypeEnum": DashboardReport.TypeEnum,
        "DashboardReportStub.TypeEnum": DashboardReportStub.TypeEnum,
        "DataSource.SourceEnum": DataSource.SourceEnum,
        "DataSource.TechnologyEnum": DataSource.TechnologyEnum,
        "DataSource.SessionAttributeTechnologyEnum": DataSource.SessionAttributeTechnologyEnum,
        "DataSource.CapturingAndStorageLocationEnum": DataSource.CapturingAndStorageLocationEnum,
        "DataSource.IibNodeTypeEnum": DataSource.IibNodeTypeEnum,
        "DatabaseTopologyComparison.OperatorEnum": DatabaseTopologyComparison.OperatorEnum,
        "DatabaseTopologyComparison.ValueEnum": DatabaseTopologyComparison.ValueEnum,
        "DatabaseTopologyComparisonAllOf.OperatorEnum": DatabaseTopologyComparisonAllOf.OperatorEnum,
        "DatabaseTopologyComparisonAllOf.ValueEnum": DatabaseTopologyComparisonAllOf.ValueEnum,
        "DcrumDecoderComparison.OperatorEnum": DcrumDecoderComparison.OperatorEnum,
        "DcrumDecoderComparison.ValueEnum": DcrumDecoderComparison.ValueEnum,
        "DcrumDecoderComparisonAllOf.OperatorEnum": DcrumDecoderComparisonAllOf.OperatorEnum,
        "DcrumDecoderComparisonAllOf.ValueEnum": DcrumDecoderComparisonAllOf.ValueEnum,
        "DestinationDetails.MatchTypeEnum": DestinationDetails.MatchTypeEnum,
        "DetectionRule.FileNameMatcherEnum": DetectionRule.FileNameMatcherEnum,
        "DetectionRule.MatcherEnum": DetectionRule.MatcherEnum,
        "DimensionDefinition.TopXDirectionEnum": DimensionDefinition.TopXDirectionEnum,
        "DimensionDefinition.TopXAggregationEnum": DimensionDefinition.TopXAggregationEnum,
        "DiskEventAnomalyDetectionConfig.MetricEnum": DiskEventAnomalyDetectionConfig.MetricEnum,
        "DiskNameFilter.OperatorEnum": DiskNameFilter.OperatorEnum,
        "ESBInputNodeTypeComparisonInfo.ComparisonEnum": ESBInputNodeTypeComparisonInfo.ComparisonEnum,
        "ESBInputNodeTypeComparisonInfo.ValueEnum": ESBInputNodeTypeComparisonInfo.ValueEnum,
        "ESBInputNodeTypeComparisonInfoAllOf.ComparisonEnum": ESBInputNodeTypeComparisonInfoAllOf.ComparisonEnum,
        "ESBInputNodeTypeComparisonInfoAllOf.ValueEnum": ESBInputNodeTypeComparisonInfoAllOf.ValueEnum,
        "EntityIdComparison.OperatorEnum": EntityIdComparison.OperatorEnum,
        "EntityIdComparisonAllOf.OperatorEnum": EntityIdComparisonAllOf.OperatorEnum,
        "Extension.TypeEnum": Extension.TypeEnum,
        "ExtensionDto.TypeEnum": ExtensionDto.TypeEnum,
        "ExtensionState.StateEnum": ExtensionState.StateEnum,
        "ExtractSubstring.PositionEnum": ExtractSubstring.PositionEnum,
        "FailedStateComparisonInfo.ComparisonEnum": FailedStateComparisonInfo.ComparisonEnum,
        "FailedStateComparisonInfo.ValueEnum": FailedStateComparisonInfo.ValueEnum,
        "FailedStateComparisonInfoAllOf.ComparisonEnum": FailedStateComparisonInfoAllOf.ComparisonEnum,
        "FailedStateComparisonInfoAllOf.ValueEnum": FailedStateComparisonInfoAllOf.ValueEnum,
        "FailureRateIncreaseDetectionConfig.DetectionModeEnum": FailureRateIncreaseDetectionConfig.DetectionModeEnum,
        "FailureRateIncreaseThresholdConfig.SensitivityEnum": FailureRateIncreaseThresholdConfig.SensitivityEnum,
        "FailureReasonComparisonInfo.ComparisonEnum": FailureReasonComparisonInfo.ComparisonEnum,
        "FailureReasonComparisonInfo.ValueEnum": FailureReasonComparisonInfo.ValueEnum,
        "FailureReasonComparisonInfoAllOf.ComparisonEnum": FailureReasonComparisonInfoAllOf.ComparisonEnum,
        "FailureReasonComparisonInfoAllOf.ValueEnum": FailureReasonComparisonInfoAllOf.ValueEnum,
        "FastStringComparisonInfo.ComparisonEnum": FastStringComparisonInfo.ComparisonEnum,
        "FastStringComparisonInfoAllOf.ComparisonEnum": FastStringComparisonInfoAllOf.ComparisonEnum,
        "FlawStateComparisonInfo.ComparisonEnum": FlawStateComparisonInfo.ComparisonEnum,
        "FlawStateComparisonInfo.ValueEnum": FlawStateComparisonInfo.ValueEnum,
        "FlawStateComparisonInfoAllOf.ComparisonEnum": FlawStateComparisonInfoAllOf.ComparisonEnum,
        "FlawStateComparisonInfoAllOf.ValueEnum": FlawStateComparisonInfoAllOf.ValueEnum,
        "HttpMethodComparisonInfo.ComparisonEnum": HttpMethodComparisonInfo.ComparisonEnum,
        "HttpMethodComparisonInfo.ValueEnum": HttpMethodComparisonInfo.ValueEnum,
        "HttpMethodComparisonInfoAllOf.ComparisonEnum": HttpMethodComparisonInfoAllOf.ComparisonEnum,
        "HttpMethodComparisonInfoAllOf.ValueEnum": HttpMethodComparisonInfoAllOf.ValueEnum,
        "HttpStatusClassComparisonInfo.ComparisonEnum": HttpStatusClassComparisonInfo.ComparisonEnum,
        "HttpStatusClassComparisonInfo.ValueEnum": HttpStatusClassComparisonInfo.ValueEnum,
        "HttpStatusClassComparisonInfoAllOf.ComparisonEnum": HttpStatusClassComparisonInfoAllOf.ComparisonEnum,
        "HttpStatusClassComparisonInfoAllOf.ValueEnum": HttpStatusClassComparisonInfoAllOf.ValueEnum,
        "HypervisorTypeComparision.OperatorEnum": HypervisorTypeComparision.OperatorEnum,
        "HypervisorTypeComparision.ValueEnum": HypervisorTypeComparision.ValueEnum,
        "HypervisorTypeComparisionAllOf.OperatorEnum": HypervisorTypeComparisionAllOf.OperatorEnum,
        "HypervisorTypeComparisionAllOf.ValueEnum": HypervisorTypeComparisionAllOf.ValueEnum,
        "IIBInputNodeTypeComparisonInfo.ComparisonEnum": IIBInputNodeTypeComparisonInfo.ComparisonEnum,
        "IIBInputNodeTypeComparisonInfo.ValueEnum": IIBInputNodeTypeComparisonInfo.ValueEnum,
        "IndexedNameComparison.OperatorEnum": IndexedNameComparison.OperatorEnum,
        "IndexedNameComparisonAllOf.OperatorEnum": IndexedNameComparisonAllOf.OperatorEnum,
        "IndexedStringComparison.OperatorEnum": IndexedStringComparison.OperatorEnum,
        "IndexedStringComparisonAllOf.OperatorEnum": IndexedStringComparisonAllOf.OperatorEnum,
        "IndexedTagComparison.OperatorEnum": IndexedTagComparison.OperatorEnum,
        "IndexedTagComparisonAllOf.OperatorEnum": IndexedTagComparisonAllOf.OperatorEnum,
        "IntegerComparison.OperatorEnum": IntegerComparison.OperatorEnum,
        "IntegerComparisonAllOf.OperatorEnum": IntegerComparisonAllOf.OperatorEnum,
        "IpAddressComparison.OperatorEnum": IpAddressComparison.OperatorEnum,
        "IpAddressComparisonAllOf.OperatorEnum": IpAddressComparisonAllOf.OperatorEnum,
        "JavaScriptInjectionRules.UrlOperatorEnum": JavaScriptInjectionRules.UrlOperatorEnum,
        "JavaScriptInjectionRules.RuleEnum": JavaScriptInjectionRules.RuleEnum,
        "KubernetesCredentials.EndpointStatusEnum": KubernetesCredentials.EndpointStatusEnum,
        "LogMetricConfig.UnitEnum": LogMetricConfig.UnitEnum,
        "LogMetricConfig.MetricValueTypeEnum": LogMetricConfig.MetricValueTypeEnum,
        "LogSourceFilter.OsTypesEnum": LogSourceFilter.OsTypesEnum,
        "MaintenanceWindow.TypeEnum": MaintenanceWindow.TypeEnum,
        "MaintenanceWindow.SuppressionEnum": MaintenanceWindow.SuppressionEnum,
        "ManagementZoneRule.TypeEnum": ManagementZoneRule.TypeEnum,
        "ManagementZoneRule.PropagationTypesEnum": ManagementZoneRule.PropagationTypesEnum,
        "MaskingRule.MaskingRuleTypeEnum": MaskingRule.MaskingRuleTypeEnum,
        "MaskingSettings.RecordingMaskingSettingsEnum": MaskingSettings.RecordingMaskingSettingsEnum,
        "MetaDataCapturing.TypeEnum": MetaDataCapturing.TypeEnum,
        "MethodReference.VisibilityEnum": MethodReference.VisibilityEnum,
        "MethodReference.ModifiersEnum": MethodReference.ModifiersEnum,
        "MethodReference.FileNameMatcherEnum": MethodReference.FileNameMatcherEnum,
        "MetricEvent.AggregationTypeEnum": MetricEvent.AggregationTypeEnum,
        "MetricEvent.SeverityEnum": MetricEvent.SeverityEnum,
        "MetricEvent.DisabledReasonEnum": MetricEvent.DisabledReasonEnum,
        "MetricEventAlertingScope.FilterTypeEnum": MetricEventAlertingScope.FilterTypeEnum,
        "MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum": MetricEventAutoAdaptiveBaselineMonitoringStrategy.AlertConditionEnum,
        "MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf.AlertConditionEnum": MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf.AlertConditionEnum,
        "MetricEventDimensions.FilterTypeEnum": MetricEventDimensions.FilterTypeEnum,
        "MetricEventMonitoringStrategy.TypeEnum": MetricEventMonitoringStrategy.TypeEnum,
        "MetricEventStaticThresholdMonitoringStrategy.AlertConditionEnum": MetricEventStaticThresholdMonitoringStrategy.AlertConditionEnum,
        "MetricEventStaticThresholdMonitoringStrategy.UnitEnum": MetricEventStaticThresholdMonitoringStrategy.UnitEnum,
        "MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum": MetricEventStaticThresholdMonitoringStrategyAllOf.AlertConditionEnum,
        "MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum": MetricEventStaticThresholdMonitoringStrategyAllOf.UnitEnum,
        "MetricEventTextFilterMetricEventDimensionsFilterOperatorDto.OperatorEnum": MetricEventTextFilterMetricEventDimensionsFilterOperatorDto.OperatorEnum,
        "MetricEventTextFilterMetricEventTextFilterOperatorDto.OperatorEnum": MetricEventTextFilterMetricEventTextFilterOperatorDto.OperatorEnum,
        "MobilePlatformComparison.OperatorEnum": MobilePlatformComparison.OperatorEnum,
        "MobilePlatformComparison.ValueEnum": MobilePlatformComparison.ValueEnum,
        "MobilePlatformComparisonAllOf.OperatorEnum": MobilePlatformComparisonAllOf.OperatorEnum,
        "MobilePlatformComparisonAllOf.ValueEnum": MobilePlatformComparisonAllOf.ValueEnum,
        "MonitoredEntityFilter.TypeEnum": MonitoredEntityFilter.TypeEnum,
        "MonitoredEntityFilter.TagCombinationEnum": MonitoredEntityFilter.TagCombinationEnum,
        "MonitoringSettings.InjectionModeEnum": MonitoringSettings.InjectionModeEnum,
        "NotificationConfig.TypeEnum": NotificationConfig.TypeEnum,
        "NotificationConfigStub.TypeEnum": NotificationConfigStub.TypeEnum,
        "NumberComparisonInfo.ComparisonEnum": NumberComparisonInfo.ComparisonEnum,
        "NumberComparisonInfoAllOf.ComparisonEnum": NumberComparisonInfoAllOf.ComparisonEnum,
        "NumberRequestAttributeComparisonInfo.ComparisonEnum": NumberRequestAttributeComparisonInfo.ComparisonEnum,
        "NumberRequestAttributeComparisonInfoAllOf.ComparisonEnum": NumberRequestAttributeComparisonInfoAllOf.ComparisonEnum,
        "OsArchitectureComparison.OperatorEnum": OsArchitectureComparison.OperatorEnum,
        "OsArchitectureComparison.ValueEnum": OsArchitectureComparison.ValueEnum,
        "OsArchitectureComparisonAllOf.OperatorEnum": OsArchitectureComparisonAllOf.OperatorEnum,
        "OsArchitectureComparisonAllOf.ValueEnum": OsArchitectureComparisonAllOf.ValueEnum,
        "OsTypeComparison.OperatorEnum": OsTypeComparison.OperatorEnum,
        "OsTypeComparison.ValueEnum": OsTypeComparison.ValueEnum,
        "OsTypeComparisonAllOf.OperatorEnum": OsTypeComparisonAllOf.OperatorEnum,
        "OsTypeComparisonAllOf.ValueEnum": OsTypeComparisonAllOf.ValueEnum,
        "PaasTypeComparison.OperatorEnum": PaasTypeComparison.OperatorEnum,
        "PaasTypeComparison.ValueEnum": PaasTypeComparison.ValueEnum,
        "PaasTypeComparisonAllOf.OperatorEnum": PaasTypeComparisonAllOf.OperatorEnum,
        "PaasTypeComparisonAllOf.ValueEnum": PaasTypeComparisonAllOf.ValueEnum,
        "PathDefinition.TypeEnum": PathDefinition.TypeEnum,
        "Placeholder.AttributeEnum": Placeholder.AttributeEnum,
        "Placeholder.KindEnum": Placeholder.KindEnum,
        "Placeholder.NormalizationEnum": Placeholder.NormalizationEnum,
        "Placeholder.AggregationEnum": Placeholder.AggregationEnum,
        "Plugin.TypeEnum": Plugin.TypeEnum,
        "PluginState.StateEnum": PluginState.StateEnum,
        "ProcessMetadataConditionKey.DynamicKeyEnum": ProcessMetadataConditionKey.DynamicKeyEnum,
        "ProcessMetadataConditionKeyAllOf.DynamicKeyEnum": ProcessMetadataConditionKeyAllOf.DynamicKeyEnum,
        "Recurrence.DayOfWeekEnum": Recurrence.DayOfWeekEnum,
        "RemoteEnvironmentConfigDto.NetworkScopeEnum": RemoteEnvironmentConfigDto.NetworkScopeEnum,
        "RemoteEnvironmentConfigStub.NetworkScopeEnum": RemoteEnvironmentConfigStub.NetworkScopeEnum,
        "ReportSubscriptions.ScheduleEnum": ReportSubscriptions.ScheduleEnum,
        "RequestAttribute.DataTypeEnum": RequestAttribute.DataTypeEnum,
        "RequestAttribute.NormalizationEnum": RequestAttribute.NormalizationEnum,
        "RequestAttribute.AggregationEnum": RequestAttribute.AggregationEnum,
        "ResourceTimingSettings.ResourceTimingCaptureTypeEnum": ResourceTimingSettings.ResourceTimingCaptureTypeEnum,
        "ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum": ResponseTimeDegradationAutodetectionConfig.LoadThresholdEnum,
        "ResponseTimeDegradationDetectionConfig.DetectionModeEnum": ResponseTimeDegradationDetectionConfig.DetectionModeEnum,
        "ResponseTimeDegradationThresholdConfig.LoadThresholdEnum": ResponseTimeDegradationThresholdConfig.LoadThresholdEnum,
        "ResponseTimeDegradationThresholdConfig.SensitivityEnum": ResponseTimeDegradationThresholdConfig.SensitivityEnum,
        "RumDimensionDefinition.DimensionEnum": RumDimensionDefinition.DimensionEnum,
        "RumMetricDefinition.MetricEnum": RumMetricDefinition.MetricEnum,
        "Schedule.RecurrenceTypeEnum": Schedule.RecurrenceTypeEnum,
        "ScopeConditions.ServiceTechnologyEnum": ScopeConditions.ServiceTechnologyEnum,
        "ServiceTopologyComparison.OperatorEnum": ServiceTopologyComparison.OperatorEnum,
        "ServiceTopologyComparison.ValueEnum": ServiceTopologyComparison.ValueEnum,
        "ServiceTopologyComparisonAllOf.OperatorEnum": ServiceTopologyComparisonAllOf.OperatorEnum,
        "ServiceTopologyComparisonAllOf.ValueEnum": ServiceTopologyComparisonAllOf.ValueEnum,
        "ServiceTypeComparison.OperatorEnum": ServiceTypeComparison.OperatorEnum,
        "ServiceTypeComparison.ValueEnum": ServiceTypeComparison.ValueEnum,
        "ServiceTypeComparisonAllOf.OperatorEnum": ServiceTypeComparisonAllOf.OperatorEnum,
        "ServiceTypeComparisonAllOf.ValueEnum": ServiceTypeComparisonAllOf.ValueEnum,
        "ServiceTypeComparisonInfo.ComparisonEnum": ServiceTypeComparisonInfo.ComparisonEnum,
        "ServiceTypeComparisonInfo.ValueEnum": ServiceTypeComparisonInfo.ValueEnum,
        "ServiceTypeComparisonInfoAllOf.ComparisonEnum": ServiceTypeComparisonInfoAllOf.ComparisonEnum,
        "ServiceTypeComparisonInfoAllOf.ValueEnum": ServiceTypeComparisonInfoAllOf.ValueEnum,
        "SimpleHostTech.TypeEnum": SimpleHostTech.TypeEnum,
        "SimpleHostTechComparison.OperatorEnum": SimpleHostTechComparison.OperatorEnum,
        "SimpleHostTechComparisonAllOf.OperatorEnum": SimpleHostTechComparisonAllOf.OperatorEnum,
        "SimpleTech.TypeEnum": SimpleTech.TypeEnum,
        "SimpleTechComparison.OperatorEnum": SimpleTechComparison.OperatorEnum,
        "SimpleTechComparisonAllOf.OperatorEnum": SimpleTechComparisonAllOf.OperatorEnum,
        "StringComparison.OperatorEnum": StringComparison.OperatorEnum,
        "StringComparisonAllOf.OperatorEnum": StringComparisonAllOf.OperatorEnum,
        "StringComparisonInfo.ComparisonEnum": StringComparisonInfo.ComparisonEnum,
        "StringComparisonInfoAllOf.ComparisonEnum": StringComparisonInfoAllOf.ComparisonEnum,
        "StringRequestAttributeComparisonInfo.ComparisonEnum": StringRequestAttributeComparisonInfo.ComparisonEnum,
        "StringRequestAttributeComparisonInfoAllOf.ComparisonEnum": StringRequestAttributeComparisonInfoAllOf.ComparisonEnum,
        "SyntheticEngineTypeComparison.OperatorEnum": SyntheticEngineTypeComparison.OperatorEnum,
        "SyntheticEngineTypeComparison.ValueEnum": SyntheticEngineTypeComparison.ValueEnum,
        "SyntheticEngineTypeComparisonAllOf.OperatorEnum": SyntheticEngineTypeComparisonAllOf.OperatorEnum,
        "SyntheticEngineTypeComparisonAllOf.ValueEnum": SyntheticEngineTypeComparisonAllOf.ValueEnum,
        "SyntheticMetricDimension.DimensionEnum": SyntheticMetricDimension.DimensionEnum,
        "SyntheticMetricFilter.ActionTypeEnum": SyntheticMetricFilter.ActionTypeEnum,
        "TagComparison.OperatorEnum": TagComparison.OperatorEnum,
        "TagComparisonAllOf.OperatorEnum": TagComparisonAllOf.OperatorEnum,
        "TagComparisonInfo.ComparisonEnum": TagComparisonInfo.ComparisonEnum,
        "TagComparisonInfoAllOf.ComparisonEnum": TagComparisonInfoAllOf.ComparisonEnum,
        "TagFilter.ContextEnum": TagFilter.ContextEnum,
        "TagInfo.ContextEnum": TagInfo.ContextEnum,
        "Tile.TileTypeEnum": Tile.TileTypeEnum,
        "TransformationBase.TypeEnum": TransformationBase.TypeEnum,
        "UniversalTag.ContextEnum": UniversalTag.ContextEnum,
        "UniversalTagKey.ContextEnum": UniversalTagKey.ContextEnum,
        "UserActionAndSessionProperties.TypeEnum": UserActionAndSessionProperties.TypeEnum,
        "UserActionAndSessionProperties.OriginEnum": UserActionAndSessionProperties.OriginEnum,
        "UserActionAndSessionProperties.AggregationEnum": UserActionAndSessionProperties.AggregationEnum,
        "UserActionDetails.MatchTypeEnum": UserActionDetails.MatchTypeEnum,
        "UserActionDetails.MatchEntityEnum": UserActionDetails.MatchEntityEnum,
        "UserActionDetails.ActionTypeEnum": UserActionDetails.ActionTypeEnum,
        "UserActionFilter.ApdexEnum": UserActionFilter.ApdexEnum,
        "UserActionNamingPlaceholder.InputEnum": UserActionNamingPlaceholder.InputEnum,
        "UserActionNamingPlaceholder.ProcessingPartEnum": UserActionNamingPlaceholder.ProcessingPartEnum,
        "UserActionNamingPlaceholderProcessingStep.TypeEnum": UserActionNamingPlaceholderProcessingStep.TypeEnum,
        "UserActionNamingPlaceholderProcessingStep.PatternBeforeSearchTypeEnum": UserActionNamingPlaceholderProcessingStep.PatternBeforeSearchTypeEnum,
        "UserActionNamingPlaceholderProcessingStep.PatternAfterSearchTypeEnum": UserActionNamingPlaceholderProcessingStep.PatternAfterSearchTypeEnum,
        "UserActionNamingRuleCondition.OperatorEnum": UserActionNamingRuleCondition.OperatorEnum,
        "UserSessionQueryTile.TypeEnum": UserSessionQueryTile.TypeEnum,
        "UserSessionQueryTileAllOf.TypeEnum": UserSessionQueryTileAllOf.TypeEnum,
        "ValueCondition.OperatorEnum": ValueCondition.OperatorEnum,
        "WebApplicationConfig.TypeEnum": WebApplicationConfig.TypeEnum,
        "WebApplicationConfig.LoadActionKeyPerformanceMetricEnum": WebApplicationConfig.LoadActionKeyPerformanceMetricEnum,
        "WebApplicationConfig.XhrActionKeyPerformanceMetricEnum": WebApplicationConfig.XhrActionKeyPerformanceMetricEnum,
        "WebApplicationConfigBrowserRestriction.BrowserTypeEnum": WebApplicationConfigBrowserRestriction.BrowserTypeEnum,
        "WebApplicationConfigBrowserRestriction.PlatformEnum": WebApplicationConfigBrowserRestriction.PlatformEnum,
        "WebApplicationConfigBrowserRestriction.ComparatorEnum": WebApplicationConfigBrowserRestriction.ComparatorEnum,
        "WebApplicationConfigBrowserRestrictionSettings.ModeEnum": WebApplicationConfigBrowserRestrictionSettings.ModeEnum,
        "WebApplicationConfigIpAddressRestrictionSettings.ModeEnum": WebApplicationConfigIpAddressRestrictionSettings.ModeEnum,
        "ZosComparisonInfo.ComparisonEnum": ZosComparisonInfo.ComparisonEnum,
        "ZosComparisonInfo.ValueEnum": ZosComparisonInfo.ValueEnum,
        "ZosComparisonInfoAllOf.ComparisonEnum": ZosComparisonInfoAllOf.ComparisonEnum,
        "ZosComparisonInfoAllOf.ValueEnum": ZosComparisonInfoAllOf.ValueEnum,
}

let typeMap: {[index: string]: any} = {
    "AdditionalEventHandlers": AdditionalEventHandlers,
    "AdvancedJavaScriptTagSettings": AdvancedJavaScriptTagSettings,
    "AfterTransformation": AfterTransformation,
    "AfterTransformationAllOf": AfterTransformationAllOf,
    "AlertingCustomEventFilter": AlertingCustomEventFilter,
    "AlertingCustomTextFilter": AlertingCustomTextFilter,
    "AlertingEventTypeFilter": AlertingEventTypeFilter,
    "AlertingPredefinedEventFilter": AlertingPredefinedEventFilter,
    "AlertingProfile": AlertingProfile,
    "AlertingProfileSeverityRule": AlertingProfileSeverityRule,
    "AlertingProfileTagFilter": AlertingProfileTagFilter,
    "AliasQueue": AliasQueue,
    "AnomalyDetectionPG": AnomalyDetectionPG,
    "AnsibleTowerNotificationConfig": AnsibleTowerNotificationConfig,
    "AnsibleTowerNotificationConfigAllOf": AnsibleTowerNotificationConfigAllOf,
    "Apdex": Apdex,
    "AppIdentifier": AppIdentifier,
    "ApplicationAnomalyDetectionConfig": ApplicationAnomalyDetectionConfig,
    "ApplicationDataPrivacy": ApplicationDataPrivacy,
    "ApplicationDataPrivacyList": ApplicationDataPrivacyList,
    "ApplicationDetectionRuleConfig": ApplicationDetectionRuleConfig,
    "ApplicationFilter": ApplicationFilter,
    "ApplicationId": ApplicationId,
    "ApplicationTypeComparison": ApplicationTypeComparison,
    "ApplicationTypeComparisonAllOf": ApplicationTypeComparisonAllOf,
    "AssignedEntitiesTile": AssignedEntitiesTile,
    "AssignedEntitiesTileAllOf": AssignedEntitiesTileAllOf,
    "AssignedEntitiesWithMetricTile": AssignedEntitiesWithMetricTile,
    "AssignedEntitiesWithMetricTileAllOf": AssignedEntitiesWithMetricTileAllOf,
    "AutoTag": AutoTag,
    "AutoTagRule": AutoTagRule,
    "AvailabilityMonitoringPG": AvailabilityMonitoringPG,
    "AwsAnomalyDetectionConfig": AwsAnomalyDetectionConfig,
    "AwsAuthenticationData": AwsAuthenticationData,
    "AwsConfigTag": AwsConfigTag,
    "AwsCredentialsConfig": AwsCredentialsConfig,
    "AwsIamToken": AwsIamToken,
    "AwsSupportingServiceConfig": AwsSupportingServiceConfig,
    "AwsSupportingServiceMetric": AwsSupportingServiceMetric,
    "AzureComputeModeComparison": AzureComputeModeComparison,
    "AzureComputeModeComparisonAllOf": AzureComputeModeComparisonAllOf,
    "AzureCredentials": AzureCredentials,
    "AzureMonitoredMetric": AzureMonitoredMetric,
    "AzureSkuComparision": AzureSkuComparision,
    "AzureSkuComparisionAllOf": AzureSkuComparisionAllOf,
    "AzureSupportingService": AzureSupportingService,
    "BeforeTransformation": BeforeTransformation,
    "BeforeTransformationAllOf": BeforeTransformationAllOf,
    "BetweenTransformation": BetweenTransformation,
    "BetweenTransformationAllOf": BetweenTransformationAllOf,
    "BitnessComparision": BitnessComparision,
    "BitnessComparisionAllOf": BitnessComparisionAllOf,
    "BooleanComparisonInfo": BooleanComparisonInfo,
    "BooleanComparisonInfoAllOf": BooleanComparisonInfoAllOf,
    "CalculatedMetricDefinition": CalculatedMetricDefinition,
    "CalculatedMobileMetric": CalculatedMobileMetric,
    "CalculatedMobileMetricDimension": CalculatedMobileMetricDimension,
    "CalculatedMobileMetricUpdate": CalculatedMobileMetricUpdate,
    "CalculatedMobileMetricUserActionFilter": CalculatedMobileMetricUserActionFilter,
    "CalculatedServiceMetric": CalculatedServiceMetric,
    "CalculatedSyntheticMetric": CalculatedSyntheticMetric,
    "CapturedMethod": CapturedMethod,
    "CertificateCredentials": CertificateCredentials,
    "CertificateCredentialsAllOf": CertificateCredentialsAllOf,
    "CloudFoundryCredentials": CloudFoundryCredentials,
    "CloudTag": CloudTag,
    "CloudTypeComparison": CloudTypeComparison,
    "CloudTypeComparisonAllOf": CloudTypeComparisonAllOf,
    "ClusterQueue": ClusterQueue,
    "ColumnDefinition": ColumnDefinition,
    "CompareOperation": CompareOperation,
    "ComparisonBasic": ComparisonBasic,
    "ComparisonInfo": ComparisonInfo,
    "Condition": Condition,
    "ConditionKey": ConditionKey,
    "ConditionalNamingRule": ConditionalNamingRule,
    "ConditionsFullWebRequestAttributeTypeDto": ConditionsFullWebRequestAttributeTypeDto,
    "ConditionsFullWebServiceAttributeTypeDto": ConditionsFullWebServiceAttributeTypeDto,
    "ConditionsOpaqueAndExternalWebRequestAttributeTypeDto": ConditionsOpaqueAndExternalWebRequestAttributeTypeDto,
    "ConfigurationMetadata": ConfigurationMetadata,
    "ConfigurationMetadataDtoImpl": ConfigurationMetadataDtoImpl,
    "ConnectionLostDetectionConfig": ConnectionLostDetectionConfig,
    "ConstraintViolation": ConstraintViolation,
    "ContentCapture": ContentCapture,
    "ContextRoot": ContextRoot,
    "ContextRootTransformation": ContextRootTransformation,
    "ConversionGoal": ConversionGoal,
    "Credentials": Credentials,
    "CredentialsList": CredentialsList,
    "CredentialsResponseElement": CredentialsResponseElement,
    "CustomApplicationTypeComparison": CustomApplicationTypeComparison,
    "CustomApplicationTypeComparisonAllOf": CustomApplicationTypeComparisonAllOf,
    "CustomChartingItemMetadataConfig": CustomChartingItemMetadataConfig,
    "CustomChartingTile": CustomChartingTile,
    "CustomChartingTileAllOf": CustomChartingTileAllOf,
    "CustomColumnDefinition": CustomColumnDefinition,
    "CustomColumnDefinitionAllOf": CustomColumnDefinitionAllOf,
    "CustomDeviceGroupNameAlertingScope": CustomDeviceGroupNameAlertingScope,
    "CustomDeviceGroupNameAlertingScopeAllOf": CustomDeviceGroupNameAlertingScopeAllOf,
    "CustomFilterChartConfig": CustomFilterChartConfig,
    "CustomFilterChartSeriesConfig": CustomFilterChartSeriesConfig,
    "CustomFilterChartSeriesDimensionConfig": CustomFilterChartSeriesDimensionConfig,
    "CustomFilterConfig": CustomFilterConfig,
    "CustomHostMetadataConditionKey": CustomHostMetadataConditionKey,
    "CustomHostMetadataConditionKeyAllOf": CustomHostMetadataConditionKeyAllOf,
    "CustomHostMetadataKey": CustomHostMetadataKey,
    "CustomProcessMetadataConditionKey": CustomProcessMetadataConditionKey,
    "CustomProcessMetadataConditionKeyAllOf": CustomProcessMetadataConditionKeyAllOf,
    "CustomProcessMetadataKey": CustomProcessMetadataKey,
    "CustomService": CustomService,
    "Dashboard": Dashboard,
    "DashboardFilter": DashboardFilter,
    "DashboardList": DashboardList,
    "DashboardMetadata": DashboardMetadata,
    "DashboardReport": DashboardReport,
    "DashboardReportStub": DashboardReportStub,
    "DashboardReportSubscription": DashboardReportSubscription,
    "DashboardStub": DashboardStub,
    "DataPrivacyAndSecurity": DataPrivacyAndSecurity,
    "DataSource": DataSource,
    "DatabaseAnomalyDetectionConfig": DatabaseAnomalyDetectionConfig,
    "DatabaseConnectionFailureDetectionConfig": DatabaseConnectionFailureDetectionConfig,
    "DatabaseTopologyComparison": DatabaseTopologyComparison,
    "DatabaseTopologyComparisonAllOf": DatabaseTopologyComparisonAllOf,
    "DcrumDecoderComparison": DcrumDecoderComparison,
    "DcrumDecoderComparisonAllOf": DcrumDecoderComparisonAllOf,
    "DestinationDetails": DestinationDetails,
    "DetectionRule": DetectionRule,
    "DimensionDefinition": DimensionDefinition,
    "DiskEventAnomalyDetectionConfig": DiskEventAnomalyDetectionConfig,
    "DiskLowInodesDetectionConfig": DiskLowInodesDetectionConfig,
    "DiskLowInodesThresholds": DiskLowInodesThresholds,
    "DiskLowSpaceDetectionConfig": DiskLowSpaceDetectionConfig,
    "DiskLowSpaceThresholds": DiskLowSpaceThresholds,
    "DiskNameFilter": DiskNameFilter,
    "DiskSlowWriteAndReadsThresholds": DiskSlowWriteAndReadsThresholds,
    "DiskSlowWritesAndReadsDetectionConfig": DiskSlowWritesAndReadsDetectionConfig,
    "DroppedPacketsDetectionConfig": DroppedPacketsDetectionConfig,
    "DroppedPacketsThresholds": DroppedPacketsThresholds,
    "ESBInputNodeTypeComparisonInfo": ESBInputNodeTypeComparisonInfo,
    "ESBInputNodeTypeComparisonInfoAllOf": ESBInputNodeTypeComparisonInfoAllOf,
    "Ec2CandidateCpuSaturationDetectionConfig": Ec2CandidateCpuSaturationDetectionConfig,
    "Ec2CandidateCpuSaturationThresholds": Ec2CandidateCpuSaturationThresholds,
    "ElbHighConnectionErrorsDetectionConfig": ElbHighConnectionErrorsDetectionConfig,
    "ElbHighConnectionErrorsThresholds": ElbHighConnectionErrorsThresholds,
    "EmailNotificationConfig": EmailNotificationConfig,
    "EmailNotificationConfigAllOf": EmailNotificationConfigAllOf,
    "EndsWithCompareOperation": EndsWithCompareOperation,
    "EndsWithCompareOperationAllOf": EndsWithCompareOperationAllOf,
    "EntityIdAlertingScope": EntityIdAlertingScope,
    "EntityIdAlertingScopeAllOf": EntityIdAlertingScopeAllOf,
    "EntityIdComparison": EntityIdComparison,
    "EntityIdComparisonAllOf": EntityIdComparisonAllOf,
    "EntityRuleEngineCondition": EntityRuleEngineCondition,
    "EntityShortRepresentation": EntityShortRepresentation,
    "EqualsCompareOperation": EqualsCompareOperation,
    "EqualsCompareOperationAllOf": EqualsCompareOperationAllOf,
    "ErrorEnvelope": ErrorEnvelope,
    "EsxiHighCpuSaturationConfig": EsxiHighCpuSaturationConfig,
    "EsxiHighCpuThresholds": EsxiHighCpuThresholds,
    "EsxiHighMemoryDetectionConfig": EsxiHighMemoryDetectionConfig,
    "EsxiHighMemoryThresholds": EsxiHighMemoryThresholds,
    "EventWrapperSettings": EventWrapperSettings,
    "ExistsCompareOperation": ExistsCompareOperation,
    "ExistsCompareOperationAllOf": ExistsCompareOperationAllOf,
    "Extension": Extension,
    "ExtensionConfigurationDto": ExtensionConfigurationDto,
    "ExtensionConfigurationList": ExtensionConfigurationList,
    "ExtensionDto": ExtensionDto,
    "ExtensionListDto": ExtensionListDto,
    "ExtensionProperty": ExtensionProperty,
    "ExtensionState": ExtensionState,
    "ExtensionStateList": ExtensionStateList,
    "ExtractSubstring": ExtractSubstring,
    "FailedStateComparisonInfo": FailedStateComparisonInfo,
    "FailedStateComparisonInfoAllOf": FailedStateComparisonInfoAllOf,
    "FailureRateIncreaseAutodetectionConfig": FailureRateIncreaseAutodetectionConfig,
    "FailureRateIncreaseDetectionConfig": FailureRateIncreaseDetectionConfig,
    "FailureRateIncreaseThresholdConfig": FailureRateIncreaseThresholdConfig,
    "FailureReasonComparisonInfo": FailureReasonComparisonInfo,
    "FailureReasonComparisonInfoAllOf": FailureReasonComparisonInfoAllOf,
    "FastStringComparisonInfo": FastStringComparisonInfo,
    "FastStringComparisonInfoAllOf": FastStringComparisonInfoAllOf,
    "FilterableEntityTile": FilterableEntityTile,
    "FilterableEntityTileAllOf": FilterableEntityTileAllOf,
    "FlawStateComparisonInfo": FlawStateComparisonInfo,
    "FlawStateComparisonInfoAllOf": FlawStateComparisonInfoAllOf,
    "FrequentIssueDetectionConfig": FrequentIssueDetectionConfig,
    "FullWebRequestRule": FullWebRequestRule,
    "FullWebServiceRule": FullWebServiceRule,
    "GlobalEventCaptureSettings": GlobalEventCaptureSettings,
    "GlobalExtensionConfiguration": GlobalExtensionConfiguration,
    "GreaterThanCompareOperation": GreaterThanCompareOperation,
    "GreaterThanCompareOperationAllOf": GreaterThanCompareOperationAllOf,
    "GuestCPULimitReachedConfig": GuestCPULimitReachedConfig,
    "GuestCPULimitThresholds": GuestCPULimitThresholds,
    "HighCpuSaturationDetectionConfig": HighCpuSaturationDetectionConfig,
    "HighCpuSaturationThresholds": HighCpuSaturationThresholds,
    "HighGcActivityDetectionConfig": HighGcActivityDetectionConfig,
    "HighGcActivityThresholds": HighGcActivityThresholds,
    "HighMemoryDetectionConfig": HighMemoryDetectionConfig,
    "HighMemoryThresholds": HighMemoryThresholds,
    "HighNetworkDetectionConfig": HighNetworkDetectionConfig,
    "HighNetworkThresholds": HighNetworkThresholds,
    "HipChatNotificationConfig": HipChatNotificationConfig,
    "HipChatNotificationConfigAllOf": HipChatNotificationConfigAllOf,
    "Host": Host,
    "HostGroup": HostGroup,
    "HostGroupNameAlertingScope": HostGroupNameAlertingScope,
    "HostList": HostList,
    "HostNameAlertingScope": HostNameAlertingScope,
    "HostsAnomalyDetectionConfig": HostsAnomalyDetectionConfig,
    "HttpHeader": HttpHeader,
    "HttpMethodComparisonInfo": HttpMethodComparisonInfo,
    "HttpMethodComparisonInfoAllOf": HttpMethodComparisonInfoAllOf,
    "HttpStatusClassComparisonInfo": HttpStatusClassComparisonInfo,
    "HttpStatusClassComparisonInfoAllOf": HttpStatusClassComparisonInfoAllOf,
    "HypervisorTypeComparision": HypervisorTypeComparision,
    "HypervisorTypeComparisionAllOf": HypervisorTypeComparisionAllOf,
    "IIBInputNodeTypeComparisonInfo": IIBInputNodeTypeComparisonInfo,
    "IbmMQImsEntryQueue": IbmMQImsEntryQueue,
    "IndexedNameComparison": IndexedNameComparison,
    "IndexedNameComparisonAllOf": IndexedNameComparisonAllOf,
    "IndexedStringComparison": IndexedStringComparison,
    "IndexedStringComparisonAllOf": IndexedStringComparisonAllOf,
    "IndexedTagComparison": IndexedTagComparison,
    "IndexedTagComparisonAllOf": IndexedTagComparisonAllOf,
    "InlineObject": InlineObject,
    "InlineObject1": InlineObject1,
    "InlineObject2": InlineObject2,
    "InlineObject3": InlineObject3,
    "IntEqualsCompareOperation": IntEqualsCompareOperation,
    "IntEqualsCompareOperationAllOf": IntEqualsCompareOperationAllOf,
    "IntegerComparison": IntegerComparison,
    "IntegerComparisonAllOf": IntegerComparisonAllOf,
    "IpAddressComparison": IpAddressComparison,
    "IpAddressComparisonAllOf": IpAddressComparisonAllOf,
    "IpAddressRange": IpAddressRange,
    "IpInRangeCompareOperation": IpInRangeCompareOperation,
    "IpInRangeCompareOperationAllOf": IpInRangeCompareOperationAllOf,
    "JavaScriptFrameworkSupport": JavaScriptFrameworkSupport,
    "JavaScriptInjectionRules": JavaScriptInjectionRules,
    "JiraNotificationConfig": JiraNotificationConfig,
    "JiraNotificationConfigAllOf": JiraNotificationConfigAllOf,
    "JsonColumnDefinition": JsonColumnDefinition,
    "KeyBasedAuthentication": KeyBasedAuthentication,
    "KubernetesCredentials": KubernetesCredentials,
    "KubernetesEventPattern": KubernetesEventPattern,
    "LambdaHighErrorRateDetectionConfig": LambdaHighErrorRateDetectionConfig,
    "LambdaHighErrorRateThresholds": LambdaHighErrorRateThresholds,
    "LessThanCompareOperation": LessThanCompareOperation,
    "LoadDropDetectionConfig": LoadDropDetectionConfig,
    "LoadSpikeDetectionConfig": LoadSpikeDetectionConfig,
    "LogMetricConfig": LogMetricConfig,
    "LogSourceFilter": LogSourceFilter,
    "LowDatastoreSpaceDetectionConfig": LowDatastoreSpaceDetectionConfig,
    "LowDatastoreSpaceThresholds": LowDatastoreSpaceThresholds,
    "MaintenanceWindow": MaintenanceWindow,
    "ManagementZone": ManagementZone,
    "ManagementZoneAlertingScope": ManagementZoneAlertingScope,
    "ManagementZoneAlertingScopeAllOf": ManagementZoneAlertingScopeAllOf,
    "ManagementZoneRule": ManagementZoneRule,
    "MarkdownTile": MarkdownTile,
    "MarkdownTileAllOf": MarkdownTileAllOf,
    "MaskingRule": MaskingRule,
    "MaskingSettings": MaskingSettings,
    "MetaDataCapturing": MetaDataCapturing,
    "MethodReference": MethodReference,
    "MethodRule": MethodRule,
    "MetricEvent": MetricEvent,
    "MetricEventAlertingScope": MetricEventAlertingScope,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategy": MetricEventAutoAdaptiveBaselineMonitoringStrategy,
    "MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf": MetricEventAutoAdaptiveBaselineMonitoringStrategyAllOf,
    "MetricEventDimensions": MetricEventDimensions,
    "MetricEventEntityDimensions": MetricEventEntityDimensions,
    "MetricEventEntityDimensionsAllOf": MetricEventEntityDimensionsAllOf,
    "MetricEventMonitoringStrategy": MetricEventMonitoringStrategy,
    "MetricEventStaticThresholdMonitoringStrategy": MetricEventStaticThresholdMonitoringStrategy,
    "MetricEventStaticThresholdMonitoringStrategyAllOf": MetricEventStaticThresholdMonitoringStrategyAllOf,
    "MetricEventStringDimensions": MetricEventStringDimensions,
    "MetricEventStringDimensionsAllOf": MetricEventStringDimensionsAllOf,
    "MetricEventTextFilterMetricEventDimensionsFilterOperatorDto": MetricEventTextFilterMetricEventDimensionsFilterOperatorDto,
    "MetricEventTextFilterMetricEventTextFilterOperatorDto": MetricEventTextFilterMetricEventTextFilterOperatorDto,
    "MobilePlatformComparison": MobilePlatformComparison,
    "MobilePlatformComparisonAllOf": MobilePlatformComparisonAllOf,
    "ModelError": ModelError,
    "MonitoredEntityFilter": MonitoredEntityFilter,
    "MonitoringSettings": MonitoringSettings,
    "NameAlertingScope": NameAlertingScope,
    "NetworkDroppedPacketsDetectionConfig": NetworkDroppedPacketsDetectionConfig,
    "NetworkDroppedPacketsThresholds": NetworkDroppedPacketsThresholds,
    "NetworkErrorsDetectionConfig": NetworkErrorsDetectionConfig,
    "NetworkErrorsThresholds": NetworkErrorsThresholds,
    "NetworkHighRetransmissionDetectionConfig": NetworkHighRetransmissionDetectionConfig,
    "NetworkHighRetransmissionThresholds": NetworkHighRetransmissionThresholds,
    "NetworkTcpProblemsDetectionConfig": NetworkTcpProblemsDetectionConfig,
    "NetworkTcpProblemsThresholds": NetworkTcpProblemsThresholds,
    "NotificationConfig": NotificationConfig,
    "NotificationConfigStub": NotificationConfigStub,
    "NotificationConfigStubListDto": NotificationConfigStubListDto,
    "NumberComparisonInfo": NumberComparisonInfo,
    "NumberComparisonInfoAllOf": NumberComparisonInfoAllOf,
    "NumberRequestAttributeComparisonInfo": NumberRequestAttributeComparisonInfo,
    "NumberRequestAttributeComparisonInfoAllOf": NumberRequestAttributeComparisonInfoAllOf,
    "OpaqueAndExternalWebRequestRule": OpaqueAndExternalWebRequestRule,
    "OpsGenieNotificationConfig": OpsGenieNotificationConfig,
    "OpsGenieNotificationConfigAllOf": OpsGenieNotificationConfigAllOf,
    "OsArchitectureComparison": OsArchitectureComparison,
    "OsArchitectureComparisonAllOf": OsArchitectureComparisonAllOf,
    "OsTypeComparison": OsTypeComparison,
    "OsTypeComparisonAllOf": OsTypeComparisonAllOf,
    "OutOfMemoryDetectionConfig": OutOfMemoryDetectionConfig,
    "OutOfMemoryThresholds": OutOfMemoryThresholds,
    "OutOfThreadsDetectionConfig": OutOfThreadsDetectionConfig,
    "OutOfThreadsThresholds": OutOfThreadsThresholds,
    "OverloadedStorageDetectionConfig": OverloadedStorageDetectionConfig,
    "OverloadedStorageThresholds": OverloadedStorageThresholds,
    "PaasTypeComparison": PaasTypeComparison,
    "PaasTypeComparisonAllOf": PaasTypeComparisonAllOf,
    "PagerDutyNotificationConfig": PagerDutyNotificationConfig,
    "PagerDutyNotificationConfigAllOf": PagerDutyNotificationConfigAllOf,
    "PathDefinition": PathDefinition,
    "Placeholder": Placeholder,
    "Plugin": Plugin,
    "PluginProperty": PluginProperty,
    "PluginState": PluginState,
    "PluginStateList": PluginStateList,
    "Port": Port,
    "ProcessGroupIdAlertingScope": ProcessGroupIdAlertingScope,
    "ProcessGroupIdAlertingScopeAllOf": ProcessGroupIdAlertingScopeAllOf,
    "ProcessGroupNameAlertingScope": ProcessGroupNameAlertingScope,
    "ProcessMetadataConditionKey": ProcessMetadataConditionKey,
    "ProcessMetadataConditionKeyAllOf": ProcessMetadataConditionKeyAllOf,
    "PropagationSource": PropagationSource,
    "PublicDomainName": PublicDomainName,
    "QueueManager": QueueManager,
    "RdsHighCpuDetectionConfig": RdsHighCpuDetectionConfig,
    "RdsHighCpuThresholds": RdsHighCpuThresholds,
    "RdsHighLatencyThresholds": RdsHighLatencyThresholds,
    "RdsHighMemoryDetectionConfig": RdsHighMemoryDetectionConfig,
    "RdsHighMemoryThresholds": RdsHighMemoryThresholds,
    "RdsHighWriteReadLatencyDetectionConfig": RdsHighWriteReadLatencyDetectionConfig,
    "RdsLowStorageDetectionConfig": RdsLowStorageDetectionConfig,
    "RdsLowStorageThresholds": RdsLowStorageThresholds,
    "RdsRestartsSequenceDetectionConfig": RdsRestartsSequenceDetectionConfig,
    "RdsRestartsThresholds": RdsRestartsThresholds,
    "Recurrence": Recurrence,
    "RemoteEnvironmentConfigDto": RemoteEnvironmentConfigDto,
    "RemoteEnvironmentConfigListDto": RemoteEnvironmentConfigListDto,
    "RemoteEnvironmentConfigStub": RemoteEnvironmentConfigStub,
    "RemotePluginEndpoint": RemotePluginEndpoint,
    "RemoteQueue": RemoteQueue,
    "RemoveCreditCardNumbersTransformation": RemoveCreditCardNumbersTransformation,
    "RemoveIBANsTransformation": RemoveIBANsTransformation,
    "RemoveIPsTransformation": RemoveIPsTransformation,
    "RemoveNumbersTransformation": RemoveNumbersTransformation,
    "RemoveNumbersTransformationAllOf": RemoveNumbersTransformationAllOf,
    "ReplaceBetweenTransformation": ReplaceBetweenTransformation,
    "ReplaceBetweenTransformationAllOf": ReplaceBetweenTransformationAllOf,
    "ReportStubList": ReportStubList,
    "ReportSubscriptions": ReportSubscriptions,
    "RequestAttribute": RequestAttribute,
    "RequestNaming": RequestNaming,
    "ResourceNaming": ResourceNaming,
    "ResourceTimingSettings": ResourceTimingSettings,
    "ResponseTimeDegradationAutodetectionConfig": ResponseTimeDegradationAutodetectionConfig,
    "ResponseTimeDegradationDetectionConfig": ResponseTimeDegradationDetectionConfig,
    "ResponseTimeDegradationThresholdConfig": ResponseTimeDegradationThresholdConfig,
    "RoleBasedAuthentication": RoleBasedAuthentication,
    "RumDimensionDefinition": RumDimensionDefinition,
    "RumMetric": RumMetric,
    "RumMetricDefinition": RumMetricDefinition,
    "RumMetricUpdate": RumMetricUpdate,
    "Schedule": Schedule,
    "Scope": Scope,
    "ScopeConditions": ScopeConditions,
    "ServerName": ServerName,
    "ServiceAnomalyDetectionConfig": ServiceAnomalyDetectionConfig,
    "ServiceNowNotificationConfig": ServiceNowNotificationConfig,
    "ServiceNowNotificationConfigAllOf": ServiceNowNotificationConfigAllOf,
    "ServiceTopologyComparison": ServiceTopologyComparison,
    "ServiceTopologyComparisonAllOf": ServiceTopologyComparisonAllOf,
    "ServiceTypeComparison": ServiceTypeComparison,
    "ServiceTypeComparisonAllOf": ServiceTypeComparisonAllOf,
    "ServiceTypeComparisonInfo": ServiceTypeComparisonInfo,
    "ServiceTypeComparisonInfoAllOf": ServiceTypeComparisonInfoAllOf,
    "SessionReplaySetting": SessionReplaySetting,
    "SessionReplaySettingWithDataPrivacy": SessionReplaySettingWithDataPrivacy,
    "SharingInfo": SharingInfo,
    "SimpleHostTech": SimpleHostTech,
    "SimpleHostTechComparison": SimpleHostTechComparison,
    "SimpleHostTechComparisonAllOf": SimpleHostTechComparisonAllOf,
    "SimpleTech": SimpleTech,
    "SimpleTechComparison": SimpleTechComparison,
    "SimpleTechComparisonAllOf": SimpleTechComparisonAllOf,
    "SlackNotificationConfig": SlackNotificationConfig,
    "SlackNotificationConfigAllOf": SlackNotificationConfigAllOf,
    "SlowPhysicalStorageDetectionConfig": SlowPhysicalStorageDetectionConfig,
    "SlowPhysicalStorageThresholds": SlowPhysicalStorageThresholds,
    "SplitSelectTransformation": SplitSelectTransformation,
    "SplitSelectTransformationAllOf": SplitSelectTransformationAllOf,
    "StartsWithCompareOperation": StartsWithCompareOperation,
    "StartsWithCompareOperationAllOf": StartsWithCompareOperationAllOf,
    "StringComparison": StringComparison,
    "StringComparisonAllOf": StringComparisonAllOf,
    "StringComparisonInfo": StringComparisonInfo,
    "StringComparisonInfoAllOf": StringComparisonInfoAllOf,
    "StringConditionKey": StringConditionKey,
    "StringConditionKeyAllOf": StringConditionKeyAllOf,
    "StringContainsCompareOperation": StringContainsCompareOperation,
    "StringContainsCompareOperationAllOf": StringContainsCompareOperationAllOf,
    "StringEqualsCompareOperation": StringEqualsCompareOperation,
    "StringEqualsCompareOperationAllOf": StringEqualsCompareOperationAllOf,
    "StringRequestAttributeComparisonInfo": StringRequestAttributeComparisonInfo,
    "StringRequestAttributeComparisonInfoAllOf": StringRequestAttributeComparisonInfoAllOf,
    "StubList": StubList,
    "SupportedVersion": SupportedVersion,
    "SymbolFile": SymbolFile,
    "SymbolFileClientLinkDto": SymbolFileClientLinkDto,
    "SymbolFileList": SymbolFileList,
    "SymbolFilePinning": SymbolFilePinning,
    "SymbolFileStorageInfo": SymbolFileStorageInfo,
    "SyntheticEngineTypeComparison": SyntheticEngineTypeComparison,
    "SyntheticEngineTypeComparisonAllOf": SyntheticEngineTypeComparisonAllOf,
    "SyntheticMetricDimension": SyntheticMetricDimension,
    "SyntheticMetricFilter": SyntheticMetricFilter,
    "SyntheticMetricUpdate": SyntheticMetricUpdate,
    "SyntheticSingleWebcheckTile": SyntheticSingleWebcheckTile,
    "SyntheticSingleWebcheckTileAllOf": SyntheticSingleWebcheckTileAllOf,
    "TagCompareOperation": TagCompareOperation,
    "TagCompareOperationAllOf": TagCompareOperationAllOf,
    "TagComparison": TagComparison,
    "TagComparisonAllOf": TagComparisonAllOf,
    "TagComparisonInfo": TagComparisonInfo,
    "TagComparisonInfoAllOf": TagComparisonInfoAllOf,
    "TagFilter": TagFilter,
    "TagFilterAlertingScope": TagFilterAlertingScope,
    "TagFilterAlertingScopeAllOf": TagFilterAlertingScopeAllOf,
    "TagInfo": TagInfo,
    "TakeSegmentsTransformation": TakeSegmentsTransformation,
    "TakeSegmentsTransformationAllOf": TakeSegmentsTransformationAllOf,
    "Tile": Tile,
    "TileBounds": TileBounds,
    "TileFilter": TileFilter,
    "TimeoutSettings": TimeoutSettings,
    "TokenCredentials": TokenCredentials,
    "TokenCredentialsAllOf": TokenCredentialsAllOf,
    "TrafficDropDetectionConfig": TrafficDropDetectionConfig,
    "TrafficSpikeDetectionConfig": TrafficSpikeDetectionConfig,
    "TransformationBase": TransformationBase,
    "TrelloNotificationConfig": TrelloNotificationConfig,
    "TrelloNotificationConfigAllOf": TrelloNotificationConfigAllOf,
    "UndersizedStorageDetectionConfig": UndersizedStorageDetectionConfig,
    "UndersizedStorageThresholds": UndersizedStorageThresholds,
    "UniversalTag": UniversalTag,
    "UniversalTagKey": UniversalTagKey,
    "UserActionAndSessionProperties": UserActionAndSessionProperties,
    "UserActionDetails": UserActionDetails,
    "UserActionFilter": UserActionFilter,
    "UserActionNamingPlaceholder": UserActionNamingPlaceholder,
    "UserActionNamingPlaceholderProcessingStep": UserActionNamingPlaceholderProcessingStep,
    "UserActionNamingRule": UserActionNamingRule,
    "UserActionNamingRuleCondition": UserActionNamingRuleCondition,
    "UserActionNamingSettings": UserActionNamingSettings,
    "UserActionPropertyFilter": UserActionPropertyFilter,
    "UserPasswordCredentials": UserPasswordCredentials,
    "UserPasswordCredentialsAllOf": UserPasswordCredentialsAllOf,
    "UserSessionQueryTile": UserSessionQueryTile,
    "UserSessionQueryTileAllOf": UserSessionQueryTileAllOf,
    "UserSessionQueryTileConfiguration": UserSessionQueryTileConfiguration,
    "UserTag": UserTag,
    "VMwareAnomalyDetectionConfig": VMwareAnomalyDetectionConfig,
    "ValueCondition": ValueCondition,
    "ValueProcessing": ValueProcessing,
    "VictorOpsNotificationConfig": VictorOpsNotificationConfig,
    "VictorOpsNotificationConfigAllOf": VictorOpsNotificationConfigAllOf,
    "VisitDurationDetails": VisitDurationDetails,
    "VisitNumActionDetails": VisitNumActionDetails,
    "VisuallyComplete2Settings": VisuallyComplete2Settings,
    "WaterfallSettings": WaterfallSettings,
    "WebApplicationConfig": WebApplicationConfig,
    "WebApplicationConfigBrowserRestriction": WebApplicationConfigBrowserRestriction,
    "WebApplicationConfigBrowserRestrictionSettings": WebApplicationConfigBrowserRestrictionSettings,
    "WebApplicationConfigIpAddressRestrictionSettings": WebApplicationConfigIpAddressRestrictionSettings,
    "WebHookNotificationConfig": WebHookNotificationConfig,
    "WebHookNotificationConfigAllOf": WebHookNotificationConfigAllOf,
    "WebServiceName": WebServiceName,
    "WebServiceNameSpace": WebServiceNameSpace,
    "XMattersNotificationConfig": XMattersNotificationConfig,
    "XMattersNotificationConfigAllOf": XMattersNotificationConfigAllOf,
    "ZosComparisonInfo": ZosComparisonInfo,
    "ZosComparisonInfoAllOf": ZosComparisonInfoAllOf,
}

export class ObjectSerializer {
    public static findCorrectType(data: any, expectedType: string) {
        if (data == undefined) {
            return expectedType;
        } else if (primitives.indexOf(expectedType.toLowerCase()) !== -1) {
            return expectedType;
        } else if (expectedType === "Date") {
            return expectedType;
        } else {
            if (enumsMap[expectedType]) {
                return expectedType;
            }

            if (!typeMap[expectedType]) {
                return expectedType; // w/e we don't know the type
            }

            // Check the discriminator
            let discriminatorProperty = typeMap[expectedType].discriminator;
            if (discriminatorProperty == null) {
                return expectedType; // the type does not have a discriminator. use it.
            } else {
                if (data[discriminatorProperty]) {
                    var discriminatorType = data[discriminatorProperty];
                    if(typeMap[discriminatorType]){
                        return discriminatorType; // use the type given in the discriminator
                    } else {
                        return expectedType; // discriminator did not map to a type
                    }
                } else {
                    return expectedType; // discriminator was not present (or an empty string)
                }
            }
        }
    }

    public static serialize(data: any, type: string) {
        if (data == undefined) {
            return data;
        } else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        } else if (type.lastIndexOf("Array<", 0) === 0) { // string.startsWith pre es6
            let subType: string = type.replace("Array<", ""); // Array<Type> => Type>
            subType = subType.substring(0, subType.length - 1); // Type> => Type
            let transformedData: any[] = [];
            for (let index in data) {
                let date = data[index];
                transformedData.push(ObjectSerializer.serialize(date, subType));
            }
            return transformedData;
        } else if (type === "Date") {
            return data.toISOString();
        } else {
            if (enumsMap[type]) {
                return data;
            }
            if (!typeMap[type]) { // in case we dont know the type
                return data;
            }

            // Get the actual type of this object
            type = this.findCorrectType(data, type);

            // get the map for the correct type.
            let attributeTypes = typeMap[type].getAttributeTypeMap();
            let instance: {[index: string]: any} = {};
            for (let index in attributeTypes) {
                let attributeType = attributeTypes[index];
                instance[attributeType.baseName] = ObjectSerializer.serialize(data[attributeType.name], attributeType.type);
            }
            return instance;
        }
    }

    public static deserialize(data: any, type: string) {
        // polymorphism may change the actual type.
        type = ObjectSerializer.findCorrectType(data, type);
        if (data == undefined) {
            return data;
        } else if (primitives.indexOf(type.toLowerCase()) !== -1) {
            return data;
        } else if (type.lastIndexOf("Array<", 0) === 0) { // string.startsWith pre es6
            let subType: string = type.replace("Array<", ""); // Array<Type> => Type>
            subType = subType.substring(0, subType.length - 1); // Type> => Type
            let transformedData: any[] = [];
            for (let index in data) {
                let date = data[index];
                transformedData.push(ObjectSerializer.deserialize(date, subType));
            }
            return transformedData;
        } else if (type === "Date") {
            return new Date(data);
        } else {
            if (enumsMap[type]) {// is Enum
                return data;
            }

            if (!typeMap[type]) { // dont know the type
                return data;
            }
            let instance = new typeMap[type]();
            let attributeTypes = typeMap[type].getAttributeTypeMap();
            for (let index in attributeTypes) {
                let attributeType = attributeTypes[index];
                instance[attributeType.name] = ObjectSerializer.deserialize(data[attributeType.baseName], attributeType.type);
            }
            return instance;
        }
    }
}

export interface Authentication {
    /**
    * Apply authentication settings to header and query params.
    */
    applyToRequest(requestOptions: localVarRequest.Options): Promise<void> | void;
}

export class HttpBasicAuth implements Authentication {
    public username: string = '';
    public password: string = '';

    applyToRequest(requestOptions: localVarRequest.Options): void {
        requestOptions.auth = {
            username: this.username, password: this.password
        }
    }
}

export class HttpBearerAuth implements Authentication {
    public accessToken: string | (() => string) = '';

    applyToRequest(requestOptions: localVarRequest.Options): void {
        if (requestOptions && requestOptions.headers) {
            const accessToken = typeof this.accessToken === 'function'
                            ? this.accessToken()
                            : this.accessToken;
            requestOptions.headers["Authorization"] = "Bearer " + accessToken;
        }
    }
}

export class ApiKeyAuth implements Authentication {
    public apiKey: string = '';

    constructor(private location: string, private paramName: string) {
    }

    applyToRequest(requestOptions: localVarRequest.Options): void {
        if (this.location == "query") {
            (<any>requestOptions.qs)[this.paramName] = this.apiKey;
        } else if (this.location == "header" && requestOptions && requestOptions.headers) {
            requestOptions.headers[this.paramName] = this.apiKey;
        } else if (this.location == 'cookie' && requestOptions && requestOptions.headers) {
            if (requestOptions.headers['Cookie']) {
                requestOptions.headers['Cookie'] += '; ' + this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
            else {
                requestOptions.headers['Cookie'] = this.paramName + '=' + encodeURIComponent(this.apiKey);
            }
        }
    }
}

export class OAuth implements Authentication {
    public accessToken: string = '';

    applyToRequest(requestOptions: localVarRequest.Options): void {
        if (requestOptions && requestOptions.headers) {
            requestOptions.headers["Authorization"] = "Bearer " + this.accessToken;
        }
    }
}

export class VoidAuth implements Authentication {
    public username: string = '';
    public password: string = '';

    applyToRequest(_: localVarRequest.Options): void {
        // Do nothing
    }
}

export type Interceptor = (requestOptions: localVarRequest.Options) => (Promise<void> | void);
